<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%!

  public enum LeaveManagementTabs {
      LTP("actiplans.leaves_management.leave_time_planning_chart", "/administration/leave_time_planning.do"),
      LTR("actiplans.leaves_management.leave_time_requests", "/administration/corporate_requests.do");

    LeaveManagementTabs(String titleKey, String link) {
      this.titleKey = titleKey;
      this.link = link;
    }
    private String titleKey;
    private String link;

    public String getTitleKey(){
      return titleKey;
    }

    public String getLink(){
      return link;
    }

    public String getAdditionalStyleClass(LeaveManagementTabs currentTab){
      return isCurrent( currentTab ) ? "selected" : "";
    }

    public boolean isCurrent(LeaveManagementTabs currentTab){
      return this == currentTab;
    }
  };
%>
<%
  LeaveManagementTabs currentTab = LeaveManagementTabs.valueOf( request.getParameter( "currentTab" ) );
%>
<div class="customHeaderTabs">
    <logic:iterate indexId="id" id="tab" collection='<%=LeaveManagementTabs.values()%>'>
        <span class="tab <%=((LeaveManagementTabs)tab).getAdditionalStyleClass(currentTab)%>">

            <logic:notEqual value="0" name='id'>
              <span class="titleSeparator">&nbsp;</span>
            </logic:notEqual>

            <%
              if(tab == currentTab) {
            %>
                <span class="tabContainer">
                    <span class="textTab">
                        <bean:message key='<%=((LeaveManagementTabs)tab).getTitleKey()%>'/>
                    </span>
                </span>
            <%
              } else {
            %>
                <html:link page='<%=((LeaveManagementTabs)tab).getLink()%>'>
                   <span class="tabContainer">
                      <span class="textTab">
                          <bean:message key='<%=((LeaveManagementTabs)tab).getTitleKey()%>'/>
                      </span>
                   </span>
                </html:link>
            <%
              }
            %>

        </span>
    </logic:iterate>
</div>
