<%@ page errorPage="/actiplans/error.jsp" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at"%>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>

<div id="leaveTimeHistoryHeader" class="leaveTimeHistoryHeader">
    <div class="printOnly"></div>
    <div id="leaveTimeHistoryHeaderSelectors" class="leaveTimeHistorySelectors reportPageHeaderFooter"></div>

    <at:form styleId="LeaveTimeHistoryFormOnMySchedule" action="/administration/leavetimehistorypdfonmyschedule">
        <html:hidden property="userId" />
        <html:hidden property="leaveTypeFilter"/>
        <html:hidden property="dateFrom"/>
        <html:hidden property="period"/>
        <html:hidden property="balanceTypeFilter"/>
    </at:form>
    <at:form styleId="LeaveTimeHistoryFormOnCorporateSchedule" action="/administration/leavetimehistorypdfoncorporateschedule">
        <html:hidden property="userId" />
        <html:hidden property="leaveTypeFilter"/>
        <html:hidden property="dateFrom"/>
        <html:hidden property="period"/>
        <html:hidden property="balanceTypeFilter"/>
    </at:form>

</div>

<div id="leaveTimeHistoryBody" class="leaveTimeHistoryBody">
    <div class="noUserSelected"><bean:message key="actiplans.leaves_management.no_user_selected"/></div>
    <div class="pdfActionError"></div>
    <div class="leaveTimeHistoryData">
        <div class="leaveTimeData">
            <table class="leaveTimeTotal">
                <tr>
                    <td style="width: 155px; min-width: 155px; display: block"><b> <bean:message key="actiplans.leaves_management.total_leave_time"/></b></td>
                    <td class="leaveTotalValue" style="width: 100%;padding-left: 10px; min-width: 90px; max-width: 140px">
                        <b><span id="totalLeaveTime" class="leaveTimeTotalValue"></span></b>
                        <span id="totalLeaveTimeAdditional" class="totalLeaveTimeAdditional"></span>
                    </td>
                </tr>
            </table>

            <div id="calendarLeaveTypesWrap" class="scrollWrapper" >
                <table id="leaveTypesTable" class="leaveTypesTable">
                    <tbody id="leaveTypesTableBody"></tbody>
                </table>
            </div>
            
            <table id="balanceTypesTable" class="balanceTypesTable">
            </table>
        </div>

        <div id="calendarContainer" class="calendarContainer"></div>
        <jsp:include page="leave_time_details_table.jsp"/>
    </div>
    <div class="noPageDataForViewingNote"><div class="leaveTimeHistoryError"></div></div>
</div>

<table id="leaveTypesTemplateTable" style="display:none;">
</table>

<div id="templatePrintImg" style="display:none;">
    <span class="dayNumber"></span><span class="leaveTypeImg for-print-only"><at:defImg page="pixel.gif"/></span>
</div>

<div id="templateCalendar" style="display:none;"></div>

