<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<div class="leaveTimeRequestDialog" id="leaveTimeRequestDialog">
    <div class="title titleText">
        <span class="titlePrefix" id="leaveTimeRequestDialog_titlePrefix"></span><span class="userNameTitle" id="leaveTimeRequestDialog_userName"></span>
    </div>
    <div class="leaveTypeSelectorDiv">
        <table cellpadding=0 cellspacing=0 border=0>
            <tr>
                <td class=titleText id="leaveTimeRequestDialog_leaveTypeSelectorTitle">Request</td>
                <td id=leaveTimeRequestDialog_leaveTypeSelector></td>
            </tr>
        </table>
    </div>
    <div class="workdayDurationSection">
        <table class="workdayDurationsTable" cellspacing="0">
            <tr>
                <td class="workdayDurationCell firstDayDurationCell">
                    <div class="note" id="leaveTimeRequestDialog_firstDayCellTitle">Thu, May 05</div>
                </td>
                <td class="workdayDurationCell middleDayDurationCell">
                    <div class="note" id="leaveTimeRequestDialog_middleDayCellTitle">Fri, May 06 - Thu, May 09</div>
                </td>
                <td class="workdayDurationCell lastDayDurationCell">
                    <div class="note" id="leaveTimeRequestDialog_lastDayCellTitle">Fri, May 10</div>
                </td>
            </tr>
            <tr>
                <td class="workdayInputDurationCell firstDayDurationCell" id="leaveTimeRequestDialog_firstDayDurationCell">
                    <table class="dayDurationInputTable">
                        <tr>
                            <td style="width: 67px;">
                                <input type="text" name="firstDayDuration" id="leaveTimeRequestDialog_firstDayDuration" maxlength="6" value="" placeholder="whole day">
                            </td>
                            <td>
                                <div id="leaveTimeRequestDialog_firstDayDurationError" class="inputError"><ap:defImg page="input_error.png" /></div>
                            </td>
                        </tr>
                    </table>
                </td>
                <td class="workdayInputDurationCell middleDayDurationCell"  id="leaveTimeRequestDialog_middleDayDurationCell">
                    <table class="dayDurationInputTable">
                        <tr>
                            <td style="width: 67px;">
                                <input type="text" name="middleDayDuration" id="leaveTimeRequestDialog_middleDayDuration" maxlength="6" value="" placeholder="whole day">
                            </td>
                            <td>
                                <div id="leaveTimeRequestDialog_middleDayDurationError" class="inputError"><ap:defImg page="input_error.png" /></div>
                            </td>
                        </tr>
                    </table>
                </td>
                <td class="workdayInputDurationCell lastDayDurationCell"  id="leaveTimeRequestDialog_lastDayDurationCell">
                    <table class="dayDurationInputTable">
                        <tr>
                            <td style="width: 67px;">
                                <input type="text" name="lastDayDuration" id="leaveTimeRequestDialog_lastDayDuration" maxlength="6" value="" placeholder="whole day">
                            </td>
                            <td>
                                <div id="leaveTimeRequestDialog_lastDayDurationError" class="inputError"><ap:defImg page="input_error.png" /></div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <div class="workdayDurationsNote note"><bean:message key="leave_time_request_dialog.enter_time_note"/></div>
    </div>
    <div class="balanceSection">
        <div class="beforeHireDateText"><span id="leaveTimeRequestDialog_requestBeforeHireDate"><bean:message key="actiplans.leavestable.dialog.before_hire_date"/></span></div>
        <table class="section" cellspacing="0" cellpadding="0" id="">
            <tr class="leaveTimeTotalSection">
                <th id="leaveTimeRequestDialog_leaveTimeTotalSubtitle" class="subtitle"></th>
                <td class="totalSectionDays">
                    <div class="value" id="leaveTimeRequestDialog_leaveTimeTotalDaysDiv"></div>
                </td>
                <td class="totalSectionHours">
                    <div class="value" id="leaveTimeRequestDialog_leaveTimeTotalHoursDiv"></div>
                </td>
            </tr>
            <tr class="balanceData requestBalanceRow">
                <th class="subtitle">
                    <span id="leaveTimeRequestDialog_requestedBalanceTitle"></span>
                    <span class="days"><span class="balanceValue" id="leaveTimeRequestDialog_requestedDaysDiv"></span></span>
                    <div class="hours"></div>
                </th>
            </tr>
            <tr class="balanceData modificationNote">
                <td class="subtitle">
                    <span id="leaveTimeRequestDialog_balanceModificationsNote"></span>
                </td>
            </tr>
            <tr class="balanceData balanceChange balanceChangePadding">
                <th class="subtitle"><span id="leaveTimeRequestDialog_firstDayBalance"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_firstDayBalanceDiv"></div></td>
                <td class="description"><bean:message key="leave_time_request_dialog.before_the_request"/></td>
            </tr>
            <tr class="balanceData balanceChange">
                <th class="subtitle"><span id="leaveTimeRequestDialog_lastDayBalance"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_lastDayBalanceDiv"></div></td>
                <td class="description"><bean:message key="leave_time_request_dialog.after_the_request"/></td>
            </tr>
            <tr class="balanceData modificationsBalance ptoBalanceModifications balanceModificationsPadding">
                <th class="subtitle"><span id="leaveTimeRequestDialog_currentPTOBalance"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_currentPTOBalanceDiv"></div></td>
            </tr>
            <tr class="balanceData modificationsBalance ptoBalanceModifications">
                <th class="subtitle"><span id="leaveTimeRequestDialog_currentPTOBalanceAfter"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_currentPTOBalanceAfterDiv"></div></td>
            </tr>
            <tr class="balanceData modificationsBalance sickBalanceModifications balanceModificationsPadding">
                <th class="subtitle"><span id="leaveTimeRequestDialog_currentSickBalance"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_currentSickBalanceDiv"></div></td>
            </tr>
            <tr class="balanceData modificationsBalance sickBalanceModifications">
                <th class="subtitle"><span id="leaveTimeRequestDialog_currentSickBalanceAfter"></span></th>
                <td class="days"><div id="leaveTimeRequestDialog_currentSickBalanceAfterDiv"></div></td>
            </tr>
        </table>
        <div class="requestNotAffectBalanceText"><span id="leaveTimeRequestDialog_requestNotAffectBalance"></span></div>
        <div class="requestNotAffectCurrentBalanceText"><span id="leaveTimeRequestDialog_requestNotAffectCurrentBalance"></span></div>
    </div>

    <textarea name="userComment" class="leaveRequestUserComment" id="leaveTimeRequestDialog_userComment" cols="1" placeholder="<bean:message key="actiplans.leavestable.leave_time_request.enter_comment"/>"></textarea>

</div>