<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<table id="leaveRequestsTable">
    <thead>
    <tr>
        <%-- Caution when adding/removing columns: be sure to change initialization javascript code accordingly. --%>
        <th></th>
        <th><span class="sortingLink"><bean:message key="my_schedule.page.leave_requests_table.leave_type"/></span> <div class="sortingIndicator"><div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div><div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div></div></th>
        <th><span class="sortingLink"><bean:message key="my_schedule.page.leave_requests_table.period"/></span> <div class="sortingIndicator"><div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div><div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div></div></th>
        <th><bean:message key="my_schedule.page.leave_requests_table.time_requested"/></th>
        <th>
            <div class="balanceColumnHeaderContainer"></div>
            <div class="balanceTypeFilterBlock">
                <select class="balanceTypeFilter"></select>
            </div>
            <span class="balanceBeforeAfterSpan"><bean:message key="my_schedule.page.leave_requests_table.balance_before_after_req"/></span>
        </th>
        <th>
            <span class="sortingLink"><bean:message key="my_schedule.page.leave_requests_table.status"/></span>
            <div class="sortingIndicator"><div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
            </div>
            <div class="pastRequestsFilter">
                <label for="filterPastRequestsCheckbox"><input id="filterPastRequestsCheckbox" type="checkbox"/><bean:message key="actiplans.leave_time_requests.show_past_requests"/></label>
            </div>
        </th>
        <th><bean:message key="my_schedule.page.leave_requests_table.delete"/></th>
        <th><span>Select</span>
            <input class="columnCheckbox" type="checkbox">
        </th>
        <th><%-- invisible user group column --%></th>
    </tr>
    </thead>
</table>
