function CorporateScheduleWidthCalculator( maxVisibleDays )
{
    this._maxVisibleDays = maxVisibleDays;
}


CorporateScheduleWidthCalculator.prototype.getVisibleDaysCount = function ()
{
    return 7/*days in week*/ * Math.max(
            8/*weeks*/,
            Math.floor( Math.min( this._maxVisibleDays, (document.body.clientWidth - 345) / (12/*day cell width*/) ) / 7 )
    );
};

CorporateScheduleWidthCalculator.prototype.getContentWidth = function ()
{
    return 308 + this.getVisibleDaysCount() * (12/*day cell width*/);
};
