function LeaveRequestsUserNameFilter($searchField, onUserNameFilterChanged)
{
    this.delayedQuery = null;

    var self = this;

    var setInputValue = function(newInputValue)
    {
        self.delayedQuery = setTimeout(function() {onUserNameFilterChanged(newInputValue);}, 200);
    };

    this.filterInput = $searchField.searchField(setInputValue);

    this.filterInput.keyup(function(jqueryEvent)
                           {
                               self.checkEscKey(jqueryEvent.keyCode);
                               self.filterInput.updateSearchField();
                           });
}
LeaveRequestsUserNameFilter.prototype =
{
    checkEscKey: function(keyCode)
    {
        if (keyCode == KEY_CODE_ESC)
        {
            this.filterInput.val("");
        }
    },

    setText: function(text)
    {
        this.filterInput.pVal(text);
    },

    abortTimer: function()
    {
        clearTimeout(this.delayedQuery);
    }
};