APReportsPageInfo = {
    LEAVE_TIME_REPORT:
    {
        tab: "leaveTimeReportTab",
        path: "/reports/ltr.do",
        confirm: function()
        {
            var balanceCalculationOn = SystemSettings.apSickBalanceCalculationEnabled || SystemSettings.apPtoBalanceCalculationEnabled;
            return UserRights.LEAVE_TIME_MANAGER || (UserRights.LEAVE_BALANCE_MANAGER && balanceCalculationOn);
        },
        anchor: "/ltr"
    },

    PAST_LEAVES_CALENDAR:
    {
        tab: "pastLeavesCalendarTab",
        path: "/reports/calendar.do",
        confirm: function(){ return !_.isEmpty(APReportsStore.getVisibleUsers()); },
        anchor: "/calendar"
    },

    BALANCE_HISTORY:
    {
        tab: "balanceHistoryTab",
        path: "/reports/history.do",
        confirm: function()
        {
            return SystemSettings.apSickBalanceCalculationEnabled || SystemSettings.apPtoBalanceCalculationEnabled;
        },
        anchor: "/history"
    }
};

APReportsPageUtils = {
    ROUTE_PROP: Router.supportHistoryAPI() ? "path" : "anchor",

    SPINNER_SETTINGS: {
        lines: 12,
        length: 6,
        width: 3,
        radius: 8
    }
};