APReportsPage.BalanceHistoryPage.ConfigPanel = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

APReportsPage.BalanceHistoryPage.ConfigPanel.prototype = _.create(TemplateView.prototype, {
    html: "<table>" +
          "  <tbody>" +
          "    <tr class='reportHeaderFooterTr noprint report'>" +
          "       <% if (APReportsStore.getVisibleUsers().length > 1) { %>" +
          "       <td class='headerFooterCell cellWithBorder'>" +
          "          <div id='balanceHistory_userSelector'>" +
          "            <div class='selectorDescription'><%=view_history_for%></div>" +
          "            <div id='balanceHistory_chooseUserButton' class='chooseUserButton'></div>" +
          "          </div>" +
          "       </td>" +
          "       <% } %>" +
          "       <td class='headerFooterCell cellWithBorder'>" +
          "          <div id='balanceHistory_typeSelector'>" +
          "            <div class='selectorDescription'><%=balances_label%></div>" +
          "            <div id='balanceTypeSelectorPlaceholder'></div>" +
          "          </div>" +
          "       </td>" +
          "       <td class='headerFooterCell cellWithBorder emptyCell'></td>" +
          "       <td class='headerFooterCell export clickableCell cellWithBorder lastCell'></td>" +
          "    </tr>" +
          "  </tbody>" +
          "</table>",

    messageKeys: function()
    {
        return {
            "view_history_for": "actiplans.leaves_management.view_history_for",
            "balances_label": "actiplans.reports.balance_history.show_balance"
        };
    }
});