APReportsPage.ConfigPanel.ExportSelector = function($containerEl, buttonId, processPDF, processCSV)
{
    TemplateView.call(this, $containerEl);
    this.$containerEl = $containerEl;
    this.buttonId = buttonId;
    this.processPDF = processPDF;
    this.processCSV = processCSV;
};

APReportsPage.ConfigPanel.ExportSelector.prototype = _.create(TemplateView.prototype, {
    html: "<div id='<%=buttonId%>' class='exportSelectorButton'>" +
          " <div class='exportButton dropDownIcon'><%-export_button%></div>" +
          "</div>",

    messageKeys: function()
    {
        return {
            "export_button": "report.config.export.title"
        }
    },

    templateModel: function()
    {
        return {buttonId: this.buttonId};
    },

    afterRender: function()
    {
        var self = this;
        this.ExportSelector = new APReportsPage.ConfigPanel.ExportPanel($("body"), this.processPDF, this.processCSV).init();

        this.$containerEl.on("click", function()
        {
            self.onClick($(this))
        });
    },

    onClick: function($clickedEl)
    {
        if (!this.$containerEl.hasClass('disabled'))
            this.ExportSelector.showAt($clickedEl);
    },

    findPDFButton: function()
    {
        return this.ExportSelector.findPDFButton();
    },

    disableExport: function()
    {
        this.$containerEl.toggleClass('disabled', true);
    },

    enableExport: function()
    {
        this.$containerEl.toggleClass('disabled', false);
    }
});