APReportsPage.TabsController = function() {};

APReportsPage.TabsController.prototype = {

    init: function()
    {
        this.tabs = [new APReportsPage.LeaveTimeReportsTab($('#leaveTimeReportTab')).init(),
                     new APReportsPage.PastLeavesCalendarTab($('#pastLeavesCalendarTab')).init(),
                     new APReportsPage.BalanceHistoryTab($('#balanceHistoryTab')).init()];
        var self = this;
        _.each(this.tabs, function(tab)
        {
            tab.bindClick(function() {
                if (APReportsStore.getSelectedTabId() != tab.getTabId())
                {
                    $(document).trigger("apReports.selectedTabChange.click", tab.getTabId());
                }});
        });

        $(APReportsStore).on("selectedTabChange", function(e)
        {
            self._updateTabs();
        });
    },

    _updateTabs: function(selected)
    {
        _.each(this.tabs, function(tab) { tab.update(selected) });
        deleteErrors();
    }
};
