APReportsPage.LeaveTimeBalancesReportPage.ConfigPanel = function($containerEl)
{
    TemplateView.call(this, $containerEl);

};

APReportsPage.LeaveTimeBalancesReportPage.ConfigPanel.prototype = _.create(TemplateView.prototype, {
    html: "<table>" +
          "  <tbody>" +
          "    <tr class='reportHeaderFooterTr noprint report'>" +
          "       <td class='headerFooterCell cellWithBorder'>" +
          "          <div id='leaveTimeDateRangeSelector'></div>" +
          "       </td>" +
          "       <td class='headerFooterCell clickableCell cellWithBorder'>" +
          "          <div id='leaveTimeEditConfigSelector'></div>" +
          "       </td>" +
          "       <td class='headerFooterCell cellWithBorder emptyCell'>" +
          "         <table class='assignedOnly' cellpadding='0' cellspacing='0'><tr>" +
          "             <td><input type='checkbox' id='assignedOnly' ></td>" +
          "             <td><div class='text'><label for='assignedOnly'><%=assignedOnlyLabel%></label></div></td>" +
          "         </tr></table>" +
          "       </td>" +
          "       <td class='headerFooterCell export clickableCell cellWithBorder lastCell'></td>" +
          "    </tr>" +
          "  </tbody>" +
          "</table>" +
          "<div id='incorrectDateTooltip' class='yellowTooltip tooltipText' style='display: none;'>" +
            "     <div id='incorrectDateTooltip_textPlaceholder'/>" +
          "</div>",

    messageKeys: function()
    {
        return {
            "assignedOnlyLabel": "actiplans.reports.leave_time.config.assigned_only"
        }
    },

    afterRender: function()
    {
        this.$asignedOnlyWrap = this.$el.find('.assignedOnly');
        this.$assignedOnly = this.$asignedOnlyWrap.find('#assignedOnly');

        this.$assignedOnly.prop("checked",  APReportsPage.LeaveTimeBalancesReportPage.Store.isShowAssignedOnly());
        this.$asignedOnlyWrap.toggleClass("enabled", APReportsPage.LeaveTimeBalancesReportPage.Store.isShowAssignedOnlyEnabled());

        this.$assignedOnly.change(_.bind(this._onAssignedOnlyChanged, this));
    },

    exportSelectorPlaceHolder: function()
    {
        return this.$containerEl.find('.export');
    },

    _onAssignedOnlyChanged: function()
    {
        $(document).trigger("apReports.leaveTimeBalancesReport.assignedOnly.change", this.$assignedOnly.prop("checked"));
    }
});
