/**
 * Created by evdokimov on 01.12.2016.
 */

APReportsPage.LeaveTimeHistorySelectors = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

APReportsPage.LeaveTimeHistorySelectors.prototype = _.create(TemplateView.prototype, {
    html: '<table>' +
          ' <tbody>' +
          '  <tr class="report noprint reportHeaderFooterTr">' +
          '	  <td id="leaveHistorySelector_userSelector" class="leaveHistorySelector userSelector headerFooterCell cellWithBorder">' +
          '	  	<div class="selectorDescription"><%=view_history_for%></div>' +
          '		<div class="selector centered chooseUserButton" id="leaveHistorySelector_chooseUserButton"></div>' +
          '	  </td>' +
          '	  <td class="leaveHistorySelector monthRangeSelector headerFooterCell clickableCell cellWithBorder">' +
          '		<div class="selectorDescription"><%=date_range%></div>' +
          '		<div class="selector" id="monthYearSelectorButtonPlaceholder">' +
          '         <div class="monthYearSelectorButton"></div>' +
          '     </div>' +
          '	  </td>' +
          '	  <td class="leaveHistorySelector leaveTypesSelector headerFooterCell cellWithBorder">' +
          '		<div class="selectorDescription"><%=leave_types%></div>' +
          '		<div id="leaveTypeFilter" class="selector centered"></div>' +
          '	  </td>' +
          '   <td class="headerFooterCell cellWithBorder emptyCell"></td>' +
          '   <td class="headerFooterCell export clickableCell cellWithBorder lastCell"></td>' +
          '  <tr>' +
          ' </tbody>' +
          '</table>',


    templateKey: "LeaveTimeHistorySelectors",

    messageKeys: function()
    {
        return {
            "view_history_for": "actiplans.leaves_management.view_history_for",
            "date_range": "actiplans.leaves_management.date_range",
            "leave_types": "actiplans.leaves_management.leave_types",
            "toPDF": "report.config.export.to_pdf"
        };
    },

    findExportButtonPlaceHolder: function()
    {
        return this.find('.export');
    }
});