APReportsPage.PastLeavesPage = function($containerEl)
{
    TemplateView.call(this, $containerEl);
    this.selectors = new APReportsPage.LeaveTimeHistorySelectors($("#leaveTimeHistoryHeaderSelectors")).init();
    new APReportsPage.LeaveTimeHistoryCalendarTemplate($("#templateCalendar")).init();
    new APReportsPage.LeaveTypesTemplate($("#leaveTypesTemplateTable")).init();
};

APReportsPage.PastLeavesPage.prototype = _.create(APReportsPage.SubPage.prototype, {
    html: "<div id='pastLeavesCalendarContainer'></div>",
    pageTabId: APReportsPageInfo.PAST_LEAVES_CALENDAR["tab"],
    
    afterRender: function()
    {
        var printableHeader = new APReportsPage.PastLeavesPage.PrintableHeader($("#leaveTimeHistoryHeader").find(".printOnly")).init();
        
        var moire = new LoadingMoire($(".leaveTimeHistoryBody"), APReportsPageUtils.SPINNER_SETTINGS).init();

        $(document).on("apReports.leaveTimeHistory.dataUpdated", function() {moire.hide();printableHeader.onDataUpdate();});
        $(document).on("apReports.leaveTimeHistory.updateData", function() {moire.show()});
    },

    findExportButtonPlaceHolder: function()
    {
        return this.selectors.findExportButtonPlaceHolder();
    }
});