<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>

<%
    // show screen with load demo data if data not loaded
    boolean isDemoDataNotLoaded =
            request.getAttribute(Keys.IS_DEMO_DATA_NOT_LOADED) != null && (Boolean) request.getAttribute(Keys.IS_DEMO_DATA_NOT_LOADED);
    boolean isUserDidNotSeenWelcomeScreen =
            session.getAttribute(Keys.IS_USER_SEEN_WELCOME_SCREEN) == null || !(Boolean) session.getAttribute(Keys.IS_USER_SEEN_WELCOME_SCREEN);
    boolean isFirstScreenAfterLogin =
            session.getAttribute(Keys.IS_FIRST_PAGE_AFTER_LOGIN) != null;
    session.removeAttribute(Keys.IS_FIRST_PAGE_AFTER_LOGIN); // clear after first read
%>

<%if(isDemoDataNotLoaded || isUserDidNotSeenWelcomeScreen) {%>
<at:script page="/js/support/WelcomeScreen.js"/>
<at:script page="/actiplans/js/support/APWelcomeScreen.js"/>
<script type="text/javascript">
    var welcomeScreen = new APWelcomeScreen(
            "<html:rewrite page="/user/my_schedule.do"/>",
            <%=isDemoDataNotLoaded%>
    );

    // Actually show welcome screen only for demo data loading. Otherwise, use its functionality to remember seen state and enable tips.
    // This will be changed to normal implementation later when actiPLANS will have welcome screen like in actiTIME (shown for every new user).
    <%if (isDemoDataNotLoaded) {%>
    welcomeScreen.start();
    <%} else {%>
    welcomeScreen.rememberUserSeenWelcomeScreen();
    welcomeScreen.enableTips(false);
    <%}%>
</script>
<%} else if(isFirstScreenAfterLogin){%>
<div id="preInsertedTransformedMoireId" class="transformedMoireClass"></div>
<script type="text/javascript">
    $(document).on("ready", function()
    {
        TransformedScreenMoire.hide("600ms", "ease-in-out", "preInsertedTransformedMoireId");
    });
</script>
<%}%>