<%@ page import="com.actimind.actitime.beans.UserBean,
                 com.actimind.actitime.util.StringUtils,
                 java.io.IOException,
                 java.util.List"%>

<%!

    private static void printMainApUserProps( JspWriter out, UserBean user ) throws IOException
    {
        out.print( user.getId() );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getFirstName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getLastName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getMiddleName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getUsername() ) );
        out.print( ", " );
        out.print( user.isActiveInAP() );
        out.print( ", " );
        out.print( user.hasEmail() ? "true" : "false" );
        out.print( ", " );
        out.print( user.getUserGroupId() );
        out.print( ", " );
        out.print( user.getTimeZoneGroupId() );
    }

    public static void printUserBeanAsJSObject( JspWriter out, UserBean user ) throws IOException
    {
        out.print( "new User(" );
        printMainApUserProps( out, user );
        out.print( ")" );
    }

    public static void printUserBeanListForApAsJsArray( JspWriter out, List<UserBean> users, String arrayName ) throws IOException
    {
        out.print( "var " );
        out.print( arrayName );
        out.println( " = []; ");

        for( UserBean user: users )
        {
            out.print( arrayName );
            out.print( ".push(" );
            out.print( "new User(" );
            printMainApUserProps( out, user );
            out.print( ")" );
            out.println( ");" );
        }
    }

%>