<%@ page import="com.actimind.actitime.util.SessionErrors" %>
<%@ page import="com.actimind.actitime.beans.UserBean" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.filteredMessage" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%@ page errorPage="/error.jsp" %>
<%
    boolean hasSessionErrors = SessionErrors.hasMessages( session ) || SessionErrors.hasErrors( session );
    UserBean user = (UserBean) request.getAttribute(Keys.USER_KEY);
    String userFirstName = null;
    if (user != null)
        userFirstName = user.getFirstName();
%>
<bean:define id="productName" name="<%= Keys.PRODUCT_CONFIG %>" property="productName" type="java.lang.String"/>
<table border="0" cellspacing="0" class="mainArea">
    <tr>
        <td id="headerContainer" class="header"><bean:message key="activation_page.welcome_to_your_account" arg0="<%=productName%>"/></td>
    </tr>
    <tr>
        <td id="tooltipContainer">
            <div class="plainTextTooltip"><%=filteredMessage(request, "activation_page.hello", userFirstName)%></div>
            <div class="plainTextTooltip"><bean:message key="activation_page.activation_form_info" arg0="<%=productName%>"/></div>
        </td>
    </tr>
    <tr>
        <td class="errorMessagesArea" id="errorMessagesArea" style="<%=!hasSessionErrors ? "display:none" : ""%>">
            <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                    <td>
                        <table>
                            <tr>
                                <td id="errorContainer">
                                    <span class="errormsg" id="errorSpan">
                                        <% if( hasSessionErrors ) {%>
                                            <%@ include file="/messages.jsp"%>
                                        <% } %>
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table id="activationFormContainer" cellpadding="0" cellspacing="0" border="0">
                <html:form action="activate" method="post" styleId="activationForm" style="height: 100%">
                    <input type="hidden" name="submitted" value="1" />
                    <html:hidden property="activationToken" />
                    <tr>
                        <td class="textFieldsArea" colspan="2">
                            <table class="textFieldsTable" cellpadding="3" cellspacing="0" border="0">
                                <tr>
                                    <td><input type="password" maxlength="32" name="newPwd" id="newPwd" class="textField newPwd"
                                            /><html:hidden property="newPassword" styleId="newPassword"/></td>
                                </tr>
                                <tr>
                                    <td><input type="password" maxlength="32" name="newPwdConfirm" id="newPwdConfirm" class="textField newPwdConfirm"
                                            /></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="activationButtonContainer"><a id="activationButton" class="initial button blueButton" href="javascript:void(0);"><div><bean:message key="activation_page.button.label"/></div></a></td>
                        <td class="activationInProgressCell"><div id="activationInProgressText" class="inProgressText"><bean:message key="activation_page.processing_request"/></div></td>
                    </tr>
                </html:form>
            </table>
        </td>
    </tr>
</table>