<!doctype html>
<%@ page import="com.actimind.actitime.Navigator" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.filteredMessage" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.jsMessage" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page errorPage="/error.jsp" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<bean:define id="form" name="BillingTypeModifyForm" type="com.actimind.actitime.administration.BillingTypeModifyForm"/>

<html>
<head>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="billing_type.add.title"/></title>

    <%@include file="../css/scheme_styles.jsp"%>
    <jsp:include page="/include_scripts.jsp"/>
    <script language="JavaScript">
        var fieldErrors = {};

        function onLoad()
        {
            init();

            confirmDlg = new ConfirmExitDlg(400, messageResource.getMessage("billing_type.add.creation_not_finished_warning"),
                    messageResource.getMessage("billing_type.add.cancel_creation_confirm"),
                    "",
                    messageResource.getMessage("billing_type.add.cancel_creation_and_proceed_button"),
                    messageResource.getMessage("common.buttons.remain_on_page"));

            registerChangeable();

            markServerErrors();

            ExitConfirmation.setUpBaseExitConfirmation( "billing_type.add.exit_confirmation", false );
            addListener(document.getElementById('billingTypeAddForm'), "submit", ExitConfirmation.disableConfirmationOnUnloadPage);
        }
    </script>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" onload="onLoad()" class="with-navigation">
<div id="container">
<jsp:include page="/top.jsp" flush="false">
    <jsp:param name="menuSelected" value="<%=Navigator.NO_SELECTION_KEY%>"/>
</jsp:include>
    <table cellpadding="0" cellspacing="0" border="0" width="800" align="center">
        <tr>
            <td align="center" class="mainContentPadding rightPadding">
<table class="leftAligned" cellspacing="0" cellpadding="5" valign="top" border="0"  width="800">
    <tr>
        <td class="pagetitle">
            <bean:message key="billing_type.add.title"/>
        </td>
    </tr>
    <tr>
        <td class="pagetitle" height="10px">
            <div id="ClientSideErrorMessage" style="display:none; padding-top:8px;">
                <bean:define id="details" value="saving modifications" toScope="request"/>
                <jsp:include page="/client_side_errors_message.jsp" flush="false"/>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <bean:define id="type_form" name="form" toScope="request"/>
            <jsp:include page="/administration/billing_type_form.jsp">
                <jsp:param name="action" value="/administration/btadd.do"/>
                <jsp:param name="formId" value="billingTypeAddForm"/>
                <jsp:param name="mainSectionTitle" value='<%=filteredMessage(request, "billing_type.add.title")%>'/>
                <jsp:param name="submitButtonCaption" value='<%=filteredMessage( request, "billing_type.add.submit_button_caption")%>'/>
                <jsp:param name="cancelConfirmMsg" value='<%=jsMessage( request, "billing_type.add.cancel_button_confirm")%>'/>
                <jsp:param name="highlightModificationsDetected" value="false"/>
            </jsp:include>
        </td>
    </tr>
</table>
            </td>
        </tr>
    </table>
</div>

<p>&nbsp;</p>
</body>
</html>