<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<% boolean isPROVersion = FeaturesUtil.isAvailable(Feature.CLT); %>

<div id="featureDescriptionTemplates" style="display: none;">

    <%--Working Time Entry for Future Dates--%>

    <div id="FEATURE_TTF_description" class="feature-description-content">
        <p><bean:message key="features.description.TTF.part1"/></p>
        <at:defImg page="settings/features/te-1.png" align="center"/>
        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.TTF.part2"/></p>
        <at:defImg page="settings/features/te-2.png" align="center"/>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s1'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>
    </div>


    <%--Leave Time Tracking--%>

    <div id="FEATURE_LVT_description" class="feature-description-content">
        <p><bean:message key="features.description.LVT.part1"/></p>
        <at:defImg page="settings/features/ltt-1.png" align="center"/>
        <% if ( isPROVersion ) { %>
            <p><bean:message key="features.description.LVT.part2"/></p>
            <at:defImg page="settings/features/ltt-2.png" align="center"/>
            <p><bean:message key="features.description.LVT.part3"/></p>
            <bean:message key="features.description.LVT.part4"/>
        <% } else { %>
            <p><bean:message key="features.description.LVT.part3_basic"/></p>
            <bean:message key="features.description.LVT.part4_basic"/>
        <% } %>
        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.LVT.part5"/></p>
        <at:defImg page="settings/features/ltt-3.png" align="center"/>
        <% if ( isPROVersion ) { %>
            <p><bean:message key="features.description.LVT.part6"/></p>
        <% } %>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s2'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>
    </div>


    <%--PTO Balance Calculations--%>

    <div id="FEATURE_PTO_description" class="feature-description-content">
        <p><bean:message key="features.description.PTO.part1"/></p>
        <at:defImg page="settings/features/pto-1.png" align="center"/>
        <p><bean:message key="features.description.PTO.part2"/></p>
        <at:defImg page="settings/features/pto-2.png" align="center"/>
        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.PTO.part3"/></p>
        <p><bean:message key="features.description.PTO.part4"/></p>
        <div class="warning"><bean:message key="features.description.PTO.part5"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s11'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>
    </div>

    <%--Sick Days Balance Calculations--%>

    <div id="FEATURE_SDB_description" class="feature-description-content">
        <p><bean:message key="features.description.SDB.part1"/></p>
        <at:defImg page="settings/features/sdb-1.png" align="center"/>
        <p><bean:message key="features.description.SDB.part2"/></p>
        <at:defImg page="settings/features/sdb-2.png" align="center"/>
        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.SDB.part3"/></p>
        <p><bean:message key="features.description.SDB.part4"/></p>
        <div class="warning"><bean:message key="features.description.SDB.part5"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s13'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>
    </div>


    <%--Overtime Registration--%>

    <div id="FEATURE_OVR_description" class="feature-description-content">
        <p><bean:message key="features.description.OVR.part1"/></p>
        <at:defImg page="settings/features/ot-1.png" align="center"/>

        <p><bean:message key="features.description.OVR.part2"/></p>
        <at:defImg page="settings/features/ot-2.png" align="center"/>

        <p>
        <% if ( isPROVersion ) { %>
            <bean:message key="features.description.OVR.part3"/>
        <% } else { %>
            <bean:message key="features.description.OVR.part3_basic"/>
        <% } %></p>
        <at:defImg page="settings/features/ot-3.png" align="center"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <p><bean:message key="features.description.OVR.part4"/></p>
        <at:defImg page="settings/features/ot-4.png" align="center"/>

        <% if ( isPROVersion ) { %>
            <p><bean:message key="features.description.OVR.part5"/></p>
        <% } %>

        <p><bean:message key="features.description.OVR.part6"/></p>
        <div class="warning"><bean:message key="features.description.OVR.part7"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s3'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>

    </div>

    <%--Time-track approval--%>

    <div  id="FEATURE_TTA_description" class="feature-description-content">
        <p><bean:message key="features.description.TTA.part1"/></p>
        <p><bean:message key="features.description.TTA.part2"/></p>
        <bean:message key="features.description.TTA.part3"/>
        <at:defImg page="settings/features/tta-1.png" align="center"/>
        <p><bean:message key="features.description.TTA.part4"/></p>
        <at:defImg page="settings/features/tta-2.png" align="center"/>
        <p><bean:message key="features.description.TTA.part5"/></p>
        <at:defImg page="settings/features/tta-3.png" align="center"/>
        <p><bean:message key="features.description.TTA.part6"/></p>
        <at:defImg page="settings/features/tta-4.png" align="center"/>
        <p><bean:message key="features.description.TTA.part7"/></p>
        <bean:message key="features.description.TTA.part8"/>
        <at:defImg page="settings/features/tta-5.png" align="center"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.TTA.part9"/></p>
        <p><bean:message key="features.description.TTA.part10"/></p>

        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s12'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>

    </div>


    <%--User Groups--%>

    <div  id="FEATURE_UGR_description" class="feature-description-content">
        <p><bean:message key="features.description.UGR.part1"/></p>
        <at:defImg page="settings/features/ug-1.png" align="center"/>

        <p><bean:message key="features.description.UGR.part2"/></p>
        <bean:message key="features.description.UGR.part3"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <p><bean:message key="features.description.UGR.part4"/></p>

        <div class="warning"><bean:message key="features.description.UGR.part5"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s5'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>

    </div>

    <%--Time Zone Groups--%>

        <div id="FEATURE_TZG_description" class="feature-description-content">
            <p><bean:message key="features.description.TZG.part1"/><br>
                <bean:message key="features.description.TZG.part2"/></p>
            <at:defImg page="settings/features/tzg.png" align="center"/>
            <p><bean:message key="features.description.TZG.part3"/></p>
            <bean:message key="features.description.TZG.part4"/>

            <div class="off"><bean:message key="features.description.when_turned_off"/></div>

            <p><bean:message key="features.description.TZG.part5"/></p>
            <div class="warning"><bean:message key="features.description.TZG.part6"/></div>
            <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s14'); return false;"><bean:message
                    key="features.description.check_user_guide"/></a></p>

        </div>




    <%--Task Estimates --%>

    <div id="FEATURE_EST_description" class="feature-description-content">
        <p><bean:message key="features.description.EST.part1"/></p>
        <at:defImg page="settings/features/test-1.png" align="center"/>
        <at:defImg page="settings/features/test-2.png" align="center"/>

        <div class="warning"><bean:message key="features.description.EST.part2"/></div><br/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <p><bean:message key="features.description.EST.part3"/></p>

        <p><bean:message key="features.description.EST.part4"/></p>

        <div class="warning"><bean:message key="features.description.EST.part5"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s6'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>

    </div>


    <%--Project Assignments --%>

    <div id="FEATURE_PAS_description" class="feature-description-content">
        <p><bean:message key="features.description.PAS.part1"/></p>
        <p><bean:message key="features.description.PAS.part2"/></p>
        <at:defImg page="settings/features/pa-1.png" align="center"/>
        <at:defImg page="settings/features/pa-2.png" align="center"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <p><bean:message key="features.description.PAS.part3"/></p>
        <p><bean:message key="features.description.PAS.part4"/></p>

        <div class="warning"><bean:message key="features.description.PAS.part5"/></div>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s7'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>

    </div>

    <%--User Rates & Cost of Work Report --%>

    <div id="FEATURE_URA_description" class="feature-description-content">

        <p><bean:message key="features.description.URA.part1"/></p>
        <at:defImg page="settings/features/rate-1.png" align="center"/>
        <p><bean:message key="features.description.URA.part2"/></p>
        <at:defImg page="settings/features/rate-2.png" align="center"/>
        <p><bean:message key="features.description.URA.part3"/></p>
        <at:defImg page="settings/features/rate-3.png" align="center"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <p><bean:message key="features.description.URA.part4"/></p>
        <p><bean:message key="features.description.URA.part5"/></p>
        <bean:message key="features.description.URA.part6"/>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s8'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>


    </div>

    <%--Types of Work --%>

    <div id="FEATURE_BTY_description" class="feature-description-content">
        <p><bean:message key="features.description.BTY.part1"/></p>
        <% if ( isPROVersion ) { %>
            <at:defImg page="settings/features/bt-3.png" align="center"/>
        <% } else { %>
            <at:defImg page="settings/features/bt-3-basic.png" align="center"/>
        <% } %>
        <p><bean:message key="features.description.BTY.part2"/></p>
        <at:defImg page="settings/features/bt-2.png" align="center"/>

        <% if ( isPROVersion ) { %>
            <p><bean:message key="features.description.BTY.part3"/></p>
            <bean:message key="features.description.BTY.part4"/>
        <% } else { %>
            <p><bean:message key="features.description.BTY.part3_basic"/></p>
        <% } %>

        <p><bean:message key="features.description.BTY.part5"/></p>
        <% if ( isPROVersion ) { %>
            <at:defImg page="settings/features/bt-1.png" align="center"/>
        <% } else { %>
            <at:defImg page="settings/features/bt-basic.png" align="center"/>
        <% } %>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>

        <% if ( isPROVersion ) { %>
            <p><bean:message key="features.description.BTY.part6"/></p>
            <bean:message key="features.description.BTY.part7"/>
            <p><bean:message key="features.description.BTY.part8"/></p>
        <% } else { %>
            <p><bean:message key="features.description.BTY.part6_basic"/></p>
        <% } %>

        <p><bean:message key="features.description.BTY.part9"/></p>
        <p><bean:message key="features.description.BTY.part10"/></p>

        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s9'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>


    </div>


    <%--Hourly Billing Rates, Invoices & P/L Report --%>

    <div id="FEATURE_BRA_description" class="feature-description-content">

        <p><bean:message key="features.description.BRA.part1"/></p>
        <at:defImg page="settings/features/bt-1.png" align="center"/>
        <at:defImg page="settings/features/br-2.png" align="center"/>
        <p><bean:message key="features.description.BRA.part2"/></p>
        <at:defImg page="settings/features/inv-2.png" align="center"/>
        <p><bean:message key="features.description.BRA.part3"/></p>
        <at:defImg page="settings/features/br-1.png" align="center"/>

        <div class="off"><bean:message key="features.description.when_turned_off"/></div>
        <p><bean:message key="features.description.BRA.part4"/></p>
        <p><bean:message key="features.description.BRA.part5"/></p>
        <p><bean:message key="features.description.BRA.part6"/></p>
        <bean:message key="features.description.BRA.part7"/>
        <p><a class="userGuideLink" onclick="MenuHandler.openUserGuidePage('sa_features.html#s10'); return false;"><bean:message key="features.description.check_user_guide"/></a></p>


    </div>

</div>