<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>

<%
    String id = request.getParameter("id");
%>


<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeLeaveTypeLightBoxBtn" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder" class="pageTitleWithSharedSettingsImage"></span>
                <span id="<%=id%>_leaveTypeNamePlaceholder" class="pageTitleWithSharedSettingsImage"> </span>
                <span class="sharedSettingsImage" title='<bean:message key="general_settings.shared_settings"/>'></span>
            </div>
        </td>
    </tr>
</table>

<div class="innerContent">

    <table id="<%=id%>_leaveTypeInfoTable" cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <table class="mainLeaveTypeInfo" cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="nameCell">
                            <input type="text" id="<%=id%>_nameField"  class="inputFieldWithPlaceholder" placeholder="Leave Type Name" maxlength="80" autocomplete="off" tabindex="20">
                            <div id="<%=id%>_nameEmptyError" class="inlineErrorMessage leftInlineErrorMessage"><bean:message key="leave_type.error.name_required"/></div>
                            <div id="<%=id%>_nameDuplicateError" class="inlineErrorMessage leftInlineErrorMessage"><bean:message key="leave_type.edit.error.name_duplicate"/></div>
                        </td>
                        <td class="leaveIconSelectorCell"><span id="<%=id%>_iconSelectorPlaceholder"></span></td>
                        <td class="statusLabelCell">Status:&nbsp;</td>
                        <td class="statusSelectorCell">
                            <span id="<%=id%>_statusSelectorPlaceholder"></span>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div class="leaveRequestSection leaveRequestDiv">
                    <table>
                        <tr>
                            <td><input type="checkbox" id="<%=id%>_requireApproval"  tabindex="21"/></td>
                            <td><label for="<%=id%>_requireApproval"><bean:message key="leave_type.edit.require_approval.checkbox_label"/></label></td>
                        </tr>
                    </table>
                </div>
                <div class="userRatesSection userRatesDiv">
                    <bean:message key="leave_type.edit.rate_coefficient.left_caption"/>&nbsp;
                    <input type="text" id="<%=id%>_rateCoefficient" tabindex="22"/>&nbsp;
                    <bean:message key="leave_type.edit.rate_coefficient.right_caption"/>
                    <div id="<%=id%>_rateCoeffInvalidError" class="inlineErrorMessage leftInlineErrorMessage"></div>
                    <div id="<%=id%>_rateCoeffEmptyError" class="inlineErrorMessage leftInlineErrorMessage"><bean:message key="leave_type.error.rate_coefficient_required"/></div>
                </div>

                <div class="balancesEditPanelSection">
                    <jsp:include page="leave_type_balances_edit_panel.jsp">
                        <jsp:param name="suffix" value="createPopup"/>
                    </jsp:include>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="footerDelimiter"></div>
            </td>
        </tr>
    </table>
</div>

<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0>
        <tr>
            <td class="errorMessageBox">
                <div>
                    <at:img page="error.gif"/>
                    <span class="errormsg"><bean:message key="leave_type.edit.correct_errors"/></span>
                </div>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"><bean:message key="leave_type.edit.not_saved"/></span>
                <span class="savingMsg"><bean:message key="leave_type.edit.saving"/></span>
                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn"><div class="buttonIcon"><span class="buttonTitle"></span></div></div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="leave_type.edit.cancel_button"/></div>
            </td>
        </tr>
    </table>
</div>