<%@ page import="com.actimind.actitime.*" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="com.actimind.common.licensing.LicenseKeyUtils" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.licensing.License" %>
<%@ page import="org.apache.struts.util.ResponseUtils" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<bean:define id="lic" name="lic" type="com.actimind.common.licensing.LicenseInfo" scope="request"/>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>
<%!
    private String calcLicensedTo( License lic )
    {
        StringBuilder sb = new StringBuilder();
        if( lic.getCompanyName() != null && lic.getCompanyName().length() > 0 )
        {
            sb.append( "<span class=\"companyName\">" );
            sb.append( ResponseUtils.filter( lic.getCompanyName() ) );
            sb.append( "</span>" );
        }
        if( lic.getFormattedName() != null && lic.getFormattedName().length() > 0 )
        {
            if( sb.length() > 0 )
                sb.append( ", " );
            sb.append( "<span class=\"formattedName\">" );
            sb.append( ResponseUtils.filter( lic.getFormattedName() ) );
            sb.append( "</span>" );
        }
        if( lic.getEmail() != null && lic.getEmail().length() > 0 )
        {
            if( sb.length() > 0 )
                sb.append(", ");
            sb.append( "<span class=\"email\">" );
            sb.append( ResponseUtils.filter( lic.getEmail() ) );
            sb.append( "</span>" );
        }
        return sb.toString();
    }
%>

<table class="licensePaneBorder <%=request.getParameter( "styleClass" )%>" cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td class="topLeftBorderImage"></td>
        <td class="topBorderImage"></td>
        <td class="topRightBorderImage"></td>
    </tr>
    <tr>
        <td class="leftBorderImage"></td>
        <td class="innerContent">
            <table cellpadding="0" cellspacing="0" border="0"
                   class="licensePane <%=request.getParameter( "styleClass" )%>" width="100%">
                <tr>
                    <td class="main_header"><bean:write name="header_text"/>
                        <logic:equal name="lic" property="lic.trial" value="true"><bean:message
                                key="licensing.manage.trial_suffix"/></logic:equal>
                    </td>
                    <td class="header" align="right">
                        <bean:write name="header" filter="false"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="mainContent">

                        <table cellspacing="0" cellpadding="0" border="0" width="684px" class="license_fields">
                            <% if( lic.getLic().getProduct() != Product.actiPLANS )  {%>
                            <tr>
                                <td class="field_name">
                                    <nobr><bean:message key="licensing.manage.field_title.product_edition"/></nobr>
                                </td>
                                <td class="field_value"><b><%
                                    if (ATGlobals.isOl() )
                                    {
                                        %><bean:message key="licensing.manage.online_edition_name"/><%
                                    }
                                    else if( lic.isCompatible() )
                                    {
                                        out.print( LicenseKeyUtils.getFullActualVersionStr( request, ATGlobals.isOl() ) );
                                    }
                                    else
                                    {
                                        %><%=Product.actiTIME.toString()%> <bean:write name="lic" property="lic.version"/> <bean:write name="lic" property="lic.editionName"/><%

                                    }%></b>
                                </td>
                                <td class="field_button">
                                    <% if( !ATGlobals.isOl() && lic.isActive() && "true".equals( request.getParameter( "showUpgradeLink" )) ) { %>
                                    <jsp:include page="upgrade_link.jsp">
                                        <jsp:param name="titleKey" value="licensing.manage.buttons.purchase_upgrade"/>
                                        <jsp:param name="userCountUpgrade" value="0"/>
                                        <jsp:param name="isButton" value="true"/>
                                    </jsp:include>
                                    <% } %>
                                </td>
                            </tr>
                            <% } %>
                            <tr class='licensedUsers<%=lic.isShowUsersCountWarning()? " showUsersCountWarning" : ""%>'>
                                <td class="field_name">
                                    <nobr><bean:message key="licensing.manage.field_title.licensed_users"/></nobr>
                                </td>
                                <td class="field_value">
                                    <b>
                                    <logic:equal name="lic" property="lic.unlimitedActiveUsersNumber" value="true"><bean:message
                                            key="licensing.manage.unlimited_users"/></logic:equal>
                                    <logic:equal name="lic" property="lic.unlimitedActiveUsersNumber" value="false">
                                        <bean:message key="licensing.manage.limited_users"
                                                      arg0="<%=String.valueOf( lic.getLic().getAllowedActiveUsersNumber() )%>"/>
                                        (<bean:message key="licensing.manage.active_users"
                                                        arg0="<%=String.valueOf( lic.getActiveUsersCount() )%>"/>)
                                    </logic:equal>
                                    </b>
                                </td>
                                <td class="field_button">
                                    <% if( !lic.getLic().isUnlimitedActiveUsersNumber() && "true".equals( request.getParameter( "showUpgradeLink" )) ) { %>
                                    <jsp:include page="upgrade_link.jsp">
                                        <jsp:param name="titleKey" value='<%="licensing.manage.buttons.add_user_accounts"%>'/>
                                        <jsp:param name="userCountUpgrade" value="1"/>
                                        <jsp:param name="isButton" value="true"/>
                                    </jsp:include>
                                    <% } %>
                                </td>
                            </tr>
                            <logic:equal name="lic" property="showUsersCountWarning" value="true">
                                <tr>
                                    <td></td>
                                    <td colspan="2" class="usersCountWarning">
                                        <jsp:include page="renewal_warning.jsp"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="borderOnly" colspan="2"></td>
                                    <td></td>
                                </tr>
                            </logic:equal>
                            <% if( lic.getLic().getStartDate() != null || lic.getLic().getLastValidDate() != null )
                            { %>
                            <tr>
                                <td class="field_name">
                                    <nobr><bean:message key="licensing.manage.field_title.validity_period"/></nobr>
                                </td>
                                <td class="field_value">
                                    <b>
                                    <logic:notEmpty name="lic" property="lic.startDate">
                                        <logic:notEmpty name="lic" property="lic.lastValidDate">
                                            <bean:message
                                                    key="licensing.manage.validity.from_to"
                                                    arg0="<%=TimeUtils.formatDate( lic.getLic().getStartDate(), settings.getDateFormat() )%>"
                                                    arg1="<%=TimeUtils.formatDate( lic.getLic().getLastValidDate(), settings.getDateFormat() )%>"
                                                    />
                                        </logic:notEmpty>
                                        <logic:empty name="lic" property="lic.lastValidDate">
                                            <bean:message
                                                    key="licensing.manage.validity.from"
                                                    arg0="<%=TimeUtils.formatDate( lic.getLic().getStartDate(), settings.getDateFormat() )%>"
                                                    />
                                        </logic:empty>
                                    </logic:notEmpty>
                                    <logic:empty name="lic" property="lic.startDate">
                                        <bean:message
                                                key="licensing.manage.validity.to"
                                                arg0="<%=TimeUtils.formatDate( lic.getLic().getLastValidDate(), settings.getDateFormat() )%>"
                                                />
                                    </logic:empty>
                                    </b>
                                    <% if( lic.getLic().isStarted() && !lic.getLic().isExpired() && lic.getLic().getExpirationDate() != null )
                                    { %>
                                        (<bean:message
                                            key="licensing.manage.validity.duration.days_left"
                                            arg0="<%=String.valueOf( lic.getLic().getDaysToExpiration() )%>"
                                            arg1='<%= (lic.getLic().getDaysToExpiration() > 1)? "s" : "" %>'
                                        />)
                                    <% }
                                    else if( lic.getLic().getStartDate() != null && lic.getLic().getExpirationDate() != null )
                                    { %>
                                        (<bean:message
                                            key="licensing.manage.validity.duration.days"
                                            arg0="<%=String.valueOf( lic.getLic().getDurationInDays() )%>"
                                            arg1='<%=lic.getLic().getDurationInDays() > 1? "s" : "" %>'
                                        />)
                                    <% } %>
                                </td>
                                <td class="field_button">
                                    <% if( "true".equals( request.getParameter( "showExtendLink" ) ) ) {
                                        if( lic.getLic().isTrial() ) { %>
                                            <bean:define id="linkContent" toScope="request">
                                                <bean:message key="licensing.manage.buttons.buy_license"/>
                                            </bean:define>
                                            <jsp:include page="purchase_link.jsp">
                                                <jsp:param name="id" value="buy"/>
                                                <jsp:param name="isButton" value="true"/>
                                            </jsp:include>
                                        <% } else { %>
                                            <jsp:include page="upgrade_link.jsp">
                                                <jsp:param name="titleKey" value='<%="licensing.manage.buttons.extend_license"%>'/>
                                                <jsp:param name="userCountUpgrade" value="0"/>
                                                <jsp:param name="isButton" value="true"/>
                                            </jsp:include>
                                        <% }
                                    } %>
                                </td>
                            </tr>
                            <% } %>
                            <% if( ! lic.getLic().isTrial() && !ATGlobals.isDemoMode() ) { %>
                            <tr>
                                <td class="field_name">
                                    <nobr><bean:message key="licensing.manage.field_title.issue_date"/></nobr>
                                </td>
                                <td class="field_value"><%=TimeUtils.formatDate( lic.getLic().getIssueDate(), settings.getDateFormat() )%>
                                </td>
                                <td class="field_button"></td>
                            </tr>
                            <% } %>
                            <%
                                String licensedTo = calcLicensedTo( lic.getLic() );
                                if( licensedTo.length() > 0 ) {
                            %>
                            <tr>
                                <td class="field_name">
                                    <nobr><bean:message key="licensing.manage.field_title.licensed_to"/></nobr>
                                </td>
                                <td class="field_value licensed_to">
                                    <div class="licensed_to_container">
                                        <%=licensedTo%>
                                    </div>
                                </td>
                                <td class="field_button"></td>
                            </tr>
                            <% } else { %>
                            <tr>
                                <td colspan="3" class="hidden_licensed_to"></td>
                            </tr>
                            <% } %>
                        </table>

                    </td>
                </tr>
            </table>
        </td>
        <td class="rightBorderImage"></td>
    </tr>
    <tr>
        <td class="bottomLeftBorderImage"></td>
        <td class="bottomBorderImage"></td>
        <td class="bottomRightBorderImage"></td>
    </tr>
</table>