<!doctype html>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%@ page import="com.actimind.actitime.util.SessionErrors" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.common.licensing.LicenseKeyUtils"%>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.actitime.Keys" %>
<bean:define id="WelcomeLicenseForm"  name="WelcomeLicenseForm" type="com.actimind.common.licensing.LicenseForm"/>
<bean:define id="product" name="<%= Keys.PRODUCT %>" type="com.actimind.common.Product"/>
<html><% boolean isOl = ATGlobals.isOl(); %>
<head>
    <%@include file="/css/scheme_styles.jsp"%>
    <jsp:include page="/include_scripts.jsp"/>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="licensing.welcome.title"/></title>
    <META NAME="keywords" CONTENT="actitimever<%=LicenseKeyUtils.getFullActualVersionStr( request, isOl )%>">
    <META HTTP-EQUIV="keywords" CONTENT="actitimever<%=LicenseKeyUtils.getFullActualVersionStr( request, isOl )%>">
    <META NAME="description" CONTENT="actiTIME_software_v<%=LicenseKeyUtils.getFullActualVersionStr( request, isOl )%>">
    <meta name="robots" content="noindex,nofollow"/>

    <jsp:include page="license_area_controller.jsp"/>

    <at:script page='/js/spin.min.js'/>

    <script>
        var licenseAreaController = null;
        function initLicenseAreaController()
        {
            licenseAreaController = new LicenseAreaController();
            licenseAreaController.init("keyArea");
            var keyArea = licenseAreaController.getElement();
            var keyAreaWrapper = $("#keyAreaWrapper");

            keyArea.blur(); // ie8: reload page after selection

            keyArea.onfocus = function()
            {
                keyAreaWrapper.addClass("focusStyle");
            };

            keyArea.onblur = function()
            {
                keyAreaWrapper.removeClass("focusStyle");
            };

        }

        var images = ['<at:defImgpath page="license/apply_button_h_bg.png"/>',
                      '<at:defImgpath page="license/apply_button_bg.png"/>'];
        new ImagePreloader(images);

        var moireHelper = new MoireHelper();
    </script>

    <style type="text/css">
        body
        {
            background: none !important;
        }
        html
        {
            height: 100%;
        }
    </style>
</head>
<body topmargin="0" leftmargin="0" marginheight="0"
      marginwidth="0" onload="initLicenseAreaController();" class="license">

<div id="moireDiv" style="display: none;"><at:img styleId="muar" page="dialogs/exitconfirm/shade.png"/></div>

<jsp:include page="/loading_popup.jsp">
    <jsp:param name="id" value='contentLoadingPopup'/>
</jsp:include>

<div id="popupContentLoadingPlaceholder"></div>

<table width="100%" height="100%">
    <tr>
        <td valign="middle" align="center">
            <at:roundedbox styleClass="roundedFormSection">
                <table cellpadding="0" cellspacing="0" border="0" class="<%=(WelcomeLicenseForm.getShowDefaultLicenseImportBtn() ? "" : "blankBackground") %>"
                       width="100%" height="100%">
                    <tr>
                        <td valign="top" align="center" class="logo">
                            <% if (product == Product.actiTIME) { %>
                            <at:defImg page="license/at-logo.png"/>
                            <% } else { %>
                            <ap:defImg page="license/ap-logo.png"/>
                            <% } %>
                        </td>
                        <td valign="top" align="left" class="formTable">
                            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                                <tr>
                                    <td valign="top" class="welcomeHeader"><bean:message key="licensing.welcome"
                                                                                         arg0="<%=LicenseKeyUtils.getFullActualVersionStr( request, isOl )%>"/></td>
                                </tr>
                                <tr>
                                    <td valign="top" class="welcomeText"><bean:message key="licensing.welcome.copy_key"/>
                                    </td>
                                </tr>
                                <% if (SessionErrors.hasErrors(session)) {%>
                                <tr>
                                    <td><jsp:include page="/messages.jsp"/></td>
                                </tr>
                                <%}%>
                                <tr>
                                    <td class="pipka" spellcheck="false">
                                        <html:form action="/administration/licensing/welcome_license" method="post"
                                                   onsubmit="licenseAreaController.hideGrayTextIfShown();">
                                            <html:hidden property="submitted" value="1"/>
                                            <html:hidden property="pageAction" value=""/>
                                            <div id="keyAreaWrapper">
                                                    <html:textarea
                                                            styleId="keyArea"
                                                            property="key"
                                                            cols="57"> </html:textarea>
                                            </div>
                                            <div class="applyLicenseDiv">
                                                <button class="applyLicense" type="submit"
                                                        onmouseover="this.style.backgroundImage='url(<at:defImgpath page="license/apply_button_h_bg.png"/>)';"
                                                        onmouseout="this.style.backgroundImage='url(<at:defImgpath page="license/apply_button_bg.png"/>)';">
                                                    <bean:message key="licensing.welcome.apply_button.caption"/>
                                                </button>
                                            </div>
                                        </html:form>
                                    </td>
                                </tr>
                                <% if( product == Product.actiTIME ) { %>
                                <tr>
                                    <td class="notemessage licenseNote"><bean:message key="licensing.welcome.key_note"/></td>
                                </tr>
                                <% } %>
                                <tr>
                                    <td class="footerDelimiter"></td>
                                </tr>
                            </table>

                        </td>
                    </tr>
                    <tr>
                        <td class="appInfo">
                            <div id="versionCaptionContainer" align="center">
                                <nobr><%=LicenseKeyUtils.getFullActualVersionStr( request, isOl )%>

                                    <% if (!ATGlobals.isDemoMode() && !ATGlobals.isOl()) { %>
                                    <script type="text/javascript">
                                        // Opens license popup window
                                        function openLicensePopup() {
                                            popup('<html:rewrite page='/license.jsp'/>', 'licenseWnd', 650, 500, 'no', 'no', false);
                                        }
                                    </script>
                                    <nobr>(<a href="javascript:void(0)" onclick="openLicensePopup();"><bean:message
                                            key="login.form.license_link_title"/></a>)</nobr>

                                    <% } %>
                                </nobr>
                            </div>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td valign="top" align="center" class="appInfo footer">
                            <div>
                                <nobr>&copy; <%= com.actimind.actitime.PackageInformationUtil.getDisplayedReleaseYear() %>
                                    <a href="http://www.actitime.com" target="_blank">actiTIME Inc.</a></nobr>
                            </div>
                        </td>
                        <td class="footer" align="left">
                            <div class="notemessage supportNote"><bean:message key="licensing.welcome.no_key_note"/></div>
                        </td>
                    </tr>
                </table>
            </at:roundedbox>
        </td>
    </tr>
</table>

</body>
</html>