<%@ page import="com.actimind.actitime.util.Pager" %>
<%@ page import="com.actimind.actitime.util.StringUtils" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<%
    String divId = request.getParameter( "id" );
    String prefix = request.getParameter( "prefix" );
    String pagesSetId = request.getParameter( "pagesSetId" );

    Integer[] pagesSet = StringUtils.isNullOrEmpty( pagesSetId ) ? Pager.PAGES_SET_MAP.get( Keys.PAGER_CUSTOM_PAGES_SET_2_KEY ) : Pager.PAGES_SET_MAP.get( pagesSetId );

    String pagerPanelId, spanId, recordsPerPageSelectorId, pagerDivId, spinnerDivId;

    pagerPanelId = StringUtils.isNullOrEmpty( divId ) ? "pagerPanel" : divId;
    if (StringUtils.isNullOrEmpty( prefix )) {
        spanId = "totalRecordsPlaceholder";
        pagerDivId = "pager";
        spinnerDivId = "spinnerPlaceholderPager";
        recordsPerPageSelectorId = "recordsPerPageSelector";
    } else {
        spanId = prefix + "totalRecordsPlaceholder";
        pagerDivId = prefix + "pager";
        spinnerDivId = prefix + "spinnerPlaceholderPager";
        recordsPerPageSelectorId = prefix+"recordsPerPageSelector";
    }
%>

<script type="text/javascript">
    $( document ).ready( function ()
                         {
                             disableTextSelection( document.getElementById( '<%=pagerPanelId%>' ) );
                         }
    );
    var MIN_RECORDS_PER_PAGE = <%=pagesSet[0]%>;
</script>

<div id="<%=pagerPanelId%>" style="white-space: nowrap; margin-right: 25px;">
    <span id="<%=spanId%>" style="font-weight: bold;"></span>
    <bean:message key="common.records_shown_by"/>
    <select name="recordsPerPage" id="<%=recordsPerPageSelectorId%>">
        <% for( int i : pagesSet ) { %>
            <option value="<%=i%>"><%=i%></option>
        <% } %>
    </select>
    <bean:message key="common.a_page"/>
    <div class="pager" id="<%=pagerDivId%>" style="display: inline-block; margin-left: 10px;"></div>
    <div id="<%=spinnerDivId%>"></div>
</div>

