<%@ page import="com.actimind.actitime.resources.SystemSettings" %>
<%@ page import="com.actimind.actitime.administration.ATNamings" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="static com.actimind.actitime.util.Feature.SUB" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<tr>
    <td class="titleCell">
        <span class="formblocktitle">
            <bean:message key="general_settings.naming.hierarchy_levels"/>
        </span>        
    </td>
</tr>
<tr>
    <td class="contentCell">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <%
                int mainRowsCount = FeaturesUtil.isEnabled(SUB) ? 8 : 6; %>
            <%-- First Hierarchy Level --%>
            <tr class="levelCodeTr">
                <td class="formfieldtitle" nowrap="true">
                    <span id="firstHierarchyLevelCodeLabel"><bean:message key="general_settings.naming.hierarchy_levels.top_level"/>:</span>
                </td>
                <td width="390px">
                    <div class="levelCodeSelect">
                        <html:select property="firstHierarchyLevelCode" styleId="firstHierarchyLevelCodeSelect">
                            <html:option value="<%= Integer.toString(ATNamings.CUSTOM_LEVEL_NAMING_CODE) %>">
                                <bean:message key="hierarchy_levels.custom_level"/>
                            </html:option>
                            <html:optionsCollection property="firstHierarchyLevelList" label="singularForm"
                                                    value="code"/>
                        </html:select>
                    </div>
                </td>
                <td rowspan="<%=mainRowsCount%>" align="left" valign="top">
                    <jsp:include page="settings_hierarchy_levels_preview.jsp"/>
                </td>
            </tr>
            <tr id="firstCustomHierarchyLevel" style="display: none;">
                <td class="formfieldtitle">&nbsp;</td>
                <td>
                    <jsp:include page="settings_custom_level_inputs.jsp">
                        <jsp:param name="singularFormInputName" value="firstHierarchyLevelSingularForm"/>
                        <jsp:param name="pluralFormInputName"   value="firstHierarchyLevelPluralForm"/>
                        <jsp:param name="singularFormLabelId"   value="firstHierarchyLevelSingularFormLabel"/>
                        <jsp:param name="pluralFormLabelId"     value="firstHierarchyLevelPluralFormLabel"/>
                        <jsp:param name="singularValueExample"  value="<%= SystemSettings.getDefaultFirstHierarchyLevel().getSingularForm() %>"/>
                        <jsp:param name="pluralValueExample"    value="<%= SystemSettings.getDefaultFirstHierarchyLevel().getPluralForm() %>"/>
                    </jsp:include>
                </td>
            </tr>
            <%-- Second Hierarchy Level --%>
            <tr class="levelCodeTr">
                <td class="formfieldtitle" nowrap="true">
                    <span id="secondHierarchyLevelCodeLabel"><bean:message key="general_settings.naming.hierarchy_levels.middle_level"/>:</span>
                </td>
                <td>
                    <div class="levelCodeSelect">
                        <html:select property="secondHierarchyLevelCode" styleId="secondHierarchyLevelCodeSelect">
                            <html:option value="<%= Integer.toString(ATNamings.CUSTOM_LEVEL_NAMING_CODE) %>">
                                <bean:message key="hierarchy_levels.custom_level"/>
                            </html:option>
                            <html:optionsCollection property="secondHierarchyLevelList" label="singularForm"
                                                    value="code"/>
                        </html:select>
                    </div>
                </td>
            </tr>
            <tr id="secondCustomHierarchyLevel" style="display: none;">
                <td class="formfieldtitle">&nbsp;</td>
                <td>
                    <jsp:include page="settings_custom_level_inputs.jsp">
                        <jsp:param name="singularFormInputName" value="secondHierarchyLevelSingularForm"/>
                        <jsp:param name="pluralFormInputName"   value="secondHierarchyLevelPluralForm"/>
                        <jsp:param name="singularFormLabelId"   value="secondHierarchyLevelSingularFormLabel"/>
                        <jsp:param name="pluralFormLabelId"     value="secondHierarchyLevelPluralFormLabel"/>
                        <jsp:param name="singularValueExample"  value="<%= SystemSettings.getDefaultSecondHierarchyLevel().getSingularForm() %>"/>
                        <jsp:param name="pluralValueExample"    value="<%= SystemSettings.getDefaultSecondHierarchyLevel().getPluralForm() %>"/>
                    </jsp:include>
                </td>
            </tr>
            <%-- Third Hierarchy Level --%>
            <tr class="levelCodeTr">
                <td class="formfieldtitle" nowrap="true">
                    <span id="thirdHierarchyLevelCodeLabel"><bean:message key="general_settings.naming.hierarchy_levels.time_entry_level"/>:</span>
                </td>
                <td>
                    <div class="levelCodeSelect">
                        <html:select property="thirdHierarchyLevelCode" styleId="thirdHierarchyLevelCodeSelect">
                            <html:option value="<%= Integer.toString(ATNamings.CUSTOM_LEVEL_NAMING_CODE) %>">
                                <bean:message key="hierarchy_levels.custom_level"/>
                            </html:option>
                            <html:optionsCollection property="thirdHierarchyLevelList" label="singularForm"
                                                    value="code"/>
                        </html:select>
                    </div>
                </td>
            </tr>
            <tr id="thirdCustomHierarchyLevel" style="display: none;">
                <td class="formfieldtitle">&nbsp;</td>
                <td>
                    <jsp:include page="settings_custom_level_inputs.jsp">
                        <jsp:param name="singularFormInputName" value="thirdHierarchyLevelSingularForm"/>
                        <jsp:param name="pluralFormInputName"   value="thirdHierarchyLevelPluralForm"/>
                        <jsp:param name="singularFormLabelId"   value="thirdHierarchyLevelSingularFormLabel"/>
                        <jsp:param name="pluralFormLabelId"     value="thirdHierarchyLevelPluralFormLabel"/>
                        <jsp:param name="singularValueExample"  value="<%= SystemSettings.getDefaultThirdHierarchyLevel().getSingularForm() %>"/>
                        <jsp:param name="pluralValueExample"    value="<%= SystemSettings.getDefaultThirdHierarchyLevel().getPluralForm() %>"/>
                    </jsp:include>
                </td>
            </tr>
            <%-- Fourth Hierarchy Level --%>
            <%
                if(FeaturesUtil.isEnabled(SUB)) { %>
            <tr class="levelCodeTr">
                <td class="formfieldtitle" nowrap="true">
                    <span id="fourthHierarchyLevelCodeLabel"><bean:message key="general_settings.naming.hierarchy_levels.subtasks_level"/>:</span>
                </td>
                <td>
                    <div class="levelCodeSelect">
                        <html:select property="fourthHierarchyLevelCode" styleId="fourthHierarchyLevelCodeSelect">
                            <html:option value="<%= Integer.toString(ATNamings.CUSTOM_LEVEL_NAMING_CODE) %>">
                                <%= ATMessageResources.message(request, "hierarchy_levels.custom_level") %>
                            </html:option>
                            <html:optionsCollection property="fourthHierarchyLevelList" label="singularForm"
                                                    value="code"/>
                        </html:select>
                    </div>
                </td>
            </tr>
            <tr id="fourthCustomHierarchyLevel" style="display: none;">
                <td class="formfieldtitle">&nbsp;</td>
                <td>
                    <jsp:include page="settings_custom_level_inputs.jsp">
                        <jsp:param name="singularFormInputName" value="fourthHierarchyLevelSingularForm"/>
                        <jsp:param name="pluralFormInputName"   value="fourthHierarchyLevelPluralForm"/>
                        <jsp:param name="singularFormLabelId"   value="fourthHierarchyLevelSingularFormLabel"/>
                        <jsp:param name="pluralFormLabelId"     value="fourthHierarchyLevelPluralFormLabel"/>
                        <jsp:param name="singularValueExample"  value="<%= SystemSettings.getDefaultFourthHierarchyLevel().getSingularForm() %>"/>
                        <jsp:param name="pluralValueExample"    value="<%= SystemSettings.getDefaultFourthHierarchyLevel().getPluralForm() %>"/>
                    </jsp:include>
                </td>
            </tr>
            <% } %>
        </table>
    </td>
</tr>