<%@ page import="com.actimind.actitime.colors.ColorHelper" %>
<%@ page import="static com.actimind.actitime.util.Feature.SUB" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>


<%
    int previewWidth  = 167;
    int previewHeight = 96;
    int rowsCount     = 3;
    int reportedTimePadding = 55;

    if(FeaturesUtil.isEnabled(SUB))
    {
        previewWidth  = 187;
        previewHeight = 112;
        rowsCount     = 4;
        reportedTimePadding = 77;
    }
%>

<table height="<%=previewHeight%>" width="<%=previewWidth%>" cellpadding="0" cellspacing="0"
       style="margin-top: -11px; position: relative;" title="<bean:message key="general_settings.naming.hierarchy_levels.configured_hierarchy"/>">
    <tr>
        <td align="right" style="padding: 0; font-size: 12px; margin: 0; height: 12px;" valign="bottom">
            <span class="previewTitle"><bean:message key="general_settings.preview"/></span>
        </td>
    </tr>
    <tr>
        <td>
            <div class="previewAreaContainer">
                <table id="previewArea" cellpadding="0" cellspacing="0" >
                    <% for (int i = 0; i < rowsCount; i++) { %>
                    <%  if (i != 0) { %>
                    <tr><td style="color:<%=ColorHelper.getColor("report.preview.level.fg.color", request )%>;" nowrap="true"></td></tr>
                    <%  } else { %>
                        <tr><td style="color:<%=ColorHelper.getColor("report.preview.level.fg.color", request )%>; padding-top: 7px;" nowrap="true"></td></tr>
                    <%  } %>
                    <% } %>
                    <tr>
                        <td style="padding-left: <%=String.valueOf( reportedTimePadding )%>px;"><at:defImg page="dialogs/hierarchy_levels_preview/preview_angle.gif" width="14px" height="17px" style="vertical-align: baseline;"/> <span><bean:message key="general_settings.naming.hierarchy_preview.reported_time"/></span></td>
                    </tr>
                </table>
            </div>
        </td>
    </tr>
</table>