<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<bean:define id="form" name="GeneralSettingsForm" type="com.actimind.common.administration.BaseGeneralSettingsForm"/>
<bean:define id="settingsData" name="<%=Keys.GENERAL_SETTINGS_DATA_KEY%>" type="com.actimind.common.administration.BaseGeneralSettingsAction.GeneralSettingsData"/>

<%
    int counter = settingsData.getNumberOfUsersWithDefaultTZGroup();
%>
<tr class="formfieldtitle">
    <td class="formFieldCaption">
        <span class="withGroupsEl"><%=message(request, "common.time_zone.default_tz.groups")%>:</span>
        <span class="withoutGroupsEl" style="display: none"><%=message(request, "common.time_zone.default_tz.without_groups")%>:</span>
    </td>
    <td>
        <html:hidden property="defaultTZGroupTimeZoneId"/>
        <html:hidden property="defaultTZGroupCityName"/>
        <html:hidden property="defaultTZGroupCityPlaceId"/>
        <div id="tzSelector"></div>
    </td>
    <td id="defaultTZGroupNameCell" class="withGroupsEl" style="display: none">
        <html:text property="defaultTZGroupName" styleId="defaultTZGroupNameId" maxlength="40"/>
        <script>
            defaultTZGroupNameController = createFieldController(
                    "defaultTZGroupNameId",
                    messageResource.getMessage("general_settings.edit.new_default_tz_group_name.placeholder")
            );
        </script>
    </td>
    <td>
        <div id="currentTimeForSelectedCity"></div>
    </td>
</tr>
<tr>
    <td></td>
    <td colspan="2">
        <div class="userInfo">
            <span class="withGroupsEl" style="display: none">
                <%if(counter == 1) {%>
                <bean:message key="general_settings.work_schedule.one_user_use_default_tz_group"/>
                <%} else {%>
                <bean:message key="general_settings.work_schedule.some_users_use_default_tz_group" arg0="<%=String.valueOf(counter)%>"/>
                <%}%>
            </span>
            <span class="withoutGroupsEl">
                <%if(counter == 1) {%>
                <bean:message key="general_settings.work_schedule.one_user_use_default_tz"/>
                <%} else {%>
                <bean:message key="general_settings.work_schedule.some_users_use_default_tz" arg0="<%=String.valueOf(counter)%>"/>
                <%}%>
            </span>
        </div>
    </td>
</tr>
