<%--suppress HtmlFormInputWithoutLabel --%>
<%@ page import="com.actimind.actitime.AccessRight" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="static com.actimind.actitime.util.Feature.PTO" %>
<%@ page import="static com.actimind.actitime.util.Feature.SDB" %>
<%@ page import="static com.actimind.actitime.util.Feature.TTA" %>
<%@ page import="static com.actimind.actitime.util.Feature.*" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%
    String id = request.getParameter("id");
    String saveButtonTextKey = request.getParameter("saveButtonTextKey");
    boolean isPTOEnabled = FeaturesUtil.isEnabled(PTO);
    boolean isSickEnabled = FeaturesUtil.isEnabled(SDB);
%>

<div class="saveControlContainer">
    <jsp:include page="save_permission_templates_control.jsp">
        <jsp:param name="id" value="<%=id%>"/>
        <jsp:param name="inputPlaceholderKey" value="userlist.userdata.permissions_templates.edit_mode.template_name_placeholder"/>
        <jsp:param name="duplicateNameErrorKey" value="userlist.userdata.permissions_templates.edit_mode.duplicate_name"/>
        <jsp:param name="saveButtonTextKey" value="<%=saveButtonTextKey%>"/>
    </jsp:include>
</div>

<div class="permissionsTemplatesPopupCloseButton">
    <at:img title='<%=message(request, "common.cancel")%>' page="dialogs/lightbox/close.gif"/>
</div>

<table id="<%=id%>_permissionsTable">
<tr>

    <td class="permission-time-track">
        <div class="permissionsBlock topBlock leftBlock">
            <table>
                <tr>
                    <th colspan="2" class="formblocktitle">
                        <bean:message key="userlist.userdata.time_track_submission"/>
                    </th>
                </tr>
                <tr>
                    <td class="permissionChBoxContainer">
                        <input type="checkbox" id="<%=id%>_submitTimeTrackChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_submitTimeTrackChBox">
                            <bean:message key="userlist.userdata.enter_time_track"/>
                        </label>
                    </td>
                </tr>
                <tr>
                  <td class="permissionChBoxContainer">
                      <input type="checkbox" id="<%=id%>_submitOtherUserTimeTrackChBox" class="rightChBox" maxlength="255"/>
                  </td>
                  <td class="permissionLabelContainer">
                      <label for="<%=id%>_submitOtherUserTimeTrackChBox">
                          <%
                              if(FeaturesUtil.isEnabled(TTA)){ %>
                            <bean:message key="userlist.userdata.modify_data_of_other_users_tta_enabled"/>
                          <%}else{%>
                             <bean:message key="userlist.userdata.modify_data_of_other_users_tta_disabled"/>
                          <%} %>
                      </label>
                  </td>
                </tr>
                <tr id="<%=id%>_lockTTRightContainer">
                    <td class="permissionChBoxContainer">
                        <input type="checkbox" id="<%=id%>_lockTimeTrackChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_lockTimeTrackChBox">
                            <bean:message key="userlist.userdata.lock_time_track"/>
                        </label>
                    </td>
                </tr>
            </table>
        </div>
    </td>

    <td class="permission-hierarchy">
        <div class="permissionsBlock topBlock">
            <table>
                <tr>
                    <th colspan="2" class="formblocktitle">
                        <bean:message key="userlist.userdata.hierarchy_management"/>
                    </th>
                </tr>

                <tr>
                   <td class="permissionChBoxContainer" >
                    <input type="checkbox" id="<%=id%>_manageCustomersProjectsChBox" class="rightChBox" maxlength="255"/>
                   </td>

                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_manageCustomersProjectsChBox">
                            <bean:message key="userlist.userdata.manage_customers_projects" />
                        </label>
                    </td>
                </tr>
                <tr>
                    <td class="permissionChBoxContainer">
                        <input type="checkbox" id="<%=id%>_manageTasksChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer" >
                        <label for="<%=id%>_manageTasksChBox">
                            <bean:message key="userlist.userdata.manage_tasks"/>
                        </label>
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>

<tr>
    <td class="bottomPane permission-reporting">
        <div class="permissionsBlock bottomBlock leftBlock">
            <table>
                <tr>
                    <th colspan="2" class="formblocktitle">
                       <bean:message key="userlist.userdata.reporting"/>
                    </th>
                </tr>
                <tr>
                    <td class="permissionChBoxContainer">
                        <input type="checkbox" id="<%=id%>_generateTimeReportsChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_generateTimeReportsChBox" id="<%=id%>_generateTimeReportsLabel">
                            <bean:message key="<%=AccessRight.GENERATE_TIME_REPORTS.getDescriptionKey( application )%>"/>
                        </label>
                        <at:img page="note_mark.gif" styleId='<%=id + "_availableTimeReportsNote"%>'/>
                    </td>
                </tr>

                <tr id="<%=id%>_generateMoneyReportRightContainer">
                    <td class="permissionChBoxContainer" >
                        <input type="checkbox" id="<%=id%>_generateMoneyReportsChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_generateMoneyReportsChBox"  id="<%=id%>_generateMoneyReportsLabel">
                            <bean:message key="<%=AccessRight.GENERATE_MONEY_REPORTS.getDescriptionKey( application )%>"/>
                        </label>
                        <at:img page="note_mark.gif" styleId='<%=id+"_availableMoneyReportsNote"%>'/>
                    </td>
                </tr>
            </table>
        </div>
    </td>

    <td class="bottomPane permission-management">
        <div class="permissionsBlock bottomBlock">
            <table>
                <tr>
                    <th colspan="2" class="formblocktitle">
                        <bean:message key="userlist.userdata.user_management_settings"/>
                    </th>
                </tr>
                <tr id="<%=id%>_ptoRightContainer">
                    <td class="permissionChBoxContainer" >
                        <input type="checkbox" id="<%=id%>_ptoSettingsChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_ptoSettingsChBox">
                            <% if ( isPTOEnabled && isSickEnabled ) { %>
                                <bean:message key="userlist.userdata.pto_and_sick_settings"/>
                            <% } else if ( isSickEnabled ) { %>
                                <bean:message key="userlist.userdata.sick_settings"/>
                            <% } else { %>
                                <bean:message key="userlist.userdata.pto_settings"/>
                            <% } %>
                        </label>
                    </td>
                </tr>
                <tr>
                    <td class="permissionChBoxContainer" >
                        <input type="checkbox" id="<%=id%>_manageAccountsChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_manageAccountsChBox" id="<%=id%>_manageAccountsLabel">
                            <bean:message key="userlist.userdata.accounts_permissions"/>
                        </label>
                        <span class="notemsg" id="<%=id%>_cantRevokeManageUsersRightNote">
                                <at:img page="note_mark.gif" title='<%=message(request,"user.edit.cannot_revoke_manage_users")%>'/>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="permissionChBoxContainer">
                        <input type="checkbox" id="<%=id%>_manageGeneralSettingsChBox" class="rightChBox" maxlength="255"/>
                    </td>
                    <td class="permissionLabelContainer">
                        <label for="<%=id%>_manageGeneralSettingsChBox">
                            <bean:message key="userlist.userdata.manage_system_settings"/>
                        </label>
                        <at:img page="note_mark.gif" styleId='<%=id + "_manageGeneralSettingsNote"%>'/>
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>

</table>