<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.common.licensing.LicenseHelper" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<%
    String id = request.getParameter("id");
    Product product = (Product) request.getAttribute(Keys.PRODUCT);
    boolean isAT = product == Product.actiTIME;
    boolean showIntegrationMark = LicenseHelper.isOtherProductIntegrated(product);
%>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeInviteSeveralUsersLightBoxBtn" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>
            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder"></span>
                <% if (showIntegrationMark) { %>
                    <span class="sync_icon" title="<bean:message key="user.add_edit.section_synchronized_with_other_product"/>"></span>
                <% } %>
            </div>
        </td>
    </tr>
</table>

<div class="innerContent">
    <div>
        <div class="tableLabel"><bean:message key="user.invite_several_users_popup.user_table_label"/></div>
        <% if (isAT) {%>
            <div class="editPermissionsTemplateButton">
                <a href="javascript:void(0)"><bean:message key="user.invite_several_users_popup.edit_permissions_template_button"/></a>
            </div>
        <% } %>
    </div>
    <div class="tableContainer"></div>
    <div class="addRowsButtonsContainer">
        <a class="addOneRow" href="javascript:void(0)"><bean:message key="user.invite_several_users_popup.add_new_row"/></a>&nbsp;/&nbsp;
        <a class="addFiveRows" href="javascript:void(0)"><bean:message key="user.invite_several_users_popup.n_rows" arg0="5"/></a>&nbsp;/&nbsp;
        <a class="addTenRows" href="javascript:void(0)"><bean:message key="user.invite_several_users_popup.n_rows" arg0="10"/></a>
    </div>
</div>

<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
        <tr>
            <td class="errorMessageBox">
                <at:img page="error.gif"/>
                <span class="errormsg"></span>
            </td>
            <td class="buttonsBox">
                <div id="<%=id%>_commitBtn" class="beigeButton withIcon commitBtn">
                    <div class="buttonIcon"><span class="buttonTitle"><bean:message key="user.invite_several_users_popup.send_invitations"/></span></div>
                </div>
                <div id="<%=id%>_cancelBtn" class="beigeButton cancelBtn"><bean:message key="common.cancel"/></div>
            </td>
        </tr>
    </table>
</div>

<div class="inviteSeveralUsersErrorTooltipContainer">
    <div id="<%=id%>_inviteSeveralUsersErrorTooltip" class="errorTooltip" style="display: none">
        <div id="<%=id%>_inviteSeveralUsersErrorTooltip_textPlaceholder"></div>
    </div>
</div>

<div id="<%=id%>_usersInvitedOverlay" class="usersInvitedOverlay" style="display: none;"></div>

<div id="<%=id%>_accountCreatedSection" class="accountCreatedContainer">
    <div class="mainContentContainer">
        <div class="invitationImgContainer">
            <at:defImg page="userManagement/icon-invitation-sent.png" />
        </div>
        <div class="invitationInfoHeader"></div>
        <div class="invitationInfo"></div>
    </div>
    <div class="inviteOneMoreButton">
        <at:defImg page="userManagement/add-icon.png" />
        <span><bean:message key="user.invite_several_users_popup.invite_button"/></span>
    </div>
    <div class="closeLink"><span><bean:message key="common.close"/></span></div>
</div>

<% if (isAT) {%>
    <div class="permissionsSectionContainer">
        <div id="<%=id%>_permissionsSection" class="permissionsTemplatesEditPopup" style="display: none">
            <div class="sectionContent">
                <jsp:include page="/administration/userManagement/editable_rights.jsp" >
                    <jsp:param name="id" value='<%=id%>'/>
                    <jsp:param name="saveButtonTextKey" value='common.save'/>
                </jsp:include>
            </div>
        </div>
    </div>
<% } %>