<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-nested" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%--
    Requires: LeaveBalanceEditor.js
--%>

<div id="leaveBalanceEditor" class="daysMode" style="display: none">
    <table>
        <tr>
            <td class="correctionTypeSwitcherCell">
                <button class="correctionTypeButton"></button>
            </td>
            <td class="valuesCell">
                <div>
                    <span class="inHardValueMode">
                        <input class="hardValueField" type="text">
                        <span class="inDaysMode"><bean:message key="common.pto_units.days"/></span>
                        <span class="inHoursMode"><bean:message key="common.pto_units.hours"/></span>
                    </span>
                    <span class="inIncreaseValueMode inDecreaseValueMode">
                        <span class="inDaysMode"><span class="baseValue">#</span> <bean:message key="common.pto_units.days.short"/></span>
                        <span class="inHoursMode"><span class="baseValue">#</span> <bean:message key="common.pto_units.hours.short"/></span>
                        <span class="inIncreaseValueMode">+</span>
                        <span class="inDecreaseValueMode">&minus;</span>
                        <input class="relativeValueField" type="text">
                        <span class="inDaysMode"><bean:message key="common.pto_units.days.short"/></span>
                        <span class="inHoursMode"><bean:message key="common.pto_units.hours.short"/></span>
                    </span>
                </div>
                <div class="unitsSwitcher">
                    <button class="daysButton"><bean:message key="common.pto_units.days"/></button> |
                    <button class="hoursButton"><bean:message key="common.pto_units.hours"/></button>
                </div>
            </td>
            <td class="applyButtonCell">
                <button class="greyButton applyButton">
                    <span class="defaultText"><bean:message key="common.apply"/></span>
                    <span class="savingText"><bean:message key="common.saving.ellipsis"/></span>
                </button>
            </td>
        </tr>
        <tr class="errorMessageRow">
            <td></td>
            <td colspan="2">
                <table>
                    <tr>
                        <td class="errorIconCell"><at:defImg page="warning_red_mark_round.png"/></td>
                        <td class="errorTextCell">#</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td></td>
            <td colspan="2">
                <textarea class="comments" placeholder="<bean:message key="common.add_comments"/>"></textarea>
            </td>
        </tr>
    </table>
</div>