<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.licensing.LicenseHelper" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<% String id = request.getParameter("id"); %>
<%
    boolean showIntegrationMarks = LicenseHelper.isOtherProductIntegrated(Product.actiTIME );
%>
<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeUserDataLightBoxBtn" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>
            <div class="usersSelectorCell" style="float:right;">
                <span id="<%=id%>_usersSelectorSpinnerPlaceholder"></span>
                <div id="singleUserSelector"></div>
            </div>
            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder"></span>
                <span id="<%=id%>_userNamePlaceholder"> </span>
                <span id="<%=id%>_lastLoginInfoPlaceholder"> </span>
            </div>
        </td>
    </tr>
</table>

<div class="innerContent <%=showIntegrationMarks ? "showIntegrationMarks" : ""%>">

    <jsp:include page="/administration/userManagement/account_information_section.jsp">
        <jsp:param name="isOtherProductIntegrated" value="<%=showIntegrationMarks%>"/>
    </jsp:include>

    <div id="<%=id%>_workScheduleAndOvertimeSection">
        <div class="sectionHeader">
            <span id="<%=id%>_sectionHeaderPlaceholder"><bean:message key="userlist.userdata.schedule.work_schedule"/></span>
            <span class="section_sync_icon" title="<bean:message key="user.add_edit.section_synchronized_with_other_product"/>"></span>
        </div>
        <div class="sectionContent">
            <div id="<%=id%>_scheduleDurationsTablePlaceholder"></div>
            <table id="<%=id%>_scheduleOvertimeTable">
                <tr>
                     <td><bean:message key="userlist.userdata.schedule.overtime"/></td>
                     <td><span id="<%=id%>_overtimeSelectorPlaceholder">&nbsp;</span></td>
                </tr>
            </table>
        </div>
    </div>

    <div id="<%=id%>_userRatesSection">
        <div class="sectionHeader"><bean:message key="userlist.userdata.schedule.cost_of_work_rates"/></div>
        <div class="sectionContent">
            <div id="<%=id%>_userRatesEditorPlaceholder"></div>
        </div>
    </div>

    <div id="<%=id%>_permissionsSection">
        <div class="sectionHeader">
            <span id="<%=id%>_permissionsSectionHeaderPlaceholder"><bean:message key="userlist.userdata.permissions"/></span>
            <div id="<%=id%>_permissionsTemplatesMenuButton" class="permissionsTemplatesMenuButton"><a href="javascript:void(0);"><bean:message key="userlist.userdata.permissions_templates.apply_template"/></a></div>
        </div>
        <div class="sectionContent">

           <jsp:include page="/administration/userManagement/editable_rights.jsp" >
                <jsp:param name="id" value='<%=id%>'/>
                <jsp:param name="saveButtonTextKey" value='userlist.userdata.permissions_templates.edit_mode.save_and_apply'/>
            </jsp:include>

        </div>
    </div>
    <!--[if IE 8]>
    <div style="padding-top: 50px;"></div>
    <![endif]-->
    <jsp:include page="account_created_section.jsp"/>

</div>
<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
        <tr>
            <td class="errorMessageBox">
                <at:img page="error.gif"/>
                <span class="errormsg"></span>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"><bean:message key="user.add_edit.not_saved"/></span>
                <span class="savingMsg"><bean:message key="user.add_edit.saving"/></span>
                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn"><div class="buttonIcon"><span class="buttonTitle"><bean:message key="common.save"/></span></div></div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="common.cancel"/></div>
            </td>
        </tr>
    </table>
</div>