<!doctype html>
<%@ page import="com.actimind.actitime.Keys,
                  com.actimind.actitime.Navigator"%>
<%@ page errorPage="/error.jsp" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<%
    String pageTitleKey = "work_days.page_title";
%>

<html>
<head>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="<%=pageTitleKey%>"/></title>
    <%@include file="../css/scheme_styles.jsp" %>
    <jsp:include page="/include_scripts.jsp"/>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" class="workingDaysPage with-navigation">
<script type="text/javascript">
    PageOverlayTipsManager.setInstance(new WorkSchedulePageOverlayTipsManager());
</script>

<div id="container">

    <jsp:include page="/top.jsp" flush="false">
        <jsp:param name="menuSelected" value="<%=Navigator.WORK_SCHEDULE_KEY%>" />
        <jsp:param name="submenuSelected" value="<%=Navigator.WORK_SCHEDULE_SUBMENU_KEY%>"/>
    </jsp:include>

    <jsp:include page="/administration/workingdays_common.jsp">
        <jsp:param name="pageTitleKey" value="<%=pageTitleKey%>"/>
    </jsp:include>

</div>
</body>
</html>