<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>

<bean:parameter id="isMyOwnTT" name="isMyOwnTT"/>
<bean:parameter id="currentStatusStyle" name="currentStatusStyle"/>

<div class="spinnerPlaceholder"></div>
<div class="controlInnerContainer">
    <div class="changeWeekApprovalStatusControl <bean:write name="currentStatusStyle"/>" style="display: none;">
        <table align="center" cellspacing="0" cellpadding="0">
            <tr>
                <logic:equal name="isMyOwnTT" value="false">
                    <td class="statusLabelCell statusText">
                        <bean:message key="change_week_approval_status.status.caption"/>
                    </td>
                    <td class="currentStatusCell statusText"></td>
                    <td class="revokeCell"><span class="revokeLink customLink">
                        <bean:message key="change_week_approval_status.revoke.caption"/>
                    </span></td>
                    <td class="separatorCell"><div class="separator"></div></td>
                    <td class="approveButtonCell"><div class="changeStatusButton approveButton"></div></td>
                    <td class="rejectButtonCell"><div class="changeStatusButton rejectButton"></div></td>
                </logic:equal>
                <logic:equal name="isMyOwnTT" value="true">
                    <td class="myStatusCell">
                        <span class="statusIcon"></span>
                        <span class="statusText"></span>
                    </td>
                    <td class="switcherCell notReadyLabelCell">
                        <bean:message key="change_week_approval_status.switcher_label.not_ready"/>
                    </td>
                    <td class="switcherCell switcherImageCell">
                        <div class="switcherBackground">
                            <div class="switcher"></div>
                        </div>
                    </td>
                    <td class="switcherCell readyLabelCell">
                        <bean:message key="change_week_approval_status.switcher_label.ready"/>
                    </td>
                </logic:equal>
                <td class="separatorCell rightSeparatorCell"><div class="separator"></div></td>
                <td class="approvalStatusHistoryCell">
                    <div class="ttaHistoryButton">&nbsp;</div>
                </td>
            </tr>
        </table>
    </div>
</div>