<%@ page import="com.actimind.actitime.util.GeneralSettingsUtil" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<%  /**
     *  required client_side_errors.js
     *
     **/
    // PARAMETERS
    final String propName       = request.getParameter("propName");
    final String dateFormat     = request.getParameter("dateFormat");
    final String onChangeScript = request.getParameter("onChangeScript");
    final String formNumberStr  = request.getParameter("formNumber");
    final String onFocusScript = request.getParameter("onFocusScript");
    final boolean isHightLightErrors = "true".equals(request.getParameter("isHightLightErrors"));
    final String errorMessageIfEmpty = request.getParameter("errorMessageIfEmpty");
    final String errorMessageIfInvalid = request.getParameter("errorMessageIfInvalid");

    int formNumber = 0;
    if (formNumberStr != null)
        formNumber = Integer.parseInt(formNumberStr);
%>
<span id="<%=propName + "_span"%>">
    <html:text styleId='<%=propName+"_userText"%>' styleClass="text"
               style="width: 11em;" property='<%=propName+".userText"%>' maxlength="19"/>
    <html:hidden styleId='<%=propName+"_internalText"%>' property='<%=propName+".internalText"%>'/>
</span>

<script language="JavaScript"  type="text/javascript">

    var scheduleCalculator = <%=request.getParameter("scheduleCalculatorVariableName")%>;

    var onChange_<%=propName%> = function ()
    {
        if (process_<%=propName%>())
        {
            <%=onChangeScript%>
        }
    };

    var onValid_<%=propName%> = function (extField)
    {
        <%
        if (isHightLightErrors)
        {
        %>
            var field = extField.getEl().dom;
            var value = trim(field.value);

            if ( !( (value == "") && (value == field.oldValue)  ) )
                ClientSideErrors.markTextFieldAsValid(field);

            field.oldValue = value;
        <%
        }
        %>
        onChange_<%=propName%>();
    };

    var onInvalid_<%=propName%> = function (extField)
    {
         <%
        if (isHightLightErrors)
        {
        %>
        var field = extField.getEl().dom;
        var value = trim(field.value);
        field.value = value;

        if ( !(value == "")  )
            ClientSideErrors.markTextFieldAsInvalid(field, "<%=errorMessageIfInvalid%>");

        if ( (value == "") && (value != field.oldValue))
            ClientSideErrors.markTextFieldAsValid(field);

        field.oldValue = trim(field.value);
        <%
        }
        %>
        onChange_<%=propName%>();
    };

    var onFocus_<%=propName%> = function()
    {
        <%
        if (onFocusScript != null)
        {
            out.print(onFocusScript);
        }
        %>
    };

    var validate_<%=propName%> = function()
    {
        Ext.getCmp("<%=propName%>_span").validate();
    };
    
    Ext.onReady(
    function ()
    {
        window.<%=propName%>_FieldFunc  = function() { return document.forms[<%=formNumber%>].<%=propName%>_userText; };
        window.<%=propName%>_HolderFunc = function() { return document.forms[<%=formNumber%>].<%=propName%>_internalText; };
        window.<%=propName%>_SmartDate = new SmartDate(<%=propName%>_FieldFunc, <%=propName%>_HolderFunc, '<%=dateFormat%>');
    });


    makeDateField("<%=propName%>_span",
                  "<%=propName%>_userText",
                  "<%=dateFormat%>",
                  {
                      "change": onChange_<%=propName%>,
                      "valid": onValid_<%=propName%>,
                      "invalid": onInvalid_<%=propName%>,
                      "focus": onFocus_<%=propName%>
                  }, undefined, undefined,
                 <%=GeneralSettingsUtil.getSystemSettings(request).getWeekStartDay() - 1%>,
                    false,
                    scheduleCalculator);

    function process_<%=propName%>()
    {
        var prevHolderValue = <%=propName%>_SmartDate.getHolderValue();
        var isValid = <%=propName%>_SmartDate.isEmpty() || <%=propName%>_SmartDate.isParseable();
        <%=propName%>_SmartDate.parseDateAndUpdateHolder();
        // alert(document.forms[0].<%=propName%>_internalText.value);
        var newHolderValue = <%=propName%>_SmartDate.getHolderValue();
        // notify that the date is changed if:
        // 1. the date field is changed and now it is incorrect
        // 2. the date is really changed
        return !isValid || prevHolderValue != newHolderValue;
    }
    <%
    if (isHightLightErrors)
    {
    %>
    function isValid_<%=propName%>()
    {
        var field = document.getElementById("<%=propName%>_userText");
        field.oldValue = trim(field.value);
        
        if (<%=propName%>_SmartDate.isEmpty())
        {
            ClientSideErrors.markTextFieldAsInvalid(field, "<%=errorMessageIfEmpty%>");
            alert("<%=errorMessageIfEmpty%>");
            return false;
        }

        if (!<%=propName%>_SmartDate.isParseable())
        {
            alert("<%=errorMessageIfInvalid%>");
            return false;
        }

        return true;
    }
    <%
    }
    %>

    function clear_<%=propName%>()
    {
        window.<%=propName%>_SmartDate.setDateFieldValue('');
        onChange_<%=propName%>();
    }

</script>