function MailNotificationsCustomerProjectSelectorHolder() {
    this.menu = null;
}

MailNotificationsCustomerProjectSelectorHolder.prototype.getMenu = function() {
    if (!this.menu) {
        var rpcManager = new RetrieveAllCustomersProjectsRPCManager(false);
        var panel = new AT.CustomerProjectSelectorTwoGenericOptionsPanel(
            Ext.apply({
                          rpcManager: rpcManager,
                          nonStandardAllSelectedString: messageResource.getEscapedMessage("mail_notifications.projects_customers_selector.all_projects_customers"),
                          collapsedCookiesKey: "mailNotifications"
                      }, {}));
        this.menu = new AT.SharedUserButtonMenu({
                                                    additionalCls: "cpSelectorMenu",
                                                    panel: panel
                                                });
        rpcManager.setSelectorMenu(this.menu);
    }
    return this.menu;
};