<%@ page import="com.actimind.actitime.task.TaskListConstants" %>
<%@ page import="com.actimind.actitime.CustomersProjectsSelector" %>
<%!
    private static final String CP_SELECTOR_PARAMS_PREFIX = "customersProjectsSelector";

    private String generateCPSelectorParams(String customerList,
                                            String projectList, boolean showArchived, String coarseSelection)
    {

        return CP_SELECTOR_PARAMS_PREFIX + ".coarseSelection=" + coarseSelection +
                "&" + CP_SELECTOR_PARAMS_PREFIX + ".customerList=" + customerList +
                "&" + CP_SELECTOR_PARAMS_PREFIX + ".projectList=" + projectList +
                "&" + CP_SELECTOR_PARAMS_PREFIX + ".showArchived=" + showArchived;
    }

    private String getListFromNumber(int number)
    {
        return number > 0 ? String.valueOf(number) : "";
    }

    private String generateCPSelectorParams(int customer,
                                            int project, boolean showArchived, String coarseSelection)
    {
        return generateCPSelectorParams(getListFromNumber(customer), getListFromNumber(project),
                showArchived, coarseSelection);
    }

    private String generateCPSelectorParams(int customer,
                                            int project, boolean showArchived)
    {
        return generateCPSelectorParams(getListFromNumber(customer), getListFromNumber(project), showArchived,
                CustomersProjectsSelector.SELECT_SPECIFIC_CUSTOMERS_PROJECTS);
    }

    private String generateCPSelectorParams(String customerList,
                                            String projectList, boolean showArchived)
    {
        return generateCPSelectorParams(customerList, projectList, showArchived,
                CustomersProjectsSelector.SELECT_SPECIFIC_CUSTOMERS_PROJECTS);
    }

%>