<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.Features" %>
<%@ page import="com.actimind.actitime.util.jsHelper" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='customerLightBox'/>
    <jsp:param name="innerJsp" value='/customer/customer_popup_content.jsp'/>
    <jsp:param name="additionalClasses" value='taskProjectOrCustomerLightbox lightboxWithWhiteContent scrollable'/>
</jsp:include>
<% Features ef = FeaturesUtil.getFeatures(); %>
<script type="text/javascript">

    function showCreateCustomerPopup(successHandler)
    {
        var customerInfos = <%=jsHelper.toJSON( request.getAttribute( Keys.CUSTOMERS_DATA_KEY ) )%>;
        var featuresInfo = { projectAssignmentsEnabled: <%=ef.isEnabled(Feature.PAS)%>,
                             billingTypesEnabled: <%=ef.isEnabled(Feature.BTY)%>,
                             estimateEnabled: <%=ef.isEnabled(Feature.EST)%>};
        new CreateCustomerLightBox().init("customerLightBox", "customerLightBoxCloseButton", customerInfos, featuresInfo, successHandler).show();
    }

    function prepareCustomerInfo()
    {
        return <%=jsHelper.toJSON( request.getAttribute( Keys.CUSTOMER_DATA_KEY ) )%>;
    }

    function showEditActiveCustomerPopup(showConfirmDeleteDlgFnc, hasManagerApprover)
    {
        new EditActiveCustomerLightBox().init("customerLightBox", "customerLightBoxCloseButton", prepareCustomerInfo(), showConfirmDeleteDlgFnc,
                                              hasManagerApprover).show();
    }

    function showEditArchivedCustomerPopup(showConfirmDeleteDlgFnc, hasManagerApprover)
    {
        new EditArchivedCustomerLightBox().init("customerLightBox", "customerLightBoxCloseButton", prepareCustomerInfo(), showConfirmDeleteDlgFnc,
                                                hasManagerApprover).show();
    }
</script>