<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<%
    String id = request.getParameter("id");
%>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="customerLightBoxCloseButton" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder"></span>
            </div>
        </td>
    </tr>
</table>

<div class="innerContent">
    <div id="<%=id%>_customerInfoDiv">
        <div id="<%=id%>_customerNameDiv">
            <input type="text" class="inputFieldWithPlaceholder" id="<%=id%>_nameField"  placeholder="<bean:message key="customer.edit.name.placeholder.text"/>" maxlength="191" autocomplete="off">
            <div id="<%=id%>_deleteBtn" class="greyButton withIcon deleteButton"><div class="buttonIcon"><span class="buttonTitle"><bean:message key="customer.edit.delete.button.caption"/></span></div></div>
            <div id="<%=id%>_nameEmptyError" class="inlineErrorMessage leftInlineErrorMessage"><bean:message key="customer.error.name_required"/></div>
            <div id="<%=id%>_nameDuplicateError" class="inlineErrorMessage leftInlineErrorMessage"><bean:message key="customer.edit.error.name_duplicate"/></div>
        </div>
        <div id="<%=id%>_statusSelectorDiv" align="right">
            <div>
                <table>
                <tr>
                    <td>Status:</td>
                    <td><div id="<%=id%>_statusSelectorPlaceholder"></div></td>
                </tr>
                </table>
            </div>
            <div id="<%=id%>_archiveWarning"><at:defImg page="alert-icon.png"/><span class="warningText"></span></div>
        </div>
        <div id="<%=id%>_customerDescriptionDiv">
            <textarea id="<%=id%>_descriptionField" class="inputFieldWithPlaceholder" placeholder="<bean:message key="customer.edit.description.placeholder.text"/>"></textarea>
            <jsp:include page="/textarea_length_note.jsp">
                <jsp:param name="note_id" value="customerLightBox_customerDescription"/>
            </jsp:include>
        </div>

        <div id="<%=id%>_customerImportDiv">
            <div id="<%=id%>_customerImportDivTitle" class="formblocktitle">
                <at:defImg page="import-arrow.png"></at:defImg>
                <bean:message key="customer.create.import_from_existing_customer.caption"/>
            </div>
            <div>
                <span id="<%=id%>_customerSelectorPlaceholder" class="selectorWithPlaceholderContainer"></span>
            </div>
            <div id="<%=id%>_customerImportSettingsDiv">
                <table class="projectAssignmentsSettings">
                    <tr>
                        <td><input type="checkbox" id="<%=id%>_importProjectsAssignments"/></td>
                        <td><label for="<%=id%>_importProjectsAssignments"><bean:message key="customer.create.import_projects_assignments.label"/></label></td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td><input type="checkbox" id="<%=id%>_importProjectsDescriptions"/></td>
                        <td><label for="<%=id%>_importProjectsDescriptions"><bean:message key="customer.create.import_project_descriptions.label"/></label></td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td><input type="checkbox" id="<%=id%>_importTasksDescriptions"/></td>
                        <td><label for="<%=id%>_importTasksDescriptions"><bean:message key="customer.create.import_tasks_descriptions.label"/></label></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0>
        <tr>
            <td class="errorMessageBox">
                <div>
                    <at:img page="error.gif"/>
                    <span class="errormsg"><bean:message key="customer.edit.correct_errors"/></span>
                </div>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"><bean:message key="customer.edit.not_saved"/></span>
                <span class="savingMsg"><bean:message key="customer.edit.saving"/></span>
                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn"><div class="buttonIcon"><span class="buttonTitle"></span></div></div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="customer.edit.cancel_button.text"/></div>
            </td>
        </tr>
    </table>
</div>