<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.util.GeneralSettingsUtil" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.util.jsHelper" %>

<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>


<bean:define id="settings" name="<%= Keys.SYSTEM_SETTINGS_LOADER %>"  property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />
<bean:define id="timeZone" name="<%= Keys.USER_TIME_ZONE %>" scope="request" type="java.util.TimeZone"/>

<form onsubmit="return false;">
<div id="deadlinePopup" class="customPopup" style="position:absolute; display:none; z-index:1001;">
    <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td class="lightPopupHeader">
                <div class="dhtml_popup_title" id="deadlinePopupTitle">&nbsp;</div>
                <span id="closeDeadlinePopupActiveSpan" class="closeButton">
                    <a href="javascript:void(0);" onclick="deadlinePopup.hide()">
                        <at:img page="dialogs/comments/close.png" border="0" title='<%=message(request, "task.description_popup.close_title")%>' width="17" height="17" align="absmiddle"/>
                    </a>
                </span>
                <span id="closeDeadlinePopupDisabledSpan" class="closeButton" style="display:none">
                    <at:img page="dialogs/comments/close_grayed.png" border="0" width="17" height="17" align="absmiddle"/>
                </span>
                <hr/>
            </td>
        </tr>
        <tr>
            <td class="popupContent">
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr>
                        <td>
                            <table cellspacing="0" cellpadding="0" align="center" id="deadlinePopupEditingState" border="0">
                                <tr>
                                    <td>
                                        <div id="deadlineFieldContainer" class="formbuttonpane" style="border:none; width: 160px;">
                                            <input type="text" class="text" id="deadlinePopupText" style="width: 130px" maxlength="25" value="">
                                        </div>
                                        <script type="text/javascript">
                                            makeDateField("deadlineFieldContainer",
                                                          "deadlinePopupText",
                                                          "<%=settings.getDateFormat()%>",
                                                          {
                                                              "blur": function ()
                                                              {
                                                                  deadline.parseDateAndUpdateHolder();
                                                                  return false;
                                                              },
                                                              "keydown": function ()
                                                              {
                                                                  deadlineKeyDownHandler();
                                                              }
                                                          }
                                                    , undefined, undefined,
                                                    <%=settings.getWeekStartDay() - 1%>,
                                                    false,
                                                    new CorporateScheduleCalculator().init(invertedDaysDateMap, <%= jsHelper.toJSON( settings.getDefaultWorkSchedule()) %>));
                                        </script>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap style="padding-top: 6px; padding-bottom: 4px;">
                                        <div class="notemsg"><at:img hspace="0" page="note_mark.gif"
                                                                     style="position: relative; float: left; padding-left: 0px;"
                                                                     align="absmiddle"/>&nbsp;<bean:message key="add_new_tasks.e_g"/> <%=TimeUtils.formatDate(
                                                TimeUtils.today( timeZone ), settings.getDateFormat() )%>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                            <input type="hidden" id="parsedDeadline">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div id="deadlinePopupButtons" style="padding-top: 4px;">
                                <table cellspacing="0" cellpadding="0" width="100%">
                                    <tr>
                                        <td align="left"><input type="button" value=" <bean:message key="common.save"/> " onclick="saveDeadline()"></td>
                                        <td align="right"><input type="button" value="<bean:message key="common.cancel"/>" onclick="deadlinePopup.hide()"></td>
                                    </tr>
                                </table>
                            </div>
                            <div id="deadlinePopupSavingState" style="display: none; padding: 27px 0;" align="center" class="text"><bean:message key="common.popup.saving"/></div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
</form>
