function ChangeMyWeekApprovalStatusMediator ()
{
    this.constructor = ChangeMyWeekApprovalStatusMediator;
}

ChangeMyWeekApprovalStatusMediator.prototype = _.create(ChangeWeekApprovalStatusMediator.prototype, {

    init: function(userId, weekStatus, disabled, dateFrom, dateTo)
    {
        this.spinnerController = new SpinnerController();

        var self = this;
        this.changeWeekControl = new ChangeMyWeekApprovalStatusControl().init(
                userId, weekStatus, disabled, dateFrom, dateTo,
                disabled ? null : function() { self.onStatusChange.apply(self, arguments); },
                disabled ? null : function() { self.getWeekStatusHistory.apply(self, arguments) }
        );

        return this;
    },

    onStatusChange: function()
    {
        submitTTManager.handleChange( true, false );
        SubmitTTChanges.registerChange( "statusSwitcher" );
        document.SubmitTTForm.effectiveWeekStatusName.value = this.changeWeekControl.getCurrentStatus();
        document.SubmitTTForm.doSaveWeekStatusValue.value = true;
    },

    showSwitcherIfNeeded: function()
    {
        this.changeWeekControl.showSwitcherIfNeeded();
        document.SubmitTTForm.doSaveWeekStatusValue.value = true;
    }
});