/**
 * Created by evdokimov on 02.06.2016.
 */

function InfoPopup( popupId, link )
{
    DHTMLPopupWithMoire.call(this, popupId);
}

InfoPopup.prototype = _.create(DHTMLPopupWithMoire.prototype, {
    hideOnResize: _.constant(false),
    hideOnMouseDown: _.constant(false),
    hideOnEscape: _.constant(true),
    
    init: function(parent) {
        this.popupEl = $("#" + this.popupId);
        this.parent = parent;
        $("#infoPopupCloseButton").click(_.bind(this.hide, this));
        
        return this;
    },

    show: function () {
        if (this.parent.isShowed) {
            DHTMLPopupWithMoire.prototype.show.call(this);
            if (_.isUndefined(this.verticalScroll))
                this.verticalScroll = ScrollUtils.addVerticalScroll($("#importCSVTaskInfoContainer"));
        }
    },

    centrePopup: function () {}
});