function PanelBalanceHistoryTable($containerEl, balancesRecords, countWorkHoursPerDay,  showBalanceInHours, balanceTypePrefix)
{
    this._balanceTypePrefix = balanceTypePrefix;
    this._balanceRecords = balancesRecords;
    BalanceHistory.Table.call(this, $containerEl, countWorkHoursPerDay, showBalanceInHours);
};

PanelBalanceHistoryTable.prototype = _.create(BalanceHistory.Table.prototype, {

    html: "<div class='balanceHistoryTableContainer'><table id='panel_balanceHistoryTable' class='balanceHistoryTable display-for-print dataTable'><tbody></tbody></table></div>",

    renderTHead: function()
    {
        // do nothing
    },

    afterRender: function()
    {
        BalanceHistory.Table.prototype.afterRender.call(this);
        var even = false;
        this.$balanceRows.find('tr').each(function(index, row)
                                          {
                                              if( even )
                                                  $(row).addClass('even');
                                              else
                                                  $(row).addClass('odd');
                                              even = !even;
                                          });
    },

    getBalanceModels: function()
    {
        return this._balanceRecords;
    },

    beforeRender: function()
    {
        this.$containerEl.empty();
    },

    getBalanceType: function()
    {
        return this._balanceTypePrefix;
    }
});