function SimpleTooltip($containerEl, text, extraClass)
{
    Tooltip.call(this, $containerEl);
    this.text = text;
    this.extraClass = extraClass;
}

SimpleTooltip.prototype = _.create(Tooltip.prototype, {
    html: "<div class='simpleTooltip'><%-text%></div>",

    afterRender: function()
    {
        Tooltip.prototype.afterRender.call(this);
        if (this.extraClass)
            this.$el.addClass(this.extraClass);
    }
});

