function RowsSelection ( )
{}

RowsSelection.prototype.init = function ( allRowsSelected )
{
    this.allRowsSelected = allRowsSelected;
    this.selectedGroupingRowsIds = [];
    this.visibleSelectedChildRowsIds = [];
    this.excludedGroupingRowsIds = [];
    this.excludedChildRowsIds = [];

    return this;
};

RowsSelection.prototype.setAllRowsSelected = function ( selected )
{
    this.allRowsSelected = selected;
};

RowsSelection.prototype.getAllRowsSelected = function ()
{
    return this.allRowsSelected;
};

RowsSelection.prototype.addGroupingRowId = function ( id )
{
    this.selectedGroupingRowsIds.push(id);
};

RowsSelection.prototype.addChildRowId = function ( id )
{
    this.visibleSelectedChildRowsIds.push(id);
};

RowsSelection.prototype.addChildRowIds = function ( ids )
{
    this.visibleSelectedChildRowsIds = this.visibleSelectedChildRowsIds.concat(ids);
};

RowsSelection.prototype.addExcludedGroupingRowsId = function ( id )
{
    this.excludedGroupingRowsIds.push(id);
};

RowsSelection.prototype.addExcludedChildRowsIds = function ( id )
{
    this.excludedChildRowsIds.push(id);
};

RowsSelection.prototype.getSelectedGroupingRowsIds = function ()
{
    return this.selectedGroupingRowsIds;
};

RowsSelection.prototype.getVisibleSelectedChildRowsIds = function ()
{
    return this.visibleSelectedChildRowsIds;
};

RowsSelection.prototype.getExcludedGroupingRowsIds = function ()
{
    return this.excludedGroupingRowsIds;
};

RowsSelection.prototype.getExcludedChildRowsIds = function ()
{
    return this.excludedChildRowsIds;
};