function  LeaveTypeListTableRow()
{
    this.constructor = LeaveTypeListTableRow;
}

LeaveTypeListTableRow.prototype = _.create(TableRow.prototype);

LeaveTypeListTableRow.prototype.init = function ( leaveTypeInfo )
{
    var self = this;
    TableRow.call( this );

    //TODO filatov: need refactoring
    $(this.getRowEl() ).hover(function(){if(!self.getTable().isDisabledHover()) self.hover()}, function(){self.unhover()});
    $(this.getRowEl() ).mousemove(function(){if(!self.getTable().isDisabledHover()) {self.hover(); $(self.getRowEl() ).off('mousemove')}});
    this.leaveTypeInfo = leaveTypeInfo;
    return this;
};

LeaveTypeListTableRow.prototype.getLeaveTypeInfo = function ()
{
    return this.leaveTypeInfo;
};

LeaveTypeListTableRow.prototype.writeCellsContent = function ()
{
    var cells = this.getCells();
    for( var i = 0; i < cells.length; i++ )
        cells[i].writeContent();
};

LeaveTypeListTableRow.prototype.markMovedRow = function ()
{
    $(this.getRowEl()).addClass("moved");
};

LeaveTypeListTableRow.prototype.unMarkMovedRow = function ()
{
    $(this.getRowEl()).removeClass("moved");
};

LeaveTypeListTableRow.prototype.highlight = function ()
{
    this.addClass("highlighted");
};

LeaveTypeListTableRow.prototype.unhighlight = function ()
{
    this.removeClass("highlighted");
};

LeaveTypeListTableRow.prototype.hover = function(){
    this.addClass("hover");
};

LeaveTypeListTableRow.prototype.unhover = function(){
    this.removeClass("hover");
};

LeaveTypeListTableRow.prototype.addOpenPopupClass = function(){
    this.addClass("openPopup");
};

LeaveTypeListTableRow.prototype.removeOpenPopupClass = function(){
    this.removeClass("openPopup");
};


LeaveTypeListTableRow.prototype.addClass = function(className){
    $(this.getRowEl() ).addClass(className);
};

LeaveTypeListTableRow.prototype.removeClass = function(className){
    $(this.getRowEl() ).removeClass(className);
};

LeaveTypeListTableRow.prototype.addCellObj = function( cellObj )
{
   TableRow.prototype.addCellObj.call(this, cellObj);
    $( cellObj.getCellEl() ).hover( function () { $( cellObj.getCellEl() ).addClass("active"); }, function () { $( cellObj.getCellEl() ).removeClass("active");} );
};