function calculateTooltipOffset (tooltip, event, bottomBarHeight)
{
    return calculateTooltipOffsetByItParameters(tooltip.getHeight(), tooltip.getWidth(), event, bottomBarHeight);
}

function calculateElementOffset (height, width,  event, bottomBarHeight)
{
    return calculateTooltipOffsetByItParameters(height, width, event, bottomBarHeight);
}

function calculateTooltipOffsetByItParameters (tooltipHeight, tooltipWidth, event, bottomBarHeight)
{

    var bottomBarHeightValue = bottomBarHeight ? bottomBarHeight : 0;
    var top = event.pageY + 5;
    if ( top + tooltipHeight + bottomBarHeightValue - getBodyScrollTop() > $(window).height() )
        top -= tooltipHeight;
    var left = event.pageX + 15;
    if ( left + tooltipWidth - getBodyScrollLeft() > $(window).width() )
        left -= tooltipWidth + 22;
    return { top: top, left: left };
}
