/**
 * Created by filatov on 20.01.2016.
 */

/*  EditAccountInformationSection */
function EditAccountInformationSection(){}

EditAccountInformationSection.prototype = new AccountInformationSection();

EditAccountInformationSection.prototype.init = function(lightBoxEl, userManagementData, currentTime, userId, accountSettings, changesCallback, validateCallback,
                                                        checkUsernameErrorHandler, corporateSchedule, userGroupsEnabled, timeZoneGroupsEnabled,
                                                        firstTTDate, firstLeaveRequestDate, editedUserIsSelf, handlerIfNoSuchUserAfterAjax,specificVersionDrawerConstructor){

    AccountInformationSection.prototype.init.call(this,lightBoxEl, userManagementData, currentTime, userId, accountSettings, changesCallback, validateCallback,
                                                  checkUsernameErrorHandler, corporateSchedule, userGroupsEnabled, timeZoneGroupsEnabled,
                                                  firstTTDate, firstLeaveRequestDate, editedUserIsSelf, handlerIfNoSuchUserAfterAjax, specificVersionDrawerConstructor );
    this.initAndShowReleaseDate(accountSettings, userManagementData);
    return this;
};

EditAccountInformationSection.prototype.initAndShowReleaseDate = function(accountSettings, userManagementData){
    var self = this;

    this.releaseDatePlaceholderEl = this.getElementBySubId("releaseDatePlaceholder");
    this.releaseDatePlaceholderEl.innerHTML = "";
    this.releaseDateSelector = this.createDateSelector(
            userManagementData,
            "releaseDate",
            this.releaseDatePlaceholderEl,
            accountSettings.releaseDate,
            this.corporateSchedule
    );

    this.delReleaseDateBtn.style.display = accountSettings.releaseDate ? "inline-block" : "none";
    this.delReleaseDateBtn.onclick = function ()
    {
        self.releaseDateSelector.unsetValue();
        self.releaseDateSelector.fireEvent( "change", this );
    };
    this.releaseDateSelector.on("change", function() {
        self.delReleaseDateBtn.style.display = this.getValue() ? "inline-block" : "none";
    } );
    $(this.getElementBySubId("releaseDate" )).show();
};

EditAccountInformationSection.prototype.getReleaseDate = function()
{
    return this.releaseDateSelector.getValue();
};
