/**
 * Created by filatov on 29.01.2016.
 */
function OnlineAccountFieldsUserPopupDrawer(){}

OnlineAccountFieldsUserPopupDrawer.prototype = new BaseFieldsDrawerController();

OnlineAccountFieldsUserPopupDrawer.prototype.getNewPassword = function(){
    return  null;
};

/**
 * create
 */
function OnlineAccountFieldsCreateUserPopupDrawer(){}

OnlineAccountFieldsCreateUserPopupDrawer.prototype = new OnlineAccountFieldsUserPopupDrawer();


OnlineAccountFieldsCreateUserPopupDrawer.prototype.initFields = function(){
   $(this.getElementByIdFunction("resendInvitation") ).hide();
   $(this.getElementByIdFunction("resetPasswordLink") ).hide();
};

/**
 * edit
 */
function OnlineAccountFieldsEditUserPopupDrawer(){}

OnlineAccountFieldsEditUserPopupDrawer.prototype = new OnlineAccountFieldsUserPopupDrawer();

OnlineAccountFieldsEditUserPopupDrawer.prototype.init =function(config){
    OnlineAccountFieldsUserPopupDrawer.prototype.init.call(this, config);
    this.userNameDrawer = new UserNameDrawer().init(config);
    this.invitationDrawer = new InvitationDrawer().init(config);
    this.addDrawer(this.invitationDrawer);
    this.addDrawer(this.userNameDrawer);
    return this;
};

OnlineAccountFieldsEditUserPopupDrawer.prototype.initFields = function(config){
    var accountSettings = config.accountSettings;
    var hire_date = Date.parseJSONDate(accountSettings.hireDate);
    var current_time = Date.parseJSONDate(config.currentTime);
    if( (hire_date.getTime() <= current_time.getTime()) && !accountSettings.activated){
        this.invitationDrawer.setNeedDrawResendButton(true);
    }
    if(!config.editedUserIsSelf && isEmailValid(accountSettings.email)  && accountSettings.activated){
        this.invitationDrawer.setNeedDrawResetButton(true);
    }

    OnlineAccountFieldsUserPopupDrawer.prototype.initFields.call(this, config.accountSettings);
};
