function SectionsPreparatoryStrategy(){

}

SectionsPreparatoryStrategy.prototype.init = function (  ){
    return this;
};

SectionsPreparatoryStrategy.prototype.prepareSections = function (accountInformationSection, permissionsSection, setupNameCallBack){
    //abstract
};

SectionsPreparatoryStrategy.prototype.getVersionSpecificDrawer = function (){

};

function CreateSectionsPreparatoryStrategy(){

}

CreateSectionsPreparatoryStrategy.prototype = new  SectionsPreparatoryStrategy();

CreateSectionsPreparatoryStrategy.prototype.init = function (  ){
    SectionsPreparatoryStrategy.prototype.init.call(this, undefined);
    return this;
};

CreateSectionsPreparatoryStrategy.prototype.prepareSections = function (accountInformationSection, permissionsSection, setupNameCallBack){
    accountInformationSection.setUpNameCallback( setupNameCallBack );
};

CreateSectionsPreparatoryStrategy.prototype.getAccountInformationSectionConstructor = function (){
    return new CreateAccountInformationSection();
};

CreateSectionsPreparatoryStrategy.prototype.getVersionSpecificDrawer = function (){
    return isOlVersion ? new OnlineAccountFieldsCreateUserPopupDrawer() : new DownloadableAccountFieldsCreateUserPopupDrawer();
};

function EditSectionsPreparatoryStrategy(){

}

EditSectionsPreparatoryStrategy.prototype = new  SectionsPreparatoryStrategy();

EditSectionsPreparatoryStrategy.prototype.init = function ( editUserData, editedUserIsLoggedIn ){
    SectionsPreparatoryStrategy.prototype.init.call(this, undefined);
    this._editUserData = editUserData;
    this._editedUserIsLoggedIn = editedUserIsLoggedIn;
    return this;
};

EditSectionsPreparatoryStrategy.prototype.prepareSections = function (accountInformationSection){

};

EditSectionsPreparatoryStrategy.prototype.getAccountInformationSectionConstructor = function (){
     return new EditAccountInformationSection();
};
EditSectionsPreparatoryStrategy.prototype.getVersionSpecificDrawer = function ()
{
    return isOlVersion ?  new OnlineAccountFieldsEditUserPopupDrawer() : new DownloadableAccountFieldsEditUserPopupDrawer();
};
