function PermissionsTemplatesMenuWithoutChoosing(){}

PermissionsTemplatesMenuWithoutChoosing.prototype = _.create(PermissionsTemplatesMenu.prototype, {

    init: function(menuId, templatesData, onCreateTemplateCallback, onEditTemplateCallback, onErrorCallback, onDeleteCallback, canShowMenu)
    {
        PermissionsTemplatesMenu.prototype.init.call(this, menuId, templatesData, onCreateTemplateCallback, onEditTemplateCallback, null, onErrorCallback,
                                                     onDeleteCallback, canShowMenu);
        return this;
    },

    _appendInnerRowContent: function(rowInnerContent, templateData, isDefaultRow)
    {
        var context = this;
        var templateName = this._generateTemplateName(templateData, isDefaultRow);
        templateName.on('click',
                        function()
                        {
                            if (context.isDisabledControls)
                            {
                                return;
                            }
                            context.hide();
                            context.onEditTemplateCallback(templateData);
                        }
        );
        rowInnerContent.append(templateName);
    }
});