function RateCellValidator()
{}

RateCellValidator.prototype = new TabularDataTableCellValidator();

RateCellValidator.prototype.init = function()
{
    TabularDataTableCellValidator.prototype.init.call( this );
    return this;
};

RateCellValidator.prototype.isEmpty = function( cell )
{
    return cell.getValue() === undefined || cell.getValue() === null || cell.getValue().length == 0;
};

RateCellValidator.prototype.isValid = function( cell )
{
    var floatNumberValidator = cell.getTable().getFloatNumberValidator();
    return floatNumberValidator.isValidNumber(cell.getValue()) && floatNumberValidator.parseFloat(cell.getValue()) < MAX_RATE;
};
