function TaskHierarchyFilter () {}

TaskHierarchyFilter.prototype = new BaseFilter();

TaskHierarchyFilter.prototype.addItems = function(params){

    this.filter.addItems([{
                   text:messageResource.getEscapedMessage("task_hierarchy_filter.all"),
                   value: UserManagementConstants.TASK_HIERARCHY_FILTER_ALL_STAFF
               }]);
    this.filter.addSeparator();
    this.filter.addItems([{
                   text:messageResource.getEscapedMessage("task_hierarchy_filter.can_manage_customers_and_projects"),
                   value:  UserManagementConstants.TASK_HIERARCHY_FILTER_CAN_MANAGE_CUSTOMERS_PROJECTS
               }]);

    if (params.pasEnabled)
    {
        this.filter.addSeparator();
        this.filter.addItems( [{
                                   text: messageResource.getEscapedMessage( "task_hierarchy_filter.has_access_to_all_projects" ),
                                   value: UserManagementConstants.TASK_HIERARCHY_FILTER_HAS_ACCESS_TO_ALL_PROJECTS
                               },
                               {
                                   text: messageResource.getEscapedMessage( "task_hierarchy_filter.has_no_projects_assigned" ),
                                   value: UserManagementConstants.TASK_HIERARCHY_FILTER_HAS_NO_PROJECT_ASSIGNED
                               }] );
    }
};

TaskHierarchyFilter.prototype.isActiveFilter = function(value){
    return  value != UserManagementConstants.TASK_HIERARCHY_FILTER_ALL_STAFF;
};
