function TotalCellRenderer() {}

TotalCellRenderer.prototype = _.create(TableCellRenderer.prototype);

TotalCellRenderer.prototype.init = function()
{
    return this;
};

TotalCellRenderer.prototype.generateContent = function( cell )
{
    cell.getCellEl().innerHTML = UserTime.formatTime( cell.getValue() );
};

TotalCellRenderer.prototype.updateUI = function( cell )
{
    this.generateContent( cell );
    cell.getCellEl().className = "totalCell";
};

