BalanceHistory.Table.NoLeaveTimeRow = function($containerEl, balanceType)
{
    TemplateView.call(this, $containerEl);
    this.balanceType = balanceType;
};

BalanceHistory.Table.NoLeaveTimeRow.prototype = _.create(TemplateView.prototype, {
    html: "<tr class='emptyRecord'><td colspan='4' class='content'><%-noLeaveTimeLabel%></td></tr>",

    templateModel: function()
    {
        var noHistoryLabel = messageResource.getMessage("common.balance_history.table.empty_table_info.text",
                                                      [messageResource.getMessage("common.balance_history.table." + this.balanceType)]);
        return {
            noLeaveTimeLabel: noHistoryLabel
        }
    }
});