function BeigeButtonClassesController(){}

BeigeButtonClassesController.prototype.init = function($element)
{
    this.$element = $element;
    if (!isOldIE())
    {
        this.$element.toggleClass("useNativeActive");
    }
    return this;
};

BeigeButtonClassesController.prototype.addListenersIfNeeded = function()
{
    if (isOldIE())
    {
        this.$element.off("mousedown.beigeButtonClassesController").on("mousedown.beigeButtonClassesController", this._getAddingActiveClassFunction());
        this.$element.off("mouseup.beigeButtonClassesController").on("mouseup.beigeButtonClassesController", this._getRemovingActiveClassFunction());
        this.$element.off("mouseleave.beigeButtonClassesController").on("mouseleave.beigeButtonClassesController", this._getRemovingActiveClassFunction());
    }
};

BeigeButtonClassesController.prototype._getAddingActiveClassFunction = function()
{
    return _.bind(function(){ this.$element.addClass("active")}, this);
};

BeigeButtonClassesController.prototype._getRemovingActiveClassFunction = function()
{
    return _.bind(function(){ this.$element.removeClass("active")}, this);
};