HeaderTextListSelector = Ext.extend( ListSelector, {

    headerPropName: "headerText",

    createItem: function( listItem )
    {
        return {
            text: listItem[ this.textPropName ],
            headerText: listItem[ this.headerPropName ],
            value: listItem[ this.valuePropName ],
            cls: listItem[ this.clsPropName ],
            origObj: listItem
        };
    },

    setItem: function( item )
    {
        if( this.currentItem )
        {
            if( this.currentItem == item )
                return false;
            this.currentItem.setIconClass("");
        }
        this.currentItem = item;
        this.currentItem.setIconClass("selected");
        this.value = item.value;
        this.setText( item.headerText );
        return true;
    }
});