var LoadingControlMixin = {
    isLoading: function()
    {
        return this._loadingControl;
    },

    setLoading: function(loading)
    {
        if (this._loadingControl !== loading)
        {
            this._loadingControl = loading;
            this._getLoadingControlMoire().toggle(loading);
        }
    },

    _getLoadingControlMoire: function()
    {
        if (!this._loadingControlMoire)
            this._loadingControlMoire = new LoadingMoire(this.$el).init();
        return this._loadingControlMoire;
    }
};