WeekSelectorWithRange = Ext.extend( WeekSelector,
{
    fromDateFormat: new DateFormat('MMM dd'),
    toDateFormat: new DateFormat('MMM dd, yyyy'),

    formatDate: function ( date )
    {
        if( Ext.isDate( date ) )
        {
            return this.fromDateFormat.formatDate( date ) + ' - ' + this.toDateFormat.formatDate( date.getNDaysAfter( 6 ) );
        }
        else
        {
            return date.toString();
        }
    },

    onRender: function ( container, position )
    {
        WeekSelectorWithRange.superclass.onRender.call( this, container, position );

        Ext.get( this.el ).addClass( "weekSelectorWithRange" );
    }
});
