function ManageRightsTooltip(){}

ManageRightsTooltip.prototype = new DelayTooltip();
ManageRightsTooltip.prototype.constructor = ManageRightsTooltip;

ManageRightsTooltip.prototype.updateUI = function ( config )
{
    var text;
    if (config.isActive){
        text = messageResource.getEscapedMessage( "userlist.js.table.manage_rights.tooltip.common.revoke" );
    } else {
        text = messageResource.getEscapedMessage( "userlist.js.table.manage_rights.tooltip.common.grant" );
    }
    text += "&nbsp";
    if (config.isPto) {
        this._tooltipEl.addClass("pto");
        var messageKey = "";
        if ( EnabledFeatures.PTO && EnabledFeatures.SDB )
            messageKey = "userlist.js.table.manage_rights.tooltip.pto_and_sick";
        else if ( EnabledFeatures.SDB )
            messageKey = "userlist.js.table.manage_rights.tooltip.sick";
        else
            messageKey = "userlist.js.table.manage_rights.tooltip.pto";
        text += messageResource.getEscapedMessage( messageKey );
    } else {
        this._tooltipEl.removeClass("pto");
        if (EnabledFeatures.TTA){
            text +=messageResource.getEscapedMessage( "userlist.js.table.manage_rights.tooltip.tta" );
        } else {
            text +=messageResource.getEscapedMessage( "userlist.js.table.manage_rights.tooltip.tta_off" );
        }
    }
    this._tooltipTextPlaceholder.html( text );
};
