Ext.namespace("AT");

AT.CustomerProjectSelectorActiveOnlyPanel = Ext.extend(AT.CustomerProjectSelectorPanel, {
    
    allItemsOptionLabelKeyNotFiltered: "projects_customers_selector.all_active_projects_customers",
    allItemsOptionLabelKeyFiltered: "projects_customers_selector.all_active_projects_customers_filtered",
    showShowInactiveCheckbox: false,

    createSelectionFilters: function()
    {
        //do nothing
    },

    getAllActiveItemsMessage: function() {
        return messageResource.getEscapedMessage(this.getAllItemsOptionLabelKey());
    },

    getShowInactive: function() {
        return false;
    },

    setFilterFlag: function ( flag )
    {
        this.showInactive = false;
    },

    updateState: function() {
        this.selectOption(this.optionValue);
    },

    disableTextSelectionForNeededElements: function() {
        disableTextSelection(this.customOptionsContainer.el.dom);
    }
});