function CreateLightbox(divId, closeButtonId)
{
    DHTMLPopupWithMoire.call(this, divId);
   
    this.afterHideHandler = function() {};
    this.setAfterHideHandler = function(handler)
    {
        this.afterHideHandler =  handler;
    };
    this.permitToHideCallback = function() {return true};
    this.setPermitToHideCallback = function(callback)
    {
        this.permitToHideCallback =  callback;
    };
    this.closeButton = document.getElementById(closeButtonId);
    this.closeButton.onclick = makeHandler(this.hide, this);
}

CreateLightbox.prototype = new DHTMLPopupWithMoire(undefined);

CreateLightbox.prototype.hide = function(){
    if (!this.permitToHideCallback || this.permitToHideCallback())
    {
        DHTMLPopupWithMoire.prototype.hide.call(this, arguments);
        this.afterHideHandler();
    }
};

function createLightbox(containerId, afterHideHandler, permitToHideCallback)
{
    var popup = new CreateLightbox(containerId, formatId(containerId, "closeLightbox"));
    if (afterHideHandler)
    {
        popup.setAfterHideHandler(afterHideHandler);
    }
    if (permitToHideCallback)
    {
        popup.setPermitToHideCallback(permitToHideCallback);
    }
    popup.show();
    return popup;
}
