/**
 * Sets up exit confirmation based on form changes detection from form_changes.js
 */
function ExitConfirmation() {}

ExitConfirmation.isConfirmationOnUnloadRequired = true;

ExitConfirmation.setUpBaseExitConfirmation = function( messageKey, isPopupMode, mustWarnUserEvenIfIsNotCurrent )
{
    function discardHandler()
    {
        ExitConfirmation.disableConfirmationOnUnloadPage();
        window.location.href = getRedirectUrl();
    }

    var isConfirmationOnUnloadSettingsRequired = function()
    {
        return ExitConfirmation.isConfirmationOnUnloadRequired && changesDetected();
    };

    ExitConfirmationHandlersManager.setUpExitConfirmation( messageResource.getMessage( messageKey ), isConfirmationOnUnloadSettingsRequired, isPopupMode, mustWarnUserEvenIfIsNotCurrent );

    setDiscardHandler( discardHandler );
};

ExitConfirmation.disableConfirmationOnUnloadPage = function()
{
    ExitConfirmation.isConfirmationOnUnloadRequired = false;
};