function AccessRightEmptyMessageBuilder(userSelectorGroupsStrategy, accessRight)
{
    UserSelectorEmptyMessageBuilder.call(this, userSelectorGroupsStrategy);
    this.accessRight = accessRight;
}

AccessRightEmptyMessageBuilder.prototype = _.create(UserSelectorEmptyMessageBuilder.prototype, {
    createMessages: function()
    {
        UserSelectorEmptyMessageBuilder.prototype.createMessages.call(this);

        this.messages["noAccessRightGrantedUsers"] = messageResource.getMessage("users_selector.no_access_right_granted_users",
                                                                                [escapeHtmlSymbols(this.accessRight.getName())]);
        this.messages["noEnabledAccessRightGrantedUsers"] = messageResource.getMessage("users_selector.no_access_right_granted_users_with_enabled_access",
                                                                                       [escapeHtmlSymbols(this.accessRight.getName())]);
        this.messages["noSelectedNodesHasDisabledOrWithoutAccessRight"] = messageResource.getMessage("users_selector.hide_not_selected.only_disabled_or_without_ar",
                                                                                                     [escapeHtmlSymbols(this.accessRight.getName())]);
    }
});
