function UserSelectorEmptyMessageBuilder(userSelectorGroupsStrategy)
{
    EmptyMessageBuilder.call(this);
    this.userSelectorGroupsStrategy = userSelectorGroupsStrategy;
}

UserSelectorEmptyMessageBuilder.prototype = _.create(EmptyMessageBuilder.prototype, {
    createMessages: function()
    {
        this.messages["noNodesMatchingSearch"] = this.userSelectorGroupsStrategy.getNoNodesMatchingSearchMessage();
        this.messages["noSelectedNodes"] = this.userSelectorGroupsStrategy.getNoSelectedNodesMessage();
        this.messages["noSelectedNodesHasDisabled"] = messageResource.getMessage("users_selector.hide_not_selected.only_disabled");
    }
});