function DelayedSelectionState(mouseEventsHandler)
{
    LockTableMouseEventsHandlerState.apply(this, arguments);
    this.stateSwitcher = undefined;
}

DelayedSelectionState.prototype = _.create(LockTableMouseEventsHandlerState.prototype, {
    setDelayedStateSwitcher: function(stateSwitcher)
    {
        this.stateSwitcher = stateSwitcher;
    },

    mouseOut: function(evt, cell)
    {
        this.stateSwitcher(this.mouseEventsHandler);
        this.mouseEventsHandler.mouseOut(evt, cell);
    },

    mouseUp: function(evt, cell)
    {
        this.mouseEventsHandler.setHoverState();
        this.mouseEventsHandler.mouseOver(null, cell);
    }
});
