function LockUsersManager(userIds, fromDateStr, toDateStr, selectionUpdater, timestamp)
{
    BaseLockingManager.call(this, userIds, fromDateStr, toDateStr, selectionUpdater);
    this.timestamp = timestamp;
}

LockUsersManager.prototype = _.create(BaseLockingManager.prototype, {
    makeRemoteCall: function(callback)
    {
        this.getService().lock(callback, this.userIds, this.fromDateStr, this.toDateStr, this.timestamp);
    },

    getRpcErrorMsg: function()
    {
        return messageResource.getMessage("lock_tt.table.cannot_lock_users");
    },

    getTimeoutMsg: function()
    {
        return messageResource.getMessage("lock_tt.table.cannot_lock_users_for_10sec");
    }
});
