function UnlockUsersManager(userIds, fromDateStr, toDateStr, selectionUpdater)
{
    BaseLockingManager.call(this, userIds, fromDateStr, toDateStr, selectionUpdater);
}

UnlockUsersManager.prototype = _.create(BaseLockingManager.prototype, {
    makeRemoteCall: function(callback)
    {
        this.getService().unlock(callback, this.userIds, this.fromDateStr, this.toDateStr);
    },

    getRpcErrorMsg: function()
    {
        return messageResource.getMessage("lock_tt.table.cannot_unlock_users");
    },

    getTimeoutMsg: function()
    {
        return messageResource.getMessage("lock_tt.table.cannot_unlock_users_for_10sec");
    }
});
