function OtherTasksNameCellRenderer()
{
    LockTableCellRenderer.apply(this);
}

OtherTasksNameCellRenderer.prototype = _.create(LockTableCellRenderer.prototype, {
    generateContent: function(cell)
    {
        cell.getCellEl().innerHTML = "<div class='otherTasksNameCell'>" + cell.getValue() + "</div>";
    },

    getTopBorderClassName: function(cell)
    {
        var cssClass = "";
        if (cell.getRow().isFirstChildRow())
            cssClass = "detailsRowSeparator";
        else if (cell.getRow().hasRowSeparator())
            cssClass = "taskNameTopBorder";
        else
            cssClass = "notAvailableTaskTopBorder";
        return cssClass;
    },

    getComplicatedBorderClassName: function(cell)
    {
        var firstRow = cell.getRow().isFirstChildRow();
        var lastRow = cell.getRow().isLastChildRow();
        if (firstRow || lastRow)
            return (firstRow && lastRow) ? "singleDetailsRow" :
                   (firstRow ? "firstDetailsRow" : "lastDetailsRow");
        else
            return "";
    },

    getCellClassName: function(cell)
    {
        return "notAvailableTaskCell TaskCell";
    }
});
