function UserGroupCellRenderer(additionalCssClass)
{
    InactiveCellRenderer.call(this, additionalCssClass);
}

UserGroupCellRenderer.prototype = _.create(InactiveCellRenderer.prototype, {
    generateContent: function(cell)
    {
        var contentDiv = document.createElement("div");
        contentDiv.className = "userGroupName lockTableEllipsis";
        contentDiv.innerHTML = cell.getValue();

        cell.getCellEl().appendChild(contentDiv);
    }
});
