function DisabledUsersSeparateRow(isFirstRow)
{
    InactiveRow.call(this);
    this.separateCellRenderer = new InactiveCellRenderer();
    this.separateCellRenderer.getLastCellRightBorderClassName = function() { return "lockTableRightBorder"; };
    if (isFirstRow)
        this.groupCell.style.borderTop = "none";
}

DisabledUsersSeparateRow.prototype = _.create(InactiveRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return new InactiveCellRenderer("disabledUserSeparatorHeader");
    },

    createLockCellRenderer: function()
    {
        return this.separateCellRenderer;
    }
});
