function InactiveRow()
{
    LockTableRow.call(this);

    this.groupCell = document.createElement("td");
    this.groupCell.innerHTML = "&nbsp;";
    this.getRowEl().appendChild(this.groupCell);

    this.inactiveRenderer = new InactiveCellRenderer();
}

InactiveRow.prototype = _.create(LockTableRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return this.inactiveRenderer;
    },

    createLockCellRenderer: function()
    {
        return this.inactiveRenderer;
    },

    accept: function(visitor, cell)
    {
        return visitor.visitInactiveRow(cell);
    }
});