function UserLeavesRow()
{
    DetailsRow.call(this);
}

UserLeavesRow.prototype = _.create(DetailsRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return new LeaveNameCellRenderer();
    },

    createLockCellRenderer: function()
    {
        return new LeaveTimeCellRenderer("odd DayDetailsCell",
                this.isFirstChildRow() ? "detailsRowSeparator" : "leaveDetailsCellTopBorder");
    },

    addValueToCell: function(colIdx, leaveInfoWithTime)
    {
        var cell = this.getCell(colIdx);
        if (!cell)
            this.addCell(leaveInfoWithTime);
        else if (leaveInfoWithTime.time > 0)
        {
            cell.setValue(leaveInfoWithTime);
        }
    }
});
