function DateFormattingStrategy () {}

DateFormattingStrategy.prototype.init = function ( dateFormat )
{
    this.dateFormat = dateFormat;
    return this;
};

DateFormattingStrategy.prototype.formatForDateInformation = function ( dateParameters )
{
    // abstract
};

DateFormattingStrategy.prototype.formatSpecifyingInformation = function ( dateParameters )
{
    // abstract
};

DateFormattingStrategy.prototype.formatDate = function ( date )
{
    return this.dateFormat.formatDate(date);
};
