OvertimeReport.PDFDefinitionBuilder = function() {};

OvertimeReport.PDFDefinitionBuilder.prototype = _.create(BaseReportPDFDefinitionBuilder.PDFDefinitionBuilder.prototype, {
    getAdditionalStyles: function()
    {
        return OvertimeReport.PDFDefinitionBuilder.styles;
    },
    
    getAdditionalParameters: function()
    {
        return OvertimeReport.PDFDefinitionBuilder.parameters;
    }
});

OvertimeReport.PDFDefinitionBuilder.styles = _.create(BaseReportPDFDefinitionBuilder.PDFDefinitionBuilder.styles, {
});

OvertimeReport.PDFDefinitionBuilder.parameters = {
    dataTableStyles: {
        tableStyle: 'reportRow'
    },

    Portrait: {
        reportParams: 
        {
            maxUserNameLen: 16,
            maxUserNameLenWide: 22
        },
        columnWidth: {
            levels: 36,
            levelsWide: 58,
            overtime: 17,
            overtimeWide: 21,
            timeBalance: 10,
            timeBalanceWide: 14
        },
        A4: {
            limitOfLinesInTextCell: 62
        },
        Letter: {
            limitOfLinesInTextCell: 56
        }
    },
    Landscape: {
        reportParams:
        {
            maxUserNameLen: 22,
            maxUserNameLenWide: 32
        },
        columnWidth: {
            levels: 40,
            levelsWide: 58,
            overtime: 15,
            overtimeWide: 21,
            timeBalance: 10,
            timeBalanceWide: 14
        },
        A4: {
            limitOfLinesInTextCell: 40
        },
        Letter: {
            limitOfLinesInTextCell: 42
        }
    }
};