BaseReport.PDFPreviewLightboxTemplateView = function($containerEl, lightboxId, additionalClasses)
{
    LightboxTemplateView.call(this, $containerEl, lightboxId, additionalClasses);
};

BaseReport.PDFPreviewLightboxTemplateView.prototype = _.create(LightboxTemplateView.prototype, {
    getContentHtml: function()
    {
        return "<table class='dialog-header'>" +
               "  <tr>" +
               "    <td>" +
               "      <div class='close-button'>" +
               "         <div id='closeViewTTPdfPreviewLightboxButton' class='closeButton'/>" +
               "      </div>" +
               "      <div class='lightBoxTitle'></div>" +
               "    </td>" +
               "  </tr>" +
               "</table>" +
               "<div class='delimiter'></div>" +
               "<div id='<%=id%>_chartConfigurationSection' class='chartConfigurationSection'>" +
               "  Users' and cp selectors' parameters" +
               "</div>" +
               "<div class='innerContent'>" +
               "<div class='pdfPreviewContainer'></div>" +
               "</div>" +
               "<div id='<%=id%>_footer'>" +
               "  <table cellpadding=0 cellspacing=0 border=0 style='width: 100%;'>" +
               "    <tr>" +
               "      <td class='errorMessageBox'>" +
               "        <img src='<%=atImgPath(\"error.gif\")%>'/>" +
               "        <span class='errormsg'></span>" +
               "       </td>" +
               "       <td class='buttonsBox'>" +
               "         <span class='changesMsg'></span>" +
               "         <span class='savingMsg'></span>" +
               "         <div id='<%=id%>_downloadPdfBtn' class='greyButton withIcon downloadPdfBtn'><div class='buttonIcon'><span class='buttonTitle'><%=messageResource.getMessage('report.chart_pdf_preview.exportButton.caption')%></span></div></div>" +
               "       </td>" +
               "     </tr>" +
               "  </table>" +
               "</div>";
    }
});