function BalanceHierarchicalSelectorsSectionStrategy() {}

BalanceHierarchicalSelectorsSectionStrategy.prototype = new ChartHierarchicalSelectorsSectionStrategy();

BalanceHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI = function()
{
    ChartHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI.call( this );
    $( this.container ).addClass( this.getVisibleUsersSelectorClassName() + " " + this.getVisibleNoteMsgClassName() );
    this.noteMsgContainer.innerHTML = messageResource.getMessage("report.chart.balance_shown_within_date_range");
};

BalanceHierarchicalSelectorsSectionStrategy.prototype.getSelectedParams = function()
{
    return {
        userSelection: this.userSelector.getSelection()
    };
};

BalanceHierarchicalSelectorsSectionStrategy.prototype.validate = function()
{
    var errors = [];

    if ( !this.userSelector.validateIsUserSelected() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_USER_SELECTION );

    return errors;
};