function LeaveParametersFormattingStrategy () {}

LeaveParametersFormattingStrategy.prototype = new ChartParametersFormattingStrategy();

LeaveParametersFormattingStrategy.prototype.init = function ( selectorsData, dateFormat )
{
    ChartParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat);
    return this;
};

LeaveParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat )
{
    return new DateRangeFormattingStrategy().init(dateFormat);
};

LeaveParametersFormattingStrategy.prototype.formatParametersText = function ( selectedParameters )
{
    return  this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection) +
            "; " +
            this.parametersFormatter.formatLeaveTypesSelection(selectedParameters.hierarchicalSelectorsParameters.leaveTypeSelection);
};
