function OvertimeParametersFormattingStrategy () {}

OvertimeParametersFormattingStrategy.prototype = new ChartParametersFormattingStrategy();

OvertimeParametersFormattingStrategy.prototype.init = function ( selectorsData, dateFormat )
{
    ChartParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat);
    return this;
};

OvertimeParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat )
{
    return new DateRangeFormattingStrategy().init(dateFormat);
};

OvertimeParametersFormattingStrategy.prototype.formatParametersText = function ( selectedParameters )
{
    return this.parametersFormatter.formatOvertimeUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection);
};
