function WorkingHoursCostBillingParametersFormattingStrategy () {}

WorkingHoursCostBillingParametersFormattingStrategy.prototype = new ChartParametersFormattingStrategy();

WorkingHoursCostBillingParametersFormattingStrategy.prototype.init = function ( selectorsData, dateFormat )
{
    ChartParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat);
    return this;
};

WorkingHoursCostBillingParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat )
{
    return new DateRangeFormattingStrategy().init(dateFormat);
};

WorkingHoursCostBillingParametersFormattingStrategy.prototype.formatParametersText = function ( selectedParameters )
{
    return  this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection) +
            "; " +
            this.parametersFormatter.formatCustomersAndProjectsSelection(selectedParameters.hierarchicalSelectorsParameters.customersProjectsSelection);
};
