function ChartPDFBalanceParametersFormattingStrategy(){}

ChartPDFBalanceParametersFormattingStrategy.prototype = new ChartPDFParametersFormattingStrategy();

ChartPDFBalanceParametersFormattingStrategy.prototype.init = function(selectorsData, dateFormat, dateFormatForFile){
    ChartPDFParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat, dateFormatForFile);

    return this;
};

ChartPDFBalanceParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat, dateFormatForFile ) {
    return new ChartPDFSingleDateFormattingStrategy().init(dateFormat, dateFormatForFile);
};

ChartPDFBalanceParametersFormattingStrategy.prototype.formatChartPDFFilterInformation = function ( selectedParameters ) {
    return {
        firstRow: this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection),
        secondRow: ' '
    }
};
