function ChartPDFSingleDateFormattingStrategy(){}

ChartPDFSingleDateFormattingStrategy.prototype = new ChartPDFDateFormattingStrategy();

ChartPDFSingleDateFormattingStrategy.prototype.init = function(dateFormat, dateFormatForFileName){
    ChartPDFDateFormattingStrategy.prototype.init.call(this, dateFormat, dateFormatForFileName);

    this.previewDateFormatStrategy = new SingleDateFormattingStrategy().init(dateFormat); // for use methods from lightbox preview header formatter
    return this;
};

ChartPDFSingleDateFormattingStrategy.prototype.formatDateInformation = function ( dateParameters ) {
    return this.previewDateFormatStrategy.formatForDateInformation(dateParameters) + " " + this.previewDateFormatStrategy.formatSpecifyingInformation( dateParameters );
};

ChartPDFSingleDateFormattingStrategy.prototype.formatDateForFileName = function ( dateParameters ) {
    return this.formatFileNameDate(dateParameters.dateSelection.date);
};