function ChartPDFWorkingHoursCostBillingParametersFormattingStrategy(){}

ChartPDFWorkingHoursCostBillingParametersFormattingStrategy.prototype = new ChartPDFParametersFormattingStrategy();

ChartPDFWorkingHoursCostBillingParametersFormattingStrategy.prototype.init = function(selectorsData, dateFormat, dateFormatForFile){
    ChartPDFParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat, dateFormatForFile);

    return this;
};

ChartPDFWorkingHoursCostBillingParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat, dateFormatForFile ) {
    return new ChartPDFDateRangeFormattingStrategy().init(dateFormat, dateFormatForFile);
};

ChartPDFWorkingHoursCostBillingParametersFormattingStrategy.prototype.formatChartPDFFilterInformation = function ( selectedParameters ) {
    return {
        firstRow:  this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection),
        secondRow: this.parametersFormatter.formatCustomersAndProjectsSelection(selectedParameters.hierarchicalSelectorsParameters.customersProjectsSelection)
    }
};
