<%@ page import="com.actimind.actitime.reports.ReportType"%>
<%@ page import="com.actimind.actitime.beans.UserAccessRightsBean" %>
<%@ page import="java.util.*" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.jsMessage" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%
    String createReportCallback = request.getParameter( "createReportCallback" );
    String createSpecificReportCallback = request.getParameter( "createSpecificReportCallback" );
    String id = request.getParameter( "id" );
    String buttonTextKey = request.getParameter( "buttonTextKey" );
%>

<script type="text/javascript">

    (function() {
        //todo cfg
        //cfg title
        //cfg items
        function MenuCategory(config)
        {
            Ext.apply(this, config);
        }

        MenuCategory.prototype =
        {
            createMenuItems: function()
            {
                var result = [];
                if (this.items.length > 0)
                {
                    result.push(new AT.menu.CategoryItem(
                    {
                        additionalCls: this.cls,
                        text: this.title
                    }));

                    for (var i = 0; i < this.items.length; i++)
                        result.push(this.items[i].createMenuItem());
                }
                return result;
            }
        };

        function CreateReportMenuItem(title, reportUrl)
        {
            this.title = title;
            this.reportUrl = reportUrl;
        }

        CreateReportMenuItem.prototype=
        {
            createMenuItem: function()
            {
                var self = this;
                return new Ext.menu.Item(
                {
                    text: this.title,
                    handler: function()
                    {
                        <%=createSpecificReportCallback%>(self.reportUrl);
                    }
                });
            }
        };

        var categories = [];
        var items;

        <%
            Map<ReportType.Category, Collection<ReportType>> reportsMap = ReportType.getValuesGrouped();

            for (Map.Entry<ReportType.Category, Collection<ReportType>> entry: reportsMap.entrySet())
                if (UserAccessRightsBean.getUserRights(request).hasRight( entry.getKey().getAccessRight() ) )
                {%>
                    items = [];
                    <%
                        for (ReportType type: entry.getValue())
                            if (type.isFeatureAvailable(  ) && type.isFeatureEnabled(  ))
                            {%>
                                items.push(new CreateReportMenuItem("<%=jsMessage(request,  type.getNameKey(request))%>", "<html:rewrite page='<%=type.getFullActionPath()%>'/>"));
                            <%}
                    %>
                    categories.push(new MenuCategory({
                        cls: "<%=entry.getKey()%>",
                        title: "<%=jsMessage(request, entry.getKey().getNameKey())%>",
                        items: items
                    }));
            <% } %>

        new AT.CreateReportButton({
            renderTo: "<%=id%>",
            buttonText: "<%=jsMessage(request, buttonTextKey )%>",
            createConfigCallback: <%=createReportCallback%>,
            menuCategories: categories,
            hideOnResize: true
        });
    })();

</script>