EVAReport.PDFPreviewLightboxController = function(){};

EVAReport.PDFPreviewLightboxController.prototype = _.create(BaseReportPDF.PDFPreviewLightboxController.prototype, {

    _initPdfSettingsPreview: function(elementsIdPrefix)
    {
        this.pdfSettingsPreview = new EVAReport.PDFSettingsPreview($(this.lightBoxEl).find(".pdfPreviewContainer"), elementsIdPrefix, this.eventNamespace).init();
    },

    createFormattingStrategy: function ()
    {
        return new EVAReport.ParametersFormattingStrategy().init(this._getSelectorsData(), this.dateFormat, this.productSettingsValidator, this.reportRightsValidator);
    },
    
    getStore: function()
    {
        return EVAReport.Store;
    },

    _getSelectedParameters: function()
    {
        var reportParams = this.getStore().getReportParams();
        return {
            tasksConfig: reportParams.tasksConfig,
            firstGroupingLevel: reportParams.firstGroupingLevel,
            secondGroupingLevel: reportParams.secondGroupingLevel,
            thirdGroupingLevel: reportParams.thirdGroupingLevel,
            fourthGroupingLevel: reportParams.fourthGroupingLevel,
            dateParameters: {
                dateSelection : reportParams.dateSelection
            },
            customersProjectsSelection: reportParams.customersProjectsSelection,
            includeNotEstimated: reportParams.includeNotEstimated,
            includeNotStarted: reportParams.includeNotStarted
        }
    },

    _getSelectorsData: function()
    {
        var store = this.getGeneralStore();
        return {
            cpList: store.getCPList()
        };
    }
});