LeavesReport.Table.TimeCell = function($containerEl, level, time, timeFormat)
{
    TemplateView.call(this, $containerEl);
    this.level = level;
    this.time = time;
    this.timeFormat = timeFormat;
};

LeavesReport.Table.TimeCell.prototype = _.create(TemplateView.prototype, {
    html: "<td class='<%=levelClass%>'><%-time%></td>",

    templateKey: "LeavesReport.Table.TimeCell",

    templateModel: function()
    {
        return {
            time: LeavesReport.FormatUtils.formatTime(this.time, this.timeFormat),
            levelClass: "reportrow" + this.level + "num"
        }
    }
});