LeavesReport.Table.HeaderRow.LeaveTypeCell = function($containerEl, leaveTypeId)
{
    TemplateView.call(this, $containerEl);
    this.leaveTypeId = leaveTypeId;
};

LeavesReport.Table.HeaderRow.LeaveTypeCell.prototype = _.create(TemplateView.prototype, {
    html: "<td class='reportcolheader leaveTypeCell' rowspan='2'>" +
          "  <img src='<%=iconUrl%>'/>" +
          "  <br/>" +
          "  <%-name%>" +
          "</td>",

    templateModel: function()
    {
        var leaveType = LeaveTypeStore.getLeaveType(this.leaveTypeId);
        return {
            name: leaveType.name,
            iconUrl: getLeaveTypeIconPath(leaveType.iconId)
        }
    }
});