OvertimeReport.FormatUtils = _.create(BaseReport.FormatUtils.prototype, {
    formatTimeDifference: function(time, timeFormat)
    {
        return (time > 0 ? "+" : "") + this.formatTime(time, timeFormat);
    },

    makePDFTitle: function(selectedParameters, andSubstitutionKey)
    {
        andSubstitutionKey = _.isUndefined(andSubstitutionKey) ? 'common_report.pdf.header.amp' : andSubstitutionKey;
        var andMessage = messageResource.getMessage(andSubstitutionKey);

        if (EnabledFeatures.OVR)
            return messageResource.getMessage('overtime_report.pdf.header.time_balance_and_overtime', [andMessage]);

        return messageResource.getMessage('overtime_report.pdf.header.time_balance');
    }
});