OvertimeReport.Table.DifferenceTimeCell = function($containerEl, level, time, timeFormat)
{
    TemplateView.call(this, $containerEl);
    this.level = level;
    this.time = time;
    this.timeFormat = timeFormat;
};

OvertimeReport.Table.DifferenceTimeCell.prototype = _.create(TemplateView.prototype, {
    html: "<td class='differenceTimeCell <%=levelClass%>'><%-time%></td>",

    templateKey: "OvertimeReport.Table.DifferenceTimeCell",

    afterRender: function()
    {
        if (this.time < 0)
            this.$el.addClass("negative");
    },

    templateModel: function()
    {
        return {
            time: OvertimeReport.FormatUtils.formatDifferenceTime(this.time, this.timeFormat),
            levelClass: "reportrow" + this.level + "num"
        }
    }
});