/**
 * Created by filatov on 17.09.2015.
 */
function CostCSVPreviewOneLevelsColumnsStrategy() {}
CostCSVPreviewOneLevelsColumnsStrategy.prototype = new CostCSVPreviewBaseColumnsStrategy();
CostCSVPreviewOneLevelsColumnsStrategy.prototype.init = function ( showAverageRates, headerLevelKey)
{
    CostCSVPreviewBaseColumnsStrategy.prototype.init.call( this, false, showAverageRates, false);
    this.headerLevelKey = headerLevelKey;
    return this;
};


CostCSVPreviewOneLevelsColumnsStrategy.prototype.getNumOfDetailsColumns = function ()
{
    return 3;
};


CostCSVPreviewOneLevelsColumnsStrategy.prototype.getCountGroupingRows = function ()
{
    return 1;
};

CostCSVPreviewOneLevelsColumnsStrategy.prototype.addFirstHeaderRowDataCells = function( row )
{
    this.addOverallHeaderCells(row);

    var numDataCells = this.getNumOfDetailsColumns();
    for(var i = 0; i < numDataCells; ++i)
    {
        this.addCell( row, this.message( this.headerLevelKey ));
    }
};




