/**
 * Created by filatov on 17.09.2015.
 */
function CostCSVPreviewTwoLevelsColumnsStrategy() {}
CostCSVPreviewTwoLevelsColumnsStrategy.prototype = new CostCSVPreviewBaseColumnsStrategy();
CostCSVPreviewTwoLevelsColumnsStrategy.prototype.init = function (showSpentTime, showAverageRates)
{
    CostCSVPreviewBaseColumnsStrategy.prototype.init.call( this, showSpentTime, showAverageRates);
    return this;
};

CostCSVPreviewTwoLevelsColumnsStrategy.prototype.getCountGroupingRows = function ()
{
    return 2;
};

CostCSVPreviewTwoLevelsColumnsStrategy.prototype.getNumOfDetailsColumns = function ()
{
    var countText = 1;
    if( this.showSpentTime )
        countText++;
    if( this.isShowRatesForTopLevel() )
        countText++;
    return countText;
};

CostCSVPreviewTwoLevelsColumnsStrategy.prototype.addSecondHeaderRowDataCells = function(row){
    ReportPreviewUtils.addEmptyCells(row, this.getOverallColumnsCount());
    var countColumns = this.getNumOfDetailsColumns();
    for(var i = 0; i < countColumns; i++)
        this.addCell( row, this.message( this.getLevelNameKey()));
};

CostCSVPreviewTwoLevelsColumnsStrategy.prototype.addFirstHeaderRowDataCells = function( row )
{
    this.addOverallHeaderCells(row);
    if( this.showSpentTime )
        this.addCell( row, this.message( "report.cost.spent" ));
    if( this.isShowRatesForTopLevel() )
        this.addCell( row, this.message( "report.cost.rate" ));
    this.addCell( row, this.message( "report.cost.cost" ) );
};
