function HTMLColumnsStrategy() {}

HTMLColumnsStrategy.prototype = new BaseColumnsStrategy();

HTMLColumnsStrategy.prototype.init = function( timeformat )
{
    this.timeFormat = timeformat;
    BaseColumnsStrategy.prototype.init.call( this );
    return this;
};

HTMLColumnsStrategy.prototype.createTimeValueCell = function ( className )
{
    return ReportPreviewUtils.createCell( this.makeTimeValue(), "timeValueCell " + ( className ? className : "" ) );
};

HTMLColumnsStrategy.prototype.makeTimeValue = function()
{
    return ReportPreviewUtils.getHTMLTimeValue( this.timeFormat );
};
