function CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy() {}
CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy.prototype = new CostHTMLPreviewTwoLevelsHeaderBaseColumnsStrategy();
CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy.prototype.init = function( timeFormat, showSpentTime, showAverageRates, showUserRates )
{
    CostHTMLPreviewTwoLevelsHeaderBaseColumnsStrategy.prototype.init.call( this, timeFormat, showSpentTime, showAverageRates );
    this.showUserRates = showUserRates;
    return this;
};

CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy.prototype.isShowRatesForTopLevel = function () {
    return this.showUserRates;
};

CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy.prototype.getTopLevelNameKey = function () {
    return "report.user";
};

CostHTMLPreviewTwoLevelsHeaderUsersOnlyColumnsStrategy.prototype.getTopLevelHeaderCellClassName = function () {
    return this.showSpentTime ? "lightHeaderCell" : "lightGreenHeaderCell";
};