function LeaveHTMLPreviewBaseSection () {}

LeaveHTMLPreviewBaseSection.prototype = new PreviewSection();

LeaveHTMLPreviewBaseSection.prototype.init = function ( columnsStrategy )
{
    PreviewSection.prototype.init.call( this );
    this.columnsStrategy = columnsStrategy;
    return this;
};

LeaveHTMLPreviewBaseSection.prototype.createRowWithMainAndDataCells = function ( rowClassName, mainCellInnerHtml, mainCellClassName )
{
    var row = this.createRow( rowClassName );
    this.addCell( row, mainCellInnerHtml, mainCellClassName );
    this.columnsStrategy.addDataCells( row );
    return row;
};
