function OvertimeHTMLPreviewGenerator() {}

OvertimeHTMLPreviewGenerator.prototype.init = function()
{
    return this;
};

OvertimeHTMLPreviewGenerator.prototype.generatePreviewTable = function( reportParameters )
{
    var table = document.createElement( "table" );
    table.className = "reportHtmlPreviewTable overtime" + (EnabledFeatures.LVT ? "" : " lvtDisabled");
    var tBody = document.createElement( "tbody" );
    table.appendChild( tBody );

    var hasTimeBalance = reportParameters.columnsConfig !== OvertimeReport.ColumnsConfig.OVERTIME_ONLY;
    var hasOvertime = reportParameters.columnsConfig !== OvertimeReport.ColumnsConfig.TIME_BALANCE_ONLY;

    var headerSection = new OvertimeHTMLPreviewHeaderSection().init( reportParameters.firstGroupingLevel, reportParameters.secondGroupingLevel, hasTimeBalance, hasOvertime );
    var groupingSection = new OvertimeHTMLPreviewGroupingSection().init( reportParameters.firstGroupingLevel, reportParameters.secondGroupingLevel, reportParameters.timeFormat, hasTimeBalance, hasOvertime );

    headerSection.addRows( tBody );
    groupingSection.addRows( tBody );

    return table;
};