function ATWelcomeScreen(afterLoadDemoDataURL, isNeedLoadDemoData, introVideoId)
{
    this.introVideoId = introVideoId;
    this.videoPlayerContainerId = "videoPlayerId";

    WelcomeScreen.call(this, afterLoadDemoDataURL, isNeedLoadDemoData);
}

ATWelcomeScreen.prototype = _.create(WelcomeScreen.prototype, {
    start: function()
    {
        this.show();
        this.enableTips(true);
    },

    performStartExploringAction: function()
    {
        if(this.videoPlayer)
        {
            if(isIE8())
            {
                try // bug #55092
                {
                    this.videoPlayer.stopVideo();
                }
                catch (error) {}
            }
            else
            {
                this.videoPlayer.destroy();
            }
        }

        WelcomeScreen.prototype.performStartExploringAction.apply(this, arguments);
    },

    fillWelcomeScreenBoxMainContentContainer: function($mainContentContainer)
    {
        $("<div></div>")
                .attr("id", this.videoPlayerContainerId)
                .appendTo($mainContentContainer);
    },

    startShowInitialScreenAction: function()
    {
        this.videoPlayer = null;
        var context = this;
        YouTubeVideoPlayerHelper.showYTPlayer(
                this.videoPlayerContainerId,
                this.introVideoId,
                function(player)
                {
                    context.videoPlayer = player;
                },
                function()
                {
                    // nothing
                }
        );

        WelcomeScreen.prototype.startShowInitialScreenAction.call(context);
    }
});