function AboutPopup( popupId )
{
    DHTMLPopupWithMoire.call( this, popupId );
}



AboutPopup.prototype = _.create(DHTMLPopupWithMoire.prototype, {
    hideOnMouseDown: _.constant(false),
    hideOnResize: _.constant(false),
    hideOnEscape: _.constant(true),

    show: function()
    {
        var message_nUserAccountsUsed = this.message_nUserAccountsUsed;
        var message_oneUserAccountUsed = this.message_oneUserAccountUsed;
        DHTMLPopupWithMoire.prototype.show.call( this );
        $("#aboutPopupCloseButtonId").click(_.bind(this.hide, this));
        $( '#aboutPopup_usedUserAccounts' ).html( '&nbsp;' );
        this._requestObject = makeRpcCall(
                "UserManagementService.getActiveUsersNumber",
                [],
                function ( data )
                {
                    $( '#aboutPopup_usedUserAccounts' ).html(
                            data == 1 ? message_oneUserAccountUsed :
                            MessageResource.formatMessage(message_nUserAccountsUsed , [data], 0 )
                    );
                },
                function () { return true; }
        );
        // this made for fix bug 49282
        var tablesHeight;
        if (!this.isShowSystemInfo){
            tablesHeight = Math.round( $("#aboutProductInfoTable").outerHeight());
            $("#aboutSystemInfoTable").css( "height", tablesHeight );
        } else{
            tablesHeight = Math.round( $("#aboutSystemInfoTable").outerHeight());
            $("#aboutProductInfoTable").css( "height", tablesHeight );
        }
        $('#aboutContentCell').css( "height", tablesHeight+30 );
        
    },

    hide: function()
    {
        DHTMLPopupWithMoire.prototype.hide.call( this );
        if( this._requestObject )
        {
            this._requestObject.abort();
        }
    },

    init: function()
    {
        this.message_nUserAccountsUsed = messageResource.getMessage("about.license.n_user_accounts_used");
        this.message_oneUserAccountUsed = messageResource.getMessage("about.license.one_user_account_used");

        var productInfoTab = $("#productInfoTab");
        var systemInfoTab = $("#systemInfoTab");
        var aboutContentCell = $("#aboutContentCell");
        productInfoTab.click( onProductInfoTabClicked );
        systemInfoTab.click( onSystemInfoTabClicked );
        function onProductInfoTabClicked ()
        {
            aboutContentCell.removeClass("systemInfoTabSelected");
            aboutContentCell.addClass("productInfoTabSelected");
            this.isShowSystemInfo = false;
        }

        function onSystemInfoTabClicked ()
        {
            aboutContentCell.removeClass("productInfoTabSelected");
            aboutContentCell.addClass("systemInfoTabSelected");
            this.isShowSystemInfo = true;
        }

        return this;
    }
});