<%@ page contentType="text/javascript" %><%
    com.actimind.actitime.util.ResponseUtil.enableJSPCaching( response  );
%><%@ page import="com.actimind.actitime.Keys"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="com.actimind.actitime.util.OvertimeLeavesUtil" %>
<%@ page import="com.actimind.actitime.util.StringUtils" %>
<bean:define id="systemSettings_internal" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />
<%@ page import="com.actimind.actitime.resources.SystemSettings"%>
<%@ page import="java.util.Arrays"%>
<%@ page import="com.actimind.actitime.reports.ReportParametersConvertUtil"%><%@ page import="com.actimind.actitime.colors.CustomizationSettings"%><%@ page import="com.actimind.actitime.util.CSVSeparatorUtil"%>


        /**
 * Object holds current system settings information.
 */
var SystemSettings = {};

/**
 * Symbol for separating decimal and fraction parts of a number.
 */
SystemSettings.decimalSeparator = "<%=StringUtils.escapeQuoteCharacter(systemSettings_internal.getDecimalSeparatorAsString())%>";

/**
 * Symbol for grouping digits in a number.
 */
SystemSettings.digitGroupingSymbol = "<%=StringUtils.escapeQuoteCharacter(systemSettings_internal.getDigitGroupingSymbolAsString())%>";

SystemSettings.weekStartDay = <%=String.valueOf( systemSettings_internal.getWeekStartDay() )%>;
        
SystemSettings.defaultWorkSchedule = <%=Arrays.toString( systemSettings_internal.getDefaultWorkSchedule() )%>;

/**
* Singular form of user group naming
 */
SystemSettings.userGroupNamingSingular = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getUserGroupNaming().getSingularForm() )%>";

/**
 * Plural form of user group naming
 */
SystemSettings.userGroupNamingPlural = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getUserGroupNaming().getPluralForm() )%>";
/**
 * Singular form of first hierarchy level naming
 */
SystemSettings.firstLevelNamingSingular = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getFirstHierarchyLevel().getSingularForm() )%>";

/**
 * Plural form of first hierarchy level naming
 */
SystemSettings.firstLevelNamingPlural = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getFirstHierarchyLevel().getPluralForm() )%>";

/**
 * Singular form of second hierarchy level naming
 */
SystemSettings.secondLevelNamingSingular = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getSecondHierarchyLevel().getSingularForm() )%>";

/**
 * Plural form of second hierarchy level naming
 */
SystemSettings.secondLevelNamingPlural = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getSecondHierarchyLevel().getPluralForm() )%>";

/**
 * Singular form of second hierarchy level naming
 */
SystemSettings.thirdLevelNamingSingular = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getThirdHierarchyLevel().getSingularForm() )%>";

/**
 * Plural form of second hierarchy level naming
 */
SystemSettings.thirdLevelNamingPlural = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getThirdHierarchyLevel().getPluralForm() )%>";

/**
 * Overtime message
 */
SystemSettings.overtimeNaming = "<%=ATMessageResources.jsMessage( request, OvertimeLeavesUtil.getOvertimeMessageWithExtraSpaceKey())%>";

//TODO may be move it to another class
SystemSettings.usersWithoutGroupId = <%=com.actimind.actitime.Constants.USERS_WITHOUT_GROUP_ID%>;

SystemSettings.dateFormat = "<%=systemSettings_internal.getDateFormat()%>";

<%-- todo : radzivillovich : we keep this setting in SystemSettings on server side in old format and use it on client side in new format
in order not to expand the usage of old format on client side; some day we will change server side to use new format, too --%>
SystemSettings.defaultTimeFormatForHTMLReports = '<%=ReportParametersConvertUtil.toNewTimeFormat( systemSettings_internal.getTimeFormat() )%>';

SystemSettings.showPTOInHours = <%=systemSettings_internal.isShowPTOInHours()%>;

SystemSettings.showSickInHours = <%=systemSettings_internal.isShowSickInHours()%>;

SystemSettings.roundPTOBalanceOnUserlist = <%=String.valueOf(systemSettings_internal.isRoundPTOBalanceOnUserlist())%>;

SystemSettings.roundSickBalanceOnUserlist = <%=String.valueOf(systemSettings_internal.isRoundSickBalanceOnUserlist())%>;

SystemSettings.CUSTOM_VALUE_STRING = "<%=SystemSettings.CUSTOM_VALUE_STRING%>";

SystemSettings.currencySign = "<%=StringUtils.getStringEscapedForJS( systemSettings_internal.getCurrencySign() )%>";

SystemSettings.ptoBalanceCalculationEnabled = <%=systemSettings_internal.isPtoBalanceCalculationEnabled()%>;

SystemSettings.apPtoBalanceCalculationEnabled = <%=systemSettings_internal.isApPtoBalanceCalculationEnabled()%>;

SystemSettings.apSickBalanceCalculationEnabled = <%=systemSettings_internal.isApSickBalanceCalculationEnabled()%>;

SystemSettings.apUGREnabled = <%=systemSettings_internal.isApUserGroupsEnabled()%>;

SystemSettings.apTZGEnabled = <%=systemSettings_internal.isTimeZoneGroupsEnabled()%>;

SystemSettings.defaultOvertimeLevel = <%=systemSettings_internal.getDefaultOvertimeLevel()%>;

/**
 * Symbol for separating csv fields.
 */
SystemSettings.csvSeparator = "<%=StringUtils.getStringEscapedForJS(String.valueOf(CSVSeparatorUtil.getSeparator(systemSettings_internal)))%>";

// Customization settings
var CustomizationSettings = {};

CustomizationSettings.colorScheme = "<%=CustomizationSettings.get(request).getColorScheme()%>";
        