TaskManagement.AddNewButton = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

TaskManagement.AddNewButton.prototype = _.create(TemplateView.prototype, {
    html: "<div class='addNewButton'>" +
          "  <div class='plusIcon'></div>" +
          "  <div class='title ellipsis'><%-title%></div>" +
          "  <div class='downIcon'></div>" +
          "</div>",

    afterRender: function()
    {
        this.menu = this.createMenu();
        this.bindClick(function()
                       {
                           this.menu.showAt(this.$el)
                       });
    },

    messageKeys: function()
    {
        return {
            title: this.titleMessageKey()
        }
    },

    titleMessageKey: function()
    {
        // Abstract
    },

    createMenu: function()
    {
        // Abstract
    }
});