function LockTTMessages($containerEl, data)
{
    TemplateView.call(this, $containerEl);
    this.data = data;
}

LockTTMessages.prototype = _.create(TemplateView.prototype, {
    html: '<% if (hasMessages) { %>' +
          '<table cellpadding="0" cellspacing="0" border="0" id="MessagesTable">' +
          '  <tr>' +
          '    <td valign="top" class="messageIcon"><img src="<%=successImg%>"/></td>' +
          '    <td valign="top">' +
          '      <table border="0" cellspacing="0" cellpadding="0" id="SuccessMessages">' +
          '        <tr><td valign="top" style="padding-left:6px;"><span class="successmsg"><%=messages%></span></td></tr>' +
          '      </table>' +
          '    </td>' +
          '  </tr>' +
          '</table>' +
          '<% } %>' +
          '<% if (hasErrors || hasWarnings) { %>' +
          '<table cellpadding="0" cellspacing="0" id="ErrorsTable">' +
          '  <tr>' +
          '    <td valign="top" class="messageIcon"><img src="<%=errorImg%>"/></td>' +
          '    <td valign="top">' +
          '      <table border="0" cellspacing="0" cellpadding="0">' +
          '        <% if (hasErrors) { %>' +
          '          <tr><td valign="top" style="padding-left:6px;"><span class="errormsg"><%=errors%></span></td></tr>' +
          '        <% } %>' +
          '        <% if (hasWarnings) { %>' +
          '          <tr><td valign="top" style="padding-left:6px;"><span class="errormsg"><%=warnings%></span></td></tr>' +
          '        <% } %>' +
          '        <% if (hasAdditionalError) { %>' +
          '          <tr><td valign="top" style="padding-left:6px;"><span class="errormsg"><%=additionalError%></span></td></tr>' +
          '        <% } %>' +
          '      </table>' +
          '    </td>' +
          '  </tr>' +
          '</table>' +
          '<% } %>',

    templateModel: function()
    {
        return this.data;
    }
});