ViewTTPage.PDFPreviewLightbox = function() {};

ViewTTPage.PDFPreviewLightbox.prototype = _.create(BasicLightbox.prototype, {

    exist_invalid_fields_message_key: "",
    close_tab_confirmation_message_key: "",

    init: function( config )
    {
        BasicLightbox.prototype.init.call(this, config.popupId, config.closeBtnId);

        var self = this;
        this.titleEl = $(this.lightBoxEl).find(".lightBoxTitle");
        this.setCancelCallback( function() { self.hide(); } );

        this.reloadPageAfterClose = false;
        this.formatter = new BaseFormatterCreator();

        this.pdfPreviewViewController = new ViewTTPage.PDFPreviewLightboxController().init(
                this.lightBoxEl,
                this.titleEl,
                config.popupId
        );

        return this;
    },

    show: function()
    {
        BasicLightbox.prototype.show.call(this);
        this.pdfPreviewViewController.onShow();
        $(document).trigger("viewTT.pdfPreview.lightbox.show");
    },

    hide: function ()
    {
        $(document).trigger("viewTT.pdfPreview.lightbox.hide");
        BasicLightbox.prototype.hide.call(this);
    },

    cancelAllExportingProcesses: function ()
    {
        this.pdfPreviewViewController.cancelAllExportingProcesses();
    }
});