ViewTTPage.DetailsTable.CustomerRow = function($containerEl, customerModel)
{
    TemplateView.call(this, $containerEl);
    this.customerModel = customerModel;
};

ViewTTPage.DetailsTable.CustomerRow.prototype = _.create(TemplateView.prototype, {
    html: "<tr class='customerRow'>" +
          "  <td class='nameColumn'><div class='subContainer'><%-name%></div></td>" +
          "  <td class='totalColumn'><div class='subContainer'><%-total%></div></td>" +
          "  <td class='detailsColumn'></td>" +
          "</tr>",

    templateKey: "ViewTTPage.DetailsTable.CustomerRow",

    templateModel: function()
    {
        return {
            name: ViewTTStore.getCustomer(this.customerModel.customerId).name,
            total: UserTime.formatTimeWithDigitSeparator(this.customerModel.totalSpent)
        }
    }
});