ViewTTPage.ViewTTCPSelectorDropDownButton = function(buttonConfig)
{
    AT.HierarchySelectorDropdownButton.call(this, buttonConfig);
};

ViewTTPage.ViewTTCPSelectorDropDownButton.prototype = _.create(AT.HierarchySelectorDropdownButton.prototype, {

    init: function(cpSelector)
    {
        this.cpSelector = cpSelector;

        $(ViewTTStore).on('dataChange', _.bind(this._invalidateCPListStatus, this));
        // need to to draw button selection first time
        this._invalidateCPListStatus();

        return this;
    },

    showMenu: function()
    {
        if (!this.isCPListValid)
        {
            this.isCPListValid = true;
            // need to do it only before show menu
            // and if there is no update at first time, then cpeSelector make it itself
            this.cpSelector.remakeSelector();
        }

        return this._showMenu();
    },

    _invalidateCPListStatus: function()
    {
        this.cpSelector.initializeData(this._cpList());
        this.cpSelector.setSelection(ViewTTStore.getFilter().cpSelection);

        this.isCPListValid = false;

        $(this.cpSelector).trigger("selectionChange");
    },

    _cpList: function()
    {
        return ViewTTStore.getMergedCpList();
    },

    _showMenu: function()
    {
        return AT.HierarchySelectorDropdownButton.prototype.showMenu.call(this);
    }
});
