ViewTTPage.TotalTimeTable = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

ViewTTPage.TotalTimeTable.prototype = _.create(TemplateView.prototype, {
    html: "<table class='display-for-print totalTimeTable'>" +
          " <thead><tr><th></th><th class='reported'><%=reported%></th><th class='scheduled'><%=scheduled%></th></tr></thead>" +
          " <tr class='rangeTotal'>" +
          "     <td class='label'></td>" +
          "     <td class='reported'><span class='value'/></td>" +
          "     <td class='scheduled'><%=of%><span class='value'/></td>" +
          "</tr>" +
          "<tr class='forTodayTotal'>" +
          "     <td class='label'><%=today%></td>" +
          "     <td class='reported'><span class='value'/></td>" +
          "     <td class='scheduled'><%=of%><span class='value'/></td>" +
          "</tr>" +
          "</table>" +
          "<div class='totalDiff'><span class='value'/><span class='diffMessage'/></div>",

    messageKeys: function()
    {

        return {
            "reported": "view_tt.totals.reported",
            "scheduled": "view_tt.totals.scheduled",
            "of": "view_tt.totals.of",
            "today": "view_tt.totals.today"
        }
    }
});