ViewTTPage.TotalsOvertime = function() {};

ViewTTPage.TotalsOvertime.prototype = {
    init: function($containerEl)
    {
        this.$containerEl = $containerEl;
        this.$overTime = $('#totalsOvertime');
        this.$autoOvertime = $('#totalsAutoOvertime');
        this.$overTimeMarker = $('.markerOT img');
        return this;
    },

    /**
     * @param data - not empty data
     */
    changeTotals: function(data)
    {
        var overtime = ViewTTPageUtils.calculateOvertime(data);

        this.$containerEl.toggleClass("hasReportedOvertime", overtime.reported != overtime.auto);
        var markerImgPath = (overtime.reported !== 0 ) ? atImgPath('viewtt/marker_ot.png') : atDefImgPath('viewtt/marker_zero_ot.png');

        this.$overTimeMarker.attr('src', markerImgPath);
        this.$overTime.text(UserTime.formatTimeWithDigitSeparator(overtime.reported));
        this.$autoOvertime.text(UserTime.formatTimeWithDigitSeparator(overtime.auto))
    }
};