<%@ page contentType="text/javascript"%>
<%@ page import="com.actimind.actitime.colors.ColorHelper"%>
<% com.actimind.actitime.util.ResponseUtil.enableJSPCaching( response  ); %>

//extends  PresentationController.
function UsersPresentationController(elementId, emptyElementId)
{
    this.base = PresentationController;
    this.base(elementId);
    this.showDisabledUsers = false;
    this.emptyElement = new ElementController(emptyElementId);
}
UsersPresentationController.prototype = new PresentationController();

UsersPresentationController.prototype.setShowDisabledUsers = function(boolVal)
{
    this.showDisabledUsers = boolVal;
};

UsersPresentationController.prototype.isShowDisabledUsers = function()
{
    return this.showDisabledUsers;
};

UsersPresentationController.prototype.customClear = function()
{
    this.emptyElement.getElement().style.display = "none";
    this.getElement().style.display = "block";
    var container = this.getElementContainer();
    if (container != null)
        container.style.display = "block";
};

UsersPresentationController.prototype.isVisible = function(object)
{
    return this.showDisabledUsers || object.isActive();
};

UsersPresentationController.prototype.getItemStyle = function (object)
{
    var style = new ItemStyle("<%=ColorHelper.getColor("default.fg.color", request )%>","<%=ColorHelper.getColor("default.bg.color", request )%>");
    if (object.isAllProjectsAvailable)
    {
        style.color = "<%=ColorHelper.getColor("controls.gray.list.element", request )%>";
    }
    return style;
};

//function to present User Object As List item.
UsersPresentationController.prototype.getItemStringPresentation = function(object)
{
    var suffix = object.active ? "" : (" " + messageResource.getMessage('usersselector.users.disabled'));
    if (object.isAllProjectsAvailable)
        suffix += " *";
    return object.name + suffix;
};

//compare User object using nonCasesensitivity alphabet rules.
UsersPresentationController.prototype.compareFunction = function(a, b)
{
    return stringComparator(UsersPresentationController.prototype.getItemStringPresentation.call(this,a),
            UsersPresentationController.prototype.getItemStringPresentation.call(this,b));
};

