//extends StatisticsController.
function UsersStatistics()
{
    this.usersNumber = 0;
    this.disabledUsersNumber = 0;
    this.base = StatisticsController;
    this.base();
}
UsersStatistics.prototype = new StatisticsController();

UsersStatistics.prototype.getDisabledUsersNumber = function ()
{
    return this.disabledUsersNumber;
};

UsersStatistics.prototype.getUsersNumber = function ()
{
    return this.usersNumber;
};

//overriden methods
UsersStatistics.prototype.addObjectStatistics = function ( object )
{
    this.usersNumber++;
    if( !object.isActive() )
    {
        this.disabledUsersNumber++;
    }
};

UsersStatistics.prototype.removeObjectStatistics = function ( object )
{
    this.usersNumber--;
    if( !object.isActive() )
    {
        this.disabledUsersNumber--;
    }
};

UsersStatistics.prototype.clearStatistics = function ()
{
    this.usersNumber = 0;
    this.disabledUsersNumber = 0;
};
