<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.actimind.common.licensing.LicenseKeyUtils" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%
	Product product = ( Product ) request.getAttribute( Keys.PRODUCT );
	if( product == null ) product = Product.actiTIME;
%>
<h2>1. Definitions</h2>
<ol style="list-style: lower-alpha outside none;">
	<li>"Agreement" means this <%=product.toString()%> License Agreement.</li>
	<li>"Licensee" means: your company.</li>
	<li>"Software" means the <%=LicenseKeyUtils.getFullActualVersionStr( request, ATGlobals.isOl() )%>.</li>
	<li>"Upgrade" means a revision to the Software designated by a change in the version number.</li>
</ol>

<h2>2. License Grant</h2>
<p>Subject to Licensee's compliance with the terms and conditions of this Agreement, actiTIME Inc. ("actiTIME") grants Licensee a limited, non-exclusive, and non-transferable license to download, install and use the Software ONLY for the internal needs within Licensee organization, all solely in accordance with the terms and conditions of this Agreement. This Agreement does not restrict a number of software installations within the Licensee's organization.</p>
<span class="license_restrictions_para">
<h2>3. Restrictions on Use</h2>
<p>Licensee may not:</p>
<ol style="list-style: upper-roman outside none;">
	<li>modify the Software;</li>
	<li>create any derivative works of the Software;</li>
	<li>decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code, underlying ideas, algorithms, structure or organization of the Software;</li>
	<li>redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer the Software or rights thereto;</li>
	<li>share the Software or any parts of the Software with any commercial or non-commercial organization as a part of other products or as a component of Licensee's services.</li>
</ol>
</span>
<h2>4. Upgrades</h2>
<p>This Agreement does not entitle Licensee to Upgrade the Software and does not guarantee applicability or availability of any Upgrade.</p>

<h2>5. Support</h2>
<p>actiTIME will provide Licensee with the basic technical support services for the period of one calendar year staring from the date of the acceptance of this Agreement. Technical support services are limited to the self-service online documentation published at www.actiTIME.com and e-mail responses on requests received at support@actitime.com related to the general usage of the Software. E-mail responses are provided on the best effort basis without guaranteed response time. Any support for installation, maintenance, back-up, upgrade, recovery, remote configuration or customization of the Software that Licensee may wish to receive shall be the subject of a separate written agreement with actiTIME.</p>

<h2>6. Licensee representations</h2>
<p>Licensee represents and warrants that it has the legal capacity to enter into this Agreement, that it will use the Software only for lawful purposes and in accordance with this Agreement, and that it will not use the Software to violate any law, regulation or ordinance or any right of actiTIME or its licensors or any third party, including without limitation, any right of privacy, publicity, copyright, trademark, or patent.</p>

<h2>7. Termination</h2>
<p>Should Licensee or any of its employees, agents, independent contractors, officers or directors ("Licensed Users") breach this Agreement, Licensee's and Licensed Users' right to use the Software shall terminate immediately and without notice. The respective rights and obligations of actiTIME and Licensee under the provisions of Sections 3 ("Restrictions on Use"), 7 ("Termination"), 8 ("Proprietary Rights"), 9 ("Indemnification"), 10 ("Disclaimer of Warranty for Software"), 11 ("Limitation of Liability"), and 14 ("Miscellaneous") shall survive expiration or termination of this Agreement and Licensee agrees to continue to be bound by those terms. Upon termination, Licensee shall destroy all copies of the Software immediately, and shall upon request provide actiTIME with a written officer's certificate confirming such destruction.</p>

<h2>8. Proprietary Rights</h2>
<p>Title, ownership rights, and intellectual property rights in and to the Software shall remain the property of actiTIME at all times. Licensee acknowledges such ownership and intellectual property rights and will not take any action to jeopardize, limit or interfere in any manner with actiTIME's or its licensors' or other suppliers' ownership of or rights with respect to the Software. The Software is protected by copyright and other intellectual property laws and by international treaties. Licensee agrees that actiTIME may use in any manner and without limitation all comments, suggestions, complaints and other feedback provided by Licensee in respect of the Software without any need to request permission or make any payment to Licensee or its directors, officers, employees or contractors in respect of such use.</p>

<h2>9. Indemnification</h2>
<p>Licensee agrees to indemnify, hold harmless, and at actiTIME's request, to defend actiTIME, its affiliates, and its licensors from any and all costs, damages and reasonable attorneys' fees resulting from any breach of this Agreement by Licensee or any Licensed Users or claim that Licensee or Licensed User's use of the Software has injured or otherwise violated any right of any third party or violates any law.</p>

<h2>10. Disclaimer of Warranty for the Software</h2>
<p><strong>
	The software is provided with all faults on an "as is" basis.
	actiTIME, its licensors and other suppliers disclaim all warranties, whether express or implied, including the warranties that the software is free of defects, virus free, and able to operate on an uninterrupted basis, that the functionality of the software will meet licensee's requirements, or that errors in the software will be corrected, and the implied warranties that the software is of satisfactory quality, accurate, fit for a particular purpose or need, or non-infringing. Further, actiTIME, its licensors and other suppliers do not warrant or make any representations regarding the use or the results of the use of the software in terms of their correctness, accuracy, reliability, or otherwise.
	No oral or written information or advice given by actiTIME or an actiTIME authorized representative shall create a warranty or in any way increase the scope of any warranty that cannot be disclaimed under applicable law.
	actiTIME and its licensors and other suppliers have no liability with respect to licensee's use of the software.
	This disclaimer of warranty constitutes an essential part of this agreement.
	No use of the software is authorized hereunder except under this disclaimer.</strong></p>

<h2>11. Limitation of Liability</h2>
<p><strong>To the maximum extent permitted by applicable law, in no event will actiTIME, or its respective parents, affiliates, directors, employees, distributors, suppliers, agents or resellers (collectively, the "actiTIME group") be liable for any direct damages exceeding the license fee paid by licensee under this agreement, or for any other damages including without limitation indirect, special, incidental, consequential, or exemplary damages, arising out of or in any way relating to this agreement, including, but not limited to lost profits, lost data, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other damages or losses, even if actiTIME has been advised of the possibility thereof, and regardless of the legal or equitable theory (contract, tort or otherwise) upon which the claim is based.</strong></p>

<h2>12. Export Controls</h2>
<p>Licensee agrees to comply with all export and import laws and restrictions and regulations of any Canadian or foreign agency or authority, and not to export, re-export or import the Software or any direct Software thereof in violation of any such restrictions, laws or regulations, or without all necessary approvals.</p>

<h2>13. Injunctive Relief</h2>
<p>Licensee acknowledges and agrees that, notwithstanding any other provisions of this Agreement, any breach or threatened breach of this Agreement by Licensee shall cause actiTIME irreparable damage for which recovery of money damages would be inadequate and that actiTIME therefore may obtain timely injunctive relief to protect its rights under this Agreement in addition to any and all other remedies available at law or in equity.</p>

<h2>14. Miscellaneous</h2>
<ol style="list-style: lower-alpha outside none;">
	<li>This Agreement constitutes the entire agreement between the parties concerning the subject matter hereof, which may only be modified by a written amendment signed by an authorized executive of actiTIME.</li>
	<li>If any provision in this Agreement should be held illegal or unenforceable, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or severed from this Agreement if no such modification is possible, and other provisions of this Agreement shall remain in full force and effect, or actiTIME may at its option instead terminate this Agreement.</li>
	<li>actiTIME's failure to require strict performance of any provision of this Agreement, or the forbearance to exercise any right or remedy, shall not be construed as a waiver by it of any such right or remedy or preclude any other exercise thereof or the exercise of any other right or remedy.</li>
	<li>Licensee may not assign or otherwise transfer by operation of law or otherwise this Agreement or any rights or obligations herein, without the prior written consent of actiTIME. actiTIME may assign this Agreement to any entity at its sole discretion.</li>
	<li>This Agreement shall be binding upon and shall inure to the benefit of the parties, their successors and permitted assigns.</li>
	<li>actiTIME shall not be in default or be liable for any delay, failure in performance or interruption of service resulting directly or indirectly from any cause beyond its reasonable control.</li>
	<li>This Agreement shall be interpreted and construed in accordance with the laws of the Province of Ontario, and the laws of Canada applicable therein.  The parties hereby submit to the exclusive jurisdiction of the courts of the Province of Ontario.</li>
</ol>
