<%@ page import="com.actimind.actitime.MailServerSettingsGlobalInstance" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.actitime.util.SessionErrors" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%
    boolean hasSessionErrors = SessionErrors.hasMessages( session ) || SessionErrors.hasErrors( session );
%>
<table border="0" cellspacing="0" class="mainArea">
    <script type="text/javascript">
        document.writeln('    <tr>');
        document.writeln('        <td id="headerContainer" class="header"></td>');
        document.writeln('    </tr>');
    </script>
    <script type="text/javascript">
        document.writeln('<tr>');
        document.writeln('    <td id="tooltipContainer" style="display: none;">');

        document.writeln('    </td>');
        document.writeln('</tr>');
    </script>
    <% if( ATGlobals.isDemoMode() ) { %>
    <tr>
        <td id="demoTooltipContainer">

        </td>
    </tr>
    <% } %>
    <tr>
        <td class="errorMessagesArea" id="errorMessagesArea" style="<%=!hasSessionErrors ? "display:none" : ""%>">
            <% if( hasSessionErrors ) {%>
            <div id="ServerSideErrorMessage" style='width:257px;' ><%@ include file="/messages.jsp"%></div>
            <% } %>
            <div id="ClientSideErrorMessage" style="width:257px; display: none;">
                <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td id="errorContainer">
                                        <span class="errormsg" id="errorSpan"></span>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </div>
        </td>
    </tr>
    <tr>
        <td style="display: none;" id="noteContainer">

        </td>
    </tr>
    <tr>
        <td>
            <table id="loginFormContainer" style="display: none;">
                <html:form action="login" method="post" styleId="loginForm" style="height: 100%">
                    <input type="hidden" name="password">
                    <input type="hidden" name="submitted" value="1" />
                    <script type="text/javascript">
                        document.writeln('    <tr>');
                        document.writeln('        <td class="textFieldsArea">');
                        document.writeln('            <table class="textFieldsTable" cellpadding="3" cellspacing="0" border="0">');
                        document.writeln('                <tr>');
                        document.writeln('                    <td valign="middle"><html:text property="username" styleId="username" styleClass="textField"/></td>');
                        document.writeln('                </tr>');
                        document.writeln('                <tr>');
                        document.writeln('                    <td valign="middle"><html:password property="pwd" styleClass="textField pwdfield" redisplay="<%=ATGlobals.isDemoMode()%>"/></td>');
                        document.writeln('                </tr>');
                        document.writeln('            </table>');
                        document.writeln('        </td>');
                        document.writeln('    </tr>');
                        document.writeln('    <tr>');
                        document.writeln('        <td class="keepLoggedIn">');
                        document.writeln('            <table cellpadding="0" cellspacing="0" border="0" width="100%">');
                        document.writeln('                <tr>');
                        document.writeln('                    <td valign=top width="5">');
                        document.writeln('                     <div id="keepLoggedInCheckBoxContainer"> ');
                        if(areCookiesEnabled())
                            document.writeln('                    <html:checkbox property="remember" title='<%=ATMessageResources.message(request,"login.form.keep_logged_in_warning")%>'  styleId="keepLoggedInCheckBox"/>');
                        else
                        document.writeln('                    <input id="keepLoggedInCheckBox" type=\"checkbox\" name=\"remember\" disabled>');
                        document.writeln('                     </div> ');
                        document.writeln('                    </td>');
                        document.writeln('                    <td id="keepMeLoggedInSection" valign=top width="120">');
                        document.writeln('                        <div id="keepMeLoggedInCaptionContainer" title="<%=ATMessageResources.message(request,"login.form.keep_logged_in_warning")%>" class="label'+(areCookiesEnabled()?'':'Disabled')+'"><label id="keepLoggedInLabel" for="keepLoggedInCheckBox"><bean:message key="login.form.keep_logged_in"/></label></div>');
                        if( !areCookiesEnabled() )
                            document.writeln('                    <div class="enableCookies"><bean:message key="login.form.enable_cookies_warning"/></div>');
                        document.writeln('                    </td>');
                        document.writeln('                    <td valign=top align="right" id="loginButtonContainer">');
                        document.writeln('                        <a id="loginButton" class="initial" href="javascript:void(0)" onclick="pageController.submitForm(); return false;"><div><bean:message key="login.form.button_title.login"/> </div></a>');
                        document.writeln('                        <div id="inProgressText" class="inProgressText"><bean:message key="login.loggingIn"/></div>');
                        document.writeln('                    </td>');
                        document.writeln('                </tr>');
                        document.writeln('            </table>');
                        document.writeln('        </td>');
                        document.writeln('    </tr>');
                        <% if( MailServerSettingsGlobalInstance.getMailServerSettings().areMailSettingsSpecified() ){ %>
                        document.writeln('  <tr>');
                        document.writeln('       <td id="loginRecoveryLinkContainer"><a href="javascript: void(0)" onclick="pageController.changeState(LOGIN_PAGE_STATES[FORGET_PASSWORD_STATE])" id="toPasswordRecoveryPageLink"><bean:message key="password_recovery.forgot_your_password" /></a></td>');
                        document.writeln('  </tr>');
                        <% } %>
                    </script>
                    <script>
                        disableTextSelection(document.getElementById("keepLoggedInLabel"));
                    </script>
                </html:form>
            </table>
            <%-- Forget Your Password Form --%>
            <table id="forgotPasswordFormContainer" style="display: none;"
                   cellpadding="0" cellspacing="0" border="0">
                <form action="" method="post" id="forgetPasswordForm">
                    <tr>
                        <td class="textFieldsArea" colspan="2">
                            <table class="textFieldsTable" cellpadding="3" cellspacing="0" border="0">
                                <tr>
                                    <td><input type="text" maxlength="255" name="forgetPasswordEmailOrUsername" id="forgetPasswordEmailOrUsername" class="textField"/></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td id="forgetPasswordButtonContainer"><a id="forgetPasswordButton" class="initial button" href="javascript:void(0)" onclick="pageController.submitForm(); return false;"><div><bean:message key="password_recovery.forgot_your_password.form.button_title"/></div></a></td>
                        <td valign="middle" align="left" width="115" style="padding-bottom: 3px;" ><div id="forgetPasswordInProgressText" class="inProgressText"><bean:message key="password_recovery.forgot_your_password.form.processing_request"/></div></td>
                    </tr>
                </form>
            </table>
            <%-- Reset Password Form --%>
            <table id="resetPasswordFormContainer" style="display: none;"
                   cellpadding="0" cellspacing="0" border="0">
                <html:form action="forgot" method="post" styleId="resetPasswordForm" style="height: 100%">
                    <input type="hidden" name="submitted" value="1" />
                    <html:hidden property="passwordRecoveryToken" />
                    <tr>
                        <td class="textFieldsArea" colspan="2">
                            <table class="textFieldsTable" cellpadding="3" cellspacing="0" border="0">
                                <tr>
                                    <td><input type="password" maxlength="32" name="newPwd" id="newPwd" class="textField newPwd"
                                            /><html:hidden property="newPassword" styleId="newPassword"/></td>
                                </tr>
                                <tr>
                                    <td><input type="password" maxlength="32" name="newPwdConfirm" id="newPwdConfirm" class="textField newPwdConfirm"
                                            /><html:hidden property="newPasswordConfirm" styleId="newPasswordConfirm"/></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td id="resetPasswordButtonContainer"><a id="resetPasswordButton" class="initial button" href="javascript:void(0)" onclick="pageController.submitForm(); return false;"><div><bean:message key="password_recovery.reset_password.form.button_title"/></div></a></td>
                        <td valign="middle" align="left" width="115" style="padding-bottom: 3px;"><div id="resetPasswordInProgressText" class="inProgressText"><bean:message key="password_recovery.reset_password.form.processing_request"/></div></td>
                    </tr>
                </html:form>
            </table>
        </td>
    </tr>
    <tr>
        <td id="changeStateLinkContainer" style="display: none;">
            <a href="javascript: void(0)" onclick="pageController.changeState(LOGIN_PAGE_STATES[LOGIN_STATE])" id="toLoginPageLink"><bean:message key="password_recovery.forgot_your_password.return_to_login_page" /></a>
        </td>
    </tr>
</table>
