<%@ page errorPage="/error.jsp" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<!doctype html>
<html>
<head>
    <title><bean:message key="mail_notifications.redirector.broken_link_title"/></title>

    <%@include file="../css/scheme_styles.jsp"%>
    <jsp:include page="/include_scripts.jsp"/>

    <script type="text/javascript">
        show_in_main_window();
    </script>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" class="with-navigation">
<div id="container">

<jsp:include page="../top.jsp" flush="false"/>

<table cellspacing="0" cellpadding="5" align="center" valign="top" border="0" width="770">
<tr>
    <td class="pagetitle">
        <bean:message key="mail_notifications.redirector.broken_link_title"/>
    </td>
</tr>
<tr>
    <td class="pagetitle">
        <%@ include file="/messages.jsp"%>
        <%
            // removing all saved error messages
            request.getSession().removeAttribute(Globals.ERROR_KEY);
            request.getSession().removeAttribute(Keys.ADDITIONAL_ERROR_MESSAGE_KEY);
            // FIXME: removing request path (see Bug 28965)
            request.getSession().removeAttribute(Keys.REQUESTED_PATH_KEY);
        %>
    </td>
</tr>
</table>
</div>
</body>
</html>
