<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.notifications.Week" %>
<%@ page import="com.actimind.common.notifications.NotificationType" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Map" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.jsMessage" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<bean:define id="form" name="MailNotificationsForm" type="com.actimind.actitime.notifications.MailNotificationsForm"/>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>


<%
    Map<Integer, String> staticScheduledNotifications = new HashMap<Integer, String>();
    staticScheduledNotifications.put( NotificationType.DEADLINE.getTypeId(),
                                      "mail_notifications.schedule_button.title.deadline" );

    String type = request.getParameter( "notification_type" );
    String title = request.getParameter( "title" );
    int weekStartDay = settings.getWeekStartDay();
    int intType = Integer.parseInt( type );

    String dropDownButtonId = "dropDownButton_" + type;
    Week notificationDays = form.getNotification( intType ).getNotificationDays();
    boolean [] scheduledDays = notificationDays.getSelectedDays();
%>

<tbody class="notification-header notification-type-<%=type%>">
    <tr>
        <td style="vertical-align:bottom;" colspan="2">
            <table style="width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td  class="notification-title-container">
                        <div class="notification-title"><%=title%></div>
                    </td>
                    <td  class="scheduleButtonContainer">
                        <div style="float:right">
                            <table cellpadding="0" cellspacing="0">
                                <tr>
                                    <%
                                        //If notification type is statically scheduled (as ASSIGNMENTS is),
                                        // static text will be shown instead of button
                                        if (staticScheduledNotifications.get(intType) != null)
                                        {
                                    %>
                                        <td class="scheduleButtonPrefix">
                                            <%=message(request,  staticScheduledNotifications.get(intType) )%>
                                        </td>
                                    <%
                                        }
                                        else
                                        {
                                    %>
                                        <td class="scheduleButtonPrefix">
                                            <%=message( request, "mail_notifications.schedule_button.prefix" )%>
                                        </td>
                                        <td class="scheduleButton">
                                            <div id="<%=dropDownButtonId%>"/>
                                        </td>
                                    <%
                                        }
                                    %>
                                </tr>
                            </table>
                        </div>
                    </td>
                </tr>
            </table>
        </td>
</tbody>

<script type="text/javascript">
    var scheduledDays = [];
    <%
        for(int i = 0; i < scheduledDays.length; i++ )
        {
    %>
            scheduledDays.push( new Array(<%=scheduledDays[i]%>,
                                         "<%=jsMessage( request, TimeUtils.getDayOfWeekShortNameKey( TimeUtils.getWeekDay(weekStartDay, i) ) )%>" ) );
    <%
        }
    %>
    var type = <%=type%>;
    ScheduleButtonsControl.registerButton( type, scheduledDays );

</script>

