<%@ page import="com.actimind.actitime.util.StringUtils" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%
    String type = request.getParameter( "notification_type" );

    String row1_title = request.getParameter( "row_1_title" );
    String row2_title = request.getParameter( "row_2_title" );
    String row3_title = request.getParameter( "row_3_title" );
    String row1_jspName = request.getParameter( "row_1_jsp" );
    String row2_jspName = request.getParameter( "row_2_jsp" );
    String row3_jspName = request.getParameter( "row_3_jsp" );

    boolean middleRowPresent = !StringUtils.isNullOrEmpty( row3_title ) && !StringUtils.isNullOrEmpty( row3_jspName );

    String lastRow_title = middleRowPresent ? row3_title : row2_title;
    String lastRow_jspName = middleRowPresent ? row3_jspName : row2_jspName;
    String lastRow_class = middleRowPresent ? "third-row" : "second-row";

    String tbodyId = String.format( "rulePrototype_%s", type );

    String saveId = String.format( "saveButton_%s", type );
    String cancelId = String.format( "cancelButton_%s", type );
    String buttonMessageId = String.format( "buttonMessage_%s", type );
    String iconMessageId = String.format( "iconMessage_%s", type );
    String tooltipElementId = String.format( "tooltip_%s", type );

%>

<tbody class="rule active" id="<%=tbodyId%>" onselectstart="return isInputEvent(event)">
<tr>
    <td colspan="2" class="separator-row">
        <div style="position: relative" >&nbsp;
            <div style="text-align: right; position: absolute; bottom: -27px; _bottom: -30px; right: 2px;">
                <span id="<%=String.format("removeButton_%s", type)%>" style="float:right;" class="rule-icon-button remove-button"
                    ><at:img width="15" height="15" page="pixel.gif"/></span
                ><span id="<%=String.format("resumeButton_%s", type)%>" style="float:right;" class="rule-icon-button resume-button"
                    ><at:img width="15" height="15" page="pixel.gif"/></span
                ><div class="action-message unselectable"><a class="hidden" href="javascript: void(0);" id="<%=iconMessageId%>">&nbsp;</a></div></div></div>
        <div id="<%=tooltipElementId%>" class="dhtml_title" style="display: none; z-index: 2002; white-space: nowrap"></div>
    </td>
</tr>
<tr class="first-row">
    <td class="title border-left border-top"><span  class="unselectable"><%=row1_title%></span></td>
    <td class="value border-top border-right" valign="bottom">
        <jsp:include page="<%=row1_jspName%>">
            <jsp:param name="notification_type" value="<%=type%>" />
        </jsp:include>
    </td>
</tr>
<%
    if( middleRowPresent ) {
%>
    <tr class="second-row">
        <td class="title border-left"><span class="unselectable"><%=row2_title%></span></td>
        <td class="value border-right">
            <jsp:include page="<%=row2_jspName%>">
                <jsp:param name="notification_type" value="<%=type%>" />
            </jsp:include>
        </td>
    </tr>
<%
    }
%>
<tr class="<%=lastRow_class%> last-row">
    <td class="title border-left border-bottom"><span  class="unselectable"><%=lastRow_title%></span></td>
    <td class="value border-right border-bottom">
        <div class="last-row-content" style="position: relative; height:30px;"><jsp:include page="<%=lastRow_jspName%>">
                <jsp:param name="notification_type" value="<%=type%>" />
            </jsp:include><div class="rule-buttons"><input id="<%=saveId%>" type="button" value="<%=message(request,  "common.save" )%>"
style="margin-right: 6px;"/><input id="<%=cancelId%>" type="button" value="<%=message(request, "common.cancel" )%>"
/><div id="<%=buttonMessageId%>" class="action-message hidden"><%=message( request, "common.saving" )%></div>
            </div><div style="clear:both;"></div>
        </div>
    </td>
</tr>

</tbody>