<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.notifications.Week" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<bean:define id="form" name="MailNotificationsForm" type="com.actimind.actitime.notifications.MailNotificationsForm"/>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>

<%
    int weekStartDay = settings.getWeekStartDay();
    String dayOfWeekName;
    int dayOfWeek;
%>
<div id="schedule-panel-wrapper" style="display:none; position:absolute;">
<div id="schedule-panel">
    <div>
    <form name="schedule-panel-form" id="schedule-panel-form" action="/administration/notifications">
        <table id="schedule-popup-table" cellspacing="0" cellpadding="0" unselectable='on'>
            <tbody>
                 <tr>
                     <td class="schedule-top-spacing" colspan="2">&nbsp;</td>
                 </tr>
                <%
                    for( int i = 0; i < Week.DAYS_IN_WEEK; i++ )
                    {
                        dayOfWeek = TimeUtils.getWeekDay( weekStartDay, i );
                        dayOfWeekName = message( request, TimeUtils.getDayOfWeekFullNameKey( dayOfWeek ) );
                %>
                    <tr class="schedule-popup-table-row">
                        <td class="weekday"
                            id="<%=dayOfWeekName%>">
                            <span class="weekday-name" unselectable='on' onclick="schedulePanel.toggleDay('<%=dayOfWeekName%>-box');"><%=dayOfWeekName%></span>
                        </td>
                        <td class="weekday-checkbox" unselectable='on'>
                            <input name="week-day-checkbox"
                                   value="<%=dayOfWeek%>"
                                   type="checkbox"
                                   id="<%=dayOfWeekName%>-box"
                                   onclick="schedulePanel.scheduledDayChanges(this)" />
                        </td>
                    </tr>
                <%
                    }
                %>
                <tr>
                     <td class="schedule-bottom-spacing" colspan="2">&nbsp;</td>
                </tr>
            </tbody>
        </table>
        <table id="schedule-popup-buttons" cellspacing="0" cellpadding="0">
            <tbody>
                <tr>
                    <td class="schedule-top-spacing" colspan="2">&nbsp;</td>
                </tr>
                <tr>
                    <td id="save-button">
                        <input type="button"
                               value="<%=message(request, "mail_notifications.schedule_popup.save_schedule_button" )%>"
                               id="saveScheduleButton"
                               onclick="schedulePanel.saveAndHide()"
                               size="50"/>
                        <span id="schedule-saving-message" class="hidden"></span>
                    </td>
                    <td id="cancel-button">
                        <input type="button"
                               value="<%=message(request, "mail_notifications.schedule_popup.cancel_changes_button" )%>"
                               id="cancelScheduleButton"
                               onclick="schedulePanel.cancelChanges()"
                               size="50"/>
                    </td>
                </tr>
                <tr>
                    <td class="schedule-bottom-spacing" colspan="2">&nbsp;</td>
                </tr>
            </tbody>
        </table>
    </form>
        <div id="schedule-panel-message-box"/>
    </div>
</div>
</div>