<%--suppress HtmlUnknownAttribute --%>
<%
    ResponseUtil.sendCompatibilityHeaders( response );

    String faviconPath = request.getAttribute(Keys.PRODUCT) == Product.actiPLANS ? "/actiplans/favicon2.ico" : "/favicon2.ico";

    // this texts are hardcoded see comment below
    String errorPageNotFoundTitle = "The page you requested could not be found";
    String errorPageNotFoundInfo = "It is possible that this page was deleted. Please contact your system administrator for more information.";
%>
<%--
  Part of This page is hardcoded because its showed by ERROR dispatcher that has specific behaviour for similar container:
  Tomcat handles this page with new filter chain after chain of filters, that produced responce error status
  Jetty handles this page with new filter chain nested into filter chain that produced responce errir status
  Appling filters for this page leads problem, that described in bug Bug 53933

  Bacause this page configured without filters and shoud not used classes that uses the following filters:
  ThreadClientFilter
  ThreadConnectionFilter
  SystemSettingsFilter
--%>

<!DOCTYPE html>
<%@ page import="com.actimind.actitime.util.ResponseUtil" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<html>
<head>
    <title><%=errorPageNotFoundTitle%></title>
    <link rel="SHORTCUT ICON" href='<at:rewrite page="<%=faviconPath%>"/>'>
    <meta name="robots" content="noindex,nofollow"/>
    <META NAME="title" content="<%=errorPageNotFoundTitle%>">
</head>
<body bgColor="#ffffff">

<table bgcolor="#ffffff" cellspacing="0" cellpadding="0" width="100%" height="100%" border="0">
    <tr>
        <td height="100%" valign="center" align="center">
            <table width="500">
                <tr>
                    <td valign="middle">
                        <%--Its row is hardcoded for use one icon for all color schemes, because we not known what color scheme is used without SystemSettingsFilter--%>
                        <at:defImg page="error_exclamation.gif" alt="" border="0"/>
                    </td>
                    <td style="padding-left: 20px;">
                        <div style="padding-top: 16px; font-size: 14pt; color: #ff0000; font-family: Arial, Helvetica, serif;">
                            <strong>
                                <nobr><%=errorPageNotFoundTitle%></nobr>
                            </strong>
                        </div>
                        <div style="padding-top: 15px; font-size: 12pt; color: #000000; font-family: Arial, Helvetica, serif;">
                            <strong>
                                <%=errorPageNotFoundInfo%>
                            </strong>
                        </div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>