ALTER TABLE user_leave_time_request
  ADD waiting_deletion BIT NOT NULL;

UPDATE user_leave_time_request SET waiting_deletion=FALSE;

drop table user_cur_balance;

CREATE TABLE user_leave_time_request_change
(
  id INT NOT NULL PRIMARY KEY,
  leave_type_id INT NOT NULL,
	first_date_duration INT NOT NULL,
	last_date_duration INT NOT NULL,
	duration INT NOT NULL,
	comment TEXT NULL,
	change_timestamp datetime NOT NULL,

	CONSTRAINT fk_user_leave_time_request_change_id FOREIGN KEY (id) REFERENCES user_leave_time_request (id) ON DELETE CASCADE,
	CONSTRAINT fk_user_leave_time_request_change_leave_type_id FOREIGN KEY (leave_type_id) REFERENCES leave_type (id) ON UPDATE CASCADE
);

-- IMPORT_LICENSE_KEY_PLACEHOLDER
-- -----------------------------------------------------------------------------------------------------------

INSERT
INTO patch_history (patch, pack_version, patch_timestamp)
VALUES ( 38, 0, now( ) );