ALTER TABLE user_leave_time_request
  ADD waiting_deletion TINYINT(1) NOT NULL DEFAULT FALSE;

drop table user_cur_balance;

CREATE TABLE user_leave_time_request_change
(
  id INT(3) UNSIGNED NOT NULL PRIMARY KEY,
  leave_type_id INT(3) UNSIGNED NOT NULL,
	first_date_duration INT(10) NOT NULL,
	last_date_duration INT(10) NOT NULL,
	duration INT(10) NOT NULL,
	comment TEXT NULL,
	change_timestamp datetime NOT NULL,

	CONSTRAINT fk_user_leave_time_request_change_id FOREIGN KEY (id) REFERENCES user_leave_time_request (id) ON DELETE CASCADE,
	CONSTRAINT fk_user_leave_time_request_change_leave_type_id FOREIGN KEY (leave_type_id) REFERENCES leave_type (id) ON UPDATE CASCADE
)
  ENGINE = InnoDB;

-- IMPORT_LICENSE_KEY_PLACEHOLDER
-- -----------------------------------------------------------------------------------------------------------

INSERT
INTO patch_history (patch, pack_version, patch_timestamp)
VALUES ( 38, 0, now( ) );

COMMIT;