insert into access_right (id, name ) values (10, 'user.lock_time_track');

insert into permissions_template_param (perm_template_id, permission_id)
  select distinct perm_template_id, 10 from permissions_template_param where permission_id in (2,5);

DELETE FROM `system_settings` WHERE `property_name`='overtime_undertime_tracking';


delete from overtime where overtime < 0;

insert into user_access_right (user_id, access_right_id)
      select distinct user_id, 10 from user_access_right
          where access_right_id in (2,5) and user_id not in
                                             (select distinct user_id from user_access_right where access_right_id = 10);

alter table user_seen_welcome_screen add column is_seen_ap BIT;
update user_seen_welcome_screen set is_seen_ap=false;
alter table user_seen_welcome_screen alter column is_seen_ap BIT not null;

insert into tt_lock_revision (locked_user_id, `date`, revision)
  select id, (select DATEADD('d', 1, iif(max(date_to) is null, date(), max(date_to))) from tt_lock), iif(DMAX('revision','tt_lock_revision','') is null, 0, DMAX('revision','tt_lock_revision','')) + id from at_user
  where not exists (SELECT locked_user_id FROM tt_lock_revision WHERE locked_user_id = id);

update user_seen_welcome_screen set is_seen = false where not exists (select 1 from user_last_login_time where user_last_login_time.user_id = user_seen_welcome_screen.user_id);

-- IMPORT_LICENSE_KEY_PLACEHOLDER
-- -----------------------------------------------------------------------------------------------------------

INSERT
INTO patch_history (patch, pack_version, patch_timestamp)
VALUES (42, 0, now());