-- Change "calendar layout" property name to "week start day"
-- Property value also changes, if calendar layout was american then week start day is sunday
-- if european then monday. Day values are equivalent to Calendar java class constants
-- used to represent those days.
UPDATE system_settings SET property_name = 'week_start_day', property_value = '1'
    WHERE property_name = 'calendar_layout' AND property_value = 'US';
UPDATE system_settings SET property_name = 'week_start_day', property_value = '2'
    WHERE property_name = 'calendar_layout' AND property_value = 'EU';

-- Holds information about patches of installed features
CREATE TABLE feature_patch_history(

    feature_code VARCHAR(8) NOT NULL,
    base_patch_num INT NOT NULL,
    patch_num INT NOT NULL,
    patch_timestamp DATE NOT NULL
);

insert into patch_history(patch, patch_timestamp)
    values(10, now());