<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.services.ProjectInfoService" %>
<%@ page import="com.actimind.actitime.util.Features" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.filteredMessage" %>
<%@ page import="static com.actimind.actitime.util.Feature.TZG" %>
<%@ page import="static com.actimind.actitime.util.Feature.UGR" %>
<%@ page import="static com.actimind.actitime.util.Feature.PAS" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>

<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>


<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="tiles" uri="http://struts.apache.org/tags-tiles" %>

<% String id = request.getParameter( "id" ); %>
<% Features enabledFeatures = FeaturesUtil.getFeatures();
   boolean isUGREnabled = enabledFeatures.isEnabled(UGR);
   boolean isTZGEnabled = enabledFeatures.isEnabled(TZG);
    String messageInTooltip =  filteredMessage(request, isUGREnabled && isTZGEnabled ?
                                                        "usersselector.assign_team_note.groups" : isUGREnabled ?"usersselector.assign_team_note.user_groups"  :"usersselector.assign_team_note.time_zone_groups");


%>




<script type="text/javascript">
    var PROJECT_CONSTANTS = {};
    PROJECT_CONSTANTS.SELECT_CUSTOMER_OPTION_INDEX = <%=ProjectInfoService.CUSTOMER_NOT_SELECTED%>;
    PROJECT_CONSTANTS.NEW_CUSTOMER_OPTION_INDEX = <%=ProjectInfoService.NEW_CUSTOMER%>;

    PROJECT_CONSTANTS.CUSTOMER_WAS_ARCHIVED = <%=ProjectInfoService.ProjectServiceInvocationResult.CUSTOMER_WAS_ARCHIVED%>;
    PROJECT_CONSTANTS.CUSTOMER_WAS_DELETED = <%=ProjectInfoService.ProjectServiceInvocationResult.CUSTOMER_WAS_DELETED%>;
    PROJECT_CONSTANTS.USERS_WAS_DELETED = <%=ProjectInfoService.ProjectServiceInvocationResult.USERS_WAS_DELETED%>;
    PROJECT_CONSTANTS.RESULT_CODE_SUCESS = <%=ProjectInfoService.ProjectServiceInvocationResult.RESULT_CODE_SUCCESS%>;
    sectionsStateController = new SectionsStateController().init( "projectSettingsSections" );
</script>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeProjectLightBoxBtn" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder"></span>
            </div>
        </td>
    </tr>
</table>
<div class="innerContent">
    <div id="projectSection">
        <div id="<%=id%>_sectionDetails">

            <div>
                <input maxlength="191"  tabindex="1" type="text" class="projectNameField inputFieldWithPlaceholder" id="<%=id%>_projectNameField"
                       placeholder="<bean:message key="project.common.projectNamePlaceholder"/>"/>

                <div id="<%=id%>_deleteBtn" class="greyButton withIcon deleteButton">
                    <div class="buttonIcon"><span class="buttonTitle"><bean:message key="project.edit.js.delete_button_caption"/></span></div>
                </div>
                <div id="<%=id%>_projectNameErrorWrapper" style="height:28px">
                    <div id="<%=id%>_projectNameError"><bean:message key="project.common.errormsg.empty_name"/></div>
                    <div id="<%=id%>_projectDuplicateNameError"><bean:message
                            key="project.common.errormsg.project_exists"/></div>
                </div>
                <div style="float: right;">
                    <div id="<%=id%>_statusSelectorPlaceholder"></div>
                    <div id="<%=id%>_status"><bean:message key="project.edit.status"/></div>
                    <div id="<%=id%>_openTaskComleteMsg" style="display: none"></div>
                </div>
                <div id="<%=id%>_customerContainer">
                    <div id="<%=id%>_customer"><bean:message key="project.common.customer"/>:</div>
                    <div id="<%=id%>_customerSelectorPlaceholder" class="selectorWithPlaceholderContainer"></div>
                    <input maxlength="191" tabindex="2" type="text" class="newCustomer inputFieldWithPlaceholder" id="<%=id%>_newCustomerNameField"
                           placeholder="<bean:message key="project.common.customerNamePlaceholder"/>"/>

                    <div id="<%=id%>_customerNameErrorWrapper" style="height:20px">
                        <div id="<%=id%>_customerSelectorError"><bean:message
                                key="project.common.errormsg.customer_not_selected"/></div>
                        <div id="<%=id%>_emptyCustomerNameError"><bean:message
                                key="project.common.customer.empty_name"/></div>
                        <div id="<%=id%>_duplicateCustomerNameError"><bean:message
                                key="project.common.errormsg.customer_exists"/></div>
                    </div>
                </div>

                <textarea   tabindex="3"  rows="1" cols="80" class="projectDescriptionField inputFieldWithPlaceholder" name="projectDescriptionField"
                          id="<%=id%>_projectDescriptionField"
                          placeholder="<bean:message key="project.common.projectDescriptionPlaceholder"/>"></textarea>

                <div id="<%=id%>_projectDescriptionError"></div>
                <div class="textAreaLengthNote">
                    <jsp:include page="/textarea_length_note.jsp">
                        <jsp:param name="note_id" value="projectPopup_projectDescription"/>
                    </jsp:include>
                </div>
            </div>

            <div class="taskTable">
                <div class="tasksBlockHeaderWrapper">
                    <div class="collapsibleGroupHeaderBlock" id="createTasksHeaderBlock">
                        <div class="showCollapsibleBlockButton" id="createTasksBlockButton"></div>
                        <div>
                        <span style="vertical-align: bottom; line-height: 14px;"><bean:message
                                key="project.add.create_tasks_title"/></span>
                        </div>
                    </div>
                </div>
                <div class="collapsibleBlock" id="createTasksBlock">
                    <div class="collapsibleBlockContent">
                        <jsp:include page="/tasks/create_tasks_table.jsp">
                            <jsp:param name="id" value="<%=id%>"/>
                        </jsp:include>
                    </div>
                </div>
            </div>
            <% if( enabledFeatures.isEnabled(PAS) )
            {%>
            <div class="projectTeamHeaderWrapper">
                <div class="collapsibleGroupHeaderBlock" >
                    <div class="showCollapsibleBlockButton" id="userAssignmentBlockButton"></div>
                    <div style="line-height: 17px; ">
                        <span style="vertical-align: bottom; line-height: 14px;"><bean:message key="project.common.assigner_title"/></span>
                        <span class="infoAssignIcon"><at:img styleId="infoAssignIcon" styleClass="infoAssignIcon" page="info.png"/></span>
                    </div>
                </div>
            </div>
            <div class="collapsibleBlock" id="userAssignmentBlock">
                <div class="collapsibleBlockContent">
                    <div id="<%=id%>_userAssignmentBlockError" class="userAssignmentBlockError"><bean:message
                            key="project.common.assigned_users_deleted"/></div>
                    <jsp:include page="/util/users_selector.jsp"/>
                </div>
            </div>


            <div id="projectPopup_AssignerTooltip" style="display: none; width: 255px; height: 106px;">
                <%if(isUGREnabled || isTZGEnabled){%>
                    <bean:message key="usersselector.assign_team_note" arg0="<%=messageInTooltip%>"/>
                    <br>
                    <br>
                <%}%>
                <bean:message key="usersselector.users_selector_note"/>
            </div>
            <% }%>


        </div>
    </div>
</div>
<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
        <tr>
            <td class="errorMessageBox">
                <at:img page="error.gif"/>
                <span class="errormsg"><bean:message key="project.common.errormsg"/></span>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"><bean:message key="project.common.not_saved"/></span>
                <span class="savingMsg"><bean:message key="project.common.saving"/></span>

                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn"> <div class="buttonIcon"><span class="buttonTitle"></span></div>
                </div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="common.cancel"/></div>
            </td>
        </tr>
    </table>
</div>

<div class=".importTasks">
<div id="<%=id%>_estimateTooltip" style="display: none; width: 220px;">
    <bean:message key="add_new_tasks.estimate_tooltip_info"/>
</div>

<div id="<%=id%>_addToTTTooltip" style="display: none; width: 220px;">
        <bean:message key="add_new_tasks.add_task_to_enter_tt_note.me"/>
</div>
    <jsp:include page="/tasks/importTasksTooltip.jsp">
        <jsp:param name="id" value="<%=id%>"/>
    </jsp:include>
</div>
