<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<%
    String title = request.getParameter("title");
    
    String dateSelectorMessageKey = request.getParameter("dateSelectorMessageKey");
    if ( dateSelectorMessageKey == null )
        dateSelectorMessageKey = "report.view.common.date_range";
    
    String configPage = request.getParameter("configPage");
%>
<%-- this panel similar in invoice, do not forget about it --%>
<div class="outerContainer">
    <div id="mainContainer" class="mainContainer">
        <div class="pagetitle"><bean:message key="report.common.create"/>&nbsp;<bean:message key="<%=title%>"/></div>
        <div id="createReportButton" class="createReportButton noprint"></div>
    
        <div class="errorMessages">
            <%@ include file="/messages.jsp" %>
        </div>
        
        <div class="reportConfigContainer">
            <div class="leftContainer">
                <div class="dateRangeTitile"><bean:message key="<%=dateSelectorMessageKey%>"/></div>
                <div id="dateSelector" class="customDateRangeSelectorPanel"></div>

                <jsp:include page="<%=configPage%>"/>
            </div>
            <div class="rightContainer">
                <div class="tabs">
                    <div id="htmlPreviewTab" class="htmlPreviewTab"><span class="innerLabel"><bean:message key="report.common.apply_html"/></span></div>
                    <div id="csvPreviewTab" class="csvPreviewTab"><span class="innerLabel"><bean:message key="report.common.apply_csv"/></span></div>
                </div>

               <jsp:include page="reportPreviewArea.jsp">
                    <jsp:param name="textPreviewKey" value="report.common.report_preview"/>
               </jsp:include>
            </div>
        </div>
    
        <div class="buttonsPanel">
            <div class="errorMessage"></div>
            <span id="applyReportConfiguration" class="actionButton greyButton generateHTML"><span class="innerLabel"><bean:message key="report.common.apply_html"/></span></span>
            <span id="genCSVReportConfiguration" class="actionButton greyButton generateCSV hidden"><span class="innerLabel"><bean:message key="report.common.apply_csv.button"/></span></span>
            <span id="cancelReportConfiguration" class="actionButton greyButton cancel"><bean:message key="common.approvers_dialog.cancel"/></span>
        </div>
    
    </div>
</div>

<div id="incorrectDateTooltip" class="yellowTooltip tooltipText" style="display: none;">
    <div id="incorrectDateTooltip_textPlaceholder"></div>
</div>

<div id="reportEditConfigErrorTooltip" class="yellowTooltip" style="display: none;">
    <div id="reportEditConfigErrorTooltip_textPlaceholder"></div>
</div>