<%@ page import="com.actimind.actitime.services.beans.report.TimeApprovalStatus" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.services.beans.report.BillingSummaryReportParameters" %>
<%@ page import="com.actimind.actitime.services.beans.report.ReportConfig" %>
<%@ page import="com.actimind.actitime.Keys" %>

<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<div class="controlsContainer">
    <table>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.billing_summary.edit_configurations.report_type_label"/>
            </td>
            <td>
                <jsp:include page="config_controls/invoice_billing_summary_report_type_selector.jsp"/>
            </td>
        </tr>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.data_grouping"/>
            </td>
            <td class="reportGroupingSelectorContainer">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/grouping_selector.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td>
                <div class="reportConfigPanelLabel cpSelectorLabel">
                    <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
                </div>
            </td>
            <td class="reportConfigCPSelector">
                <div id = "cpSelectorId" class="cpSelector"></div>
            </td>
        </tr>

        <tr id="ttStatusFilterRow" class="ttStatusFilterRow">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.selector_label.time_track_status"/>
            </td>
            <td class="reportConfigTTStatusFilter">
                <div class="roundedFormSection roundedBoxTag" >
                    <div id="filterByTTStatus" class="i"></div>
                </div>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.billing_summary.displayed_data"/>
            </td>
            <td>
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/displayed_data_controls_for_bs_report.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="config_controls/time_format_selector.jsp"/>
            </td>
        </tr>
    </table>
</div>