<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.TimeFormat" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<bean:define id="systemSettings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />

<%--
    Renderer for budget in decimal format.
    If value is 0, renders '-'.
    If value is null, renders nothing.
    If value is NaN, renders "not estimated"

    TODO: this file is almost the same as budget.jsp, refactor it.
--%>

<logic:notEmpty name="cell" property="value">
    <bean:define id="cell" name="cell" type="com.actimind.actitime.reports.newengine.view.html.HtmlCellBean"/>
    <%
        Number value = (Number) cell.getValue();
        String className;
        String output;

        if (Double.isNaN(value.doubleValue()))
        {
            className = "time not_budgeted";
            output = ATMessageResources.message( request, "report.budgeted_vs_actual.not_budgeted" );
        }
        else
        {
            className = "time";
            int time = value.intValue();
            if (time != 0)
            {
                output = TimeUtils.formatByTimeFormat(time, TimeFormat.TIME_FORMAT_DECIMAL, systemSettings);
            }
            else
            {
                output = "-";
                className += " hyphen";
            }
        }
    %>
    <div align="right" class="<%=className%>"><nobr><%=output%></nobr></div>
</logic:notEmpty>
<logic:empty name="cell" property="value">&nbsp;</logic:empty>