<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<div class="controlsContainer">
    <table>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.data_grouping"/>
            </td>
            <td class="reportGroupingSelectorContainer">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="../config_controls/grouping_selector.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td>
                <div class="reportConfigPanelLabel cpSelectorLabel">
                    <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
                </div>
            </td>
            <td class="reportConfigCPSelector">
                <div id = "cpSelectorId" class="cpSelector"></div>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="common.Tasks"/>
            </td>
            <td>
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="/reports/config_controls/task_budget_actual_control.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="../config_controls/time_format_selector.jsp"/>
            </td>
        </tr>

    </table>
</div>