<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.colors.ColorHelper" %>
<%@ page import="com.actimind.actitime.util.StringUtils" %>

<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>

<bean:define id="form" name="PrepareInvoiceForm" type="com.actimind.actitime.reports.PrepareInvoiceForm"/>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>

<at:form action="/reports/prepareinvoice" styleId="commonReportFormId" onsubmit="return false;">  <%--to avoid submitting when user hits Enter key--%>
    <input type="hidden" name="submitted" value="1"/>
    <html:hidden property="pageAction"/>
    <html:hidden property="dateFrom"/>
    <html:hidden property="dateTo"/>
    <html:hidden property="redirectUrl" value=""/>
    <html:hidden property="configId" />

    <table cellpadding="0" cellspacing="0"><tr><td>
        <div id="report-table">
            <div id="shadowTopRight"><!----></div>
            <div id="shadowRight"><!----></div>
            <div id="shadowBottom"><!----></div>
            <div id="shadowBottomRight"><!----></div>
            <div id="shadowBottomLeft"><!----></div>
            <div id="paperSheet">

                <%-- -- INVOICE HEADER -- --%>

                <table width="830" align="center" cellpadding="0" cellspacing="0">
                    <tr>
                        <td valign="top" >
                            <table cellpadding="0" cellspacing="0">
                                <tr>
                                    <td style="padding-bottom: 10px">
                                        <logic:equal value="true" name="settings" property="showReportLogo">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <at:logo logotype="reportLogo"/>
                                                    </td>
                                                    <td style="vertical-align: middle; padding-left: 40px">
                                                        <div id="logonote" style="position: relative">
                                                            <at:img page="note_mark.gif" style="position: absolute; left: -21px; top: 1px;"/>
                                                            <span class="notemsg" style="width: 185px"><bean:message key="report.prepare_invoice.logo_note"/></span>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>
                                        </logic:equal>
                                        <logic:equal value="false" name="settings" property="showReportLogo">
                                            <div id="nologonote">
                                                <at:img page="note_mark.gif" style="position: relative; top: 2px; margin-right: 5px;" />
                                                <span class="notemsg"><bean:message key="report.prepare_invoice.no_logo_note"/></span>
                                            </div>
                                        </logic:equal>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-bottom: 8px">
                                        <html:textarea property="companyName" style="width: 338px; padding-top: 5px; padding-bottom: 5px" styleClass="lightBorder"
                                                       styleId="companyNameTextarea" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_company_name')])" />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-bottom: 20px">
                                        <html:textarea property="companyAddress" style="width: 338px; height: 77px"
                                                       styleClass="lightBorder" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_company_address')])" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td valign="top" align="right" style="padding-right: 24px">
                            <html:textarea property="invoiceHeader" styleClass="lightBorder" style="width: 331px; text-align: right; padding-right: 10px;"
                                           styleId="invoiceHeaderTextarea" onchange="onTextareaChange(this)" onblur="onShortTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_title')])"/> <br>
                            <table cellpadding="0" cellspacing="3" id="invoiceAttributesTable">
                                <logic:notEmpty name="form" property="lastInvoiceNumber">
                                    <tr>
                                        <td align="right" colspan="2" style="padding-top: 7px; padding-bottom: 5px; max-width: 280px;">
                                            <div id="numbernote" style="padding-bottom: 7px">
                                                <at:img page="note_mark.gif" style="position: relative; top: 2px; margin-right: 7px;"/>
                                <span class="notemsg">
                                    <bean:message key="report.prepare_invoice.last_used_number"/>:
                                    <span title="<%=message(request, "report.prepare_invoice.last_number_tooltip")%>"
                                          onclick="copyInvoiceNumber(this)"
                                          style="cursor: pointer; text-decoration:underline; max-width: 280px; overflow:hidden; word-wrap:break-word; display: inline-block; vertical-align: bottom;"><%=StringUtils.encodeHTML( form.getLastInvoiceNumber() )%></span>
                                </span>
                                            </div>
                                        </td>
                                    </tr>
                                </logic:notEmpty>
                                <tr>
                                    <td align="right" style="padding-top: 5px" class="fieldNameCell"><bean:message key="report.prepare_invoice.number"/>:&nbsp;</td>
                                    <td>
                                        <html:textarea property="invoiceNumber" styleClass="darkBorder"
                                                       style="width: 121px" onchange="onTextareaChange(this)" onblur="onShortTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_invoice_number')])" />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="right" style="padding-top: 5px" class="fieldNameCell"><bean:message key="common.date"/>:&nbsp;</td>
                                    <td><html:textarea property="date" styleClass="darkBorder"
                                                       style="width: 121px" onchange="onTextareaChange(true)"/></td>
                                </tr>
                                <tr>
                                    <td align="right" class="fieldNameCell">
                                        <html:textarea property="extraFieldNames[0]" style="text-align: right; width: 119px; vertical-align: top"
                                                       styleClass="lightBorder" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_extra_field_1_name')])"
                                                /><span style="vertical-align: top; position: relative; top: 4px">:&nbsp;</span>
                                    </td>
                                    <td><html:textarea property="extraFieldValues[0]" styleClass="darkBorder"
                                                       style="width: 121px; vertical-align: top" onchange="handleChange(true)"/></td>
                                </tr>
                                <tr>
                                    <td align="right" class="fieldNameCell" valign="top">
                                        <html:textarea property="extraFieldNames[1]" style="text-align: right; width: 119px; vertical-align: top"
                                                       styleClass="lightBorder" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_extra_field_2_name')])"
                                                /><span style="vertical-align: top; position: relative; top: 4px">:&nbsp;</span>
                                    </td>
                                    <td><html:textarea property="extraFieldValues[1]" styleClass="darkBorder"
                                                       style="width: 121px; vertical-align: top" onchange="handleChange(true)"/></td>
                                </tr>
                            </table>
                            <br>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <table cellspacing="0" cellpadding="5" class="headerTable">
                                <thead>
                                <tr>
                                    <td><bean:message key="report.prepare_invoice.bill_to"/></td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td align="right" style="padding: 10px 4px 4px">
                                        <html:textarea property="billTo" style="width:326px; height: 125px; margin-bottom: 3px"
                                                       styleClass="darkBorder" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_bill_to')])" />
                                        <div id="billToLoadRecentEntry"><!----></div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </td>
                        <td valign="top" align="right" style="padding-right: 24px">
                            <table cellspacing="0" cellpadding="5" class="headerTable">
                                <thead>
                                <tr>
                                    <td align="center"><bean:message key="report.prepare_invoice.amount_due"/></td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td align="center">
                                        <div id="amountDueDiv" style="width: 215px; padding: 8px 0;">
                                            <bean:write name="settings" property="currencySign"/>
                                            <span id="totalDuplicate"></span>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <br>
                            <table cellspacing="0" cellpadding="5" class="headerTable">
                                <thead>
                                <tr>
                                    <td align="center"><bean:message key="report.prepare_invoice.terms"/></td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td align="left" style="padding: 12px">
                                        <div id="termsComboBoxCt" style="width: 201px"></div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <br>
                        </td>
                    </tr>
                </table>

                <br>

                <%-- -- INVOICE DETAILS -- --%>

                <table width="830" align="center" cellspacing="0" class="detailsTable">
                    <thead>
                    <tr>
                        <td class="leftMost" style="width: 307px"><bean:message key="report.prepare_invoice.description"/></td>
                        <td><bean:message key="report.prepare_invoice.item"/></td>
                        <td align="center"><bean:message key="report.prepare_invoice.qty"/></td>
                        <td align="center"><bean:message key="report.prepare_invoice.rate"/><br>
                            <span class="subtitle">(<bean:write name="settings" property="currencySign"/>/<bean:message key="common.mh"/>)</span></td>
                        <td align="center" class="rightMost"><bean:message key="report.prepare_invoice.amount"/><br>
                            <span class="subtitle">(<bean:write name="settings" property="currencySign"/>)</span></td>
                        <td class="hiddenColumn">&nbsp;</td>
                    </tr>
                    </thead>

                    <tbody id="itemsTableBody">
                    <tr id="emptyItemRowStub">
                        <td colspan="5" align="center" valign="middle" height="53" class="leftMost rightMost" style="padding: 10px;">
                            <bean:message key="report.prepare_invoice.no_item_rows_added" />
                        </td>
                    </tr>
                    <%-- item rows are added here dynamically --%>
                    </tbody>

                    <tbody>
                    <tr class="sectionFooter">
                        <td class="addRowsPanel">
                            <div style="position: relative; height: 30px">
                                <div style="position: absolute; left: -4px; top: 0">
                                    <at:roundedbox styleClass="roundedPanel" straightBorder="top">
                                        <span class="link" onclick="addItemRow(true)">
                                            <at:defImg page="invoice-add-line.png" height="20" style="position: relative; bottom: -5px; margin-right: 5px"/><bean:message key="report.prepare_invoice.add_item"/>
                                        </span>
                                    </at:roundedbox>
                                </div>
                            </div>
                        </td>
                        <td>&nbsp;</td>
                        <td class="sectionTotal leftMost" colspan="2"><bean:message key="report.prepare_invoice.subtotal"/>
                            (<bean:write name="settings" property="currencySign"/>):</td>
                        <td class="sectionTotal rightMost">
                            <html:text style="width:111px; padding-right: 7px" property="subtotal" styleClass="numeric readonly" readonly="true"/>
                        </td>
                        <td class="hiddenColumn">&nbsp;</td>
                    </tr>
                    <tr class="interSection" style="height: 30px;">
                        <td colspan="5">&nbsp;</td>
                        <td class="hiddenColumn">&nbsp;</td>
                    </tr>
                    </tbody>

                    <tbody id="discountsTableBody">
                    <%-- discount rows are added here dynamically --%>
                    </tbody>

                    <tbody id="taxesTableBody">
                    <%-- tax rows are added here dynamically --%>
                    </tbody>

                    <tbody>
                    <tr class="sectionFooter">
                        <td class="addRowsPanel">
                            <div style="position: relative; height: 30px">
                                <div style="position: absolute; left: -4px; top: 0">
                                    <at:roundedbox styleClass="roundedPanel" straightBorder="top">
                                        <span class="link" onclick="addDiscountRow(true)" style="margin-right: 45px">
                                            <at:defImg page="invoice-add-line.png" height="20"
                                                       style="position: relative; bottom: -5px; margin-right: 5px"/><bean:message key="report.prepare_invoice.add_discount"/></span>
                                        <span class="link" onclick="addTaxRow(true)">
                                            <at:defImg page="invoice-add-line.png" height="20"
                                                       style="position: relative; bottom: -5px; margin-right: 5px"/><bean:message
                                                key="report.prepare_invoice.add_tax"/>
                                        </span>
                                    </at:roundedbox>
                                </div>
                            </div>
                        </td>
                        <td>&nbsp;</td>
                        <td colspan="2" class="sectionTotal leftMost"><bean:message key="report.prepare_invoice.total"/>
                            (<bean:write name="settings" property="currencySign"/>):</td>
                        <td class="sectionTotal rightMost">
                            <html:text property="total" styleClass="numeric readonly" readonly="true" style="width:111px; padding-right: 7px" />
                        </td>
                        <td class="hiddenColumn">&nbsp;</td>
                    </tr>
                    </tbody>

                </table>

                <br><br>

                <%-- -- INVOICE FOOTER -- --%>
                <table width="830" align="center" cellpadding="0" cellspacing="0"
                       style="border-right: 24px solid <%=ColorHelper.getColor("default.bg.color", request )%>; padding-bottom: 40px" >
                    <tr>
                        <td style="padding-bottom: 10px">
                            <html:textarea property="customerMessage" style="display: none"/>
                            <%--
                            use text field that is not automatically connected with struts property
                            to avoid sending gray (hint) text to server as real property value
                            --%>
                <textarea name="customerMessageField" style="width: 790px;" class="lightBorder"
                          id="customerMessageTextarea" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_customer_message')])"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td class="footerSeparator">
                            <html:textarea property="additionalInfo" style="display: none" />
                <textarea name="additionalInfoField" style="width: 790px;" class="lightBorder"
                          id="additionalInfoTextarea" onchange="onTextareaChange(this)" onblur="onLongTextareaBlur(this, [messageResource.getMessage('report.prepare_invoice.error.too_long_footer')])"></textarea>
                        </td>
                    </tr>
                </table>

            </div>
        </div>
    </td></tr></table>

</at:form>

<script type="text/javascript">

    $( document ).ready(

        function() {
            var defaultTerms = "<%=StringUtils.getStringEscapedForJS(form.getTerms())%>";

            var items = [];
            var discounts = [];
            var taxes = [];
            var predefinedTerms = [];
            var billToHistory = [];

            <logic:iterate id="item" name="form" property="items"
                           type="com.actimind.actitime.reports.PrepareInvoiceForm.Item">
            items.push(
                    {
                        name:        "<%=StringUtils.getStringEscapedForJS(item.getName())%>",
                        description: "<%=StringUtils.getStringEscapedForJS(item.getDescription())%>",
                        quantity:    "<%=StringUtils.getStringEscapedForJS(item.getQuantity())%>",
                        rate:        "<%=StringUtils.getStringEscapedForJS(item.getRate())%>"
                        <%-- amount will be calculated dynamically --%>
                        <%-- taxable flag is always true by default --%>
                    }
            );
            </logic:iterate>

            <logic:iterate id="discount" name="form" property="discounts"
                           type="com.actimind.actitime.reports.PrepareInvoiceForm.Discount">
            discounts.push(
                    {
                        name:        "<%=StringUtils.getStringEscapedForJS(discount.getName())%>",
                        rate:        "<%=StringUtils.getStringEscapedForJS(discount.getRate())%>"
                        <%-- amount will be calculated dynamically --%>
                    }
            );
            </logic:iterate>

            <logic:iterate id="tax" name="form" property="taxes"
                           type="com.actimind.actitime.reports.PrepareInvoiceForm.Tax">
            taxes.push(
                    {
                        name:        "<%=StringUtils.getStringEscapedForJS(tax.getName())%>",
                        rate:        "<%=StringUtils.getStringEscapedForJS(tax.getRate())%>"
                        <%-- amount will be calculated dynamically --%>
                    }
            );
            </logic:iterate>

            <logic:iterate id="term" name="form" property="predefinedTerms" type="java.lang.String">
            predefinedTerms.push(escapeHtmlSymbols("<%=StringUtils.getStringEscapedForJS(term)%>"));
            </logic:iterate>

            <logic:iterate id="billTo" name="form" property="billToHistory" type="java.lang.String">
            billToHistory.push("<%=StringUtils.getStringEscapedForJS(billTo)%>");
            </logic:iterate>

            reportMediator.updateInvoiceReportPageAfterReportGeneration(items, discounts, taxes, predefinedTerms, defaultTerms, billToHistory);
    });

</script>