<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.resources.SystemSettings" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="java.util.Set" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="com.actimind.actitime.util.WorkingDaysUtils" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.actimind.common.DayType" %>
<%@ page import="java.util.Map" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<%-- Renderer for dates. --%>

<bean:define id="date" name="cell" property="value" type="java.util.Date"/>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>
<%
    String dateFormat = settings.getExtendedDateFormat();
    @SuppressWarnings( "unchecked" )
    Map<Date, DayType> invertedDays = (Map<Date, DayType> ) request.getAttribute(Keys.INVERTED_DAYS_KEY);
    boolean isCorporateDayOff = WorkingDaysUtils.isCorporateDayOff(date, invertedDays, settings.getDefaultWorkSchedule() );
    String appendText =
            isCorporateDayOff ? ATMessageResources.message(request, "common.corporate_day_off_text") : "";
%>

<%=TimeUtils.formatDate(date, dateFormat)%> <span class="nonworking_label"><%=appendText%></span>
