<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<div class="controlsContainer">
  <table>

    <tr id="reportConfigDataGroupingRow" style="display: none">
      <td class="reportConfigPanelLabel">
        <bean:message key="report.form.data_grouping"/>
      </td>
      <td class="reportGroupingSelectorContainer">
        <at:roundedbox styleClass="roundedFormSection">
          <jsp:include page="config_controls/grouping_selector.jsp"/>
        </at:roundedbox>
      </td>
    </tr>
    <tr>
      <td class="reportConfigPanelLabel">
        <bean:message key="report.form.selected_staff"/>
      </td>
      <td>
        <div id="userSelectorId" class="userSelector"></div>
      </td>
    </tr>

    <tr id="columnsFormatFilterRow" style="display: none">
      <td class="reportConfigPanelLabel">
        <bean:message key="report.form.report_columns"/>
      </td>
      <td class="reportColumnsFormatSelector">
        <div class="roundedFormSection roundedBoxTag">
          <div class="i">
            <div id="columnsDisplayFormat">
              <div id="columnsTypeSelector" class="columnsTypeSelector">
                <div class="title"><bean:message key="common.show"/></div>
              </div>
            </div>
          </div>
        </div>
      </td>
    </tr>

    <tr>
      <td class="reportConfigPanelLabel">
        <bean:message key="time_format_selector.select_time_format"/>
      </td>
      <td class="reportConfigTimeFormatSelector">
        <jsp:include page="config_controls/time_format_selector.jsp"/>
      </td>
    </tr>

  </table>
</div>