<%@ page import="com.actimind.actitime.reports.ReportType"%>
<%@ page import="com.actimind.actitime.services.beans.report.ReportFormat" %>
<%@ page import="com.actimind.actitime.util.StringUtils" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="com.actimind.actitime.reports.ReportConfigAnalyzer" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%
    String configId = request.getParameter("configId");
    String nodeId = "reportConfig_" + configId;
    ReportFormat configFormat = ReportFormat.valueOf( request.getParameter("configFormat") );
    String configName = StringUtils.encodeHTML( request.getParameter( "configName" ) );
    String configType = request.getParameter( "configType" );
    boolean available = Boolean.parseBoolean( request.getParameter( "available" ) );
    ReportConfigAnalyzer.ReportConfigAnalysisResult reportConfigAnalysisResult =  ReportConfigAnalyzer.ReportConfigAnalysisResult.valueOf( request.getParameter( "disabledReason" ) );
    boolean isChart = configFormat.equals( ReportFormat.CHART );
    ReportType.Category configCategory =  Boolean.valueOf( request.getParameter( "isTimeType" ) ) ? ReportType.Category.TIME : ReportType.Category.MONEY;
%>
<table class="configItemContainer <%=configFormat.equals( ReportFormat.CHART )? ReportFormat.CHART : "" %> <%=configCategory%> <% if (!available) { %> disabled <% } else { %> enabled <% } %>">
    <tr class="topRow">
        <td colspan="2">
            <table id="<%=nodeId%>" class="config <%=configCategory%> <%=configFormat%>">
                <tr class="configHeader">
                    <td class="configHeaderIconCell">
                        <div class="configHeaderIcon"></div>
                    </td>
                    <td class="configHeaderTitle">
                        <div class="type-title">
                            <span class="type-name"></span>
                        </div>
                    </td>
                    <td class="configHeaderShareCell">
                        <div id="shareConfig<%=configId%>" class="shareButtonContainer"></div>
                    </td>

                    <td class="configHeaderRemoveCell"
                        onclick="deleteConfig(<%=configId %>, <%=isChart%>); var event= arguments[0]|| window.event; stopEventPropagation(event);  return false;">
                    </td>
                </tr>

                <tr>
                    <td class="content-cell" colspan="4">
                        <div class="config-content">
                            <div class="config-name"><%=configName%></div>
                            <div style="padding-bottom: 8px;">
                                <% if (available) { %>
                                <table cellpadding="0" cellspacing="0" class="config-parameters">
                                    <tr>
                                        <td valign=top>
                                            <div class="param-icon" style="width:14px;">
                                                <at:img page="report_configs/calendar.png"/>
                                            </div>
                                        </td>
                                        <td valign=top>
                                            <div class="param-description" style="white-space: nowrap;">
                                                <span class="date-filter">
                                                </span>
                                            </div>
                                        </td>
                                        <td valign=top>
                                            <div class="param-icon filter-params" style="width: 12px;">
                                                <at:img page="report_configs/filter.png"/>
                                            </div>
                                        </td>
                                        <td valign=top>
                                            <div class="param-description otherParams"></div>
                                        </td>
                                    </tr>
                                </table>
                                <% } else {%>

                                    <table cellpadding="0" cellspacing="0" class="config-parameters">
                                        <tr>
                                            <td> <span class="disabledMessage"> <%= ATMessageResources.message( request, reportConfigAnalysisResult.getMessageKey(),
                                                                                                                ATMessageResources.message(request, (isChart)? "report.dashboard.chart":"report.dashboard.report") ) %>
                                                 </span> </td>
                                        </tr>
                                    </table>

                                <% } %>
                            </div>
                        </div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr class="bottomRow">
        <td class="leftBottomCell"></td>
        <td class="rightBottomCell"></td>
    </tr>
</table>

<script type="text/javascript">
    <%
          String category;
          if(!configFormat.equals( ReportFormat.CHART ) && ReportType.INVOICING.equals( ReportType.valueOf(configType) ))
                category =  "invoice";
          else{
                category = Boolean.valueOf( request.getParameter( "isTimeType" ) ) ? "time" : "money";
          }
     %>
    ReportConfigFactory.create(document.getElementById("<%=nodeId%>"),<%=configId%>, '<%=category%>', users, userGroups, timeZoneGroups, '<%=configFormat%>', '<%=configType%>');
</script>