
<%@ page import="com.actimind.common.ProductWebSiteURLs" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%
String aTSiteUrl = ProductWebSiteURLs.get( Product.actiTIME ).getWebSiteURL();
String aPSiteUrl = ProductWebSiteURLs.get( Product.actiPLANS ).getWebSiteURL();
%>

<div class='popup_menu_container'>
    <div class='popup_menu_button popup_menu_button_addons'  onclick="PopupMenu.show(event, $('#popup_menu_addons'));">
        <div class='popup_menu_icon addons_icon'></div>
        <div class='popup_menu_label'>
            <bean:message key="navigator.addons_menu_item"/>
            <div class='popup_menu_arrow'>&nbsp;</div>
        </div>
    </div>

    <div id='popup_menu_addons' class='popup_menu_body'>
        <div class="popup_beak"></div>
        <div class="popup_menu_content popup_menu_addons">
            <div class="popup_menu_ul">
                <div class="popup_menu_title">
                    <bean:message key="navigator.addons_menu_title"/>
                </div>
                <ul class="popup_menu_items">
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'><a class='item_link has_icon mobile_icon' href='<%=aTSiteUrl%>actitime-mobile-app.html' target="_blank">
                        <div class="item_title"><bean:message key="menu.addons.item.actitime_mobile_app"/></div>
                        <div class="item_descr"><bean:message key="menu.addons.item.actitime_mobile_app.descr"/></div>
                    </a></li>
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'><a class='item_link has_icon qb_icon' href='<%=aTSiteUrl%>timesheet-quickbooks-integration.html'
                                                   target="_blank">
                        <div class="item_title"><bean:message key="menu.addons.item.integration_with_qb"/></div>
                        <div class="item_descr"><bean:message key="menu.addons.item.integration_with_qb.descr"/></div>
                    </a></li>
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'>
                        <% if (!ATGlobals.isDemoMode() && ATGlobals.isOl()) { %>
                            <a class='item_link has_icon actiplans_icon' href='javascript:void(0)' onclick="openAtIntegrationPopup(); return false;">
                        <% } else { %>
                            <a class='item_link has_icon actiplans_icon' href='<%=aPSiteUrl%>' target="_blank">
                        <% } %>
                                <div class="item_title"><bean:message key="menu.addons.item.actiplans"/></div>
                                <div class="item_descr" style="white-space: pre-wrap;"><bean:message key="menu.addons.item.actiplans.descr"/></div>
                            </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>