<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>

<% String text = ""; %>
<logic:present parameter="text" scope="request">
    <% text = request.getParameter("text"); %>
</logic:present>

<logic:present parameter="exc">
    <%-- Also we have to check that exception exists in session --%>
    <logic:present name="<%=Keys.ERROR_KEY %>" scope="session">
        <bean:define id="eiBean" name="<%= Keys.ERROR_KEY %>" scope="session" type="com.actimind.actitime.ExceptionInfoBean"/>
        <%
            // Construct bug description from exception information
            StringBuilder descBuf = new StringBuilder(8192);
            descBuf.append("\n\n\n\n\n==== Error Details ====\n\n");
            descBuf.append(eiBean.getExceptionName());
            descBuf.append(": ");
            descBuf.append(eiBean.getErrorCode());
            descBuf.append(eiBean.getErrorMessage());
            descBuf.append("\n\n");
            descBuf.append(eiBean.getStackTrace());

            text = descBuf.toString();
        %>
    </logic:present>
</logic:present>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='contactSupportPopup'/>
    <jsp:param name="additionalClasses" value='supportPopup noprint'/>
    <jsp:param name="innerJsp" value='/support/forms/contact_support_popup_content.jsp'/>
    <jsp:param name="prefilledText" value='<%=text%>'/>
</jsp:include>
