<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.beans.UserAccessRightsBean" %>
<%@ page import="com.actimind.actitime.AccessRight" %>
<%@ page import="com.actimind.common.ATGlobals" %>

<%

    boolean isPossibleToInviteUsers = false;
    boolean isPossibleToClearDemoData = false;
    if (request.getAttribute(Keys.IS_DEMO_DATA_LOADED) != null)
    {
        UserAccessRightsBean accessRights = (UserAccessRightsBean) request.getSession().getAttribute(Keys.LOGGEDIN_USER_RIGHTS_KEY);
        isPossibleToClearDemoData = !ATGlobals.isDemoMode() &&
                                    accessRights.hasRight(AccessRight.MANAGE_USERS) &&
                                    accessRights.hasRight(AccessRight.MANAGE_GENERAL_SETTINGS) &&
                                    accessRights.hasRight(AccessRight.MANAGE_CUSTOMERS_PROJECTS);
        isPossibleToInviteUsers = ATGlobals.isOl() && accessRights.hasRight(AccessRight.MANAGE_USERS);
    }
%>
<jsp:include page="/support/support_popup_menu_content.jsp">
    <jsp:param name="isShowFaq" value="true"/>
    <jsp:param name="isShowVideo" value="true"/>
    <jsp:param name="isPossibleToCleanDemoData" value="<%=isPossibleToClearDemoData%>"/>
    <jsp:param name="isPossibleToInviteUsers" value="<%=isPossibleToInviteUsers%>"/>
</jsp:include>