
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.licensing.LicenseHelper" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%
    String id = "popup_menu_support";
    boolean isCanCleanDemoData = Boolean.valueOf(request.getParameter("isPossibleToCleanDemoData"));
    boolean isPossibleToInviteUsers = Boolean.valueOf(request.getParameter("isPossibleToInviteUsers"));
    boolean isShowFaq = request.getParameter("isShowFaq") != null;
    boolean isShowVideo = request.getParameter("isShowVideo") != null;
    boolean isUserFirst = (Boolean) session.getAttribute(Keys.IS_FIRST_USER_IN_SYSTEM);

    String removeDemoDataText = "";
    if(isCanCleanDemoData)
    {
        Product product = (Product) request.getAttribute(Keys.PRODUCT);
        boolean isOtherProductIntegrated = LicenseHelper.isOtherProductIntegrated(product);
        String otherProduct = isOtherProductIntegrated ? " " + message(request, "menu.support.remove_demo_data.other_product") : "";
        removeDemoDataText = message(request, "menu.support.item.demo_data_loaded.text3", otherProduct);
    }
%>

<div class='popup_menu_container'>
    <div class='popup_menu_button popup_menu_button_support' onclick="openHelpAndSupportMenu(event)">
        <div class='popup_menu_icon support_icon'></div>
        <div class='popup_menu_label'>
            <bean:message key="navigator.support_menu_item"/>
            <div class='popup_menu_arrow'>&nbsp;</div>
        </div>
    </div>

    <div id='<%=id%>' class='popup_menu_body popup_menu_support_container' >
        <div class="popup_beak"></div>
        <div class="popup_menu_content popup_menu_support <%=isCanCleanDemoData?"demoDataLoaded" :""%> <%=isPossibleToInviteUsers?"inviteUsersPossible" :""%>">
            <% if (isCanCleanDemoData)
            { %>
            <div id="demoDataContainer" class="demoDataContainer">
                <div class="demoDataScrollContainer">
                    <div class="firstTextBlock">
                        <span class="demoDataLoadedTitle"><bean:message key="menu.support.item.demo_data_loaded.title"/></span>
                        <div class="demoDataLoadedNote">
                            <bean:message key="menu.support.item.demo_data_loaded.text1"/><br><br>
                            <bean:message key="menu.support.item.demo_data_loaded.text2"/>
                        </div>
                    </div>
                    <div id="cleanDemoDataButton" class="cleanDemoDataButton"><bean:message key="menu.support.item.cleanup_demo_data.button"/></div>
                    <div class="removeDemoDataText"><%=removeDemoDataText%></div>
                    <div id="proceedCleanDemoDataButton" class="proceedCleanDemoDataButton"><bean:message
                            key="menu.support.item.cleanup_demo_data_proceed.button"/></div>
                    <div id="cancelDemoDataClenup" class="cancelDemoDataClenup"><bean:message
                            key="menu.support.item.cleanup_demo_data_proceed.cancel_button"/></div>
                </div>
            </div>

            <%  }
                if (isPossibleToInviteUsers)
                {
            %>
            <div id="inviteUserFromHelpPopup" class="inviteUserFromHelpPopup">
                <div class="scrollInviteContainer">
                    <div class="inviteTeamPicture"><at:img page="support/team-pic-demo.png"/></div>
                    <div id="<%=id%>_createAccountColleague" class="createAccountColleague"><bean:message
                            key="menu.support.item.invite_colleague.button"/></div>
                    <div class="inviteInputFieldsContainer">
                        <div style="width: 250px">
                            <input id="<%=id%>_firstNameInviteMenu" maxlength="32" class="firstNameInviteMenu inputFieldWithPlaceholder"
                                   type="text"
                                   placeholder="<bean:message key="menu.support.item.invite_colleague.first_name.placeholder"/>"/><!-- this comment is needed to remove space between inputs
                                   --><input id="<%=id%>_lastNameInviteMenu" maxlength="32" class="lastNameInviteMenu inputFieldWithPlaceholder " type="text"
                                   placeholder="<bean:message key="menu.support.item.invite_colleague.last_name.placeholder"/>"/>
                        </div>
                        <input id="<%=id%>_emailInviteMenu" class="emailInviteMenu inputFieldWithPlaceholder" type="text"
                               placeholder="<bean:message key="menu.support.item.invite_colleague.email.placeholder"/>"/>
                        <div>
                            <div id="<%=id%>_sendInvitationButton" class="sendInvitationButton"><bean:message
                                    key="menu.support.item.invite_colleague.send_invitation.button"/></div>
                            <div id="<%=id%>_cancelInvitationButton" class="cancelInvitationButton"><bean:message
                                    key="menu.support.item.invite_colleague.cancel.button"/></div>
                        </div>
                    </div>
                </div>
                <div class="sendInvitationContainer">
                    <div class="mailImageBg">
                        <div class="mailImage"></div>
                    </div>
                    <div class="textsAndButtons">
                        <div id="<%=id%>_invitedText" class="invitedText"></div>
                        <div id="<%=id%>_errorInviteText" class="errorInviteText"></div>
                        <div id="<%=id%>_inviteAnotherPersonButton" class="inviteAnotherPersonButton"><bean:message
                                key="menu.support.item.invite_colleague.invite_another.button"/></div>
                        <div id="<%=id%>_closeInviteButton" class="closeButton"><bean:message key="menu.support.item.invite_colleague.close.button"/></div>
                    </div>
                </div>
            </div>
            <div id="<%=id%>_inviteColleaguesErrorTooltip" class="yellowTooltip tooltipText" style='display: none;'>
                <div id="<%=id%>_inviteColleaguesErrorTooltipTextPlaceholder"></div>
            </div>
            <% } %>

            <div class="popup_menu_ul">
                <div class="popup_menu_title">
                    <bean:message key="navigator.support_menu_title"/>
                </div>
                <ul class="popup_menu_items">
                    <li class='popup_menu_separator'></li>
                    <% if (isShowVideo)
                    { %>
                    <li class='popup_menu_item'><a class='item_link' href='javascript:void(0);'
                                                   onclick="MenuHandler.openIntroVideo('<%=ATGlobals.getIntroVideoYTCode()%>'); return false;"
                                                   style="position: relative">
                        <bean:message key="menu.support.item.video_intro"/>
                        <div class="icon_intro"></div>
                    </a></li>

                    <li class='popup_menu_separator'></li>
                    <%}%>
                    <li class='popup_menu_item'><a class='item_link' href='javascript:void(0);'
                                                   onclick="MenuHandler.openUserGuide(); return false;"><bean:message
                            key="menu.support.item.user_guide"/></a></li>
                    <%
                        if (isShowFaq)
                        {
                    %>
                    <li class='popup_menu_item'><a class='item_link' href='javascript:void(0);' onclick="MenuHandler.openFaq(); return false;"><bean:message
                            key="menu.support.item.faq"/></a></li>
                    <% } %>
                    <li class='popup_menu_item'><a class='item_link' href='javascript:void(0);' onclick="MenuHandler.openAbout(); return false;"><bean:message
                            key="menu.support.item.about_actitime"/></a></li>
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'><a class='item_link' href='javascript:void(0);' onclick="MenuHandler.reportABug();"><bean:message
                            key="menu.support.item.contact_support"/></a></li>
                </ul>
            </div>

            <% if (isCanCleanDemoData && isUserFirst) {%>
            <jsp:include page="request_phone_call_section.jsp">
                <jsp:param name="blockIdSuffix" value="_support"/>
            </jsp:include>
            <% } %>
        </div>
    </div>
</div>
