<%@ page import="com.actimind.actitime.BillingTypeErrorCode" %>
<%@ page import="com.actimind.actitime.task.TaskErrorCode" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<% String id = request.getParameter("id"); %>
<script type="text/javascript">

    TABLE_TASKS_CONSTANTS ={};
    TABLE_TASKS_CONSTANTS.OPEN_TASK_EXISTS_ERROR = <%=TaskErrorCode.OPEN_TASK_EXISTS_ERR%>;
    TABLE_TASKS_CONSTANTS.COMPLETED_TASK_EXISTS_ERROR = <%=TaskErrorCode.COMPLETED_TASK_EXISTS_ERR%>;
    TABLE_TASKS_CONSTANTS.UNKNOWN_TASK_EXISTS_ERROR = <%=TaskErrorCode.UNKNOWN_TASK_EXISTS_ERR%>;

    TABLE_TASKS_CONSTANTS.BILLING_TYPE_DELETED_OR_ARCHIVED_ERROR = <%=BillingTypeErrorCode.BILLING_TYPE_DELETED_OR_ARCHIVED_ERR%>;


</script>

<table cellpadding=0 cellspacing=0 style="display: none;">
    <colgroup id="<%=id%>_createTasksTableColgroup">
        <col class="nameCell">
        <col class="descriptionCell">
        <col class="estimateCell">
        <col class="deadlineCell">
        <col class="billingTypeCell">
        <col class="addToTTCell">
        <col class="clearLineCell">
    </colgroup>
    <thead id="<%=id%>_createTasksTableTHead" class="createTasksTableHead">
    <tr>
        <th class="taskNameCell" colspan="2">
            <bean:message key="add_new_tasks.task_name"/>
        </th>
        <th class="estimateCell">
            <bean:message key="add_new_tasks.columns.estimate"/>
            <div id="<%=id%>_estimateInfoIcon" class="infoIcon">
                <at:img page="info.png"/>
            </div>
        </th>
        <th class="deadlineCell">
            <bean:message key="add_new_tasks.columns.deadline"/>
        </th>
        <th class="billingTypeCell">
            <bean:message key="add_new_tasks.columns.billing_type"/>
        </th>
        <th class="addToTTCell">
            <table>
                <tr>
                    <td class="addAllCheckboxTd"><input type="checkbox" id="<%=id%>_addAllToTasksCheckbox" /></td>
                    <td class="infoIconTd">
                        <div id="<%=id%>_addToTasksInfoIcon" class="infoIcon">
                            <at:img page="info.png"/>
                        </div>
                    </td>
                </tr>
            </table>
        </th>
        <th class="clearLineCell">&nbsp;</th>
    </tr>
    </thead>
</table>

<div id="<%=id%>_importTasksContainer" class="importTasksContainer">
    <at:defImg page="import-arrow.png" styleClass="importIconImg"/>
    <div id="<%=id%>_importTasks" class="importTasksButton">
        <span class="dashedLink"><bean:message key="task_selector.importTasksButton"/></span>
    </div>
    <at:img page="info.png" styleClass="infoIconImg"/>
    <div class="importSpinnerPlaceholder"></div>
</div>

<div id="<%=id%>_createTasksTableContainer"></div>

<div id="<%=id%>_addRowsContainer" class="addRowsContainer">
    <a href="javascript: void(0)" id="<%=id%>_addNewRow" class="addRowButton"><bean:message key="add_new_tasks.add_new_row"/></a>
    <span class="addRowsDelimiter">/</span>
    <a href="javascript: void(0)" id="<%=id%>_addFiveRows" class="addRowsButton">5 <bean:message key="add_new_tasks.rows"/></a>
    <span class="addRowsDelimiter">/</span>
    <a href="javascript: void(0)" id="<%=id%>_addTenRows" class="addRowsButton">10 <bean:message key="add_new_tasks.rows"/></a>
</div>