<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>

<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<%
    String id = request.getParameter("id");
%>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='loadTasksFromCSVInfoPopup'/>
    <jsp:param name="innerJsp" value='/tasks/load_tasks_from_csv_info_popup_content.jsp'/>
    <jsp:param name="additionalClasses" value='infoPopup lightboxWithWhiteContent noFooter'/>
</jsp:include>

<div id="incorrectFieldTooltip" class="yellowTooltip tooltipText" style="display: none;">
    <div id="incorrectFieldTooltip_textPlaceholder" class="incorrectFieldTooltip"></div>
</div>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeLoadTasksFromCSVPopupButton" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="lightBoxTitle">
                <bean:message key="import_csv_tasks.title"/>
            </div>
        </td>
    </tr>
</table>
<div id="<%=id%>_innerContent" class="innerContent">
    <div id="<%=id%>_fileContent">
        <div>
            <div class="subtitle singleRow">
                <bean:message key="import_csv_tasks.choose_file"/>
            </div>
            <div class="linksContainer singleRow">
                <div id="infoLink" class="linkText singleRow">
                    <bean:message key="import_csv_tasks.how_to"/>
                </div>
                <div class="verticalSeparator singleRow"></div>
                <div id="sampleCSVFileLink" class="linkText singleRow">
                    <bean:message key="import_csv_tasks.sample"/>
                </div>
            </div>
        </div>
        <div id="<%=id%>_dropzone" class="selectedFileContainer">
            <div class="dropzoneContentArea">
                <div class="dropzoneContent">
                    <div class="dropzoneImg"></div>
                    <div class="dropzoneText">
                        <bean:message key="import_csv_tasks.dropzone_text"/>
                    </div>
                    <div id="dropzoneFailbackSelector" class="dropzoneFailbackSelector dropzoneFailback"></div>
                </div>
            </div>
            <div id="dropzoneFailbackSelectorSpinner" class="dropzoneFailbackSelectorSpinner dropzoneFailback"></div>
            <div id="dropzoneClickableArea" class="dropzoneClickableArea"></div>
            <div id="dropzoneFailbackFileContainer" class="dropzoneFailbackFileContainer"></div>
        </div>

        <div id="dropzoneTemplate" class="dropzoneTemplate dz-preview dz-file-preview" style="display: none">
            <div class="dz-progress dz-fallback-template">
                <div class="dz-details">
                    <div class="container">
                        <div class="dz-filename" data-dz-name></div>
                        <div class="dz-remove" data-dz-remove></div>
                    </div>
                    <div class="dz-reload linkText">
                        <bean:message key="import_csv_tasks.reload"/>
                    </div>
                </div>
                <div class="dz-progress-bar-container">
                    <div class="meter">
                        <div class="dz-upload dynamicProgressBar" data-dz-uploadprogress><span class="progressAnimation"></span></div>
                    </div>
                </div>
            </div>
        </div>
        <div id="<%=id%>_slideWrapper" class="slideWrapper">
            <div id="importPreviewSection" class="importPreviewSection">
                <div class="subtitle">
                    <bean:message key="import_csv_tasks.import_preview"/>
                </div>

                <div class="resultTasksSelector smallText">
                    <div class="singleRow linkTitle">
                        <bean:message key="import_csv_tasks.ready_for_import"/>
                    </div>
                    <div id="successLinkContainer" class="singleRow successLinkContainer">
                        <div id="resultTasksSuccessTableLink" class="singleRow successLink showTableLink">
                        </div>
                    </div>

                    <div id="failsLinkContainer" class="failsLinkContainer singleRow">
                        <div class="verticalSeparator singleRow"></div>

                        <div class="singleRow">
                            <bean:message key="import_csv_tasks.will_not_be_imported"/>
                        </div>

                        <div id="duplicatesLinkContainer" class="singleRow duplicatesLinkContainer">
                            <div id="resultTasksDuplicatesTableLink" class="singleRow duplicatesLink showTableLink">
                            </div>
                        </div>

                        <div id="errorsLinkContainer" class="singleRow errorsLinkContainer">
                            <div id="resultTasksErrorTableLink" class="singleRow errorsLink showTableLink">
                            </div>
                        </div>
                    </div>
                </div>

                <div id="resultTableContainerWrapper" class="resultTableContainerWrapper">
                    <div id="resultTableContainer" class="resultTableContainer"></div>
                </div>

                <div class="downloadCSVWithErrorsLinkContainer">
                    <div id="downloadCSVWithDuplicatesLink" class="downloadCSVLink singleRow linkText">
                        <bean:message key="import_csv_tasks.text.download_csv_with_duplicates"/>
                    </div>
                    <div id="downloadCSVWithErrorsLink" class="downloadCSVLink singleRow linkText">
                        <bean:message key="import_csv_tasks.text.download_csv_with_errors"/>
                    </div>
                    <div class="downloadCSVLinkDescription singleRow">
                        <bean:message key="import_csv_tasks.text.download_csv_with_errors_desc"/>
                    </div>
                </div>
            </div>

            <div id="<%=id%>_buttonsSection" class="buttonsSection">
                <div class="toImportSection">
                    <div class="centeredTable">
                        <table>
                            <tr>
                                <td class="subtitle"><bean:message key="import_csv_tasks.result.to_import"/></td>
                                <td class="smallText"><div id="toImportInfoContainer" class="toImportInfoContainer"></div></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div id="<%=id%>_commitBtn" class="beigeButton withIcon commitBtn commonButton">
                    <div class="buttonIcon">
                <span class="buttonTitle">
                    <bean:message key="import_csv_tasks.complete_import"/>
                </span>
                    </div>
                </div>
                <div id="<%=id%>_cancelBtn" class="beigeButton cancelBtn commonButton">
                    <bean:message key="common.cancel"/>
                </div>
            </div>

            <div class="reloadCSVMoire"><div id="bigDataSpinner" class="bigDataSpinner"></div></div>
        </div>
    </div>

    <div id="<%=id%>_resultContent" class="resultContent">
        <div class="bigTitle">
            <bean:message key="import_csv_tasks.result.import_completed"/>
        </div>
        <div class="importDifferNote importResultBlock">
            <div class="noteBlock">
                <span><bean:message key="import_csv_tasks.result.import_differ"/></span>
                <span class="errorsDiffer"><bean:message key="import_csv_tasks.result.errors_differ"/></span>
            </div>
        </div>
        <div class="importResultBlock successfullyImported">
            <div class="innerBlock">
                <div class="blockTitle">
                    <bean:message key="import_csv_tasks.result.successfully_imported"/>
                </div>
                <div class="infoRow importInfoRow"></div>
                <div class="infoRow importInfoRow"></div>
            </div>
        </div>
        <div class="importResultBlock notImported">
            <div class="innerBlock">
                <div class="blockTitle">
                    <bean:message key="import_csv_tasks.result.not_imported"/>
                </div>
                <div class="infoRow duplicatesInfoRow"></div>
                <div class="infoRow errorsInfoRow"></div>
            </div>
        </div>
        <div class="startNewImportContainer">
            <div id="<%=id%>_startNewImport" class="bigLink linkText">
                <bean:message key="import_csv_tasks.result.new_import"/>
            </div>
        </div>
    </div>

    <div id="<%=id%>_importingProgressBarContainer" class="importingProgressBarContainer">
        <div class="improtingProgressText"></div>
        <div class="importingProgressBar">
            <div class="meter">
                <div class="dz-upload dynamicProgressBar"><span class="progressAnimation"></span></div>
            </div>
        </div>
    </div>
</div>
