<%@ page import="com.actimind.actitime.util.jsHelper" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.task.TimeCommentsRecordSortOrder" %>
<%@ page import="static com.actimind.actitime.util.Feature.EST" %>
<%@ page import="static com.actimind.actitime.util.Feature.BTY" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>

<% if (!"true".equals(request.getParameter("fromTM"))) { %>
<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='viewTaskPopup'/>
    <jsp:param name="additionalClasses" value='editTaskPopup lightboxWithWhiteContent scrollable viewOnly'/>
    <jsp:param name="innerJsp" value='/tasks/edit_task_popup_content.jsp'/>
</jsp:include>
<%}%>

<%
    boolean result = FeaturesUtil.isEnabled(BTY);
    boolean result1 = FeaturesUtil.isEnabled(EST);
%>

<script type="text/javascript">

    function showEditTaskPopup( successTaskEditCallback, failureTaskEditCallback, taskDeleteCallback )
    {
        var estEnabled = <%=String.valueOf( result1 )%>;
        var sortConstants = {
            byDate: '<%=TimeCommentsRecordSortOrder.SORT_BY_DATE%>',
            byUser: '<%=TimeCommentsRecordSortOrder.SORT_BY_USERNAME%>',
            asc: '<%=TimeCommentsRecordSortOrder.SORT_ORDER_ASC%>',
            desc: '<%=TimeCommentsRecordSortOrder.SORT_ORDER_DESC%>'
        };

        new ViewTaskPopup().init( getEditTaskData().taskDetails, estEnabled, getEditTaskData().btyEnabled, sortConstants,
                                  failureTaskEditCallback, taskDeleteCallback ).show();
    }

    function getEditTaskData()
    {
        return {
            canEdit: false,
            taskDetails: <%=jsHelper.toJSON( request.getAttribute( Keys.TASK_DETAILS_DATA_KEY ) )%>,
            btyEnabled: <%=String.valueOf( result )%>
        }
    }

</script>