<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<% String id = request.getParameter("id"); %>

<tr>
  <td class="inputFieldCell accountFieldCell">
    <at:defImg page="userManagement/email.png" styleClass="emailFieldIcon fieldIcon"/>
    <input tabindex="4" type="text" class="emailField firstInAccountSection accountSectionField inputFieldWithPlaceholder" name="email" id="<%=id%>_emailField" placeholder="<bean:message key="profile.placeholder.email"/>" maxlength="255" autocomplete="off">
    <div id="<%=id%>_emailEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.email_empty"/></div>
    <div id="<%=id%>_emailInvalidError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.email_invalid"/></div>
  </td>
</tr>
<tr>
  <td class="inputFieldCell accountFieldCell">
    <at:defImg page="userManagement/username.png" styleClass="fieldIcon"/>
    <input tabindex="5" type="text" class="usernameField accountSectionField inputFieldWithPlaceholder" name="username" id="<%=id%>_usernameField" placeholder="<bean:message key="profile.placeholder.username"/>" maxlength="191" autocomplete="off">
    <div id="<%=id%>_usernameEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.username_empty"/></div>
    <div id="<%=id%>_usernameDuplicateError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.username_duplicate"/></div>
  </td>
</tr>