<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.MailServerSettingsGlobalInstance" %>
<%@ page import="com.actimind.actitime.util.*" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<jsp:include page="/userProfile/base_user_profile_popup_files.jsp"/>

<bean:define id="loggedInUser" name="<%=Keys.LOGGEDIN_USER_KEY%>" type="com.actimind.actitime.beans.UserBean"/>
<%
    Features features = FeaturesUtil.getFeatures();
    boolean areMailSettingsSpecified = MailServerSettingsGlobalInstance.getMailServerSettings().areMailSettingsSpecified();
    boolean isUserCannotSeeAnyPages = UserUtils.checkIsUserCannotSeenAnyPagesInAT(request);
%>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='userProfilePopup'/>
    <jsp:param name="innerJsp" value='/userProfile/user_profile_popup_content.jsp'/>
    <jsp:param name="includedSection" value='/userProfile/at_user_profile_section.jsp'/>
    <jsp:param name="includedRightSection" value='/userProfile/at_user_profile_right_section.jsp'/>
    <jsp:param name="additionalClasses" value='lightboxWithWhiteContent'/>
    <jsp:param name="isUGREnabled" value='<%=features.isEnabled(Feature.UGR)%>'/>
    <jsp:param name="isTZGEnabled" value='<%=features.isEnabled(Feature.TZG)%>'/>
    <jsp:param name="isPTOEnabled" value='<%=features.isEnabled(Feature.PTO)%>'/>
    <jsp:param name="isSickEnabled" value='<%=features.isEnabled(Feature.SDB)%>'/>
    <jsp:param name="areMailSettingsSpecified" value='<%=areMailSettingsSpecified%>'/>
</jsp:include>

<script type="text/javascript">
    function showUserATProfilePopup( highlightStartingNewWeekSection, successCallback )
    {
        var userProfilePopupData = <%=jsHelper.toJSON( request.getAttribute( Keys.USER_PROFILE_POPUP_DATA_KEY ) )%>;
        var isUserCannotSeenAnyPages = <%=String.valueOf(isUserCannotSeeAnyPages)%>;
        new UserATProfilePopup().init(userProfilePopupData, <%= loggedInUser.isLocked() %>, highlightStartingNewWeekSection, isUserCannotSeenAnyPages, successCallback, <%=FeaturesUtil.getFeaturesJSON( FeaturesUtil.getFeatures())%>, <%=areMailSettingsSpecified%>).show();
    }

</script>