<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%--
  Renders page links for pager, such as:

       Previous --  1-20  21-40 41-60  -- Next

  The Pager object must be in the request scope.

  @param switchFunction - name of the JS function for page switching. Must accept single parameter - the record number
                          to switch the pager to.

--%>

<%
    String switchFunction = request.getParameter("switchFunction");
%>

<bean:define id="pager" name="<%=Keys.PAGER%>" scope="request" type="com.actimind.actitime.util.Pager" />

<logic:greaterThan value="1" property="currentPagesCount" name="pager">
  <nobr class="text">
    <logic:notEmpty name="pager" property="previousPageFirstRecordNumber">
        <a href="javascript:<%=switchFunction%>('<%=pager.getPreviousPageFirstRecordNumber().intValue()%>');">
            <bean:message key="common.previous"/>
        </a>
    </logic:notEmpty>
    <logic:empty name="pager" property="previousPageFirstRecordNumber">
        <bean:message key="common.previous"/>
    </logic:empty>
    --
  </nobr>
    <span>&nbsp;&nbsp;&nbsp;</span>
    <logic:iterate name="pager" property="currentPages" id="curPage">
      <nobr class="text">
        <logic:equal value="true" name="curPage" property="current">
            <bean:write name="curPage"/>
        </logic:equal>
        <logic:notEqual value="true" name="curPage" property="current">
            <a href="javascript:<%=switchFunction%>(<%=((com.actimind.actitime.util.Pager.Page)curPage).getFirstRecordNumber()%>);"><bean:write
                    name="curPage"/></a>
        </logic:notEqual>
        &nbsp;
      </nobr>
    </logic:iterate>
    <span>&nbsp;&nbsp;</span>
  <nobr class="text">
    --
    <logic:notEmpty name="pager" property="nextPageFirstRecordNumber">
        <a href="javascript:<%=switchFunction%>(<%=pager.getNextPageFirstRecordNumber().intValue()%>);">
            <bean:message key="common.next"/>
        </a>
    </logic:notEmpty>
    <logic:empty name="pager" property="nextPageFirstRecordNumber">
        <bean:message key="common.next"/>
    </logic:empty>
  </nobr>
</logic:greaterThan>