<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.common.licensing.LicenseKeyUtils" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.actitime.colors.CustomizationSettings" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%
    boolean isOl = ATGlobals.isOl();

    boolean isDefaultLogo = CustomizationSettings.get( request ).isDefaultInterfaceLogo();

    Product product = (Product) request.getAttribute( Keys.PRODUCT );

    String contentJsp = request.getParameter( "contentJsp" );
    String urlForReload = request.getParameter("urlForReload");
%>
<script language="JavaScript">
    function browserIncompatible()
    {
        return navigator.userAgent.match(/(MSIE (2|3|4|5|6|7)\.)|^Opera/) &&
               navigator.userAgent.indexOf('Trident') == -1; // IE8 may report incorrect version in intranet mode,
                                                             // so we must also check the Trident token
    }

    var showBrowserWarning = browserIncompatible() && !getCookie("ignoreIncompatibility");

    function setIgnoreIncompatibility(ignore)
    {
        if( !ignore )
            ignore = null;
        setCookie( "ignoreIncompatibility", ignore );
    }
</script>

<%-- fix for  IE8, IE9, IE10--%>
<style type="text/css">
    .apLogoImg  { padding-left:0\0/; }
</style>

<table width="100%" height="100%" cellspacing="0" cellpadding="0" align="center" border="0">
    <tr>
        <td align="center">
            <table class="whiteBoxWithLogoTable" cellpadding="0" cellspacing="0" border="0"><tr><td>
                <div id="whiteBoxWithLogo" class='whiteBoxWithLogo <%=product == Product.actiPLANS ? "apWhiteBoxWithLogo" : ""%>'>
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td id="logoContainer">
                                <% if (isDefaultLogo) { %>
                                <div>
                                    <% if( product == Product.actiTIME )
                                    { %>
                                    <at:defImg page="login/timer.png" width="98" height="98"/>
                                    <% }
                                    else
                                    { %>
                                    <ap:img page="login/chart.png" width="98" height="70" styleClass="apLogoImg"/>
                                    <% } %>
                                </div>
                                <div>
                                    <% if( product == Product.actiTIME )
                                    { %>
                                    <div class="productNameContainer"><at:defImg page="login/logo.png"/></div>
                                    <% }
                                    else
                                    { %>
                                    <div class="productNameContainer"><ap:img page="login/logo.png"/></div>
                                    <% } %>
                                </div>
                                <%  } else { %>
                                <div class="apCustomLogoContainer"><at:logo/></div>
                                <% } %>
                            </td>
                            <td id="whiteBoxWithLogoBody">
                                <div class="innerContentWhiteBox">
                                    <jsp:include page="<%=contentJsp%>"/>
                                </div>
                            </td>
                            <td id="rightBar">
                                &nbsp;
                            </td>
                            <td valign="top" class="browserWarningArea" id="browserWarningArea">
                                <table width="212" class="browserWarning" cellpadding="11" cellspacing="0" border="0">
                                    <tr>
                                        <td valign="top"><at:defImg page="login/warning.png" width="16" height="16"/></td>
                                        <td>
                                            <bean:message key="login.nojs.part1"/>
                                            <br/><br/>
                                            <bean:message key="login.nojs.part2"/>
                                            <br>
                                            <a href="<%=urlForReload%>"><bean:message key="login.nojs.part3"/></a>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <script type="text/javascript">
                                if(showBrowserWarning)
                                {
                                    document.writeln('<td valign="top" class="browserWarningArea">');
                                    document.writeln('<table width="212" class="browserWarning" cellpadding="11" cellspacing="0" border="0">');
                                    document.writeln('    <tr>');
                                    document.writeln('        <td valign="top"><at:defImg page="login/warning.png" width="16" height="16"/></td>');
                                    document.writeln('        <td><bean:message key="login.form.not_supported_browsers.warning_start"/>');
                                    document.writeln('            <bean:message key="login.form.not_supported_browsers.warning_end"/></td>');
                                    document.writeln('    </tr>');
                                    document.writeln('    <tr>');
                                    document.writeln('        <td></td>');
                                    document.writeln('        <td align="left" valign="top"><at:img page="login/arrow.gif" width="3" height="5" align="left" style="margin: 4px 5px 0 0"/><bean:message key="login.form.not_supported_browsers.supported_browsers"/></td>');
                                    document.writeln('    </tr>');
                                    if( areCookiesEnabled() )
                                    {
                                        document.writeln('    <tr>');
                                        document.writeln('        <td></td>');
                                        document.writeln('        <td align="left" valign="top" style="padding-left: 5px">');
                                        document.writeln('            <table class="disableWarning" cellpadding=0 cellspacing=0 border="0">');
                                        document.writeln('                <tr>');
                                        document.writeln('                    <td><input type="checkbox" id="disableBrowserWarning" onchange="setIgnoreIncompatibility(this.checked)"></td>');
                                        document.writeln('                    <td><label id="disableBrowserWarning" for="disableBrowserWarning"><bean:message key="login.form.not_supported_browsers.disable_warning"/></label></td>');
                                        document.writeln('                </tr>');
                                        document.writeln('            </table>');
                                        document.writeln('        </td>');
                                        document.writeln('    </tr>');

                                        disableTextSelection(document.getElementById("disableBrowserWarning"));
                                    }
                                    document.writeln('</table>');
                                    document.writeln('</td>');
                                }
                            </script>
                        </tr>
                    </table>
                </div>
            </td>
            </tr>
                <tr>
                    <td>
                        <table class="footer" cellpadding="4" cellspacing="0">
                            <tr>
                                <td><nobr><%=(product == Product.actiTIME ? LicenseKeyUtils.getFullActualVersionStr( request, isOl ) : "&nbsp;")%></nobr></td>

                                <% if( !ATGlobals.isDemoMode() && !isOl && product == Product.actiTIME ) { %>
                                <td id="licenseLinkContainer">
                                    <nobr>(<a id="licenseLink" target="_blank" href='<html:rewrite page="/license.jsp"/>' onclick="openLicensePopup();"><bean:message key="login.form.license_link_title"/></a>)</nobr>
                                </td>
                                <script type="text/javascript">
                                    // Opens license popup window
                                    function openLicensePopup(){
                                        popup('<html:rewrite page='/license.jsp'/>', 'licenseWnd', 650, 500, 'no', 'no', false);
                                    }

                                    var licenseLink = document.getElementById("licenseLink");
                                    licenseLink.href = "javascript:void(0)";
                                    licenseLink.target = "";
                                </script>
                                <% } %>
                                <td id="copyRight">
                                    <nobr>&copy; <a href="http://www.actitime.com" target="_blank">actiTIME Inc.</a></nobr>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<style type="text/css">
    /* Fix for bug 52834: Unnecessary message flickers on login page after submitting invalid username or password.
            We make browser warning visible only after login table was fully loaded. */
    .whiteBoxWithLogoTable .whiteBoxWithLogo #browserWarningArea {
        display: table-cell;
    }
</style>

<script type="text/javascript">
    if( !showBrowserWarning ){
        var rightBar = document.getElementById( "rightBar" );
        rightBar.style.display='table-cell';
    }

    var browserWarningArea = document.getElementById("browserWarningArea");
    browserWarningArea.style.display='none';

    $("#whiteBoxWithLogoBody").find(".innerContentWhiteBox").addClass("visible");
</script>