<!doctype html>
<%@ page import="com.actimind.actiplans.ScrollingCalculator" %>
<%@ page import="static com.actimind.actitime.util.Pager.CUSTOM_PAGES_SET_2" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.beans.NamedBean" %>
<%@ page import="com.actimind.actitime.util.CollectionsUtils" %>
<%@ page import="com.actimind.actitime.util.GroupUtils" %>
<%@ page import="com.actimind.actitime.util.jsHelper" %>
<%@ page import="com.actimind.common.util.TimestampsCacheUtils" %>
<%@ page import="java.util.List" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="ap" uri="/WEB-INF/ap.tld"%>
<html>
<head>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> Corporate Schedule</title>
    <jsp:include page="/actiplans/include_scripts.jsp"/>

    <!--[if IE 8]>
    <style type="text/css">
        .ui-dialog:before, .ui-dialog:after {
            display: none;
        }

        /* see Bug 47574 */
        .user .filterBlock .at-selector-button .contents .ellipsis {
            width: 90px;
        }
    </style>
    <![endif]-->
</head>
<body class="corporateRequestsPage with-navigation">

<%-- Navigation --%>
<jsp:include page="../top.jsp" flush="false">
    <jsp:param name="menuSelected" value="corporate_schedule" />
</jsp:include>

<div id="contentDiv" style="min-width: 980px; text-align: center; margin-left: 15px; margin-right: 15px; display: none"><div id="contentInnerDiv" style="text-align: left; display: inline-block;">

<div style="padding-bottom: 30px;" class="pagetitle">
    <bean:message key="actiplans.leaves_management.title"/>
    <div id="leavesManagementPageSpinner"></div>
</div>

<table cellpadding="0" cellspacing="0" style="width:100%" id="corporateScheduleTable">
    <tr>
        <td>
            <jsp:include page="leave_management_tabs.jsp">
                <jsp:param name="currentTab" value="LTR"/>
            </jsp:include>
            <span class="toolbar" style="display: inline-block; white-space: nowrap; padding-bottom: 8px; float: right; vertical-align: bottom; margin-top: -4px">
                <span class="label" style="vertical-align: middle;">Process Selected:&nbsp;</span>
                <span class="acctionButton greyButton approve disabled"><bean:message key="actiplans.corporate_requests.buttons.approve"/></span>
                <span class="acctionButton greyButton reject disabled"><bean:message key="actiplans.corporate_requests.buttons.reject"/></span>
                <span class="separator"> | </span>
                <span class="acctionButton greyButton delete disabled"><bean:message key="actiplans.corporate_requests.buttons.delete"/></span>
            </span>
        </td>
    </tr>
    <tr>
        <td colspan="2"><div style="height: 5px"></div></td>
             </tr>
    <tr>
        <td colspan="2" id="requestsTableContainer">
            <table class="requests">
                <colgroup>
                    <col class="user group">
                    <col class="user name">
                    <col class="leaveType">
                    <col class="period">
                    <col class="timeRequested">
                    <col class="balance before">
                    <col class="balance after">
                    <col class="status">
                    <col class="select">
                </colgroup>
                <thead>
                    <tr>
                        <td class="user combined" colspan="2">
                            <span id="tipLTRSorting" data-sortBy="USER" style="white-space: nowrap;">
                                <span class="sortButton" ><bean:message key="actiplans.leave_time_requests.user"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                            <span id="sortByUserOrUserGroupSeparator" class="separator">|</span> &nbsp;
                            <span id="sortByUserGroupLink" data-sortBy="USER_GROUP" style="white-space: nowrap;">
                                <span class="sortButton"><bean:message key="actiplans.leave_time_requests.group"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                            <span id="sortByUserGroupOrTimeZoneGroupSeparator" class="separator">|</span> &nbsp;
                            <span id="sortByTimeZoneGroupLink" data-sortBy="TIME_ZONE_GROUP" style="white-space: nowrap;">
                                <span class="sortButton"><bean:message key="actiplans.leave_time_requests.time_zone_group"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                            <table class="user_filters"><tbody><tr>
                                <td>
                                    <div id="requestsTableContainer_userGroupFilter" class="filterBlock userGroupFilter"></div>
                                </td>
                                <td id="displayOnlyAssignedToMeUsersBlock">
                                    <div class="displayOnlyAssignedToMeFilter">
                                        <label for="displayOnlyAssignedToMeUsersChBox"><input id="displayOnlyAssignedToMeUsersChBox" type="checkbox"/><bean:message key="actiplans.corporate_requests.assigned_to_me"/></label>
                                    </div>
                                </td>
                            <tr></tbody></table>
                            <div id="searchFieldContainer">
                                <input id="requestsTableContainer_userNameFilter" type="text"/>
                            </div>
                        </td>
                        <td class="leaveType">
                            <span data-sortBy="LEAVE_TYPE">
                                <span class="sortButton"><bean:message key="actiplans.leave_time_requests.leave_type"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                            <div class="leaveTypeFilter filterBlock"></div>
                        </td>
                        <td class="period">
                            <span data-sortBy="PERIOD">
                                <span class="sortButton"><bean:message key="actiplans.leave_time_requests.period"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                        </td>
                        <td class="timeRequested">
                            <bean:message key="actiplans.leave_time_requests.time_requested"/>
                        </td>
                        <td class="balance combined" colspan="2">
                            <div class="balanceHeaderContainer"></div>
                            <div class="filterBlock balanceTypeFilterBlock">
                                <select class="balanceTypeFilter"></select>
                            </div>
                        </td>
                        <td class="status">
                            <span data-sortBy="STATUS">
                                <span class="sortButton"><bean:message key="actiplans.leave_time_requests.status"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
                            </span>
                            <div class="pastRequestsFilter">
                                <label for="showPastApprovedRejectedRequestsChBox"><input id="showPastApprovedRejectedRequestsChBox" type="checkbox"/><bean:message key="actiplans.leave_time_requests.show_past_requests"/></label>
                            </div>
                            <div class="filterBlock statusFilterBlock">
                                <select class="statusFilter"></select>
                            </div>
                        </td>
                        <td class="select">
                            <bean:message key="actiplans.leave_time_requests.select"/>
                            <div class="spacer"></div>
                            <label><input type="checkbox"></label>
                        </td>
                    </tr>
                </thead>
                <tbody class="actualContent">
                </tbody>
                <tbody class="templates" style="display: none">
                    <tr class="request">
                        <td class="user group"><div class="groupName"></div></td>
                        <td class="user name"></td>
                        <td class="leaveType">
                            <div class="leaveTypeWithImg">
                                <img src="">
                                <div class="for-print-only"><img src=""></div>
                                <span class="leaveTypeName"></span>
                            </div>
                            <span class="requestCommentButton"></span>
                        </td>
                        <td class="period"></td>
                        <td class="timeRequested"></td>
                        <td class="balance before"></td>
                        <td class="balance after"></td>
                        <td class="status">
                            <table>
                                <tr>
                                    <td class="statusIconContainer">
                                        <div class="statusIcon"></div>
                                    </td>
                                    <td>
                                        <div class="statusWrapper">
                                            <span class="statusText"></span>
                                            <span class="when"></span>
                                            <div class="details"><span class="byWhom"></span> <span class="approvalComment"></span><!--
                                    --><div class="moireForCommentButtonContainer"><div class="moireForCommentButton">&nbsp;</div></div></div>
                                        <div class="commentButton"></div>
                                    </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td class="select">
                            <span class="notApplicableLabel"><bean:message key="actiplans.leave_time_requests.not_applicable"/></span>
                            <label class="applicableLabel"><input type="checkbox"></label></td>
                    </tr>
                    <tr class="emptyRequest">
                        <td colspan="9"><bean:message key="actiplans.leave_time_requests.requestTypeMadeAutoApproval"/></td>
                    </tr>
                </tbody>
            </table>
        </td>
    </tr>
</table>

<jsp:include page="/administration/pager_panel.jsp"/>

</div></div>

<%@ include file="/actiplans/util/InvocationResultCodes.jsp" %>

<jsp:include page="../controls/leave_request_dialog.jsp"/>
<jsp:include page="../controls/request_resolution_dialog.jsp"/>

<div id="approveDialogDiv" style="display: none; width: 390px;">
    <div class="message">
        <bean:message key="actiplans.leave_time_requests.process_selected_dialog.you_are_about"/>
        <span class="emphasis">
            <bean:message key="actiplans.leave_time_requests.process_selected_dialog.approve"/>
            <span class="count">x</span>
            <span class="singular"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.request"/></span>
            <span class="plural"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.requests"/></span>
        </span>
        <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_for_approval"/>
    </div>
    <textarea rows="3" style="width:354px; height: 55px"></textarea>
    <div class="buttonsPlaceholder"></div>
</div>

<div id="rejectDialogDiv" style="display: none; width: 390px;">
    <div class="message">
        <bean:message key="actiplans.leave_time_requests.process_selected_dialog.you_are_about"/>
        <span class="emphasis">
            <bean:message key="actiplans.leave_time_requests.process_selected_dialog.reject"/>
            <span class="count">x</span>
            <span class="differentSelected"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.selected"/></span>
            <span class="allApproved"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.approved"/></span>
            <span class="allWaitingDeletion"> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_deletion"/></span>
            <span class="singular"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.request"/></span><!-- comments here are used to remove space before :
            --><span class="plural"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.requests"/></span><!--
        --></span><!--
        --><span class="allWaitingForApproval"> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_for_approval"/></span><span class="details">:</span>
    </div>
    <ul class="details">
        <li class="detailsWaitingForApproval"><span class="waitingForApprovalCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_for_approval"/></li>
        <li class="detailsWaitingDeletion"><span class="waitingDeletionCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_deletion"/></li>
        <li class="detailsApproved"><span class="approvedCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.approved"/></li>
    </ul>
    <textarea rows="3" style="width:354px; height: 55px;"></textarea>
    <div class="buttonsPlaceholder"></div>
</div>

<div id="deleteDialogDiv" style="display: none; width: 390px;">
    <div class="message">
        <bean:message key="actiplans.leave_time_requests.process_selected_dialog.you_are_about"/>
        <span class="emphasis">
            <bean:message key="actiplans.leave_time_requests.process_selected_dialog.delete"/>
            <span class="count">x</span>
            <span class="differentSelected"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.selected"/></span>
            <span class="allApproved"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.approved"/></span>
            <span class="allRejected"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.rejected"/></span>
            <span class="singular"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.request"/></span><!-- comments here are used to remove space before :
            --><span class="plural"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.requests"/></span><!--
        --></span><!--
        --><span class="allWaitingForApproval"> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_for_approval"/></span><span class="details">:</span>
    </div>
    <ul class="details">
        <li class="detailsWaitingForApproval"><span class="waitingForApprovalCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.waiting_for_approval"/></li>
        <li class="detailsApproved"><span class="approvedCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.approved"/></li>
        <li class="detailsRejected"><span class="rejectedCount">x</span> <bean:message key="actiplans.leave_time_requests.process_selected_dialog.rejected"/></li>
    </ul>
    <div class="bottomMessage"><bean:message key="actiplans.leave_time_requests.process_selected_dialog.delete_warning"/></div>
    <div class="buttonsPlaceholder"></div>
</div>

<div id="notApplicableRequestTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.not_applicable_request"/>
</div>

<div id="requestAutoApprovalTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.request_auto_approval"/>
</div>

<div id="rejectedRequestTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.rejected_request"/>
</div>

<div id="waitingDeletionRequestTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.waiting_deletion"/>
</div>

<div id="wasAtIntegratedTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.was_at_integrated"/>
</div>

<div id="cannotEditPastRequestTooltip" class="leaveTimeRequestsPageTooltip">
    <bean:message key="actiplans.corporate_requests.tooltip.cannot_edit_past"/>
</div>

<div id="commentDialogDiv" style="display: none">

</div>

<at:script page="/util/leaveTypesJS.do" preserveSessionID="true" timestampAttributeName="<%=TimestampsCacheUtils.LEAVE_TYPES_CHANGE_TIMESTAMP_KEY%>"/>


<%@ include file="/actiplans/util/InvocationResultCodes.jsp" %>

<script type="text/javascript">

    var userSettings = <%=jsHelper.toJSON(request.getAttribute(Keys.CORPORATE_REQUESTS_SETTINGS_KEY))%>;
    var data = <%=jsHelper.toJSON(request.getAttribute(Keys.CORPORATE_REQUESTS_DATA))%>;
    var canEditPastRequests = <%=request.getAttribute(Keys.CAN_EDIT_PAST_REQUESTS)%>;
    var wasAtIntegrated = <%=request.getAttribute(Keys.IS_OTHER_PRODUCT_HAS_ACTIVE_LICENSE)%>;

    var minRecordsPerPage = <%=CUSTOM_PAGES_SET_2[0]%>;

    var userGroups;
    var timeZoneGroups;
    var userGroupsMap;
    var timeZoneGroupsMap;

    <%
        @SuppressWarnings("unchecked")
        List<NamedBean> userGroups = ( List<NamedBean> ) request.getAttribute( Keys.USER_GROUPS_LIST_KEY );

        if ( userGroups != null ) {
            userGroups.add( 0, GroupUtils.createUsersWithoutGroupUserGroup( request ) );
            String groupsListJson = jsHelper.toJSON( userGroups );
            String groupsMapJson = jsHelper.toJSON( CollectionsUtils.convertToMap( userGroups ) );
        %>
    userGroups = <%=groupsListJson%>;
    userGroupsMap = (<%=groupsMapJson%>).map;
    <%
    }
%>

    <%
        @SuppressWarnings("unchecked")
        List<NamedBean> timeZoneGroups = ( List<NamedBean> ) request.getAttribute( Keys.TIME_ZONE_GROUPS_LIST_KEY );

        if ( timeZoneGroups != null ) {
            String groupsListJson = jsHelper.toJSON( timeZoneGroups );
            String groupsMapJson = jsHelper.toJSON(CollectionsUtils.convertToMap(timeZoneGroups));
        %>
    timeZoneGroups = <%=groupsListJson%>;
    timeZoneGroupsMap = (<%=groupsMapJson%>).map;
    <%
    }
%>

    $(document).on("ready", function()
    {
        new LeaveTimeRequestsPage().init(userSettings, data, canEditPastRequests, wasAtIntegrated, minRecordsPerPage, userGroups, userGroupsMap, timeZoneGroups, timeZoneGroupsMap, <%=ScrollingCalculator.MAX_VISIBLE_DAYS%>);
    });


    PageOverlayTipsManager.setInstance(new LeaveTimeRequestPageOverlayTipsManager());
</script>

</body>
</html>

