<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="ap" uri="/WEB-INF/ap.tld"%>
<%@ taglib prefix="hsp" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="tiles" uri="http://struts.apache.org/tags-tiles" %>




<div id="leaveTimeHistoryTable" class="leaveTimeHistoryTable" style="display: inline-block">
    <table id="sliderButton" class="sliderButton">
        <tr>
            <td>
                <div class="sliderImg"></div>
            </td>
            <td> <div class="sliderText"><bean:message key='actiplans.leaves_management.leave_time_details'/></div></td>
        </tr>
    </table>

<div id="leaveTimeTable" class="leaveTimeTable">
<table class="requests">
    <colgroup>
        <col class="leaveType">
        <col class="period">
        <col class="timeRequested">
        <col class="balance before">
        <col class="balance after">
        <col class="status">
    </colgroup>
    <thead>
    <tr>
        <td class="leaveType sortHeader">
                                <span class="sortButton leaveType"><bean:message key="actiplans.leave_time_requests.leave_type"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
        </td>
        <td class="period sortHeader">
                                <span class="sortButton period"><bean:message key="actiplans.leave_time_requests.period"/></span>
                                <span class="sortIndicator">
                                    <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png" /></div>
                                    <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png" /></div>
                                </span>
        </td>
        <td class="timeRequested sortHeader">
            <span class="sortButton timeRequested"><bean:message key="actiplans.leave_time_requests.time_requested"/></span>
            <span class="sortIndicator">
                <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png"/></div>
                <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png"/></div>
            </span>
        </td>
        <td class="balance combined" colspan="2">
            <div class="leaveBalancesFilterHeaderDiv">
                <div class="leaveBalancesFilterContainer"></div>
                <span class="smaller"><bean:message key="actiplans.leaves_management.balance_before_after_req"/></span>
            </div>
            <div class="withoutBalancesFilterHeaderDiv"></div>
        </td>
        <td class="status sortHeader">
            <span class="sortButton status"><bean:message key="actiplans.leave_time_requests.status"/></span>
            <span class="sortIndicator">
                <div class="for-print-only down"><ap:defImg page="tables/sort-down-for-print.png"/></div>
                <div class="for-print-only up"><ap:defImg page="tables/sort-up-for-print.png"/></div>
            </span>
        </td>
    </tr>
    </thead>
    <tbody class="actualContent"></tbody>



    <tbody class="templates" style="display: none">
    <tr class="request">
        <td class="leaveType">
            <div class="leaveTypeWithImg">
                <img src="">
                <div class="for-print-only"><img src=""></div>
                <span class="leaveTypeName"></span>
            </div>
        </td>
        <td class="period"></td>
        <td class="timeRequested">
            <span class="timeRequestedInDays" style="font-weight: bold"></span>
            (<span class="timeRequestedInHours"></span>)
        </td>
        <td class="balance before"></td>
        <td class="balance after"></td>
        <td class="status">
            <div class="statusWrapper">
                <span class="statusText"></span>
                <span class="when"></span>
                <div class="details">
                    <span class="byWhom"></span>
                </div>
            </div>
        </td>
        </td>
    </tr>
    <tr class="emptyRequest">
        <td colspan="9"><bean:message key="actiplans.leaves_management.leave_time_details.empty"/></td>
    </tr>
    </tbody>
</table>
</div>
</div>

