<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.licensing.LicenseHelper" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<% String id = request.getParameter("id"); %>
<%
    boolean showIntegrationMark = LicenseHelper.isOtherProductIntegrated(Product.actiPLANS );
%>
<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeUserDataLightBoxBtn" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="usersSelectorCell" style="float:right;">
                <span id="<%=id%>_usersSelectorSpinnerPlaceholder"></span>
                <div id="singleUserSelector"></div>
            </div>
            <div class="lightBoxTitle">
                <span id="<%=id%>_titlePlaceholder"></span>
                <span id="<%=id%>_userNamePlaceholder"> </span>
                <span id="<%=id%>_lastLoginInfoPlaceholder"> </span>
            </div>
        </td>
    </tr>
</table>

<div class="innerContent">

    <jsp:include page="/administration/userManagement/account_information_section.jsp">
        <jsp:param name="isOtherProductIntegrated" value="<%=showIntegrationMark%>"/>
    </jsp:include>
    <div id="<%=id%>_workScheduleSection">
        <div class="sectionHeader">
            <bean:message key="actiplans.userlist.userdata.schedule.work_schedule"/>
            <% if( showIntegrationMark )
            { %>
            <span class="sync_icon" title="<bean:message key="user.add_edit.section_synchronized_with_other_product"/>"></span>
            <% } %>
        </div>
        <div class="sectionContent">
            <div id="<%=id%>_scheduleDurationsTablePlaceholder"></div>
        </div>
    </div>

    <jsp:include page="/administration/userManagement/account_created_section.jsp"/>

</div>
<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
        <tr>
            <td class="errorMessageBox">
                <at:img page="error.gif"/>
                <span class="errormsg"></span>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"><bean:message key="user.add_edit.not_saved"/></span>
                <span class="savingMsg"><bean:message key="user.add_edit.saving"/></span>
                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn"><div class="buttonIcon"><span class="buttonTitle"><bean:message key="common.save"/></span></div></div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="common.cancel"/></div>
            </td>
        </tr>
    </table>
</div>