<!doctype html>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page errorPage="../error.jsp" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<%
    String pageTitleKey = "actiplans.default_work_schedule.page_title";
%>

<html>
<head>
    <jsp:include page="/actiplans/include_scripts.jsp"/>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="<%=pageTitleKey%>" /></title>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" class="workingDaysPage with-navigation">
<script type="text/javascript">
    PageOverlayTipsManager.setInstance(new WorkSchedulePageOverlayTipsManager());
</script>

<div id="container">

    <jsp:include page="../top.jsp" flush="false"/>

    <jsp:include page="/administration/workingdays_common.jsp">
        <jsp:param name="pageTitleKey" value="<%=pageTitleKey%>"/>
    </jsp:include>

</div>

</body>
</html>