<% out.clearBuffer(); %><%
    ResponseUtil.sendCompatibilityHeaders( response );
%><!DOCTYPE html>
<% if (response.isCommitted()) { %>
<%--do not delete this span, it is used to prevent page from broken state when exception occured in jsp and potion of the data already sended to the browser see bug# 27153--%>
<span style="display:none">"></script></span>
<% } %>
<%@ page isErrorPage="true" %>
<%@ page import="com.actimind.actitime.*,
                 org.apache.struts.util.ResponseUtils"%>
<%@ page import="com.actimind.actitime.colors.ColorHelper" %>
<%@ page import="com.actimind.actitime.util.ResponseUtil" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%-- TODO: this file is the same as in aT, we should remove duplication --%>
<%
    if (exception != null) {
        // if this jsp page is called from another jsp
        ExceptionInfoBean bean =  new ExceptionInfoBean(exception);
        session.setAttribute(Keys.ERROR_KEY, bean);
    }

    ExceptionInfoBean eiBean = (ExceptionInfoBean) session.getAttribute( Keys.ERROR_KEY );
    if( eiBean == null )
        return;
%>

<html>
<head>
    <title><bean:message key="error.page.error"/></title>

    <meta name="robots" content="noindex,nofollow"/>
    <jsp:include page="/actiplans/css/ap_scheme_styles.jsp"/>
    <jsp:include page="/actiplans/include_scripts.jsp"/>

    <script language="JavaScript">
        var showDetails = false;
        function showErrorDetails(element)
        {
            showDetails = !showDetails;
            if(showDetails)
            {
                document.getElementById("errorDetails").style.width ="97%";
                document.getElementById("errorDetails").style.height ="100%";
                document.getElementById("errorDetails").style.overflow ="hidden";
                element.style.backgroundImage = "url(<at:defImgpath page="warnings/error-page/hide_icon.gif"/>)";
                element.innerHTML ="<bean:message key="error.page.hide.details.text"/>";
            }
            else
            {
                document.getElementById("errorDetails").style.width ="400px";
                document.getElementById("errorDetails").style.height ="150px";
                document.getElementById("errorDetails").style.overflow ="";
                element.style.backgroundImage = "url(<at:defImgpath page="warnings/error-page/show_icon.gif"/>)";
                element.innerHTML ="<bean:message key="error.page.show.details.text"/>";
            }
        }
    </script>
    <logic:notPresent name="<%=Keys.LOGGEDIN_USER_KEY%>" scope="session">
        <style>
            body {background: none !important;}
        </style>
    </logic:notPresent>
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" class="errorPage with-navigation">

<div id="container">

<logic:present name="<%=Keys.LOGGEDIN_USER_KEY%>" scope="session">

    <jsp:include page="top.jsp" flush="false"/>

    <br />

</logic:present>
<logic:notPresent name="<%=Keys.LOGGEDIN_USER_KEY%>" scope="session">

    <jsp:include page="/loading_popup.jsp">
        <jsp:param name="id" value='contentLoadingPopup'/>
    </jsp:include>

    <div id="moireDiv" style="display: none;"><at:img styleId="muar" page="dialogs/exitconfirm/shade.png"/></div>

    <div id="popupContentLoadingPlaceholder"></div>

    <at:script page="/js/spin.min.js"/>
    <script type="text/javascript">
        var moireHelper = new MoireHelper();
    </script>
</logic:notPresent>
    <style>
    .centeringTable
    {
        width:100%;
<logic:notPresent name="<%=Keys.LOGGEDIN_USER_KEY%>" scope="session">
        height:100%;
</logic:notPresent>
        text-align:center;
        vertical-align: middle;
        background-color: <%=ColorHelper.getColor( "default.bg.color", request )%>;
    }
    </style>
    <table cellspacing="0" cellpadding="0" border="0" class="centeringTable">
        <tr>
            <td align="center">
                <table border="0" cellpadding="0" cellspacing="0" class="errorPageErrorTable">
                    <tr>
                        <td>
                            <table border="0" cellpadding="0" cellspacing="0" class="errorBox">
                                <tr>
                                    <td class="lc">&nbsp;</td>
                                    <td class="cc" height="100%" width="97%">
                                        <table cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td class="warningIcon"><at:defImg page="warnings/error-page/warning_icon.gif"/></td>
                                                <td class="errorText">
                                                    <table cellspacing="0" cellpadding="0" align="center"
                                                           border="0" width="260">
                                                        <tr>
                                                            <td class="errortitle" valign="bottom"><bean:message key="error.page.title"/></td>
                                                            <td align="right" style="padding-right:20px" valign="bottom"><div class="errordetails" id="showErrorDetailsButton"><a
                                                                        onclick="showErrorDetails(this);" href="#"
                                                                       ><bean:message key="error.page.show.details.text"/></a></div></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" valign="top"><div class="exceptioninfo" ><pre id="errorDetails"><div
                                                                            class="exceptionname"><%=eiBean.getExceptionName()%></div><br/><%=eiBean.getErrorCode()%><%=ResponseUtils.filter(eiBean.getErrorMessage())%><br/><%=ResponseUtils.filter(eiBean.getStackTrace())%></pre>
                                                                </div></td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" class="reportbug" align="right">
                                                                <a onclick="sendExceptionReport();" id="sendBugToVendorButton"
                                                                   onmouseover="this.style.backgroundImage = 'url(<at:defImgpath page="warnings/error-page/br_button_h_bg.gif"/>)';"
                                                                   onmouseout="this.style.backgroundImage = 'url(<at:defImgpath page="warnings/error-page/br_button_bg.gif"/>)';"><bean:message key="error.page.send.bug.button.text"/></a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="rc">&nbsp;</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<script>
  disableTextSelection(document.getElementById("showErrorDetailsButton"));
  disableTextSelection(document.getElementById("sendBugToVendorButton"));    
</script>
</body>
</html>