var APReportsStore = {
    ltm: true,
    viewerId: null,
    
    visibleUsers: null,
    userGroups: null,
    timeZoneGroups: null,
    
    selectedTabId: null,

    setSelectedTabId: function(selectedTabId)
    {
        this.selectedTabId = selectedTabId;
        $(this).trigger('selectedTabChange');
    },

    getSelectedTabId: function()
    {
        return this.selectedTabId;
    },
    
    getUserGroupsEnabled: function()
    {
        return SystemSettings.apUGREnabled;
    },
    
    getTimeZoneGroupsEnabled: function()
    {
        return SystemSettings.apTZGEnabled;
    },
    
    setVisibleUsers: function(visibleUsers)
    {
        this.visibleUsers = visibleUsers;
    },

    getVisibleUsers: function()
    {
        return this.visibleUsers;
    },

    setGroups: function(userGroups, timeZoneGroups)
    {
        this.userGroups = userGroups;
        this.timeZoneGroups = timeZoneGroups;
    },

    getUserGroups: function()
    {
        return this.userGroups;
    },
    
    getTimeZoneGroups: function()
    {
        return this.timeZoneGroups;
    },

    setViewerId: function(viewerId)
    {
        this.viewerId = viewerId;
    },

    getViewerId: function()
    {
        return this.viewerId;
    },

    setIsLTM: function(isLTM)
    {
        this.ltm = isLTM;
    },

    isLTM: function()
    {
        return this.ltm;
    }
};