APReportsPage.BalanceHistoryPage.UserSickControlTurnedOffWarn = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

APReportsPage.BalanceHistoryPage.UserSickControlTurnedOffWarn.prototype = _.create(TemplateView.prototype,
{
    html: "<div id='sickControlOffWarning' class='noPageDataForViewingNote'><div><%=controlTurnedOff%></div></div>",

    updateOnInit: false,

    messageKeys: function()
    {
        var warnMsgKey = (APReportsStore.getViewerId() == APReportsPage.BalanceHistoryPage.Store.getSelectedUserId()) ?
                         "actiplans.reports.balance_history.my_sick_control_turned_off" : "actiplans.reports.balance_history.sick_control_turned_off";
        return {controlTurnedOff: warnMsgKey}
    },
    
    subscribeForUpdate: function()
    {
        var self = this;
        $(document).on("apReports.balanceHistoryPage.endLoadSickHistory", function() {
            var controlOff = !APReportsPage.BalanceHistoryPage.Store.isBalanceControlOn()
                             && APReportsPage.BalanceHistoryPage.Store.getBalanceType() == BalanceHistory.BalanceTypes.SICK;
            if (controlOff) self.update();
        });
        return this;
    },
    
    update: function()
    {
        if (!_.isUndefined(this.$el))
            this.$el.remove();
        this.render();
    }
});

APReportsPage.BalanceHistoryPage.UserPTOControlTurnedOffWarn = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

APReportsPage.BalanceHistoryPage.UserPTOControlTurnedOffWarn.prototype = _.create(TemplateView.prototype,
{
    html: "<div id='ptoControlOffWarning' class='noPageDataForViewingNote'><div><%=controlTurnedOff%></div></div>",

    updateOnInit: false,

    messageKeys: function()
    {
       var warnMsgKey = (APReportsStore.getViewerId() == APReportsPage.BalanceHistoryPage.Store.getSelectedUserId()) ?
                        "actiplans.reports.balance_history.my_pto_control_turned_off" : "actiplans.reports.balance_history.pto_control_turned_off";
       return {controlTurnedOff: warnMsgKey}
    },

    subscribeForUpdate: function()
    {
        var self = this;
        $(document).on("apReports.balanceHistoryPage.endLoadPTOHistory", function() {
            var controlOff = !APReportsPage.BalanceHistoryPage.Store.isBalanceControlOn()
                             && APReportsPage.BalanceHistoryPage.Store.getBalanceType() == BalanceHistory.BalanceTypes.PTO;
            if (controlOff) self.update();
        });
        return this;
    },

    update: function()
    {
        if (!_.isUndefined(this.$el))
            this.$el.remove();
        this.render();
    }
});