APReportsPage.ChartSection.TotalsTable.Row = function($containerEl, model)
{
    TemplateView.call(this, $containerEl);
    this.model = model;
};

APReportsPage.ChartSection.TotalsTable.Row.prototype = _.create(TemplateView.prototype, {
    html: "<div class='totalRow'>" +
          "  <div class='rowIcon'><div class='<%-iconClass%>'></div></div>" +
          "  <div class='rowLabel'><%=rowLabel%></div>" +
          "  <div class='rowValue'><%=rowValue%></div>" +
          "</div>",

    templateModel: function()
    {
        return {
            "iconClass": this.model.iconClass,
            "rowLabel": this.model.rowLabel,
            "rowValue": this.model.rowValue
        }
    },

    afterRender: function()
    {
        if (_.isString(this.model.additionalClasses))
        {
            this.$el.addClass(this.model.additionalClasses);
        }
    }
});