APReportsPage.PDFPreviewLightboxController = function(){};

APReportsPage.PDFPreviewLightboxController.prototype = _.create(LeavesReport.PDFPreviewLightboxController.prototype, {

    _initPdfSettingsPreview: function(elementsIdPrefix)
    {
        this.pdfSettingsPreview = new APReportsPage.PDFSettingsPreview($(this.lightBoxEl).find(".pdfPreviewContainer"), elementsIdPrefix, this.eventNamespace).init();
    },

    getStore: function()
    {
        return APReportsPage.LeaveTimeBalancesReportPage.Store;
    },

    getGeneralStore: function()
    {
        return APReportsStore;
    },

    _getSelectorsData: function()
    {
        var store = this.getGeneralStore();
        return {
            users: store.getVisibleUsers(),
            userGroupsEnabled: store.getUserGroupsEnabled(),
            timeZoneGroupsEnabled: store.getTimeZoneGroupsEnabled(),
            userGroups: store.getUserGroups(),
            timeZoneGroups: store.getTimeZoneGroups(),
            leaveTypesMap: LeaveTypeStore.getLeaveTypes(),
            assignedInfo:{isShowOnlyAssigned: this.getStore().isShowAssignedOnlyEnabled() && this.getStore().isShowAssignedOnly(),
                viewerInfo: this.getStore().getViewerInfo()}
        }
    }
});