APReportsPage.PastLeavesPage.Store = {
    calendarFilter: null,
    defaultWorkSchedule: null,
    userSettings: null,
    leaveTimeDetailsSettings: null,
    startSelectorDate: null,
    lastSelectorDate: null,
    managerState: null,
    selectedUserId: null,

    // leave type selection = null, if leave type filter show "ALL" leave types
    leaveTypeSelection: null,

    setDefaultWorkSchedule: function(defaultWorkSchedule)
    {
        this.defaultWorkSchedule = defaultWorkSchedule;
    },

    getDefaultWorkSchedule: function()
    {
        return this.defaultWorkSchedule;
    },

    setUserSettings: function(userSettings)
    {
        this.userSettings = {
            selectedUserId: userSettings.userId,
            leaveTypeIds: userSettings.leaveTypesFilter,
            dateFrom: Date.parseJSONDate(userSettings.dateFromStr),
            period: userSettings.period,
            rangeType: userSettings.rangeType
        };
    },

    getUserSettings: function()
    {
        return this.userSettings;
    },

    setLeaveTimeDetailsSettings: function(leaveTimeDetailsSettings)
    {
        this.leaveTimeDetailsSettings = leaveTimeDetailsSettings;
    },

    getLeaveTimeDetailsSettings: function()
    {
        return this.leaveTimeDetailsSettings;
    },

    setSelectorDateRange: function(from, to)
    {
        this.startSelectorDate = from;
        this.lastSelectorDate = to;
    },

    getStartSelectorDate: function()
    {
        return this.startSelectorDate;
    },

    getLastSelectorDate: function()
    {
        return this.lastSelectorDate;
    },

    getPeriodState: function()
    {
        return this.managerState;
    },

    setPeriodState: function(managerState)
    {
        this.managerState = managerState;
    },

    getLeaveTypeSelection: function()
    {
        return this.leaveTypeSelection;
    },

    setLeaveTypeSelection: function(selection)
    {
        this.leaveTypeSelection = selection;
    },

    getSelectedUserId: function()
    {
        return this.selectedUserId;
    },

    setSelectedUserId: function(selectedUserId)
    {
        this.selectedUserId = selectedUserId;
    }
};