function LeaveTimePlanningTooltip(ptoHoursPerDay)
{
    LeaveTableTooltip.call(this, ptoHoursPerDay);
}

LeaveTimePlanningTooltip.prototype = _.create(LeaveTableTooltip.prototype, {
    _showUserName: function()
    {
        return true;
    },

    _notApplicableUserLabelDisplay: function(cell)
    {
        // now editableNotApprovableUser is loggedInUser
        var row = cell.getRow();
        return (row.isApprovableUser || row.editableNotApprovableUser) ? "none" : "inline";
    },

    _waitingDeletionMessage: function()
    {
        return messageResource.getMessage("actiplans.leavestable.tooltip.click_to_edit_past")
    },

    _getMessageNotRightModify: function()
    {
        return messageResource.getMessage("actiplans.leavestable.tooltip.cannot_modify")
    }


});
