<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<div class='popup_menu_container'>
    <div class='popup_menu_button popup_menu_button_settings' onclick="PopupMenu.show(event, $('#popup_menu_settings'));">
        <div class='popup_menu_icon settings_icon'>
        </div>
        <div class='popup_menu_label'>
            <bean:message key="navigator.settings_menu_item"/>
            <div class='popup_menu_arrow'>&nbsp;</div>
        </div>
    </div>

    <div id='popup_menu_settings' class='popup_menu_body'>
        <div class="popup_beak"></div>
        <div class="popup_menu_content popup_menu_settings">
            <div class="popup_menu_ul">
                <div class="popup_menu_title">
                    <bean:message key="navigator.settings_menu_title"/>
                </div>
                <ul class='popup_menu_items'>
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'>
                        <html:link styleClass='item_link' action="/administration/settings">
                            <div class="item_title"><bean:message key="menu.settings.item.general_settings"/></div>
                            <div class="item_descr"><bean:message key="menu.settings.item.general_settings.descr"/></div>
                        </html:link>
                    </li>
                    <li class='popup_menu_separator'></li>
                    <li class='popup_menu_item'>
                        <html:link styleClass='item_link' action="/administration/workingdays">
                            <bean:message key="menu.support.item.default_work_schedule"/>
                        </html:link>
                    </li>
                    <li class='popup_menu_item'>
                        <html:link styleClass='item_link' action="/administration/ltlist">
                            <bean:message key="menu.settings.item.leave_types"/>
                        </html:link>
                    </li>
                    <li class='popup_menu_item'>
                        <html:link styleClass="item_link" action="/administration/notifications">
                            <bean:message key="menu.support.item.email_notifications"/>
                        </html:link>
                    </li>
                    <li class='popup_menu_item'>
                        <html:link styleClass='item_link' action="/administration/customization">
                            <bean:message key="menu.settings.item.logo_and_color_scheme"/>
                        </html:link>
                    </li>
                    <li class='popup_menu_item'>
                        <html:link styleClass='item_link' action="/administration/manage_licenses">
                            <bean:message key="menu.settings.item.licenses"/>
                        </html:link>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>