<%@ page import="com.actimind.actitime.util.jsHelper" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.resources.SystemSettings" %>
<%@ page import="com.actimind.actitime.util.cache.CacheFactory" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<jsp:include page="/userProfile/base_user_profile_popup_files.jsp"/>

<bean:define id="loggedInUser" name="<%=Keys.LOGGEDIN_USER_KEY%>" type="com.actimind.actitime.beans.UserBean"/>
<%
    SystemSettings systemSettings = CacheFactory.getClientSystemSettingsFromCache();
%>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='userProfilePopup'/>
    <jsp:param name="innerJsp" value='/userProfile/user_profile_popup_content.jsp'/>
    <jsp:param name="includedSection" value='/actiplans/userProfile/ap_user_profile_section.jsp'/>
    <jsp:param name="additionalClasses" value='lightboxWithWhiteContent'/>
    <jsp:param name="isUGREnabled" value='<%=systemSettings.isApUserGroupsEnabled()%>'/>
    <jsp:param name="isTZGEnabled" value='<%=systemSettings.isTimeZoneGroupsEnabled()%>'/>
    <jsp:param name="isPTOEnabled" value='<%=systemSettings.isApPtoBalanceCalculationEnabled()%>'/>
    <jsp:param name="isSickEnabled" value='<%=systemSettings.isApSickBalanceCalculationEnabled()%>'/>
    <jsp:param name="areMailSettingsSpecified" value='true'/>
</jsp:include>

<script type="text/javascript">
    function showUserAPProfilePopup(successCallback)
    {
        var userProfilePopupData = <%=jsHelper.toJSON( request.getAttribute( Keys.USER_PROFILE_POPUP_DATA_KEY ) )%>;
        new UserAPProfilePopup().init(userProfilePopupData, <%= loggedInUser.isLocked() %>, successCallback,
                <%=systemSettings.isApPtoBalanceCalculationEnabled()%>, <%=systemSettings.isApSickBalanceCalculationEnabled()%>).show();

    }

</script>