<!doctype html>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="static com.actimind.actitime.Navigator.TT_KEY" %>
<%@ page import="static com.actimind.actitime.Navigator.APPROVE_TT_KEY" %>
<%@ page import="com.actimind.actitime.administration.user.approval.SortBy" %>
<%@ page import="com.actimind.actitime.user.SubmitTTForm" %>
<%@ page import="com.actimind.actitime.Constants" %>
<%@ page import="com.actimind.actitime.services.ApprovalManagementService" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.actimind.actitime.util.*" %>
<%@ page errorPage="/error.jsp" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at"%>
<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>

<html>
<head>
    <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="approve_tt.title"/></title>
    <%@include file="../css/scheme_styles.jsp"%>
    <jsp:include page="/include_scripts.jsp"/>
    <!--[if IE 8]>
    <style type="text/css">
        .filterBySelectorTableHeaderButton{
            overflow: hidden;
        }
    </style>
    <![endif]-->
</head>

<body class="with-navigation approvalTT approveTTPageBody">
<div id="container">

    <%-- Navigation --%>
    <jsp:include page="../top.jsp" flush="false">
        <jsp:param name="menuSelected" value="<%=TT_KEY%>" />
        <jsp:param name="submenuSelected" value="<%=APPROVE_TT_KEY%>" />
    </jsp:include>

    <table class="approveTTMainContentBody" cellpadding="0" cellspacing="0" border="0" width="1000" align="center">
        <tr>
            <td align="left" class="mainContentPadding">
                <div>
                    <%--pageTitle--%>
                    <table>
                        <tbody>
                            <tr>
                                 <td class="pagetitle"><bean:message key="approve_tt.title"/></td>
                                 <td class="ttaHistoryIcon">
                                     <div id="ttaHistoryButton">
                                         <div id="ttaHistoryRecordsCount"></div>
                                     </div>
                                 </td>
                                 <td id="spinnerPlaceholderTitle"></td>
                             </tr>
                        </tbody>
                    </table>
                </div>

                <div class="controlPanel">
                    <div class="buttonPanel" style="float: right;">
                        <span class="text"><bean:message key="approve_tt.button_panel.text"/></span>
                        <span id="approveButton" class="actionButton approve disabled"><bean:message key="approve_tt.button_panel.buttons.approve"/></span>
                        <span id="rejectButton" class="actionButton reject disabled"><bean:message key="approve_tt.button_panel.buttons.reject"/></span>
                    </div>

                    <div class="statusApprovalFilter">
                        <span class="statusFilterText"><bean:message key="approve_tt.selector_status.text_button"/>:</span>
                        <span id="statusFilterButton" class="statusFilterButton"></span>
                    </div>
                </div>

                <div class="approveTTTablePlaceholder">
                    <table id="approveTTTable" width="100%" style="table-layout: fixed">
                        <colgroup>
                            <col id="collapseCol" width="3%">
                            <col width="17%">
                            <col width="5%">
                            <col width="15%">
                            <col width="18%">
                            <col id="leaveTimeCol" width="18%">
                            <col id="overtimeCol" width="15%">
                            <col width="7%">
                        </colgroup>
                        <thead class="approveTTTableHead">
                            <tr>
                                <th class="approveTTTableHead_headerRow" colspan="8">
                                    <table>
                                        <tr>
                                            <td class="usersSelectorCell" >
                                                <div id="approveTTUsersSelectorButton" class="filterBySelectorTableHeaderButton"></div>
                                            </td>
                                            <td class="searchNameText" >
                                                <span id="userNameFilter"></span>
                                            </td>
                                            <td class="columnSeparator"><span class="separator"></span></td>
                                            <td id="sortByNameOrWeek" class="sortByContainer">
                                                <span><bean:message key="approve_tt.approve_table.sort_by"/></span>
                                                <a id="sortByNameLink" class="sortByNameLink"><bean:message key="approve_tt.approve_table.sort_by.users"/></a> <span class="nameSortArrow"></span>
                                                <span class="sortBySeparator"></span>
                                                <a id="sortByWeekLink" class="sortByWeekLink"><bean:message key="approve_tt.approve_table.sort_by.weeks"/></a> <span class="weekSortArrow"></span>
                                            </td>
                                            <td id="approvalMonthSelector">

                                                <span id="approvalMonthSelectorButton">
                                                    <span class="filterIcon-left"></span>
                                                    <span class="monthSelectorStatusButton">
                                                        <span class="monthSelectorStatusText"></span>
                                                    </span>
                                                </span>
                                                <span class="monthSelectorResetButton" style="display: none;"></span>
                                            </td>
                                            <td class="columnSeparator"><span class="separator"></span></td>
                                            <td id="expandCollapsePanel">
                                                <div id="expandButton" class="expandButton">
                                                </div>
                                                <div id="collapseButton" class="collapseButton">
                                                </div>
                                            </td>
                                            <td class="columnSeparator"><span class="separator"></span></td>
                                            <td id="selectUnselectPanel">
                                                <div id="deselectAllButton" class="deselectAllButton">
                                                </div>
                                                <div id="selectAllButton" class="selectAllButton">
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </th>
                             </tr>
                        </thead>
                        <tbody class="templates" style="display:none">
                            <tr class="noRecordsRow">
                                <td colspan="8">
                                    <bean:message key="approve_tt.approve_table.no_records_found"/>
                                </td>
                            </tr>
                            <tr class="groupingRow">
                                <td class="collapseCell"><span class="collapseIcon"></span></td>
                                <td class="groupingRowTitleCell" colspan="2" ></td>
                                <td></td>
                                <td class="workingTimeCell"><span class="timeCellLabel"><bean:message key="approve_tt.approve_table.working_time"/> </span><span class="duration"></span></td>
                                <td class="leaveTimeCell" colspan="2"><span class="timeCellLabel"><bean:message key="approve_tt.approve_table.leave_time"/></span><span class="duration"></span></td>
                                <td class="revokeCell"><a class="revokeLink"><bean:message key="approve_tt.approve_table.revoke_link"/></a></td>
                                <td class="selectionCell"><input type="checkbox"/></td>
                            </tr>
                            <tr class="childRow">
                                <td class="submitTTLinkCell" colspan="2">
                                    <html:link page='<%="/user/submit_tt.do?dateStr="%>'>
                                    </html:link>
                                </td>
                                <td class="statusCell" colspan="2"><span></span></td>
                                <td class="workingTimeCell"><span class="timeCellLabel"><bean:message key="approve_tt.approve_table.working_time"/></span><span class="duration"></span></td>
                                <td class="leaveTimeCell"><div class="container"><span class="timeCellLabel"></span><span class="duration"></span></div></td>
                                <td class="overtimeCell"><span class="timeCellLabel"></span><span class="duration"></span></td>
                                <td class="revokeCell"><a class="revokeLink"><bean:message key="approve_tt.approve_table.revoke_link"/></a></td>
                                <td class="selectionCell"><input type="checkbox"/></td>
                            </tr>

                            <tr class="showMoreRow">
                                <td class="contentCell" colspan="7">
                                    <div class="container">
                                        <div class="text"></div>
                                        <div class="textWhenSelected"></div>
                                        <div class="showMore"><span>Show more</span></div>
                                     </div>
                                </td>
                                <td class="undoCell"><span class="undoLink"><bean:message key="approve_tt.approve_table.undo"/></span></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </td>
        </tr>
    </table>

    <div class="templates" style="display: none">
        <div class="userGropingRow-groupingRowTitleCell-content">
            <div class="userNameInfo"></div>
            <div class="userGroupInfo"></div>
        </div>
    </div>

    <jsp:include page="/controls/approval_status_selector_panel.jsp">
        <jsp:param name="approvalStatusSelectorPanel" value="approvalStatusSelectorPanel"/>
    </jsp:include>

    <jsp:include page="/controls/reject_week_comment_dialog.jsp"/>

    <div id="extendedTTAHistoryLightBoxDiv" style="display:none; width: 947px;">
        <div class="extendedTTAHistoryLightBoxTitle"><bean:message key="approve_tt.tta_history.title"/></div>
        <div class="tableContentContainer">
            <table cellpadding="0" cellspacing="0">
                <tbody></tbody>
                <tbody class="templates" style="display:none">
                    <tr class="noRecordsRow">
                        <td>
                            <bean:message key="approve_tt.tta_history.table.empty"/>
                        </td>
                    </tr>
                    <tr class="ttaHistoryRow">
                        <td class="dateCell"></td>
                        <td class="userCell"></td>
                        <td class="timesheetCell"><bean:message key="approve_tt.tta_history.timesheet_for"/></td>
                        <td class="weekCell">
                            <html:link page='<%="/user/submit_tt.do?dateStr="%>'></html:link>
                        </td>
                        <td class="statusCell"></td>
                        <td class="commentCell"></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="moreRecordsButtonContainer">
            <div class="showMoreHistoryRecords">
                <a id="showMoreHistoryRecordsButton" href="javascript: void(0);"><bean:message key="approve_tt.tta_history.show_more_records"/></a>
                <div id="spinnerPlaceholderTTAHistoryLightBox"></div>
            </div>
            <div class="noMoreHistoryRecords"><bean:message key="approve_tt.tta_history.no_more_records"/></div>
        </div>
    </div>

</div>

<at:script page="/js/administration/approvalsManagement/RowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ChildRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ChildUserRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ChildWeekRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/GroupRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/GroupUserRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/GroupWeekRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/RowController.js"/>
<at:script page="/js/administration/approvalsManagement/WeekGroupingRowController.js"/>
<at:script page="/js/administration/approvalsManagement/UserGroupingRowController.js"/>
<at:script page="/js/administration/approvalsManagement/ShowMoreRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ShowMoreWeeksRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ShowMoreUsersRowRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/TableGroupingStrategy.js"/>
<at:script page="/js/administration/approvalsManagement/UserGroupingStrategy.js"/>
<at:script page="/js/administration/approvalsManagement/WeekGroupingStrategy.js"/>
<at:script page="/js/administration/approvalsManagement/approve_tt.js"/>
<at:script page="/js/administration/approvalsManagement/RowsSelection.js"/>
<at:script page="/js/administration/approvalsManagement/RevokeGroupingRowSelection.js"/>
<at:script page="/js/administration/approvalsManagement/ApprovalsTableSelectionController.js"/>
<at:script page="/js/administration/approvalsManagement/ApprovalsManagementMediator.js"/>
<at:script page="/js/administration/approvalsManagement/ApprovalsTableController.js"/>
<at:script page="/js/administration/approvalsManagement/AMIHistoryPopup.js"/>
<at:script page="/js/administration/approvalsManagement/TTAHistoryTableRenderer.js"/>
<at:script page="/js/administration/approvalsManagement/ApproveTTUtil.js"/>
<at:script page="/js/controls/dateControls/approval_month_selector.js"/>
<at:script page="/js/controls/approval_status_selector_panel.js"/>

<at:script page="/js/administration/approvalsManagement/LeaveTimeTooltipForApproveTT.js"/>
<at:script page="/js/administration/approvalsManagement/TTAHistoryCommentTooltip.js"/>

<%-- Load users and groups to JS, for use in the users selector. --%>
<jsp:include page="/util/users.jsp"/>
<jsp:include page="/util/user_groups.jsp"/>
<jsp:include page="/util/time_zone_groups.jsp"/>

<%-- user selector --%>
<at:script page="/js/usersSelector/at_approve_tt_users_selector_empty_message_builder.js"/>

<script type="text/javascript">
    var ApprovalPageConstants = {};
    ApprovalPageConstants.sortByUser = <%=SortBy.BY_USER%>;
    ApprovalPageConstants.sortByWeek = <%=SortBy.BY_WEEK%>;
    ApprovalPageConstants.submitTTLink_userPart = "&" + "<%=SubmitTTForm.SELECTED_USER_FIELD_NAME%>" + "=";

    ApprovalPageConstants.UGRFeature = '<%=Feature.UGR.name()%>';
    ApprovalPageConstants.OVRFeature = '<%=Feature.OVR.name()%>';
    ApprovalPageConstants.LVTFeature = '<%=Feature.LVT.name()%>';
    ApprovalPageConstants.TTAFeature = '<%=Feature.TTA.name()%>';
    ApprovalPageConstants.TZGFeature = '<%=Feature.TZG.name()%>';

    ApprovalPageConstants.USER_WITHOUT_GROUP = <%=Constants.USERS_WITHOUT_GROUP_ID%>;

    ApprovalPageConstants.HISTORY_TABLE_INITIAL_PORTION_SIZE = 10;
    ApprovalPageConstants.HISTORY_TABLE_PORTION_SIZE = 10;

    ApprovalPageConstants.WARNING_SOME_USERS_NOT_EXIST = <%= ApprovalManagementService.RevokeWeeksStatusResult.WARNING_SOME_USERS_NOT_EXIST%> ;
    ApprovalPageConstants.WARNING_NO_RIGHTS_TO_APPROVE_SOME_USERS = <%= ApprovalManagementService.RevokeWeeksStatusResult.WARNING_NO_RIGHTS_TO_APPROVE_SOME_USERS%> ;


    $( document ).ready(function ( )
    {
        var approveTTSettings =<%=jsHelper.toJSON( request.getAttribute(  Keys.APPROVE_TT_SETTINGS_KEY ) )%>;
        var sortBy = new SortBy(approveTTSettings.approveTTOrder.groupType,  approveTTSettings.approveTTOrder.asc);

        <% Date monthDate = (Date) session.getAttribute(Keys.APPROVE_TT_DATE_FILTER_KEY);%>

        var monthDate = null;
        <% if (monthDate != null) {%>
        monthDate =  Date.create("<%= TimeUtils.getYear( monthDate )%>", "<%= TimeUtils.getMonth( monthDate ) - 1 %>", "<%= TimeUtils.getDayOfMonth( monthDate )%>");
        <% }%>

        var approveTTFilter = {allUsers: approveTTSettings.allUsers, userIds: approveTTSettings.userIds, statuses: approveTTSettings.weekApprovalStatuses, monthDate:monthDate};

        var numberOfUnreadTTAHistoryRecords =<%=jsHelper.toJSON( request.getAttribute( Keys.APPROVE_TT_HISTORY_UNREAD_RECORDS_COUNTER_KEY ) )%>;

        var approvalsMediator = new ApprovalsManagementMediator().init(
            {
                sortBy: sortBy,
                approveTTFilter: approveTTFilter,
                enabledFeatures:  <%=FeaturesUtil.getFeaturesJSON( FeaturesUtil.getFeatures())%>,
                numberOfUnreadTTAHistoryRecords: numberOfUnreadTTAHistoryRecords,
                userGroupsEnabled: <%=FeaturesUtil.getFeatures().isEnabled(Feature.UGR)%>,
                users: users,
                userGroups: userGroups,
                timeZoneGroups: timeZoneGroups
            }
        );
    });

    PageOverlayTipsManager.setInstance(new ApproveTTPageOverlayTipsManager());
</script>

<div id="leaveTimeTooltipForApproveTT" class="yellowTooltip tooltipText" style="display: none;">
    <div id="leaveTimeTooltipForApproveTT_textPlaceholder"></div>
</div>

<div id="timeTrackLinkTooltip" class="yellowTooltip tooltipText" style="display: none;">
    <div id="timeTrackLinkTooltip_textPlaceholder"><bean:message key="approve_tt.approve_table.submit_tt_tooltip_text"/></div>
</div>

<div id="extendedTTAHistoryCommentsTooltip" class="yellowTooltip tooltipText" style='display: none;'>
    <div id="extendedTTAHistoryCommentsTooltip_textPlaceholder"></div>
</div>

<div id="approvalMonthSelectorPanelPlaceholder">
    <div id="approvalMonthSelectorPanel" style="display: none;">
        <div id="approvalMonthSelector_loadingTreeContainer" class="loadedState">
            <div id="approvalMonthSelector_spinnerPlaceholder"></div>
        </div>
        <table>
            <thead>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

</body>
</html>