<!doctype html>
<%@ page import="com.actimind.actitime.Navigator"%>
<%@ page import="com.actimind.actitime.Keys" %>

<%@ page errorPage="/error.jsp" %>

<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<html>
    <head>
        <title><bean:write name="<%=Keys.PRODUCT_TITLE_PREFIX%>"/> <bean:message key="logo_color_scheme.page_title"/></title>

        <%@include file="../css/scheme_styles.jsp"%>
        <jsp:include page="/include_scripts.jsp"/>

    </head>
<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" onload="registerChangeable();" onunload="closeAllOpenedPopups();" class="with-navigation">
<div id="container">

    <jsp:include page="../top.jsp" flush="false">
        <jsp:param name="menuSelected" value="<%=Navigator.NO_SELECTION_KEY%>" />
    </jsp:include>

    <jsp:include page="/administration/customization_common.jsp">
        <jsp:param name="showCustomizeReportsPanel" value="true"/>
        <jsp:param name="productNameMessageKey" value="logo_color_scheme.client.product.actitime"/>
    </jsp:include>

</div>

</body>
</html>