<%@ page import="com.actimind.common.licensing.LicenseInfo" %><%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.actitime.util.RequestUtil" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="com.actimind.common.ProductWebSiteURLs" %>
<%@ page import="com.actimind.common.util.ThreadLocalUtils" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<bean:define id="product" name="<%= Keys.PRODUCT %>" type="com.actimind.common.Product"/>
<%
    LicenseInfo lic = ( LicenseInfo ) request.getAttribute( "lic" );
    String formId = "upgradeLinkForm" + Math.random();

    ProductWebSiteURLs siteURLs = ProductWebSiteURLs.get( product );

    String action;
    if( ATGlobals.isOl() )
    {
        if( "0".equals( request.getParameter( "userCountUpgrade" ) ) )
            action = siteURLs.getRenewOnlineURL();
        else
            action = siteURLs.getMoreOnlineUsersURL();
    }
    else
    {
        action = siteURLs.getDownloadableUpgradeURL();
    }

    String onClick;
    if( ATGlobals.isDemoMode() )
    {
        onClick = "alert('" + ATMessageResources.message( request, "licensing.manage.demo_installation_warning") + "')";
    }
    else
    {
        onClick = "document.forms['" + formId + "'].submit()";
    }

    if( "true".equals( request.getParameter( "isButton" ) ) )
    {
        %>
        <div class="manageLicensesButton licenseButton" onclick="<%=onClick%>" onselectstart="return false;">
            <span>
                <bean:message key='<%=request.getParameter( "titleKey" )%>'/>
            </span>
        </div>
        <%
    }
    else
    {
        %>
        <a id="license_link" href="javascript:void(0)" onclick="<%=onClick%>"><bean:message key='<%=request.getParameter( "titleKey" )%>'/></a>
        <%
    }

    if( !ATGlobals.isDemoMode() )
    {
        %>
        <form id="<%=formId%>" action='<%=action%>' method="post" target="_blank" style="margin:0; padding:0; display:inline">
        <%
        if (ATGlobals.isOl())
        {
        %>
            <input type="hidden" name="installation_code" value="<%=ThreadLocalUtils.getClient().getOnlineInstallationCode()%>"/>
            <input type="hidden" name="ua" value="<%=request.getParameter( "userCountUpgrade" )%>"/>
        <%
        }
        else
        {
        %>
            <input type="hidden" name="key" value="<%=lic.getKey().getKey()%>"/>
            <input type="hidden" name="ua" value="<%=request.getParameter( "userCountUpgrade" )%>"/>
        <%
        }
        %>
        </form>
        <%
    }
%>