<%@ page import="com.actimind.actitime.util.ResponseUtil" %>
<%
    ResponseUtil.sendCompatibilityHeaders( response );
%><!doctype html>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.actimind.actitime.administration.DateFormats" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%--
  User: bandurin
  Date: 30.03.2009
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%
    boolean isShowDefault = "true".equals(request.getParameter("isShowDefault"));
    String logoType = isShowDefault ? "defaultReportLogo" : "customReportLogo";
%>

<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings"
             type="com.actimind.actitime.resources.SystemSettings"/>
<html>
<head>
    <title><bean:message key="report_preview.printable_logo_preview"/></title>
    <link rel="SHORTCUT ICON" href='<at:rewrite page="/favicon2.ico"/>'>
    <%@include file="../css/scheme_styles.jsp"%>
    <style>
        body.reportPreview { background: none; }
    </style>
</head>
<body class="reportPreview">
<table width="90%" align="center" cellspacing="0" cellpadding="0" border="0" class="display-for-print">
    <tr>
        <td class="pagetitle" valign="top" align="right">
            <div style="float: left;" class="noprint"><bean:message key="report_preview.printable_logo_preview"/></div>
            <a class="link-with-icon print-link noprint" href="javascript:print();" onfocus="this.blur();"><bean:message key="report_preview.print"/></a>
        </td>
    </tr>
    <tr>
        <td height="20" class="noprint"></td>
    </tr>
    <tr>
        <td height="1px" style="background-color:black;" class="noprint"></td>
    </tr>
    <tr>
        <td height="20" class="noprint"></td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" cellspacing="0" cellpadding="0" border="0">
                <tr>
                    <td>
                        <table width="100%" cellspacing="0" cellpadding="0" border="0">
                            <tr>
                                <td class="pagetitle" valign="top">
                                    <div style="font-weight: bold;"><bean:message key="report_preview.report_title"/></div>
                                    <%
                                        Calendar calendar = TimeUtils.createSystemCalendar();
                                        calendar.set(Calendar.DAY_OF_MONTH, 1);
                                        String dateFormat = settings.getDateFormat();
                                        String fromDate = TimeUtils.formatDate(calendar.getTime(), dateFormat);
                                        calendar.set(Calendar.DAY_OF_MONTH, calendar.getActualMaximum(Calendar.DAY_OF_MONTH));
                                        String toDate = TimeUtils.formatDate(calendar.getTime(), dateFormat);
                                    %>
                                    <div style="margin-top:10px;"><%=message( request, "range.custom.pattern", fromDate, toDate )%></div>
                                </td>
                                <td align="right" valign="top"><at:logo logotype="<%=logoType%>"/></td>
                            </tr>
                            <tr>
                                <td colspan="2" style="height:7px;"></td>
                            </tr>
                            <tr>
                                <td class="text" valign="bottom" colspan="2">
                                    <table width="100%" align="center" cellspacing="0" cellpadding="5" border="0" class="headers"
                                           style="border-top: 1px solid #cccccc; border-bottom: 1px solid #cccccc; padding-top: 10px; padding-bottom: 10px; margin-top: 15px; margin-bottom: 8px;">
                                        <tr>
                                            <td>
                                                <table cellspacing="0" cellpadding="2">
                                                    <tr>
                                                        <td class="text" style="padding-right: 25px; padding-left: 5px;" valign="top">
                                                            <nobr><span class="formblocktitle" style="color: #625644; font-weight: bold;">
                                                            <bean:write name="settings"
                                                                        property="firstHierarchyLevel.pluralForm"/>
                                                            &amp;
                                                            <bean:write name="settings"
                                                                        property="secondHierarchyLevel.pluralForm"/>:
                                                            </span></nobr>
                                                        </td>
                                                        <td class="text" style="padding-right: 25px; padding-left: 5px;" valign="top" width="100%">
                                                            <bean:message key="report_preview.all_active"/>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </table>

                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td height="20"/>
                </tr>
                <tr>
                    <td>
                        <table width="100%" align="center" cellspacing="0" cellpadding="0" border="0">
                            <tr>

                                <td bgcolor="#cccccc">
                                    <table cellpadding="4" border="0" class="report-table">
                                        <tr>
                                            <td nowrap valign="center" class="listtblcolheader"
                                                width="440" style="text-align:left!important;">
                                                <at:img page="pixel.gif" height="10" width="1" alt=""/>
                                                <br/>
                                                <bean:write name="settings" property="firstHierarchyLevel.pluralForm"/>
                                                /
                                                <bean:write name="settings" property="secondHierarchyLevel.pluralForm"/>
                                                /
                                                <bean:write name="settings" property="thirdHierarchyLevel.pluralForm"/>
                                                <br/>
                                                <at:img page="pixel.gif" height="10" width="1"/>
                                            </td>
                                            <td nowrap width="5%" class="listtblcolheader" align="center"><bean:message key="report_preview.spent"/></td>

                                            <td nowrap width="5%" class="reportcolheader" align="center"><bean:message key="user.singular"/>1</td>
                                            <td nowrap width="5%" class="reportcolheader" align="center"><bean:message key="user.singular"/>2</td>
                                            <td nowrap width="5%" class="reportcolheader" align="center"><bean:message key="user.singular"/>3</td>

                                        </tr>
                                        <tr class='reportrow1'>
                                            <td class='reportrow1' style='text-align: left;'>
                                                <div style='padding-left: 0px;'><bean:write name="settings"
                                                                                            property="firstHierarchyLevel.singularForm"/></div>
                                            </td>
                                            <td class='reportrow1num' align='center'>5:15</td>
                                            <td class='reportrow1num' align='center'>4:15</td>
                                            <td class='reportrow1num' align='center'>-</td>
                                            <td class='reportrow1num' align='center'>1:00</td>
                                        </tr>
                                        <tr class='reportrow2'>
                                            <td class='reportrow2' style='text-align: left;'>
                                                <div style='padding-left: 30px;'><bean:write name="settings"
                                                                                             property="secondHierarchyLevel.singularForm"/></div>
                                            </td>
                                            <td class='reportrow2num' align='center'>5:15</td>
                                            <td class='reportrow2num' align='center'>4:15</td>
                                            <td class='reportrow2num' align='center'>-</td>
                                            <td class='reportrow2num' align='center'>1:00</td>
                                        </tr>
                                        <tr class='reportrow3'>
                                            <td class='reportrow3' style='text-align: left;'>
                                                <div style='padding-left: 60px;'><bean:write name="settings"
                                                                                             property="thirdHierarchyLevel.singularForm"/>
                                                    1
                                                </div>
                                            </td>
                                            <td class='reportrow3num' align='center'>4:15</td>
                                            <td class='reportrow3num' align='center'>3:15</td>
                                            <td class='reportrow3num' align='center'>-</td>
                                            <td class='reportrow3num' align='center'>1:00</td>
                                        </tr>
                                        <tr class='reportrow3'>
                                            <td class='reportrow3' style='text-align: left;'>
                                                <div style='padding-left: 60px;'><bean:write name="settings"
                                                                                             property="thirdHierarchyLevel.singularForm"/>
                                                    2
                                                </div>
                                            </td>
                                            <td class='reportrow3num' align='center'>1:00</td>
                                            <td class='reportrow3num' align='center'>1:00</td>
                                            <td class='reportrow3num' align='center'>-</td>
                                            <td class='reportrow3num' align='center'>-</td>
                                        </tr>
                                        <tr>
                                            <td class='reportrow1' align="center" colspan="5">
                                                ...
                                            </td>
                                        </tr>

                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td height="20" class="noprint"/>
    </tr>
    <tr>
        <td height="1px" style="background-color:black;" class="noprint"/>
    </tr>
    <tr>
        <td height="20" class="noprint"/>
    </tr>
    <tr>
        <td class="noprint">
            <table width="100%" align="center" cellspacing="0" cellpadding="5" border="0">
                <tr>
                    <td align="center" class="formbuttonpane">
                        <a href="javascript:window.close()"><bean:message key="report_preview.close_window"/></a>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>