<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%
    boolean isEmailNotificationsAvailable = FeaturesUtil.isAvailable(Feature.EMA);
%>
<tr>
    <td class="contentCell">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="padding-top:4px; border-spacing: 0 4px;">
            <tr>
                <td valign="middle">
                   <html:text property="adminMailAddress"
                               styleId="adminMailAddress"
                               onkeyup="handleChange();"
                               onchange="checkAdminAddress();"
                               size="53" maxlength="255"/>
                    <script type="text/javascript">
                        adminMailAddressController = new FieldController();
                        adminMailAddressController.emptyCaption = messageResource.getMessage("general_settings.edit.admin_mail_address.placeholder");
                        adminMailAddressController.init("adminMailAddress");
                        adminMailAddressController.setDefaultValueIfNeeded();
                        <logic:messagesPresent property="adminMailAddress">
                            ClientSideErrors.paintElementAsInvalid(document.getElementById('settingsForm').adminMailAddress,
                                    messageResource.getMessage("general_settings.edit.admin_mail_address_wrong"));
                            ClientSideErrors.markFieldLabelsAsInvalid(document.getElementById("adminMailAddressFieldLabel"),
                                    messageResource.getMessage("general_settings.edit.admin_mail_address_wrong"));
                            setModificationsHandler(document.getElementById('settingsForm').adminMailAddress);
                        </logic:messagesPresent>
                    </script>
                </td>
            </tr>
            <tr>
                <td>
                    <div class="noteContainer" style="margin-top: 2px; margin-left: 2px;">
                        <at:img page="note_mark.gif" styleClass="noteImage"/>
                        <div class="notemsg" id="adminMailAddress_note">
                            <% if( isEmailNotificationsAvailable ) { %>
                                <%=message( request, "general_settings.edit.mail.admin_address.extension.note" )%>
                                <ul class="notemsg notelist" type="circle">
                                    <li><%=message( request, "general_settings.edit.mail.admin_address.extension.note.notifications" )%></li>
                                    <li><%=message( request, "general_settings.edit.mail.admin_address.extension.note.password_recovery" )%></li>
                                </ul>
                            <% } else { %>
                                <%=message( request, "general_settings.edit.mail.admin_address.basic.note" )%>
                            <% } %>
                        </div>
                    </div>
                </td>
            </tr>
        </table>
    </td>
</tr>