<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<%
    String singularProperty = request.getParameter("singularFormInputName");
    String pluralProperty   = request.getParameter("pluralFormInputName");

    int inputWidth = 140;
%>

<bean:parameter id="singularExample" name="singularValueExample"/>
<bean:parameter id="pluralExample" name="pluralValueExample"/>

<bean:parameter id="singularFormLabelId" name="singularFormLabelId"/>
<bean:parameter id="pluralFormLabelId" name="pluralFormLabelId"/>

<table cellpadding="4" cellspacing="0" border="0">
    <tr>
        <td class="formfieldtitle" style="padding-left: 4px;" nowrap="true">
            <span id="<bean:write name="singularFormLabelId"/>"><bean:message key="general_settings.naming.custom.singular_form"/>:</span>
        </td>
        <td>
            <html:text property="<%= singularProperty %>" style='<%= "width: " + inputWidth + "px;" %>' maxlength="20"/>
        </td>
        <td class="formfieldtitle" nowrap="true">
            <bean:message key="general_settings.naming.custom.example"/>: <bean:write name="singularExample"/>
        </td>
    </tr>
    <tr>
        <td class="formfieldtitle" style="padding-left: 4px;" nowrap="true">
            <span id="<bean:write name="pluralFormLabelId"/>"><bean:message key="general_settings.naming.custom.plural_form"/>:</span>
        </td>
        <td>
            <html:text property="<%= pluralProperty %>" style='<%= "width: " + inputWidth + "px;" %>' maxlength="22"/>
        </td>
        <td class="formfieldtitle" nowrap="true">
            <bean:message key="general_settings.naming.custom.example"/>: <bean:write name="pluralExample"/>
        </td>
    </tr>
</table>