<%@ page import="com.actimind.actitime.AuthController" %>
<%@ page import="com.actimind.actitime.util.StringUtils" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%
    String userEmail = AuthController.getLoggedInUser( request ).getEmail();
    boolean userEmailPresent = !StringUtils.isNullOrEmpty( userEmail );
%>
<tr>
    <td colspan="4" >
        <table cellpadding="0" cellspacing="0" style="height:35px;">
            <tr>
                <td style="padding-right: 8px;" valign="top">
                    <input type="button" style="padding: 3px 15px;" id="sendTestMessage_button" value="<%=message( request, "general_settings.edit.mail.send_test_message")%>" onclick="sendTestMessage()" <%= userEmailPresent? "": "disabled" %>/>
                </td>
                <td valign="top">
                    <% if(userEmailPresent) { %>
                    <div class="noteContainer" style="margin: 5px 0 0 7px;">
                        <at:img page="note_mark.gif" styleClass="noteImage" styleId="sendTestMessage_icon"/>
                        <span id="sendTestMessage_note" class="notemsg"><%=message( request, "general_settings.edit.mail.send_test_message.note",
                                                                                    userEmail )%></span>
                    </div>
                    <% } else { %>
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top" style="padding-left:7px; padding-right:5px; padding-top:6px"><at:defImg page="warning.gif"/></td>
                            <td valign="top" style="padding-top:6px;width:100%">
                                <div class="warningmsg" id="sendTestMessage_warning">
                                    <%=message( request, "general_settings.edit.mail.send_test_message.empty_user_email.warning")%></div>
                            </td>
                        </tr>
                    </table>
                    <% } %>
                </td>
            </tr>
        </table>
    </td>
</tr>