<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>

<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<% String id = request.getParameter("id"); %>

<table class="dialog-header">
    <tr>
        <td class="lightBoxTitle">
            <bean:message key="tta_feature_confirm_dialog.header"/>
        </td>
        <td class="close-button">
            <div id="<%=id + "_closeTTConfirmDialogButton"%>" class="closeButton"></div>
            <div class="disabledCloseButton"></div>
        </td>
    </tr>
</table>

<div class="options">
    <div class="noOption">
        <div class="inlineContainer">
            <div class="icon"><at:defImg page="green_tick.png" styleClass="noteInfoImg"/></div>
            <div class="description"><bean:message key="tta_feature_confirm_dialog.option.approve_all_tt"/></div>
            <div class="calendar"><div id="<%=id%>_fromDateSelector1"></div></div>
        </div>
    </div>
    
    <div id="<%=id%>_optionContainer1" class="option checked">
        <div class="radioContainer">
            <input type="radio" name="<%=id%>_ApproveTTOption" value="true" checked="checked" id="<%=id%>_ApproveAllTTOption" class="radioOption" >
        </div>
        <div class="descriptionContainer">
            <div class="descriptionText"><bean:message key="tta_feature_confirm_dialog.option.approve_all_tt"/></div>
            <div class="calendar"><div id="<%=id%>_fromDateSelector2"></div></div>
        </div>
    </div>

    <div id="<%=id%>_optionContainer2" class="option secondOption">
        <div class="radioContainer">
            <input type="radio" name="<%=id%>_ApproveTTOption" value="false" id="<%=id%>_KeepApprovalsOption" class="radioOption">
        </div>
        <div class="descriptionContainer">
            <div class="descriptionText"><bean:message key="tta_feature_confirm_dialog.option.keep_current"/></div>
        </div>
    </div>

    <div class="complexDelimiter">
        <div class="firstPartDelimiter footerDelimiter"></div>
        <div class="secondPartDelimiter footerDelimiter"></div>
        <div class="thirdPartDelimiter footerDelimiter"></div>
    </div>

    <table class="ttaFeatureDescription">
        <tr>
            <td class="icon"><at:img page="settings/feature-info.png" styleClass="noteInfoImg"/></td>
            <td class="text">
                <span class="approveAllDescription"><bean:message key="tta_feature_confirm_dialog.option.approve_all_tt.description"/></span>
                <span class="keepCurrentDescription"><bean:message key="tta_feature_confirm_dialog.option.keep_current.description"/></span>
            </td>
        </tr>
    </table>

    <div class="footerDelimiter"></div>

    <div class="buttonsContent">
        <div class="processingLabel"><bean:message key="tta_feature_confirm_dialog.processing"/></div>
        <div class="spinnerPlaceholder"></div>
        <div id="<%=id%>_submitBtn" class="greyButton submitButton"><bean:message key="common.apply"/></div>
        <div id="<%=id%>_cancelBtn" class="greyButton cancelButton"><bean:message key="common.cancel"/></div>
    </div>
    
</div>


