<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<% String id = request.getParameter("id");
    boolean showIntegrationMarks = "true".equals(request.getParameter("isOtherProductIntegrated"));
%>
<bean:define id="product" name="<%= Keys.PRODUCT %>" type="com.actimind.common.Product"/>
<%!
    private String getAccessLabelClass( Product product )
    {
        switch( product )
        {
            case actiTIME: return "actitime";
            case actiPLANS: return "actiplans";
            default: throw new IllegalArgumentException( "Unknown product: " + product );
        }
    }
%>

<%
    boolean isOl = ATGlobals.isOl();
%>
<div id="<%=id%>_accountInformationSection">
    <div class="sectionHeader"><bean:message key="userlist.userdata.account_section.header"/>
        <% if (showIntegrationMarks){%>
            <span class="sync_icon" title="<bean:message key="user.add_edit.section_synchronized_with_other_product"/>"></span>
        <%}%>
    </div>
    <div class="deleteContainer">
        <button tabindex="9" id="<%=id%>_deleteBtn">
            <bean:message key="userlist.userdata.account_section.delete_user"/>
        </button>
    </div>
    <div class="sectionContent">

        <div class="inputFieldsContainer">
            <div class="userInputField">
                <div class="inputGroup">
                    <input tabindex="10" type="text" class="firstNameField inputFieldWithPlaceholder" name="firstName" id="<%=id%>_firstNameField" 
                           placeholder="<%=ATMessageResources.message(request, "user.first_name")%>" maxlength="32" autocomplete="off"><!-- this comment is needed to remove space between inputs
                    --><input tabindex="11" type="text" class="middleNameField inputFieldWithPlaceholder" name="middleName" id="<%=id%>_middleNameField"
                              placeholder="<%=ATMessageResources.message(request, "user.mi")%>" maxlength="32" autocomplete="off">
                </div>
            </div>
            <div class="userInputField">
                <input tabindex="12" type="text" class="lastNameField inputFieldWithPlaceholder" name="lastName" id="<%=id%>_lastNameField" 
                       placeholder="<%=ATMessageResources.message(request, "user.last_name")%>" maxlength="32" autocomplete="off">
            </div>
            <%if ( isOl ){ %>
            <div class="userInputField usernameContainer" id="<%=id%>_usernameColumn">
                <input tabindex="13" type="text" class="usernameField inputFieldWithPlaceholder" name="username" id="<%=id%>_usernameField" 
                       placeholder="<%=ATMessageResources.message(request, "user.username")%>" maxlength="191" autocomplete="off">
            </div>
            <%}%>
            <div class="userInputField">
                <input tabindex="14" type="text" class="emailField inputFieldWithPlaceholder" name="email" id="<%=id%>_emailField" 
                       placeholder="<%=ATMessageResources.message(request, "user.email_short")%>" maxlength="255" autocomplete="off">
            </div>
        </div>
        
        <div class="errorsContainer">
            <div class="userFieldError firstName">
                <div id="<%=id%>_firstNameEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.first_name_empty"/></div>    
            </div>
            
            <div class="userFieldError lastName">
                <div id="<%=id%>_lastNameEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.last_name_empty"/></div>    
            </div>
            
            <div class="userFieldError username">
                <div id="<%=id%>_usernameEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.username_empty"/></div>
                <div id="<%=id%>_duplicateUsernameError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.username_duplicate"/></div>
            </div>
            
            <div class="userFieldError email">
                <div id="<%=id%>_emailEmptyError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.email_empty"/></div>
                <div id="<%=id%>_emailInvalidError" class="inlineErrorMessage"><bean:message key="user.add_edit.error.email_invalid"/></div>
            </div>
        </div>

        <%if ( !isOl ){  %>
        <div class="downloadableRow">
            <div class="details"><bean:message key="user.add_edit.login_details"/></div>
            
            <%--TODO filatov need other styles --%>
            <div style="display:none;" class="usernameColumn" id="<%=id%>_usernameColumn">
                <input tabindex="14" type="text" class="usernameField inputFieldWithPlaceholder" name="username"
                       id="<%=id%>_usernameField" placeholder="<%=ATMessageResources.message(request, "user.username")%>" 
                       maxlength="191" autocomplete="off">
            </div>
            <div class="passwordColumn">
                <input tabindex="15" type="password" class="passwordField inputFieldWithPlaceholder"
                       name="password" id="<%=id%>_passwordField" maxlength="255" autocomplete="off">
            </div>
            <div class="passwordColumn">
                <input tabindex="16" type="password" class="passwordCopyField inputFieldWithPlaceholder"
                       name="passwordCopy" id="<%=id%>_passwordCopyField" maxlength="255" autocomplete="off">
            </div>

            <div class="errorsContainer">
                <div class="userFieldError usernameSecondLvl">
                    <div id="<%=id%>_usernameEmptyError" class="inlineErrorMessage"><bean:message
                            key="user.add_edit.error.username_empty"/></div>
                    <div id="<%=id%>_duplicateUsernameError" class="inlineErrorMessage"><bean:message
                            key="user.add_edit.error.username_duplicate"/></div>
                </div>

                <div class="userFieldError passwordError">
                    <div id="<%=id%>_passwordEmptyError" class="inlineErrorMessage"><bean:message
                            key="user.add_edit.error.password_empty"/></div>
                </div>

                <div class="userFieldError passwordCopyError">
                    <div id="<%=id%>_passwordCopyEmptyError" class="inlineErrorMessage"><bean:message
                            key="user.add_edit.error.password_copy_empty"/></div>
                    <div id="<%=id%>_passwordsDoNotMatchError" class="inlineErrorMessage"><bean:message
                            key="user.add_edit.error.passwords_do_not_match"/></div>
                </div>
                
            </div>
        </div>
        <% } %>
        
        <div class="passwordBlock">
            <div class="resetPassword" style="display: none" id="<%=id%>_resetPasswordLink"><bean:message key="user.edit.reset_password"/></div>
            <div class="resendInvitation" style="display: none" id="<%=id%>_resendInvitation"><bean:message key="user.edit.resend_invitation"/></div>
        </div>
        
        <div class="userDataTable">
            <div id="<%=id%>_accessBoxRow" class="accessDataContainer">
                <div id="<%=id%>_accessToOtherProductSelectorLabel" class="createData labelCell accessSelectorLabel <%=getAccessLabelClass(product.otherProduct())%>">
                    <bean:message key="userlist.userdata.account_section.access"/>
                </div>
                <div id="<%=id%>_accessToProductSelectorLabel" class="editData labelCell accessSelectorLabel">
                    <bean:message key="user.add_edit.access_to"/>:
                </div>
                
                <% 
                    boolean isAT = ( product == Product.actiTIME );
                    String thisProductSelectorId = id + "_accessSelectorPlaceholder";
                    String otherProductSelectorId = id + "_accessToOtherProductSelectorPlaceholder";
                    String firstId = isAT ? thisProductSelectorId : otherProductSelectorId; 
                    String secondId = isAT ? otherProductSelectorId : thisProductSelectorId;
                    
                    String firstClass = isAT ? "editData" : "createData editData";
                    String secondClass = isAT ? "createData editData" : "editData";
                %>
                
                <div class="editData valueCell accessSelectorLabel <%= isAT ? "" : "accessToOtherProductSelectorLabel" %>">
                    <bean:message key="product.actitime"/>
                </div>
                <div id="<%=firstId%>" class="<%=firstClass%> valueCell accessSelectorCell"></div>
                <div class="editData accessSelectorSeparator"></div>
                <div class="editData valueCell accessSelectorLabel <%= isAT ? "accessToOtherProductSelectorLabel" : "" %>">
                    <bean:message key="product.actiplans"/>
                </div>
                <div id="<%=secondId%>" class="<%=secondClass%> valueCell accessSelectorCell"></div>
                
            </div>
            <div id="<%=id%>_userGroupRow" class="groupData userGroupData">
                <div class="labelCell selectorsLabelCell" id="<%=id%>_userGroupLabelCell">
                    <span class="userGroupNaming" title='<%=ATMessageResources.message(request, "userlist.userdata.account_section.user_group")%>'><bean:message key="userlist.userdata.account_section.user_group"/></span>:
                </div>
                <div id="<%=id%>_userGroupValueCell" class="valueCell listSelector">
                    <div id="<%=id%>_userGroupSelectorPlaceholder"></div>
                </div>
                <div id="<%=id%>_newUserGroupNameDiv" class="newUserGroupData">
                    <input type="text" class="newUserGroupNameField inputFieldWithPlaceholder" name="newUserGroupName" id="<%=id%>_newUserGroupNameField" maxlength="40">
                    <div id="<%=id%>_userGroupNameEmptyError" class="groupNameError inlineErrorMessage"><bean:message key="user.add_edit.error.user_group_name_empty"/></div>
                </div>
            </div>

            <div id="<%=id%>_timeZoneGroupRow" class="groupData timeZoneGroupsData">
                <div class="labelCell selectorsLabelCell" id="<%=id%>_timeZoneGroupLabelCell" title='<%=ATMessageResources.message(request, "userlist.userdata.account_section.time_zone_group")%>'>
                    <bean:message key="userlist.userdata.account_section.time_zone_group"/>:
                </div>
                <div id="<%=id%>_timeZoneGroupValueCell" class="valueCell listSelector tzGroupSelector">
                    <div id="<%=id%>_timeZoneGroupSelectorPlaceholder"></div>
                    <div id="<%=id%>_duplicateTimeZoneGroupError" class="duplicateTZError inlineErrorMessage"><bean:message key="user.add_edit.error.duplicate_time_zone_group_name"/></div>
                </div>
                <div id="<%=id%>_timeZoneSelectorDiv" class="timeZonesSelectorDiv">
                    <div id="<%=id%>_timeZonesSelectorPlaceholder"></div>
                    <div id="<%=id%>_cityDataEmptyError" class="cityDataError inlineErrorMessage"><bean:message key="user.add_edit.error.city_data_empty"/></div>
                </div>
                <div id="<%=id%>_newTimeZoneGroupNameDiv" class="newTimeZoneGroupData">
                    <input type="text" class="newTimeZoneGroupNameField inputFieldWithPlaceholder" name="newTimeZoneGroupName" id="<%=id%>_newTimeZoneGroupNameField" maxlength="40">
                    <div id="<%=id%>_timeZoneGroupNameEmptyError" class="groupNameError inlineErrorMessage"><bean:message key="user.add_edit.error.time_zone_group_name_empty"/></div>
                </div>
            </div>

            <div id="<%=id%>_hireDate" class="hireDateData">
                <div class="labelCell selectorsLabelCell">
                    <bean:message key="userlist.userdata.account_section.hire_date"/>
                </div>
                <div class="valueCell hireDateValueCell">
                    <div id="<%=id%>_hireDatePlaceholder"></div>
                </div>
            </div>

            <div id="<%=id%>_hireDateChangedWarningPlaceholder">
                <div id="<%=id%>_hireDateChangedWarningId"></div>
            </div>

            <div id="<%=id%>_hireDateEmptyError" class="inlineErrorMessage forDateFields"><bean:message key="user.add_edit.js.error.hire_date_empty"/></div>
            <div id="<%=id%>_hireDateInFutureForSelfError" class="inlineErrorMessage forDateFields"><bean:message key="user.add_edit.js.error.hire_date_in_future_for_self"/></div>


            <div id="<%=id%>_releaseDate" class="releaseDateData">
                <div class="labelCell selectorsLabelCell">
                    <bean:message key="userlist.userdata.account_section.release_date"/>
                </div>
                <div class="valueCell hireDateValueCell">
                    <div id="<%=id%>_releaseDatePlaceholder"></div>
                </div>
                <div class="deleteDateBtn"><a id="<%=id%>_delReleaseDateBtn" class="valueCell">&nbsp;</a></div>
            </div>

        </div>
    </div>
</div>