<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="org.apache.struts.util.ResponseUtils" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>

<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>
<%
    String id = request.getParameter("id");
    String groupNamingPlural = request.getParameter("groupNamingPlural");
    String title = request.getParameter("title");
    String groupsSynchronized = "true".equals(request.getParameter("groupsSynchronized")) ? Keys.GROUPS_SYNCHRONIZED : "";
%>
<table class="dialog-header <%=groupsSynchronized%>">
    <tr>
        <td class="lightBoxTitle"><%=title%><span class="groupsSynchronizedImage" title='<bean:message key="general_settings.shared_settings"/>'></span></td>
        <td class="close-button">
            <div id="<%=id + "_closeLightbox"%>" class="closeButton"></div>
        </td>
    </tr>
</table>
<div class="innerContent">
    <table class="generalTable" cellpadding="0" cellspacing="0">
        <tr class="topRow">
            <td class="topLabel groupTableCell">
                <div class="ellipsisOverflow">
                    <%=groupNamingPlural%>
                </div>
            </td>
            <td class="topLabel userTableCell">
                <div id="<%=id%>_clearSelectionButtonImg" class="panelButton clearSelectionButton">
                    <div style="background-image: url('<at:defImgpath page='selector_panel/toolbar-button-icons-sprite.png'/>')"
                        class="toolbar_clearAll"></div>
                </div>
                <div class="verticalSeparator"></div>
                <div id="<%=id%>_selectAllButtonImg" class="panelButton selectAllButton">
                    <div style="background-image: url('<at:defImgpath page='selector_panel/toolbar-button-icons-sprite.png'/>')"
                         class="toolbar_selectAll"></div>
                </div>
                <div class="verticalSeparator"></div>
                <div id="<%=id%>_filterSelectionButtonImg" class="panelButton filterSelectionButton">
                    <div style="background-image: url('<at:defImgpath page='selector_panel/toolbar-filter.png'/>')"
                        class="toolbar_filter"></div>
                </div>
                <div id="<%=id%>_topGroupNameLabel" class="topGroupNameLabel ellipsisOverflow">
                    <%--Place for rendering selected group name--%>
                </div>
                <div class="bottomBorder"></div>
            </td>
        </tr>
        <tr class="containerRow">
            <td class="containerCell groupTableCell">
                <div class="groupContainerWrapper">
                    <div id="<%=id%>_groupContainer" class="groupContainer containerDiv">
                        <%--Place for rendering groups--%>
                    </div>
                </div>
            </td>
            <td class="containerCell userTableCell">
                <table id="<%=id%>_emptyGroupMessageTable" class="emptyGroupMessageTable" style="display: none">
                    <tr>
                        <td class="text">
                            <%--Place for empty user group message--%>
                        </td>
                    </tr>
                </table>
                <div id="<%=id%>_userContainerWrapper" class="userContainerWrapper">
                    <div id="<%=id%>_userContainer" class="userContainer containerDiv">
                        <%--Place for rendering users--%>
                    </div>
                </div>
            </td>
        </tr>
        <tr class="bottomRow">
            <td class="bottomCell groupTableCell">
                <div id="<%=id%>_addGroupContainer" class="addGroupContainer containerWithBorder">
                    <%--Place for rendering add group control--%>
                </div>
            </td>
            <td class="bottomCell userTableCell">
                <div class="containerWithBorder">
                    <table cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <%-- TODO (enkov): change image --%>
                                <at:defImg page="user_group_lightbox/move-group-arrow.png"/>
                            </td>
                            <td>
                                <div id="<%=id%>_moveToMenu">
                                    <%--Place for rendering move to menu--%>
                                </div>
                            </td>
                            <td class="bottomSeparator">
                                <div>
                                </div>
                            </td>
                            <td>
                                <input type="checkbox" id="<%=id%>_showDisabledUsersCheckbox">
                            </td>
                            <td>
                                <label for="<%=id%>_showDisabledUsersCheckbox" id="<%=id%>_showDisabledUsersLabel">
                                    <bean:message key="group_management.show_with_disabled"/>
                                </label>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
        <tr class="errorMessagesRow">
            <td class="errorMessagesCell groupTableCell">
                <table id="<%=id%>_errorMessagesRow" style="display: none;">
                    <tr>
                        <td>
                            <at:defImg page="user_group_lightbox/error-icon.png"/>
                        </td>
                        <td class="errorText smallText" id="<%=id%>_bottomErrorMessageText">
                        </td>
                    </tr>
                </table>
            </td>
            <td></td>
        </tr>
    </table>
    <div class="dataLoadingContainer"><div class="dataLoadingSpinnerContainer" id="<%=id%>_dataLoadingSpinnerContainer"></div></div>
    <div class="createMoreGroupsTipContainer"><div class="tipText"><bean:message key="group_management.create_more_time_zone_groups"/></div></div>
</div>