<%@ taglib uri="/WEB-INF/ap.tld" prefix="ap"%>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<%--todo move out strings to atr--%>
<div id="approversDialog" class="approversDialog" style="display: none;">
    <div id="approversDialog_topSection">
        <div class="doubleButton at-icon-button deselectAll">
            <a id="approversDialog_deselectAllUsers">&nbsp;</a>
        </div>
        <div class="vertical-separator"></div>
        <div class="doubleButton at-icon-button">
            <a id="approversDialog_selectAllLink">&nbsp;</a>
        </div>
        <div class="sectionSelectorWrapper">
            <input type="radio" id="approversDialog_selectUsersManuallyRadio" name="approversDialog_selectionMode"/>
            <label for="approversDialog_selectUsersManuallyRadio" id="approversDialog_selectUsersManuallyRadio_label">
                <span id="approversDialog_selectUsersManuallyRadio_selected"><bean:message key="common.approvers_dialog.selected"/> </span>  <span> <bean:message key="common.approvers_dialog.approvers"/>  </span>
            </label>
        </div>
    </div>

    <div id="approversDialog_middleSection">
        <div id="approversDialog_treeContainer" class="treePanel"></div>
        <div id="approversDialog_noLeaveTimeManagers">
            <p><bean:message key="common.approvers_dialog.no_managers"/></p>
            <p><bean:message key="common.approvers_dialog.if_you_want_to_change_approval_status"/></p>
        </div>
        <div id="approversDialog_loadingTreeContainer"><div id="approversDialog_spinnerPlaceholder"></div><bean:message key="common.approvers_dialog.loading"/></div>
    </div>

    <div id="approversDialog_afterMiddleSection">
        <input id="approversDialog_userAutoApprovedRadio" type="radio" name="approversDialog_selectionMode"/>
        <label for="approversDialog_userAutoApprovedRadio" id="approversDialog_label_userAutoApprovedRadio">
            <bean:message key="common.approvers_dialog.automatically_approved"/>
        </label>
        <p id="approversDialog_autoApprovedNote">
            <bean:message key="common.approvers_dialog.auto_approved_info"/>
        </p>

    </div>

    <div id="approversDialog_footerSection">
        <a href="javascript:void(0)" id="approversDialog_resetSelectionLink">
                 <bean:message key="common.reset_filter"/>
        </a>
        <div class="greyButton" id="approversDialog_submitButton">
            <span class="saveText">
                 <bean:message key="common.approvers_dialog.apply"/>
            </span>
            <span class="savingText">
                 <bean:message key="common.saving.ellipsis"/>
            </span>
        </div>
        <div class="greyButton" id="approversDialog_cancelButton">
            <span>
                 <bean:message key="common.approvers_dialog.cancel"/>
            </span>
        </div>
    </div>
</div>