Ext.namespace("AT");

AT.CPSelectorOnlyProjectsPanelForDialog = Ext.extend(AT.CustomerProjectSelectorOnlyProjectsPanel, {

    renderOnPage: function(div) {
        this.render(div);
        this.showCallback();
    },

    // there are no footer buttons
    getFooterSection: function() {
        return [];
    },

    processFirstPanelOpen: function() {
        if (!this.treePanel) {
            this.treePanel = document.createElement("div");
            var treePanelClasses = this.getTreePanelClasses();
            treePanelClasses.push("spinnerPanel"); // spin while panel is not loaded
            this.treePanel.className = treePanelClasses.join(" ");
            var targetEl = this.detailsContainer.el.dom;
            var firstChild = targetEl.childNodes[0];
            if (firstChild) {
                targetEl.insertBefore(this.treePanel, firstChild);
            } else {
                targetEl.appendChild(this.treePanel);
            }
        }
    },

    onGenericOptionSelect: function(option, checked) {
        if(this.onAllOptionSelected && checked){
            this.onAllOptionSelected();
        }
        AT.CPSelectorOnlyProjectsPanelForDialog.superclass.onGenericOptionSelect.call(this, option, checked);
    },

    onCustomOptionSelect: function(option, checked) {
        if(this.onCustomOptionSelected && checked){
            this.onCustomOptionSelected();
        }
        AT.CPSelectorOnlyProjectsPanelForDialog.superclass.onCustomOptionSelect.call(this, option, checked);
    }


});
