<%@ page import="org.json.JSONObject" %>
<%@ page import="com.actimind.actitime.util.CollectionsUtils" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%
    String action = request.getParameter( "action" );

    if ( request.getMethod().equals("POST") )
    {
        if( action == null )
        {
            response.sendError( 400 );
        }
        else if( action.equals( "createVacantContextName" ) )
        {
            out.println(
                new JSONObject(
                    CollectionsUtils.makeMap(
                            "result",
                            request.getParameter("firstName") + "-" +
                            request.getParameter("lastName") + "-" +
                            request.getParameter("company") ) ) );
        }
        else if( action.equals( "checkContextNameAvailability" ) )
        {
            String result;

            if( request.getParameter("contextName").equals("existing-context") )
                result = "IN_USE";
            else if ( request.getParameter("contextName").equals("malformed-context") )
                result = "MALFORMED";
            else if ( request.getParameter("contextName").equals("break-server") )
                result = "!@#$%^&*()_+";
            else
                result = "AVAILABLE";

            out.println( new JSONObject( CollectionsUtils.makeMap( "result", result ) ) );
        }
        else if( action.equals( "checkTrialState" ) )
        {
            String trialState;
            String suggestedNewTrialContextName = null;

            if( request.getParameter( "email" ).equals( "this-user@actimind.com" ) &&
                request.getParameter( "product" ).equals( "actiTIME" ) )
            {
                if( request.getParameter( "contextName" ).equals( "active-trial" ) )
                    trialState = "ACTIVE";
                else
                    trialState = "EXPIRED";
            }
            else if ( request.getParameter( "email" ).equals( "break-server" ) )
            {
                trialState = "~!@#$%^&*()_+";
            }
            else
            {
                trialState = "NOT_EXISTS";
                suggestedNewTrialContextName = request.getParameter("firstName") + "-" +
                                               request.getParameter("lastName") + "-" +
                                               request.getParameter("company");
            }

            out.println(
                    new JSONObject(
                            CollectionsUtils.makeMap(
                                    "trialState", trialState,
                                    "suggestedNewTrialContextName", suggestedNewTrialContextName ) ) );
        }
        else
        {
            response.sendError( 400 );
        }
    }
    else
    {
        response.sendError( 400 );
    }
%>
