EditCPTPopupMoire = function(config)
{
    TemplateView.call(this, config.$containerElement);
    this.idPrefix = config.idPrefix;
};

EditCPTPopupMoire.animateMoire = function(fromEl, toEl, moireInEl, moireOutEl)
{
    if (!AtAnimation.isAnimationSupported()) {
        fromEl.hide();
        toEl.show();
        return;
    }

    var cbStart = function()
    {
        fromEl.hide();
        toEl.show();
        moireOutEl.show();
        moireInEl.hide();
        moireOutEl.atAnimation().hideAnimated("hideAnimated");
    };

    moireInEl.atAnimation().showAnimated("showAnimated", cbStart);
};

EditCPTPopupMoire.prototype = _.create(TemplateView.prototype, {
    html:  '<div id="<%-idPrefix%>_switchStateMoire" class="switchStateMoire"></div>',

    templateModel: function()
    {
        return {idPrefix: this.idPrefix};
    }
});