function IconWithTooltip($containerEl, innerHtml)
{
    TemplateView.call(this, $containerEl);
    this.innerHtml = innerHtml;
}

IconWithTooltip.prototype = _.create(TemplateView.prototype, {
    html: "<div class='iconWithTooltip'></div>",

    afterRender: function()
    {
        this.tooltip = new Tooltip($("body"));
        this.tooltip.html = "<div>" + this.innerHtml + "</div>";
        this.tooltip.init();
        this.tooltip.subscribeToMouseEvents(this.$el);
    }
});