function TaskAddToTTCellRenderer()
{}

TaskAddToTTCellRenderer.prototype = _.create(TableCellRenderer.prototype);

TaskAddToTTCellRenderer.prototype.init = function( updateAddAllToTTCheckboxCallback )
{
    TableCellRenderer.call( this );

    this.updateAddAllToTTCheckboxCallback = updateAddAllToTTCheckboxCallback;

    return this;
};

TaskAddToTTCellRenderer.prototype.generateContent = function( cell )
{
    var div = document.createElement( "div" );
    var checkbox = createElementWithProperties("input", {
        type: "checkbox",
        checked: cell.getValue() == true
    });
    var self = this;
    $( checkbox ).click( function() {
        cell.setValue( this.checked == true );
        self.updateAddAllToTTCheckboxCallback();
    });
    cell.addToTTCheckbox = checkbox;
    div.appendChild( checkbox );
    cell.getCellEl().appendChild( div );
};

TaskAddToTTCellRenderer.prototype.updateUI = function( cell )
{
    TableCellRenderer.prototype.updateUI.call( this, cell );

    $( cell.addToTTCheckbox ).attr( 'checked', cell.getValue() == true );
};

TaskAddToTTCellRenderer.prototype.getCellClassName = function( cell )
{
    return ["addToTTCell"];
};
