function TaskEstimateCellValidator()
{}

TaskEstimateCellValidator.prototype = _.create(TabularDataTableCellValidator.prototype);

TaskEstimateCellValidator.prototype.isEmpty = function( cell )
{
    return cell.getValue() == "";
};

TaskEstimateCellValidator.prototype.isValid = function( cell )
{
    var value = cell.getValue();
    var ttValue = value != "" ? UserTime.parseTimeWithSystemSettings( value ) : "";
    return !spentTimeIsInvalid( ttValue ) && ttValue < 60000000;   // = 10^6 h
};
