function GroupUserRowRenderer ()
{
    this.constructor = GroupUserRowRenderer;
}

GroupUserRowRenderer.prototype = new GroupRowRenderer();

GroupUserRowRenderer.prototype.init = function ( conf )
{
    GroupRowRenderer.prototype.init.call(this, conf);
    this.userGroupingRowTitleCell_content = $("div.templates div.userGropingRow-groupingRowTitleCell-content");
    this.tokensHighlightCallback = conf.tokensHighlightCallback;
    this._getGroupNameCallback = conf._getGroupNameCallback;
    return this;
};

GroupUserRowRenderer.prototype.initTitleCell = function ( row, groupingRowInfo )
{
    var userInfo = groupingRowInfo.approvalRowInfo;

    var titleCell_content = this.userGroupingRowTitleCell_content.clone();
    titleCell_content.find( ".userNameInfo" ).html( UserNameFormat.formatLFM(
            this.tokensHighlightCallback(userInfo.firstName),
            this.tokensHighlightCallback(userInfo.lastName),
            this.tokensHighlightCallback(userInfo.middleName )) );

    var groupName = this._getGroupNameCallback(userInfo);
    if(groupName)
        titleCell_content.find( ".userGroupInfo" ).text( groupName ); // todo : pass group names info here

    row.find( ".groupingRowTitleCell" ).append( titleCell_content );
};

