/**
 * Created by filatov on 21.05.2015.
 */
function LeaveTimeTooltipForApproveTT () {}

LeaveTimeTooltipForApproveTT.prototype = new TableTooltip();


LeaveTimeTooltipForApproveTT.prototype._init = function ( tooltipId )
{
    TableTooltip.prototype.init.call( this, tooltipId );
    return true;
};

LeaveTimeTooltipForApproveTT.prototype.updateUI = function ( config )
{
    var tooltipText = "";
    var leaveTypeInfos = config.leaveTypeInfos;
    var getLeaveTypesCallback = config.getLeaveTypeCallback;
    var leaveInfos = [];
    for( var j = 0; j < leaveTypeInfos.length; ++j )
    {
        var leaveTypeBean = getLeaveTypesCallback( leaveTypeInfos[j].leaveTypeId );
        leaveInfos.push( { name: leaveTypeBean.name, duration: leaveTypeInfos[j].leaveTimeDuration, position: leaveTypeBean.sortingPosition } );
    }
    leaveInfos.sort( function( a, b ) { return a.position - b.position } );
    tooltipText +="<ul>";
    for(var i = 0;  i < leaveInfos.length ; ++ i ){
        tooltipText +="<li>";
        tooltipText += escapeHtmlSymbols( leaveInfos[i].name );
        tooltipText+= ": ";
        tooltipText += UserTime.formatTime( leaveInfos[i].duration );
        tooltipText +="</li>";
        tooltipText +="\n";
    }
    tooltipText +="</ul>";
    this._tooltipTextPlaceholder.html(tooltipText) ;
};
