function TableGroupingStrategy ()
{
    this.constructor = TableGroupingStrategy;
}

TableGroupingStrategy.prototype.init = function ( conf )
{
    return this;
};

TableGroupingStrategy.prototype.createGroupingRowRenderer = function ()
{
    // abstract
};

TableGroupingStrategy.prototype.createRowController = function ()
{
    // abstract
};

TableGroupingStrategy.prototype.createChildRowRenderer = function ()
{
    // abstract
};

TableGroupingStrategy.prototype.createShowMoreRowRenderer = function ()
{
    // abstract
};

TableGroupingStrategy.prototype.getMoreGroupingRows = function ()
{
    //abstract
};

TableGroupingStrategy.prototype.getMoreChildRows = function ()
{
    //abstract
};
TableGroupingStrategy.prototype.getGroupingRowIdFromChildRowId= function(){
    //abstract
};

TableGroupingStrategy.prototype.getChildRowIdFromChildRowId = function(){
    //abstract
};

TableGroupingStrategy.prototype.getServiceMethodForApprove = function(){
    //abstract
};

TableGroupingStrategy.prototype.getServiceMethodForReject = function(){
    //abstract
};

TableGroupingStrategy.prototype.getServiceMethodForGroupingRevoke = function(){
    //abstract
};