function ExtendedLeaveTypeIconSelector () {
    this.constructor = ExtendedLeaveTypeIconSelector;
}

ExtendedLeaveTypeIconSelector.prototype = _.create(LeaveTypeIconSelector.prototype);

ExtendedLeaveTypeIconSelector.prototype.init = function ( iconSelectorPanel, leaveTypeId, iconSelectedCallback ) {
    LeaveTypeIconSelector.prototype.init.call(this, iconSelectorPanel);
    this.leaveTypeId = leaveTypeId;
    this.iconSelectedCallback = iconSelectedCallback;
    return this;
};

ExtendedLeaveTypeIconSelector.prototype.handlePanelClicking = function ( iconId ) {
    var self = this;
    if (this.currentIconId != iconId)
        this.iconSelectedCallback( this.leaveTypeId, iconId, function () {
            self.iconSelectorPanel.hide();
        } );
    else
        this.iconSelectorPanel.hide();
};