function SectionsErrorsHandler (){

}

SectionsErrorsHandler.prototype.DUPLICATE_TIME_ZONE_GROUP_ERROR = "duplicateTimeZoneGroupError";

//add more sections here if need to
SectionsErrorsHandler.prototype.init = function (  accountSection ){
  this._accountSection = accountSection;
  return this;
};

SectionsErrorsHandler.prototype.handleError = function ( resultCode, scrollToSectionCallBack, errorParams ){

    if( resultCode == UserManagementConstants.ERROR_DUPLICATE_USERNAME ){

        this._accountSection.setToDuplicateUsernameState();
        scrollToSectionCallBack( this._accountSection );
    }
    if(resultCode == UserManagementConstants.ERROR_EMAIL_INVALID){
        this._accountSection.setEmailInvalid();
        scrollToSectionCallBack( this._accountSection );
    }

    if (resultCode == SectionsErrorsHandler.prototype.DUPLICATE_TIME_ZONE_GROUP_ERROR)
    {   
        this._accountSection.updateTimeZoneGroups(errorParams);
        this._accountSection.setDuplicateTimeZoneGroupError(true);
        scrollToSectionCallBack(this._accountSection);
    }

};