function WorkDayDurationsTableBuilder(){
}

WorkDayDurationsTableBuilder.prototype = function (){

};

WorkDayDurationsTableBuilder.prototype.createTable = function (){
    //abstract
}

WorkDayDurationsTableBuilder.prototype.init = function ( userManagementData ){

    this._defaultWorkSchedule = userManagementData.defaultWorkSchedule;
    this._userManagementData = userManagementData;
};

function CreateWorkDayDurationsTableBuilder(){
}

CreateWorkDayDurationsTableBuilder.prototype = new WorkDayDurationsTableBuilder();

CreateWorkDayDurationsTableBuilder.prototype.init = function (  userManagementData ){
    WorkDayDurationsTableBuilder.prototype.init.call(this,  userManagementData );
    return this;

};

CreateWorkDayDurationsTableBuilder.prototype.createTable = function( sectionEl, tablePlaceholderEl, accountSettings, changesCallback, validationCallback ){

    tablePlaceholderEl.innerHTML = "";
    var workdayDurationsTable =  new CreateUserWorkdayDurationsTable().init(  this._userManagementData,
                                                                              accountSettings,
                                                                              changesCallback,
                                                                              validationCallback  );

    workdayDurationsTable.buildDOM( tablePlaceholderEl );

    return workdayDurationsTable;
};


function EditWorkDayDurationsTableBuilder(){
}

EditWorkDayDurationsTableBuilder.prototype = new WorkDayDurationsTableBuilder();

EditWorkDayDurationsTableBuilder.prototype.init = function ( userManagementData, currentTime ){
    WorkDayDurationsTableBuilder.prototype.init.call( this,  userManagementData );

    this._currentTime = currentTime;

    return this;
};

EditWorkDayDurationsTableBuilder.prototype.createTable = function(  sectionEl, tablePlaceholderEl, accountSettings, changesCallback, validationCallback){

    tablePlaceholderEl.innerHTML = "";
    var workdayDurationsTable  = new EditUserWorkdayDurationsTable().init( this._userManagementData,
                                                                           accountSettings,
                                                                           changesCallback,
                                                                           validationCallback,
                                                                           sectionEl.parentNode,
                                                                           this._defaultWorkSchedule,
                                                                           this._currentTime );

    workdayDurationsTable.buildDOM( tablePlaceholderEl );

    return workdayDurationsTable;
};