function FloatNumberValidator( decimalSeparator )
{
    this.decimalSeparator = decimalSeparator || '.';
    this.validationRegexp = new RegExp('^\\d*[' + this.decimalSeparator + ',.]?\\d*$');

}

FloatNumberValidator.prototype.getDecimalSeparator = function()
{
    return this.decimalSeparator;
};

FloatNumberValidator.prototype.isValidNumber = function( string )
{
    return String(string).match( this.validationRegexp ) != null;
};

FloatNumberValidator.prototype.parseFloat = function( string )
{
    string = String(string);
    string = string.replace( this.decimalSeparator, '.' );
    string = string.replace( ',', '.' );

    if (string == '.') return 0;

    return parseFloat(string);
};