function RemoveRowCellRenderer() {}

RemoveRowCellRenderer.prototype = _.create(TableCellRenderer.prototype);

RemoveRowCellRenderer.prototype.init = function()
{
    TableCellRenderer.call( this );
    return this;
};

RemoveRowCellRenderer.prototype.generateContent = function( cell )
{
    var removeBtn = document.createElement("a");
    removeBtn.innerHTML="&nbsp;";
    removeBtn.onclick = function( )
    {
        cell.getTable().toggleRemove( cell.getRow().getRowIdx() );
    };
    cell.getCellEl().appendChild( removeBtn );
};

RemoveRowCellRenderer.prototype.getCellClassName = function( cell )
{
    return ["removeBtn"];
};

//-----------------------------------------------------------------------

function EmptyRemoveRowCellRenderer(){}

EmptyRemoveRowCellRenderer.prototype = new RemoveRowCellRenderer();

EmptyRemoveRowCellRenderer.prototype.generateContent = function( cell )
{
    //do nothing
};