function TabularDataWithEffectiveDatesTableRow() {}

TabularDataWithEffectiveDatesTableRow.prototype = _.create(TabularDataTableRow.prototype);

TabularDataWithEffectiveDatesTableRow.prototype.init = function()
{
    TabularDataTableRow.prototype.init.call( this );
    this.effective = false;
    this.inPast = false;
    return this;
};

TabularDataWithEffectiveDatesTableRow.prototype.setEffective = function( effective )
{
    this.effective = effective;
};

TabularDataWithEffectiveDatesTableRow.prototype.isEffective = function()
{
    return this.effective;
};

TabularDataWithEffectiveDatesTableRow.prototype.setInPast = function( inPast )
{
    this.inPast = inPast;
};

TabularDataWithEffectiveDatesTableRow.prototype.isInPast = function()
{
    return this.inPast;
};

TabularDataWithEffectiveDatesTableRow.prototype.getRowClasses = function()
{
    var classes = TabularDataTableRow.prototype.getRowClasses.call( this );
    if( !this.markedToRemove && this.effective )
        classes.push( "effective" );
    if( this.inPast )
        classes.push( "past" );
    return classes;
};

