function LeaveBalancesManagerFilter () {}

LeaveBalancesManagerFilter.prototype = new BaseFilter();

LeaveBalancesManagerFilter.prototype.addItems = function(params){

    this.filter.addItems([{
                              text:messageResource.getEscapedMessage("balances_managers_filter.all"),
                              value: UserManagementConstants.LEAVE_BALANCES_MANAGER_FILTER_ALL
                          }]);
    this.filter.addSeparator();
    var messageKey = "";
    if ( params.isPtoEnabled && params.isSickEnabled )
        messageKey = "balances_managers_filter.pto_and_sick_managers_only";
    else if ( params.isPtoEnabled )
        messageKey = "balances_managers_filter.pto_managers_only";
    else if ( params.isSickEnabled )
        messageKey = "balances_managers_filter.sick_managers_only";

    this.filter.addItems([{
                              text:messageResource.getEscapedMessage( messageKey ),
                              value:   UserManagementConstants.LEAVE_BALANCES_MANAGER_FILTER_LEAVE_BALANCES_MANAGERS_ONLY
                          }]);
};

LeaveBalancesManagerFilter.prototype.isActiveFilter = function(value){
    return  value != UserManagementConstants.LEAVE_BALANCES_MANAGER_FILTER_ALL
};

