function TimeTrackApprovalFilter () {}

TimeTrackApprovalFilter.prototype = new BaseFilter();

TimeTrackApprovalFilter.prototype.addItems = function(params){

    this.filter.addItems([{
                              text:messageResource.getEscapedMessage("time_track_approval_filter.all"),
                              value: UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_ALL_STAFF
                          }]);
    this.filter.addSeparator();
    this.filter.addItems([{
                              text:messageResource.getEscapedMessage("time_track_approval_filter.approvers_only"),
                              value:  UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_APPROVERS_ONLY
                          },
                          {
                              text:messageResource.getEscapedMessage("time_track_approval_filter.approvers_without_assign_users"),
                              value:  UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_APPROVERS_WITHOUT_USERS
                          }]);
    this.filter.addSeparator();
    this.filter.addItems( [{
                                   text: messageResource.getEscapedMessage( "time_track_approval_filter.users_with_auto_approved" ),
                                   value: UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_USERS_WITH_AUTOAPPROVED
                               },
                               {
                                   text: messageResource.getEscapedMessage( "time_track_approval_filter.users_without_approvers" ),
                                   value: UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_USERS_WITHOUT_APPROVERS
                               }] );
};

TimeTrackApprovalFilter.prototype.isActiveFilter = function(value){
    return  value != UserManagementConstants.TIME_TRACK_APPROVAL_FILTER_ALL_STAFF;
};

