function PTOCellRenderer ()
{
    this.constructor = PTOCellRenderer;
}

PTOCellRenderer.prototype = _.create(BalanceCellRenderer.prototype, {
    getCellGeneralClassName: function()
    {
        return BalanceCellRenderer.prototype.getCellGeneralClassName.call(this) + " ptoCell";
    },

    roundBalance: function()
    {
        return SystemSettings.roundPTOBalanceOnUserlist;
    },

    getFlagValue: function(value)
    {
        return value.pto;
    },

    getCurrentBalanceFromValue: function(value)
    {
        return value.currentPTOBalance;
    },

    showBalanceInHours: function()
    {
        return SystemSettings.showPTOInHours;
    },

    getNotStartedText: function()
    {
        return messageResource.getEscapedMessage("userlist.js.table.ptoCell.not_started");
    }
});