function SickDaysCellRenderer ()
{
    this.constructor = SickDaysCellRenderer;
}

SickDaysCellRenderer.prototype = _.create(BalanceCellRenderer.prototype, {

    getCellGeneralClassName: function()
    {
        return BalanceCellRenderer.prototype.getCellGeneralClassName.call(this) + " sickDaysCell";
    },

    roundBalance: function()
    {
        return SystemSettings.roundSickBalanceOnUserlist;
    },

    getFlagValue: function(value)
    {
        return value.sick;
    },

    getCurrentBalanceFromValue: function(value)
    {
        return value.currentSickDaysBalance;
    },

    showBalanceInHours: function()
    {
        return SystemSettings.showSickInHours;
    },

    getNotStartedText: function()
    {
        return messageResource.getEscapedMessage("userlist.js.table.sickCell.not_started");
    }
});