function SetAsDefaultCellRenderer() {}

SetAsDefaultCellRenderer.prototype = _.create(TableCellRenderer.prototype);

SetAsDefaultCellRenderer.prototype.init = function()
{
    return this;
};

SetAsDefaultCellRenderer.prototype.getCheckbox = function( cell )
{
    return cell.getCellEl().firstChild.firstChild.firstChild.firstChild.firstChild.firstChild;
};

SetAsDefaultCellRenderer.prototype.generateContent = function( cell )
{
    cell.getCellEl().innerHTML = "<label><table cellpadding=0 cellspacing=4 border=0><tr><td><input type='checkbox'></td><td valign=top class='checkbox_description'>"+messageResource.getMessage("user.add_edit.js.wd_editor.use_corporate_settings")+"</td></tr></table></label>";
    disableTextSelection(cell.getCellEl());
    this.getCheckbox( cell ).onclick = function() { cell.setValue(this.checked); };
};

SetAsDefaultCellRenderer.prototype.updateUI = function( cell )
{
    var checkbox = this.getCheckbox( cell );
    checkbox.checked = cell.getValue() ? true : false;
    checkbox.disabled = cell.getRow().isMarkedToRemove();
    cell.getCellEl().className = "setAsDefaultCell";
};

