BalanceHistory.Table.HeadRow = function($containerEl)
{
    TemplateView.call(this, $containerEl);
};

BalanceHistory.Table.HeadRow.prototype = _.create(TemplateView.prototype, {
    html: "<tr><th class='effectiveDateCell'><%=dataCellTitle%></th>" +
          " <th class='descriptionCell'><%=descriptionCellTitle%></th> " +
          " <th class='valueCell'><%=valueCellTitle%></th> " +
          " <th class='endingBalanceCell'><%=balanceCellTitle%></th> " +
          "</tr>",

    messageKeys: function()
    {
        return {
            dataCellTitle: 'common.balance_history.table.date_cell.title',
            descriptionCellTitle: 'common.balance_history.table.description_cell.title',
            valueCellTitle: 'common.balance_history.table.value_cell.title',
            balanceCellTitle: 'common.balance_history.table.balance_cell.title'
        }
    }
});