<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.jsMessage" %>
<%@ page import="com.actimind.actiplans.pastleaves.PastLeaveRequestsProcessType" %>
<%@ page import="com.actimind.actitime.Constants" %>
<%@ page import="com.actimind.actitime.CustomersProjectsSelector" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.administration.ATNamings" %>
<%@ page import="com.actimind.actitime.beans.GroupType" %>
<%@ page import="com.actimind.actitime.colors.ColorHelper" %>
<%@ page import="com.actimind.actitime.notifications.rules.*" %>
<%@ page import="com.actimind.actitime.notifications.rules.parameters.MoneyFilterRange" %>
<%@ page import="com.actimind.actitime.reports.ReportType" %>
<%@ page import="com.actimind.actitime.reports.charts.ReportChartType" %>
<%@ page import="com.actimind.actitime.reports.configs.DateType" %>
<%@ page import="com.actimind.actitime.resources.DiacriticsInsensitiveRegexpBuilder" %>
<%@ page import="com.actimind.actitime.services.beans.report.*" %>
<%@ page import="com.actimind.actitime.services.beans.report.charts.*" %>
<%@ page import="com.actimind.actitime.services.beans.viewtt.ChartType" %>
<%@ page import="com.actimind.actitime.services.beans.viewtt.TableSortOptions" %>
<%@ page import="com.actimind.actitime.user.EffectiveWeekApprovalStatus" %>
<%@ page import="com.actimind.actitime.user.LeaveBalancesFilter" %>
<%@ page import="com.actimind.actitime.user.WeekApprovalStatus" %>
<%@ page import="com.actimind.actitime.util.*" %>
<%@ page import="com.actimind.actitime.util.calendar.CalendarFrequencyType" %>
<%@ page import="com.actimind.common.ATGlobals" %>
<%@ page import="com.actimind.common.AjaxActionErrorCodes" %>
<%@ page import="com.actimind.common.Product" %>
<%@ page import="com.actimind.common.ProductWebSiteURLs" %>
<%@ page import="com.actimind.common.balance.BalanceCorrectionType" %>
<%@ page import="com.actimind.common.balance.BalanceType" %>
<%@ page import="com.actimind.common.balance.BalanceUnits" %>
<%@ page import="com.actimind.common.beans.LeaveTimeRequestBean" %>
<%@ page import="com.actimind.common.notifications.NotificationType" %>
<%@ page import="com.actimind.common.services.BaseUserManagementService" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.actimind.actiplans.services.beans.leavereport.ChartSortType" %>
<%@ page import="com.actimind.actitime.colors.LogosConfig" %>
<%@ page import="com.actimind.actiplans.colors.APLogosConfig" %>
<%@ page import="com.actimind.actitime.resources.UserListSortConstant" %>
<%@ page import="com.actimind.common.util.TimestampsCacheUtils" %>
<%@ page import="com.actimind.actitime.task.TaskManager" %>
<%@ page import="com.actimind.actitime.task.TimeCommentsRecordSortOrder" %>
<%@ page import="com.actimind.actitime.beans.BillingTypeBean" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<bean:define id="productName" name="<%= Keys.PRODUCT_CONFIG %>" property="productName" type="java.lang.String"/>
<bean:define id="constants_js_product" name="<%= Keys.PRODUCT %>" type="com.actimind.common.Product"/>

<script type="text/javascript">
    var PRODUCT_NAME = "<%=productName%>";
    var BASE_PATH = '<html:rewrite page="/"/>';
    <%
        boolean isAT = (constants_js_product == Product.actiTIME);

        LogosConfig logosConfig = isAT ? LogosConfig.getLogosConfig(request) : APLogosConfig.getLogosConfig(request);
        String reportLogoUrl = logosConfig.getReportLogoPath();

        reportLogoUrl = reportLogoUrl + (reportLogoUrl.contains("?") ? "&" : "?");
        reportLogoUrl = reportLogoUrl + "ts=" + TimestampsCacheUtils.getTimestamp(TimestampsCacheUtils.SETTINGS_CHANGE_TIMESTAMP_KEY);
    %>
    var REPORT_LOGO_PATH = '<html:rewrite page="<%=reportLogoUrl%>"/>';

    //this needed if Cookies was disabled or browser load first page after open
    var index = BASE_PATH.indexOf(";jsessionid");
    if (index != -1){
        BASE_PATH = BASE_PATH.substring(0, index);
    }

    var RPC_LINK = '<html:rewrite page="/rpc"/>';

    var isAT = <%=isAT%>;
    var AT_IMAGE_PATH = BASE_PATH + "img/";
    var AP_IMAGE_PATH = BASE_PATH + "actiplans/img/";
    var IMAGE_PATH = (isAT ? AT_IMAGE_PATH : AP_IMAGE_PATH);

    var HASH = '<%=Util.hash%>';

    var BLANK_IMAGE_URL = '<at:defImgpath page="extjs/s.gif"/>';

    var REFRESH_SESSION_URL = '<html:rewrite page="/refreshSession"/>';

    var TimeUtils = {
        UNIFORM_DATE_FORMAT: "<%=TimeUtils.UNIFORM_DATE_FORMAT%>"
    };

    //TODO: evdokimov obsolete version must be removed
    var DateType ={
        <%
        for( DateType d : DateType.values() ) {
            out.print( d.name() );
            out.print( ": \"" );
            out.print( d.getNameMessageId() );
            out.print( "\",\n" );
        }
        %>
    };

    var FRONT_REDIRECTOR_URL = '<html:rewrite page="/frontRedirector.do"/>';

    var ATNamings = {
        CUSTOM_LEVEL_NAMING_CODE: <%= Integer.toString(ATNamings.CUSTOM_LEVEL_NAMING_CODE) %>
    };

    //TODO: evdokimov obsolete version must be removed
    var DateRangeStateUtil = {
        CURRENT_MONTH: "range.state.current.month",
        CURRENT_MONTH_TILL_TODAY: "range.state.current.month.till.today",
        PREVIOUS_MONTH: "range.state.previous.month",
        NEXT_MONTH: "range.state.next.month",
        CURRENT_WEEK: "range.state.current.week",
        CURRENT_WEEK_TILL_TODAY: "range.state.current.week.till.today",
        NEXT_WEEK: "range.state.next.week",
        PREVIOUS_WEEK: "range.state.previous.week",
        CURRENT_AND_PREVIOUS_WEEK: "range.state.current.and.previous.weeks",
        CURRENT_AND_TWO_PREVIOUS_WEEKS: "range.state.current.and.2.previous.weeks",
        FIRST_HALF_OF_CURRENT_MONTH: "range.state.first.half.of.current.month",
        SECOND_HALF_OF_CURRENT_MONTH: "range.state.second.half.of.current.month",
        SECOND_HALF_OF_PREVIOUS_MONTH: "range.state.second.half.of.previous.month",
        LAST_7_DAYS: "range.state.last.7.days",
        LAST_14_DAYS: "range.state.last.14.days",
        LAST_21_DAYS: "range.state.last.21.days",
        CURRENT_YEAR: "range.state.current.year",
        CURRENT_YEAR_TILL_TODAY: "range.state.current.year.till.today",
        PREVIOUS_YEAR: "range.state.previous.year",
        CURRENT_AND_NEXT_MONTH: "range.state.current.and.next.month",
        NEXT_TWO_MONTHS: "range.state.next.two.months",
        EIGHT_WEEKS_AHEAD: "range.state.eight.weeks.ahead",
        TEN_WEEKS_AHEAD: "range.state.ten.weeks.ahead",
        TWELVE_WEEKS_AHEAD: "range.state.twelve.weeks.ahead",
        CURRENT_QUARTER: "range.state.current.quarter",
        PREVIOUS_QUARTER: "range.state.previous.quarter",
        CUSTOM: "range.state.custom"
    };

    var DateRangeSelectionQualifier = {
        CURRENT_MONTH: "<%=DateRangeQualifier.CURRENT_MONTH%>",
        CURRENT_MONTH_TILL_TODAY: "<%=DateRangeQualifier.CURRENT_MONTH_TILL_TODAY%>",
        PREVIOUS_MONTH: "<%=DateRangeQualifier.PREVIOUS_MONTH%>",
        NEXT_MONTH: "<%=DateRangeQualifier.NEXT_MONTH%>",
        CURRENT_WEEK: "<%=DateRangeQualifier.CURRENT_WEEK%>",
        CURRENT_WEEK_TILL_TODAY: "<%=DateRangeQualifier.CURRENT_WEEK_TILL_TODAY%>",
        NEXT_WEEK: "<%=DateRangeQualifier.NEXT_WEEK%>",
        PREVIOUS_WEEK: "<%=DateRangeQualifier.PREVIOUS_WEEK%>",
        CURRENT_AND_PREVIOUS_WEEK: "<%=DateRangeQualifier.CURRENT_AND_PREVIOUS_WEEK%>",
        CURRENT_AND_TWO_PREVIOUS_WEEKS: "<%=DateRangeQualifier.CURRENT_AND_TWO_PREVIOUS_WEEKS%>",
        LAST_7_DAYS: "<%=DateRangeQualifier.LAST_7_DAYS%>",
        LAST_14_DAYS: "<%=DateRangeQualifier.LAST_14_DAYS%>",
        LAST_21_DAYS: "<%=DateRangeQualifier.LAST_21_DAYS%>",
        CURRENT_YEAR: "<%=DateRangeQualifier.CURRENT_YEAR%>",
        CURRENT_YEAR_TILL_TODAY: "<%=DateRangeQualifier.CURRENT_YEAR_TILL_TODAY%>",
        PREVIOUS_YEAR: "<%=DateRangeQualifier.PREVIOUS_YEAR%>",
        CURRENT_QUARTER: "<%=DateRangeQualifier.CURRENT_QUARTER%>",
        PREVIOUS_QUARTER: "<%=DateRangeQualifier.PREVIOUS_QUARTER%>",
        CUSTOM: "<%=DateRangeQualifier.CUSTOM%>"
    };

    var EvaDateStateUtil = {
        TODAY: "date.state.today",
        YESTERDAY: "date.state.yesterday",
        LAST_MONDAY: "date.state.last_monday",
        LAST_TUESDAY: "date.state.last_tuesday",
        LAST_WEDNESDAY: "date.state.last_wednesday",
        LAST_THURSDAY: "date.state.last_thursday",
        LAST_FRIDAY: "date.state.last_friday",
        LAST_SATURDAY: "date.state.last_saturday",
        LAST_SUNDAY: "date.state.last_sunday",
        END_OF_PREVIOUS_MONTH: "date.state.end_of_the_previous_month",
        BEGINNING_OF_CURRENT_MONTH: "date.state.beginning_of_the_current_month",
        CUSTOM_DATE: "date.state.custom"
    };

    var EvaDateQualifier = {
        TODAY: "<%=SingledDateQualifier.TODAY%>",
        YESTERDAY: "<%=SingledDateQualifier.YESTERDAY%>",

        LAST_MONDAY: "<%=SingledDateQualifier.LAST_MONDAY%>",
        LAST_TUESDAY: "<%=SingledDateQualifier.LAST_TUESDAY%>",
        LAST_WEDNESDAY: "<%=SingledDateQualifier.LAST_WEDNESDAY%>",
        LAST_THURSDAY: "<%=SingledDateQualifier.LAST_THURSDAY%>",
        LAST_FRIDAY: "<%=SingledDateQualifier.LAST_FRIDAY%>",
        LAST_SATURDAY: "<%=SingledDateQualifier.LAST_SATURDAY%>",
        LAST_SUNDAY: "<%=SingledDateQualifier.LAST_SUNDAY%>",

        END_OF_PREVIOUS_MONTH: "<%=SingledDateQualifier.END_OF_PREVIOUS_MONTH%>",
        BEGINNING_OF_CURRENT_MONTH: "<%=SingledDateQualifier.BEGINNING_OF_CURRENT_MONTH%>",

        CUSTOM: "<%=SingledDateQualifier.CUSTOM%>"
    };

    var NotificationType = {
        PERSONAL_TT: <%=NotificationType.PERSONAL_TT.getTypeId()%>,
        UNSUBMITTED_TT: <%=NotificationType.UNSUBMITTED_TT.getTypeId()%>,
        DEADLINE: <%=NotificationType.DEADLINE.getTypeId()%>,
        ESTIMATE: <%=NotificationType.ESTIMATE.getTypeId()%>,
        PROJECT_BUDGET: <%=NotificationType.PROJECT_BUDGET.getTypeId()%>,
        PERSONAL_EARNINGS: <%=NotificationType.PERSONAL_EARNINGS.getTypeId()%>
    };

    var RuleJavaClassNames = [];
    RuleJavaClassNames[NotificationType.PERSONAL_TT] = '<%=PersonalTTRule.class.getName()%>';
    RuleJavaClassNames[NotificationType.UNSUBMITTED_TT] = '<%=UnsubmittedTTRule.class.getName()%>';
    RuleJavaClassNames[NotificationType.DEADLINE] = '<%=DeadlineRule.class.getName()%>';
    RuleJavaClassNames[NotificationType.ESTIMATE] = '<%=EstimateRule.class.getName()%>';
    RuleJavaClassNames[NotificationType.PROJECT_BUDGET] = '<%=ProjectBudgetRule.class.getName()%>';
    RuleJavaClassNames[NotificationType.PERSONAL_EARNINGS] = '<%=PersonalEarningsRule.class.getName()%>';

    var CustomerManagementConstants = {
        CUSTOMER_CONCURRENTLY_DELETED: <%=AjaxActionErrorCodes.CUSTOMER_CONCURRENTLY_DELETED%>
    };

    var ProjectManagementConstants = {
        PROJECT_CONCURRENTLY_DELETED: <%=AjaxActionErrorCodes.PROJECT_CONCURRENTLY_DELETED%>
    };

    var TaskManagementConstants = {
        TASK_CONCURRENTLY_DELETED: <%=AjaxActionErrorCodes.TASK_CONCURRENTLY_DELETED%>,
        TASK_IS_NOT_ASSIGNED: <%=AjaxActionErrorCodes.TASK_IS_NOT_ASSIGED%>,
        CREATE_TASKS_NO_ASSIGNED_PROJECTS_ERROR_CODE: <%=AjaxActionErrorCodes.CREATE_TASKS_NO_ASSIGNED_PROJECTS_ERROR_CODE%>
    };

    var MoneyFilterRangeClassName = '<%=MoneyFilterRange.class.getName()%>';

    var JQUERY_RPC_ERROR_MESSAGES = {
        UNEXPECTED_ERROR: '<%=jsMessage(request, "error.js.json_rpc.unexpected_error", productName)%>',
        TIMEOUT: '<%=jsMessage(request, "error.js.json_rpc.timeout", productName)%>',
        SESSION_EXPIRED: '<%=jsMessage(request, "error.js.json_rpc.session_expired")%>',
        NO_RIGHTS: '<%=jsMessage(request, "error.js.json_rpc.no_rights")%>',
        PARSE_ERROR: '<%=jsMessage(request, "error.js.json_rpc.parse_error")%>',
        NETWORK_ERROR: '<%=jsMessage(request, "error.js.json_rpc.network_error", productName)%>',
        HTTP_ERROR: '<%=jsMessage(request, "error.js.json_rpc.http_error")%>',
        JSON_RPC_ERROR: '<%=jsMessage(request, "error.js.json_rpc.json_rpc_error")%>',
        EXCEPTION: '<%=jsMessage(request, "error.js.json_rpc.exception")%>',
        MESSAGE: '<%=jsMessage(request, "error.js.json_rpc.message")%>',
        TEXT_STATUS: '<%=jsMessage(request, "error.js.json_rpc.text_status")%>',
        ERROR_THROWN: '<%=jsMessage(request, "error.js.json_rpc.error_thrown")%>',
        MORE_INFO: '<%=jsMessage(request, "error.js.json_rpc.more_info")%>',
        FUTURE_HIRE_DATE: '<%=jsMessage(request, "error.js.json_rpc.account_disabled_due_to_future_hire_date")%>'
    };

    var AJAX_USER_ACTION_ERROR_CODES = {
        UNEXPECTED_ERROR: <%=AjaxActionErrorCodes.INTERNAL_ERROR_CODE%>,
        NO_ACTIVE_LICENSE: <%=AjaxActionErrorCodes.NO_ACTIVE_LICENSE_ERROR_CODE%>,
        LICENSE_VIOLATION: <%=AjaxActionErrorCodes.LICENSE_VIOLATION_ERROR_CODE%>,
        NO_SUCH_USER: <%=AjaxActionErrorCodes.NO_SUCH_USER_ERROR_CODE%>,
        SESSION_EXPIRED: <%=AjaxActionErrorCodes.SESSION_EXPIRED_ERROR_CODE%>,
        USER_IS_DISABLED: <%=AjaxActionErrorCodes.USER_IS_DISABLED_ERROR_CODE%>,
        NO_RIGHTS: <%=AjaxActionErrorCodes.NO_RIGHTS_ERROR_CODE%>,
        PRODUCT_MISMATCH: <%=AjaxActionErrorCodes.PRODUCT_MISMATCH_ERROR_CODE%>,
        INCORRECT_CHALLENGE_RESPONSE: <%=AjaxActionErrorCodes.INCORRECT_CHALLENGE_RESPONSE_ERROR_CODE%>,
        ERROR_STATE: <%=AjaxActionErrorCodes.ERROR_STATE_ERROR_CODE%>
    };

    var AJAX_USER_ACTION_ERROR_MESSAGES = {
        UNEXPECTED_ERROR: '<%=jsMessage(request, "error.js.lightbox_loader.unexpected_error", productName)%>',
        NO_ACTIVE_LICENSE: '<%=jsMessage(request, "error.js.lightbox_loader.no_active_license")%>',
        LICENSE_VIOLATION: '<%=jsMessage(request, "error.js.lightbox_loader.license_violation")%>',
        NO_SUCH_USER: '<%=jsMessage(request, "error.js.lightbox_loader.no_such_user")%>',
        USER_IS_DISABLED: '<%=jsMessage(request, "error.js.lightbox_loader.user_is_disabled", productName)%>'
    };

    var SupportMenuConstants = {
        sendQuestionURL: '<html:rewrite page="/sendquestion.do"/>',
        reportBugURL: '<html:rewrite page="/contactsupport.do"/>',
        requestFeatureURL: '<html:rewrite page="/requestfeature.do"/>',
        faqURL: "<html:rewrite page='/support/popups/faqpopup.do'/>",
        integrationPopupURL: '<html:rewrite page="/integration.do"/>'
    };

    var CustomerProjectConstants = {
        editProjectUrl: '<html:rewrite page="/editproject.do"/>',
        editCustomerUrl:  '<html:rewrite page="/project/customeredit.do"/>'
    };

    var AccessRight = {
    <%
    for(com.actimind.actitime.AccessRight accessRight : com.actimind.actitime.AccessRight.values()) {
        out.print( accessRight.name() ); out.print( ':' );
        out.print( accessRight.getValue() ); out.println( ',' ); }
    %>};

    var AccessRightsUtil = {};

    AccessRightsUtil.DependentAccessRightInfo = function DependentAccessRightInfo (rightCode, isGranted) {
        this.code = rightCode;
        this.isGranted = isGranted;
        this.makeCopy = function (inverseGranted) {
            return new AccessRightsUtil.DependentAccessRightInfo(this.code, inverseGranted ? !this.isGranted : this.isGranted);
        }
    };

    AccessRightsUtil.dependentRights = [
        <% for(int i = 0; i < AccessRightUtils.DEPENDENT_RIGHTS_RULES.length; i++) { %>
        {
            origin: new AccessRightsUtil.DependentAccessRightInfo(
                    <%=AccessRightUtils.DEPENDENT_RIGHTS_RULES[i].getOriginRight()%>,
                    <%=AccessRightUtils.DEPENDENT_RIGHTS_RULES[i].isOriginGranted()%>
            ),
            dependent: new AccessRightsUtil.DependentAccessRightInfo(
                    <%=AccessRightUtils.DEPENDENT_RIGHTS_RULES[i].getDependentRight()%>,
                    <%=AccessRightUtils.DEPENDENT_RIGHTS_RULES[i].isDependentGranted()%>
            )
        }<%=(i < AccessRightUtils.DEPENDENT_RIGHTS_RULES.length - 1 ? "," : "" )%>
        <% } %>
    ];

    /**
     * Searches for access right that should be changed along with the specified one.
     * @return AccessRightsUtil.DependentAccessRightInfo object representing dependent right
     */
    AccessRightsUtil.getDependentRight = function(code, isGranted)
    {
        for (var i = 0; i < AccessRightsUtil.dependentRights.length; i++) {
            if ((code == AccessRightsUtil.dependentRights[i].origin.code) &&
                (isGranted == AccessRightsUtil.dependentRights[i].origin.isGranted)) {
                return AccessRightsUtil.dependentRights[i].dependent.makeCopy(false);
            }
            if ((code == AccessRightsUtil.dependentRights[i].dependent.code) &&
                (isGranted != AccessRightsUtil.dependentRights[i].dependent.isGranted)) {
                return AccessRightsUtil.dependentRights[i].origin.makeCopy(true);
            }
        }
        return null;
    };



    var CalendarFrequencyType = {

        WEEKLY:       "<%=CalendarFrequencyType.WEEKLY%>",
        BIWEEKLY:     "<%=CalendarFrequencyType.BIWEEKLY%>",
        SEMI_MONTHLY: "<%=CalendarFrequencyType.SEMI_MONTHLY%>",
        MONTHLY:      "<%=CalendarFrequencyType.MONTHLY%>",
        YEARLY:       "<%=CalendarFrequencyType.YEARLY%>",
        ON_HIRE_DATE:       "<%=CalendarFrequencyType.ON_HIRE_DATE%>",

        descriptionFor: {
            "<%=CalendarFrequencyType.WEEKLY%>":       "<%=jsMessage(request, "common.calendar_frequency.weekly")%>",
            "<%=CalendarFrequencyType.BIWEEKLY%>":     "<%=jsMessage(request, "common.calendar_frequency.biweekly")%>",
            "<%=CalendarFrequencyType.SEMI_MONTHLY%>": "<%=jsMessage(request, "common.calendar_frequency.semi_monthly")%>",
            "<%=CalendarFrequencyType.MONTHLY%>":      "<%=jsMessage(request, "common.calendar_frequency.monthly")%>",
            "<%=CalendarFrequencyType.YEARLY%>":       "<%=jsMessage(request, "common.calendar_frequency.yearly")%>",
            "<%=CalendarFrequencyType.ON_HIRE_DATE%>": "<%=jsMessage(request, "common.calendar_frequency.on_hire_date")%>"
        },

        parametersFormatterFor: {
            "<%=CalendarFrequencyType.WEEKLY%>":       function(parameters) {
                return messageResource.getMessage("pto_rules_editor.on") + " " + Date.dayNamesShort[ parseInt(parameters[0]) - 1];
            },
            "<%=CalendarFrequencyType.BIWEEKLY%>":     function(parameters) {
                // TODO
            },
            "<%=CalendarFrequencyType.SEMI_MONTHLY%>": function(parameters) {
                return messageResource.getMessage("pto_rules_editor.on") + " " + formatMonthDay(parameters[0]) + ' & ' + formatMonthDay(parameters[1]);
            },
            "<%=CalendarFrequencyType.MONTHLY%>":      function(parameters) {
                return messageResource.getMessage("pto_rules_editor.on") + " " + formatMonthDay(parameters[0]);
            },
            "<%=CalendarFrequencyType.YEARLY%>":       function(parameters) {
                var date = Date.create(2000, Number(parameters[0]) - 1, Number(parameters[1]));
                return messageResource.getMessage("pto_rules_editor.on") + " " + date.format("M d");
            },
            "<%=CalendarFrequencyType.ON_HIRE_DATE%>":       function(parameters) {
                var hireDate = parameters[0];
                if(!hireDate || "" == hireDate) {
                    return "";
                }
                var parsedDate = new Date.parseJSONDate(hireDate);
                return messageResource.getMessage("balance_rules_editor.hire_date", [parsedDate.format("M d")]);
            }
        }
    };


    var LeaveTimeRequestStatus = {
        REQUESTED: <%=String.valueOf( LeaveTimeRequestBean.STATUS_REQUESTED )%>,
        APPROVED: <%=String.valueOf( LeaveTimeRequestBean.STATUS_APPROVED )%>,
        REJECTED: <%=String.valueOf( LeaveTimeRequestBean.STATUS_REJECTED )%>
    };

    var LeaveBalanceCorrectionType = {
        ADD: "<%=BalanceCorrectionType.ADD%>",
        SUB: "<%=BalanceCorrectionType.SUB%>",
        SET: "<%=BalanceCorrectionType.SET%>"
    };

    var LeaveBalanceUnits = {
        HOURS: "<%=BalanceUnits.HOURS%>",
        DAYS:  "<%=BalanceUnits.DAYS%>"
    };


    var Product = {
        actiTIME: "<%=Product.actiTIME%>",
        actiPLANS: "<%=Product.actiPLANS%>"
    };

    var DHTMLColors = {
        mouseOverHighlightColor: '<%=ColorHelper.getColor(  "highlight.bg.color", request )%>',
        onClickHighlightColor: '<%=ColorHelper.getColor(  "highlight.bg.color", request )%>',
        beingSavedColor: '<%=ColorHelper.getColor(  "being.saved.bg.color", request )%>'
    };

    var EffectiveWeekApprovalStatus = {
        NOT_READY: "<%=EffectiveWeekApprovalStatus.NOT_READY%>",
        READY: "<%=EffectiveWeekApprovalStatus.READY%>",
        APPROVED: "<%=EffectiveWeekApprovalStatus.APPROVED%>",
        REJECTED: "<%=EffectiveWeekApprovalStatus.REJECTED%>",
        AUTO_APPROVED: "<%=EffectiveWeekApprovalStatus.AUTO_APPROVED%>"
    };

    var WeekApprovalStatus = {
        NOT_READY: "<%=WeekApprovalStatus.NOT_READY%>",
        READY: "<%=WeekApprovalStatus.READY%>",
        APPROVED: "<%=WeekApprovalStatus.APPROVED%>",
        REJECTED: "<%=WeekApprovalStatus.REJECTED%>"
    };

    var DiacriticsUtilConstants = {};

    DiacriticsUtilConstants.DIACRITICS = [<%
    for( String s : DiacriticsInsensitiveRegexpBuilder.getDiacritics() ) { out.print("\n\""); out.print(s); out.print("\","); } %>
    ];

    DiacriticsUtilConstants.DIACRITICS_REVERSE_MAP = {<%
    for(Map.Entry<Character, Character> e: DiacriticsInsensitiveRegexpBuilder.getDiacriticsReversMap().entrySet())
    {
        out.print( "\n\"" );
        out.print( e.getKey() );
        out.print( "\":\"");
        out.print( e.getValue() );
        out.print( "\",");
    }
    %>
    };

    DiacriticsUtilConstants.LIGATURES = {<%
    for(Map.Entry<Character, Map<Character, String>> e1: DiacriticsInsensitiveRegexpBuilder.getLigatures().entrySet())
    {
        out.print( "\n\"" );
        out.print( e1.getKey() );
        out.print( "\":{");
        for(Map.Entry<Character, String> e2: e1.getValue().entrySet())
        {
            out.print( '"' );
            out.print( e2.getKey() );
            out.print( "\":\"");
            out.print( e2.getValue() );
            out.print( "\",");
        }
        out.print( "},");
    }
    %>
    };

    DiacriticsUtilConstants.LIGATURES_REVERSE_MAP = {<%
    for(Map.Entry<Character, String> e: DiacriticsInsensitiveRegexpBuilder.getLigaturesReversMap().entrySet())
    {
        out.print( "\n\"" );
        out.print( e.getKey() );
        out.print( "\":\"");
        out.print( e.getValue() );
        out.print( "\",");
    }
    %>
    };


    var CoarseSelection = {};
    CoarseSelection.SPECIFIC = '<%=CustomersProjectsSelector.SELECT_SPECIFIC_CUSTOMERS_PROJECTS%>';
    CoarseSelection.ALL_ACTIVE = '<%=CustomersProjectsSelector.SELECT_ALL_ACTIVE_CUSTOMERS_PROJECTS%>';
    CoarseSelection.ALL = '<%=CustomersProjectsSelector.SELECT_ALL_CUSTOMERS_PROJECTS%>';

    //constants for c&p selector options
    var CustomersProjectsSelectionQualifier = {
        ALL : '<%=CustomersProjectsSelectionQualifier.ALL%>',
        ALL_ACTIVE : '<%=CustomersProjectsSelectionQualifier.ALL_ACTIVE%>',
        SELECTED : '<%=CustomersProjectsSelectionQualifier.SELECTED%>'
    };

    var USER_GUIDE_URL = "<%=ProductWebSiteURLs.get( constants_js_product ).getUserGuideURL()%>";

    // This constant is used when TTA Feature is turned on with confirmation dialog
    // and when rejecting/approving/revoking requests on Approve TT interface
    var LONG_RPC_TIMEOUT = 300000;


    var ReportGroupingLevel =
    {
        NONE: "<%=GroupingLevel.NONE%>",

        USER: "<%=GroupingLevel.USER%>",
        USER_GROUP: "<%=GroupingLevel.USER_GROUP%>",
        TIME_ZONE_GROUP: "<%=GroupingLevel.TIME_ZONE_GROUP%>",
        USER_RATE: "<%=GroupingLevel.USER_RATE%>",

        CUSTOMER: "<%=GroupingLevel.CUSTOMER%>",
        PROJECT: "<%=GroupingLevel.PROJECT%>",
        PROJECT_NAME: "<%=GroupingLevel.PROJECT_NAME%>",
        TASK: "<%=GroupingLevel.TASK%>",
        TASK_NAME: "<%=GroupingLevel.TASK_NAME%>",

        BILLING_TYPE: "<%=GroupingLevel.BILLING_TYPE%>",

        TT_COMMENTS: "<%=GroupingLevel.TT_COMMENTS%>",

        TASK_AND_TT_COMMENTS: "<%=GroupingLevel.TASK_AND_TT_COMMENTS%>",
        PROJECT_AND_TT_COMMENTS: "<%=GroupingLevel.PROJECT_AND_TT_COMMENTS%>",
        CUSTOMER_AND_TT_COMMENTS: "<%=GroupingLevel.CUSTOMER_AND_TT_COMMENTS%>",

        DATE: "<%=GroupingLevel.DATE%>",
        WEEK: "<%=GroupingLevel.WEEK%>",
        MONTH: "<%=GroupingLevel.MONTH%>"
    };

    var Features = {};
    var EnabledFeatures = {};
    //TODO: evdokimov constants_js.jsp sometimes included twice
    <%  for( Feature feature : Feature.values() ) { %>
            EnabledFeatures.<%=feature.name()%> = <%=FeaturesUtil.getFeatures(  ).isEnabled(feature)%>;
            Features["<%=feature.name()%>"] = "<%=feature.name()%>";
    <%  } %>

    var ReportType =
    {
        STAFF_PERFORMANCE: "<%= ReportType.STAFF_PERFORMANCE %>",
        OVERTIME: "<%= ReportType.OVERTIME %>",
        LEAVE_TIME: "<%= ReportType.LEAVE_TIME %>",
        TIME_TRACK_IN_DETAIL: "<%= ReportType.TIME_TRACK_IN_DETAIL %>",
        ESTIMATED_VS_ACTUAL: "<%= ReportType.ESTIMATED_VS_ACTUAL %>",

        BILLING_SUMMARY: "<%= ReportType.BILLING_SUMMARY %>",
        INVOICING: "<%= ReportType.INVOICING %>",
        COST_OF_WORK: "<%= ReportType.COST_OF_WORK %>",
        PROFIT_LOSS: "<%= ReportType.PROFIT_LOSS %>"
    };

    var ReportFormat =
    {
        HTML: "<%= ReportFormat.HTML %>",
        CSV: "<%= ReportFormat.CSV %>",
        PDF: "<%= ReportFormat.PDF %>"
    };

    var LeaveTypeSelectionQualifier = {
        ALL: '<%=LeaveTypeSelectionQualifier.ALL%>',
        SELECTED: '<%=LeaveTypeSelectionQualifier.SELECTED%>'
    };

    var LeaveTypeBalanceQualifier = {
        SICK_DAYS_ONLY: '<%=LeaveTypeBalanceQualifier.SICK_DAYS_ONLY%>',
        PTO_ONLY: '<%=LeaveTypeBalanceQualifier.PTO_ONLY%>',
        PTO_AND_SICK_DAYS: '<%=LeaveTypeBalanceQualifier.PTO_AND_SICK_DAYS%>'
    };

    var LeaveTypeColumnConfig = {
        LEAVE_TIME_ONLY: '<%=LeaveColumnsConfig.LEAVE_TIME_ONLY%>',
        BALANCES_ONLY: '<%=LeaveColumnsConfig.BALANCES_ONLY%>',
        LEAVE_TIME_AND_BALANCES: '<%=LeaveColumnsConfig.LEAVE_TIME_AND_BALANCES%>'
    };

    var ReportConfigConstants = {
        LEAVES_REPORT_ALL_SELECTED_LEAVES_DELETED: <%=AjaxActionErrorCodes.LEAVES_REPORT_ALL_SELECTED_LEAVES_DELETED%>,
        NO_RIGHTS_FOR_MANAGING_PTO_AND_SICK: <%=AjaxActionErrorCodes.NO_RIGHTS_FOR_MANAGING_PTO_AND_SICK%>,
        ALL_SELECTED_FOR_REPORT_USERS_WERE_DELETED: <%=AjaxActionErrorCodes.ALL_SELECTED_FOR_REPORT_USERS_WERE_DELETED%>,
        ALL_SELECTED_FOR_REPORT_PROJECTS_ARE_UNAVAILABLE_OR_DELETED: <%=AjaxActionErrorCodes.ALL_SELECTED_FOR_REPORT_PROJECTS_ARE_UNAVAILABLE_OR_DELETED%>,
        OVERTIME_FOR_ALL_SELECTED_USERS_WAS_DISABLED: <%=AjaxActionErrorCodes.OVERTIME_FOR_ALL_SELECTED_USERS_WAS_DISABLED%>,
        NO_BILLABLE_TASKS: <%=AjaxActionErrorCodes.NO_BILLABLE_TASKS%>,
        SAVED_REPORTS_PAGE_URL: '<html:rewrite page="/reports/reports.do"/>'
    };

    var TimeApprovalStatus = {
        APPROVED :     '<%=TimeApprovalStatus.APPROVED%>',
        NOT_APPROVED : '<%=TimeApprovalStatus.NOT_APPROVED%>',
        BOTH :         '<%=TimeApprovalStatus.BOTH%>'
    };

    var StaffPerformanceColumnsConfig = {
        USERS_ONLY : '<%=StaffPerformanceColumnsConfig.USERS_ONLY%>',
        GROUPS_ONLY : '<%=StaffPerformanceColumnsConfig.GROUPS_ONLY%>',
        USERS_BY_GROUPS_WITHOUT_SUBTOTALS : '<%=StaffPerformanceColumnsConfig.USERS_BY_GROUPS_WITHOUT_SUBTOTALS%>',
        USERS_BY_GROUPS_WITH_SUBTOTALS : '<%=StaffPerformanceColumnsConfig.USERS_BY_GROUPS_WITH_SUBTOTALS%>',
        TZ_GROUPS_ONLY:'<%=StaffPerformanceColumnsConfig.TZ_GROUPS_ONLY%>',
        USERS_BY_TIME_ZONE_GROUPS_WITHOUT_SUBTOTALS:'<%=StaffPerformanceColumnsConfig.USERS_BY_TZ_GROUPS_WITHOUT_SUBTOTALS%>',
        USERS_BY_TIME_ZONE_GROUPS_WITH_SUBTOTALS:'<%=StaffPerformanceColumnsConfig.USERS_BY_TZ_GROUPS_WITH_SUBTOTALS%>'
    };

    var ReportColumnsFormatCostOfWork ={
        USERS_ONLY : "<%= CostReportColumnsConfig.USERS%>",
        GROUPS_ONLY: "<%= CostReportColumnsConfig.GROUPS%>",
        USERS_BY_GROUPS: "<%= CostReportColumnsConfig.USERS_BY_GROUPS%>"
    };

    // TODO: Shouldn't it be ReportTimeFormat?
    var TimeFormat = {
        DECIMAL: '<%= com.actimind.actitime.services.beans.report.TimeFormat.DECIMAL%>',
        TIME: '<%= com.actimind.actitime.services.beans.report.TimeFormat.TIME%>'
    };

    var BillingSummaryReportInfo = {
        TIME_ON_BILLABLE_TASKS: '<%=BillingSummaryReportInfo.TIME_ON_BILLABLE_TASKS%>',
        TIME_ON_NON_BILLABLE_TASKS: '<%=BillingSummaryReportInfo.TIME_ON_NON_BILLABLE_TASKS%>',
        TIME_ON_BOTH_BILLABLE_AND_NON_BILLABLE_TASKS: '<%=BillingSummaryReportInfo.TIME_ON_BOTH_BILLABLE_AND_NON_BILLABLE_TASKS%>',
        BILLABLE_AMOUNT: '<%=BillingSummaryReportInfo.BILLABLE_AMOUNT%>',
        BILLABLE_TIME_AND_BILLABLE_AMOUNT: '<%=BillingSummaryReportInfo.BILLABLE_TIME_AND_BILLABLE_AMOUNT%>',
        BILLABLE_TIME_AND_BILLABLE_AMOUNT_WITH_AVERAGE_RATES: '<%=BillingSummaryReportInfo.BILLABLE_TIME_AND_BILLABLE_AMOUNT_WITH_AVERAGE_RATES%>'
    };

    var BillingReportType = {
        ALL_TIME_WITHIN_DATE_RANGE: '<%=BillingReportType.ALL_TIME_WITHIN_DATE_RANGE%>',
        ONLY_FOR_COMPLETED_TASKS: '<%=BillingReportType.ONLY_FOR_COMPLETED_TASKS%>'
    };

    var BillingTypeCommon = {
        NON_BILLABLE_DEFAULT_TYPE_ID: <%=BillingTypeBean.NON_BILLABLE_DEFAULT_ID%>
    };

    var ReportChartType = {
        TOTAL_WORKING_HOURS: '<%=ReportChartType.TOTAL_WORKING_HOURS%>',
        APPROVED_WORKING_HOURS: '<%=ReportChartType.APPROVED_WORKING_HOURS%>',
        LEAVE_HOURS: '<%=ReportChartType.LEAVE_HOURS%>',
        PTO_BALANCE: '<%=ReportChartType.PTO_BALANCE%>',
        SICK_DAYS_BALANCE: '<%=ReportChartType.SICK_DAYS_BALANCE%>',
        OVERTIME_HOURS: '<%=ReportChartType.OVERTIME_HOURS%>',
        COST_OF_WORK: '<%=ReportChartType.COST_OF_WORK%>',
        BILLABLE_AMOUNTS: '<%=ReportChartType.BILLABLE_AMOUNTS%>'
    };

    var ChartColor ={};
    ChartColor['<%=ChartColor.DEFAULT%>'] = '#5f94c5';
    ChartColor['<%=ChartColor.AZUREBLUE%>'] = '#7FACD7';
    ChartColor['<%=ChartColor.AQUAMARINE%>'] = '#4EBDD4';
    ChartColor['<%=ChartColor.FERNGREEN%>'] = '#6DBB7A';
    ChartColor['<%=ChartColor.YELLOWGREEN%>'] = '#AFD05B';
    ChartColor['<%=ChartColor.CHARCOALGREY%>'] = '#95a9ba';
    ChartColor['<%=ChartColor.PURPLE%>'] = '#995FBF';
    ChartColor['<%=ChartColor.ORANGE%>'] ='#E2B145';
    ChartColor['<%=ChartColor.RED%>'] ='#CA575B';

    ChartType = {
        VERTICAL_BAR: '<%=com.actimind.actitime.services.beans.report.charts.ChartType.VERTICAL_BAR%>',
        HORIZONTAL_BAR: '<%=com.actimind.actitime.services.beans.report.charts.ChartType.HORIZONTAL_BAR%>',
        PIE_CHART: '<%=com.actimind.actitime.services.beans.report.charts.ChartType.PIE_CHART%>'
    };

    var PaperSize = {
        LETTER: '<%=PaperSize.LETTER%>',
        A4: '<%=PaperSize.A4%>'
    };

    var ChartPieTheme = {
        NONE : '<%= ChartPieTheme.NONE%>',
        LIGHT : '<%= ChartPieTheme.LIGHT%>'
    };

    var ViewTTTableSortOptions = {
        BY_DAYS : '<%=TableSortOptions.BY_DAYS%>',
        BY_HIERARCHY: '<%=TableSortOptions.BY_HIERARCHY%>'
    };

    var ViewTTChartType = {
        BY_DAYS : '<%=com.actimind.actitime.services.beans.viewtt.ChartType.BY_DAYS%>',
        BY_PROJECTS : '<%=com.actimind.actitime.services.beans.viewtt.ChartType.BY_PROJECTS%>',
        BY_CUSTOMERS : '<%=com.actimind.actitime.services.beans.viewtt.ChartType.BY_CUSTOMERS%>'
    };

    var ChartSortOptions = {
        ALPHABETICALLY : '<%=SortOption.ALPHABETICALLY%>',
        BY_VALUES : '<%=SortOption.BY_VALUES%>',
        CHRONOLOGICALLY : '<%=SortOption.CHRONOLOGICALLY%>'
    };

    var PaperOrientation = {
        PORTRAIT: '<%=PaperOrientation.PORTRAIT%>',
        LANDSCAPE: '<%=PaperOrientation.LANDSCAPE%>'
    };

    var BalanceType = {
        PTO: '<%=BalanceType.PTO%>',
        SICK: '<%=BalanceType.SICK%>'
    };

    var MAX_ALLOWED_DATE_FOR_TIME_TRACK = new Date(
            <%= TimeUtils.getYear( TimeUtils.today( TimeUtils.getSystemTimeZone() ) ) + TimeUtils.MAX_TIME_TRACK_YEAR_OFFSET %>, 11, 31, 12, 0, 0
    );

    var LeaveBalanceFilter = {
        ALL: '<%=LeaveBalancesFilter.ALL%>',
        PTO: '<%=LeaveBalancesFilter.PTO%>',
        SICK: '<%=LeaveBalancesFilter.SICK%>'
    };
    var isOlVersion = '<%=ATGlobals.isOl()%>' == 'true';
    var isDemoVersion = '<%=ATGlobals.isDemoMode()%>' == 'true';

    var GroupType = {
        USER_GROUP: '<%=GroupType.USER_GROUP%>',
        TIME_ZONE_GROUP: '<%=GroupType.TIME_ZONE_GROUP%>'
    };

    var DEFAULT_TIME_ZONE_GROUP_ID = <%=Constants.DEFAULT_TIME_ZONE_GROUP_ID%>;
    var USERS_WITHOUT_GROUP_ID = <%=Constants.USERS_WITHOUT_GROUP_ID%>;
    var DEFAULT_PERMISSIONS_TEMPLATE_ID = <%=Constants.DEFAULT_PERMISSIONS_TEMPLATE_ID%>;

    var PastLeaveRequestsProcessType = {
        AUTOMATICALLY_APPROVE_PAST_LEAVES: '<%= PastLeaveRequestsProcessType.AUTOMATICALLY_APPROVE_PAST_LEAVES%>',
        AUTOMATICALLY_REJECT_PAST_LEAVES:  '<%= PastLeaveRequestsProcessType.AUTOMATICALLY_REJECT_PAST_LEAVES%>'
    };

    var InviteColleaguesResult = {
        OK_RESULT_CODE : <%= BaseUserManagementService.InviteColleaguesResult.OK_RESULT_CODE %>,
        WARNING_ACCOUNT_DISABLED_DUE_TO_LICENSE_TERMS : <%= BaseUserManagementService.InviteColleaguesResult.WARNING_ACCOUNT_DISABLED_DUE_TO_LICENSE_TERMS %>
    };

    var N_DAYS_IN_PAST_FOR_SHOW_APPROVED_REJECTED_REQUESTS = <%=Constants.N_DAYS_IN_PAST_FOR_SHOW_APPROVED_REJECTED_REQUESTS%>;

    var MAX_RATE = <%=Constants.MAX_RATE%>;

    var APReportChartType = {
        LEAVE_TIME: '<%=com.actimind.actiplans.services.beans.leavereport.ChartType.LEAVE_TIME%>',
        PTO_BALANCE: '<%=com.actimind.actiplans.services.beans.leavereport.ChartType.PTO_BALANCE%>',
        SICK_BALANCE: '<%=com.actimind.actiplans.services.beans.leavereport.ChartType.SICK_BALANCE%>'
    };

    var APReportChartSortOption = {
        BY_VALUES: '<%= ChartSortType.BY_VALUES%>',
        BY_CATEGORY: '<%= ChartSortType.BY_CATEGORY%>'
    };

    var UserListSortConstant = {
        ORDER_BY_USERNAME: '<%=UserListSortConstant.ORDER_BY_USERNAME%>',
        ORDER_BY_USER_GROUP: '<%=UserListSortConstant.ORDER_BY_USER_GROUP%>',
        ORDER_BY_TIME_ZONE_GROUP: '<%=UserListSortConstant.ORDER_BY_TIME_ZONE_GROUP%>'
    };

    var TaskSortBy = {
        CUSTOMER: '<%=TaskManager.TaskSortBy.CUSTOMER%>',
        PROJECT: '<%=TaskManager.TaskSortBy.PROJECT%>',
        TASK: '<%=TaskManager.TaskSortBy.TASK%>',
        STATUS: '<%=TaskManager.TaskSortBy.STATUS%>',
        ESTIMATE: '<%=TaskManager.TaskSortBy.ESTIMATE%>',
        DEADLINE: '<%=TaskManager.TaskSortBy.DEADLINE%>',
        LAST_TRACKING_DATE: '<%=TaskManager.TaskSortBy.LAST_TRACKING_DATE%>'
    };

    var TaskStatusFilter = {
        OPEN: '<%=TaskManager.TaskStatusFilterEnum.OPEN%>',
        COMPLETED: '<%=TaskManager.TaskStatusFilterEnum.COMPLETED%>',
        ALL: '<%=TaskManager.TaskStatusFilterEnum.ALL%>'
    };

</script>
