function WorkdayDurationsViewer() {}

WorkdayDurationsViewer.prototype = _.create(WorkdayDurationsEditor.prototype);

WorkdayDurationsViewer.prototype.init = function( durations, weekStartDay, changesCallback, showHeader, invalidTooltipMessage )
{
    WorkdayDurationsEditor.prototype.init.call(this, durations, weekStartDay, changesCallback, showHeader, invalidTooltipMessage );

    for( var i = 0; i < this.inputs.length; i++ )
            this.inputs[i].readOnly = true;
    return this;
};

WorkdayDurationsViewer.prototype.getTableClassName = function( ) {
    return "wdEditor modificationsProhibited";
};

WorkdayDurationsViewer.prototype.onBlur = function( input )
{
    input.value = trim( input.value );
    this.removeBorderClasses( input.parentNode, "focus" );
};

