function AssignmentsTooltip() {}

AssignmentsTooltip.prototype = new DelayTooltip();

AssignmentsTooltip.prototype.updateUI = function ( config )
{
    var text;

    if (config.isHelp) {

        this.needDelay(true);

        this._tooltipEl.addClass("help");
        text = messageResource.getEscapedMessage( "userlist.js.project_assignments.tooltip.help"  );
    } else {

        this.needDelay(false);

        this._tooltipEl.removeClass("help");
        text = messageResource.getEscapedMessage( "userlist.js.project_assignments.tooltip.part1", [ config.fullusername ] );
        text += "<br><br>" ;
        text += messageResource.getEscapedMessage( "userlist.js.project_assignments.tooltip.part2", [ config.fullusername ] );
    }

    this._tooltipTextPlaceholder.html( text );
};
