/**
 * Gradient button implementation, rendered as an div tag with span with text inside.
 */
AT.GradientButton = Ext.extend(Ext.Button, {
    overCls: 'hover',
    buttonSelector: "span:first-child",
    icon: "",

    initComponent: function() {
        AT.FlatButton.superclass.initComponent.call(this);
        this.template = new Ext.Template('<div><span>{0}</span></div>');
    }
});

Ext.reg("at_gradient_button", AT.GradientButton);