Ext.namespace('AT.menu');

AT.menu.PickerItem = Ext.extend(Ext.menu.DateItem, {

    constructor : function(config, picker)
    {
        this.picker = picker;

        Ext.menu.DateItem.superclass.constructor.call(this, this.picker, config);

        this.addEvents('select');

        this.picker.on("render", function(picker)
        {
            picker.getEl().swallowEvent("click");
            picker.container.addClass("x-menu-date-item");
        });

        this.picker.on("select", this.onSelect, this);
    }
});

Ext.extend(AT.menu.PickerItem, Ext.menu.Adapter,
{
   // private
   onSelect : function(picker, date)
   {
       this.fireEvent("select", this, date, picker);
       AT.menu.PickerItem.superclass.handleClick.call(this);
   }
});
