Ext.namespace('AT.menu');

AT.menu.WeekPickerItem = Ext.extend(Ext.menu.DateItem,{
    constructor : function(config)
    {
        AT.menu.WeekPickerItem.superclass.constructor.call(this, new AT.WeekPicker(config), config);

        this.picker = this.component;
        this.addEvents('select');

        this.picker.on("render", function(picker)
        {
            picker.getEl().swallowEvent("click");
            picker.container.addClass("x-menu-date-item");
        });

        this.picker.on("select", this.onSelect, this);
    }
});

Ext.extend(AT.menu.WeekPickerItem, Ext.menu.Adapter,
{
    // private
    onSelect : function(picker, date)
    {
        this.fireEvent("select", this, date, picker);
        AT.menu.WeekPickerItem.superclass.handleClick.call(this);
    }
});
