Ext.namespace("AT");

/**
 * @see AT.TreeNodeHelper
 *
 * Depends on:
 * <code>/js/notifications/at_tree_node_helper.js</code>
 * <code>/js/message_resources.js</code>
 *
 * @constructor
 */
AT.UserTreeNodeHelper = Ext.extend(AT.TreeNodeHelper, {

    constructor: function(config) {
        this.userHelper = new AT.ComplicateUsersAndGroupsSelectionHelper(
        {
            propertiesController: config.propertiesController,
            accessRight: config.accessRight,
            checkEmail: config.checkEmail
        });
        AT.UserTreeNodeHelper.superclass.constructor.call(this, config);
    },

    /**
     * @see AT.TreeNodeHelper
     */
    getStatusSuffix: function ( item )
    {
        var disabledSuffix = this.getDisabledSuffix( item );
        var statusSuffiix = this.userHelper.getListDescriptionItemStatus(item);
        return concatStr( disabledSuffix, statusSuffiix, " " );
    }

});