function CustomerProjectSelectorEmptyMessageBuilder(isFiltered)
{
    EmptyMessageBuilder.call(this);
    this.isFiltered = isFiltered;
}

CustomerProjectSelectorEmptyMessageBuilder.prototype = _.create(EmptyMessageBuilder.prototype, {
    createMessages: function()
    {
        this.messages["noNodesMatchingSearch"] = messageResource.getEscapedMessage("projects_customers_selector.no_results_in_search");
        this.messages["noSelectedNodes"] = messageResource.getEscapedMessage("projects_customers_selector.hide_not_selected.no_users_or_groups_selected");
        this.messages["noSelectedNodesHasDisabled"] = messageResource.getEscapedMessage("projects_customers_selector.hide_not_selected.only_disabled");
        this.messages["emptyTree"] = messageResource.getEscapedMessage(this.isFiltered ? "projects_customers_selector.no_customers_and_projects_exists_filtered" :
                                                                       "projects_customers_selector.no_customers_and_projects_exists");
        this.messages["noActiveNodes"] = messageResource.getEscapedMessage(this.isFiltered ? "projects_customers_selector.no_active_customers_and_projects_exists_filtered" :
                                                                           "projects_customers_selector.no_active_customers_and_projects_exists");
    }
});