function CustomerProjectSelectorOnlyProjectsEmptyMessageBuilder(isFiltered)
{
    CustomerProjectSelectorEmptyMessageBuilder.call(this);
    this.isFiltered = isFiltered;
}

CustomerProjectSelectorOnlyProjectsEmptyMessageBuilder.prototype = _.create(CustomerProjectSelectorEmptyMessageBuilder.prototype, {
    createMessages: function()
    {
        this.messages["noNodesMatchingSearch"] = messageResource.getEscapedMessage("projects_customers_selector.no_projects_in_search");
        this.messages["noSelectedNodes"] = messageResource.getEscapedMessage("projects_customers_selector.hide_not_selected.no_projects_selected");
        this.messages["noSelectedNodesHasDisabled"] = messageResource.getEscapedMessage("projects_customers_selector.hide_not_selected.only_disabled_projects");
        this.messages["emptyTree"] = messageResource.getEscapedMessage(this.isFiltered ? "projects_customers_selector.no_projects_exists_filtered" :
                                                                       "projects_customers_selector.no_projects_exists");
        this.messages["noActiveNodes"] = messageResource.getEscapedMessage(this.isFiltered ? "projects_customers_selector.no_active_projects_exists_filtered" :
                                                                           "projects_customers_selector.no_active_projects_exists");
    }
});