    function CustomerProjectOutputData( customerName, projectName, entityArchived ) {
        this.customerName = customerName;
        this.projectName = projectName;
        this.entityArchived = entityArchived;
    }

    function CPSelectorClientUtil() {

    }

    CPSelectorClientUtil.DEFAULT_SPINNER_OPTS = {
        lines: 11, // The number of lines to draw
        length: 4, // The length of each line
        width: 3, // The line thickness
        radius: 8, // The radius of the inner circle
        corners: 1, // Corner roundness (0..1)
        rotate: 0, // The rotation offset
        direction: 1, // 1: clockwise, -1: counterclockwise
        color: '#a0a0a0', // #rgb or #rrggbb
        speed: 1, // Rounds per second
        trail: 60, // Afterglow percentage
        shadow: false, // Whether to render a shadow
        hwaccel: false, // Whether to use hardware acceleration
        className: 'spinner', // The CSS class to assign to the spinner
        zIndex: 2e9, // The z-index (defaults to 2000000000)
        top: 'auto', // Top position relative to parent in px
        left: 'auto' // Left position relative to parent in px
    };

    CPSelectorClientUtil.makePredefinedSelection = function(panel, state, outputData) {
        if (state.optionValue == CoarseSelection.SPECIFIC) {
            //slice(0) is a workaround in purpose of array cloning
            var selectedCustomers = state.selection.getFirstLevel().slice(0);
            var selectedProjects = state.selection.getSecondLevel().slice(0);
            if (selectedCustomers.length + selectedProjects.length == 1) {
                if (selectedProjects.length == 0) {
                    selectedCustomers[0] = new Customer(selectedCustomers[0], outputData.customerName,
                                                        outputData.entityArchived);
                } else {
                    selectedProjects[0] = new Project(selectedProjects[0], outputData.projectName,
                                                      outputData.entityArchived);
                }
            }
            return panel.getSelectionHelper().getDescription(new TwoLevelSelection(selectedCustomers, selectedProjects), undefined, state.showInactive);
        } else if (state.optionValue == CoarseSelection.ALL) {
            return panel.getAllSelectedMessage();
        } else {
            return panel.getAllActiveItemsMessage();
        }
    };

    CPSelectorClientUtil.handleChange = function(panel) {
        if (panel.isAlreadyShown()) {
            handleChange(true);
        }
    };
