CPTManagement.DeleteConfirmationDialog.BlockedTasksList = function($containerEl, entities, otherBlockedTaskCount)
{
    CPTManagement.DeleteConfirmationDialog.BlockedList.call(this, $containerEl, entities);
    this.otherBlockedTaskCount = otherBlockedTaskCount;
};

CPTManagement.DeleteConfirmationDialog.BlockedTasksList.prototype = _.create(CPTManagement.DeleteConfirmationDialog.BlockedList.prototype, {
    getEntitySubtitle: function(entity)
    {
        return CustomerStore.get(entity.customerId).name + " / " + ProjectStore.get(entity.projectId).name
    },

    getEntityTitle: function(entity)
    {
        return entity.name
    },

    additionListItems: function()
    {
        if (this.otherBlockedTaskCount == 0)
            return [];
        else if (this.otherBlockedTaskCount == 1)
            return [{title: messageResource.getMessage("delete.confirm.dialog.can_not_deleted.other_task")}];
        else
            return [{title: messageResource.getMessage("delete.confirm.dialog.can_not_deleted.other_tasks", [this.otherBlockedTaskCount])}];

    }
});