CPTManagement.DeleteProjectPopupConfirmationDialog = function(config)
{
    CPTManagement.DeleteConfirmationDialog.call(this, config);
};

CPTManagement.DeleteProjectPopupConfirmationDialog.prototype = _.create(CPTManagement.DeleteConfirmationDialog.prototype, {
    titleText: function()
    {
        return messageResource.getEscapedMessage("delete.confirm.dialog.cp.popup.project", [this.entityName]);
    },

    firstOrangeSentence: function()
    {
        return messageResource.getMessage("delete.confirm.dialog.cp.popup.first_orange_sentence", [messageResource.getMessage("common.Project")]);
    },

    secondOrangeSentence: function()
    {
        return messageResource.getMessage(this.hasTimeTrack() ?
                                          "delete.confirm.dialog.cp.second_orange_sentence.please_confirm_actions" :
                                          "delete.confirm.dialog.cp.second_orange_sentence.please_confirm");
    },

    removeEntitiesPointText: function()
    {
        var pronoun = messageResource.getMessage("delete.confirm.dialog.its");
        return messageResource.getMessage("delete.confirm.dialog.cp.popup.remove_entities_point_text",
                                          [messageResource.getMessage("common.project"), pronoun]);
    },

    removeTimeTrackPointText: function()
    {
        return messageResource.getMessage("delete.confirm.dialog.cp.remove_time_track_point_text")
    },

    deleteButtonText: function()
    {
        if (this.hasTimeTrack())
            return messageResource.getMessage("delete.confirm.dialog.delete_task_with_entries");
        else
            return messageResource.getMessage("delete.confirm.dialog.cp.delete_button_text.no_tt")
    }
});