function HidingController(isHidden, hiddenLinkText, shownLinkText, tableId, hiddenlinkTextId, shownlinkTextId, hidingStyleClass)
{
    this.isHidden = isHidden;
    this.hiddenLink = hiddenLinkText;
    this.shownLink = shownLinkText;
    this.tableId = tableId;
    this.hiddenlinkTextId = hiddenlinkTextId;
	this.shownlinkTextId = shownlinkTextId;
    this.hidingStyleClass = hidingStyleClass;
};

HidingController.prototype.getTableElement = function()
{
    return document.getElementById(this.tableId);
};

HidingController.prototype.getShowHideLinkTextElement = function()
{
	return (this.isHidden)? document.getElementById(this.shownlinkTextId) : document.getElementById(this.hiddenlinkTextId);
};

HidingController.prototype.getShowHideImageElement = function()
{
    return document.getElementById(this.imageId);
};

HidingController.prototype.toggleHiding = function()
{
    var linkText = this.getShowHideLinkTextElement();
    if (this.isHidden)
    {
        linkText.innerHTML = this.shownLink;
		linkText.id = this.hiddenlinkTextId;
        this.showElementsInDataTable();
    } else {
        linkText.innerHTML = this.hiddenLink;
		linkText.id = this.shownlinkTextId;
        this.hideElementsInDataTable();
    }
    this.isHidden = !this.isHidden;
};

HidingController.prototype.showElementsInDataTable = function()
{
    var table = this.getTableElement();
    table.className = trim(table.className.replace(this.hidingStyleClass, ""));
};

HidingController.prototype.hideElementsInDataTable = function()
{
   var table = this.getTableElement();
   table.className = table.className + " " + this.hidingStyleClass;
};

