function OneLevelTreeNodesHierarchyMaker () {

}

OneLevelTreeNodesHierarchyMaker.prototype.init = function ( arrayOfBeans ){
    this.arrayOfBeans = arrayOfBeans;
    this._rootNode = null;
    this._resultMap = {};

    return this;
};

// makeMapFn - must return key to node , not required
// use makeMapFn if you want to map created node to smth, for example
// you may map node id to node and then use this map at creating selection nodeSet
OneLevelTreeNodesHierarchyMaker.prototype.compile = function ( makeMapFn, nodeConstructor )
{
    var rootNode = new TreeRootNode();
    var index = 0;

    for( var i = 0; i < this.arrayOfBeans.length; i++ )
    {
        var bean = this.arrayOfBeans[i];
        var treeNode = new nodeConstructor( bean, index++ );
        rootNode.appendChild( treeNode );

        if( makeMapFn )
            this._resultMap[ makeMapFn(treeNode) ] = treeNode;
    }

    this._rootNode = rootNode;
};

OneLevelTreeNodesHierarchyMaker.prototype.getRootNode = function (  )
{
    return this._rootNode;
};

OneLevelTreeNodesHierarchyMaker.prototype.getMap = function (  )
{
    return this._resultMap;
};


