function CustomerNodeRenderer(tree, selectorFilter, expandCollapseCallback, selectionHelper)
{
    ExpandCollapseNodeRenderer.call(this, tree, selectorFilter, expandCollapseCallback);
    this.selectionHelper = selectionHelper;
}

CustomerNodeRenderer.prototype = _.create(ExpandCollapseNodeRenderer.prototype);

CustomerNodeRenderer.prototype.getEmptyEntityTooltip = function()
{
    return messageResource.getMessage("projects_customers_selector.customer_is_empty.tooltip");
};

CustomerNodeRenderer.prototype.isNeedToPushDisabledClass = function(treeNode)
{
    return treeNode.getValue().archived;
};

CustomerNodeRenderer.prototype.generateLabel = function ( treeNode, labelEl )
{
    HierarchySelectorUtil.renderSimpleEntityName(this, treeNode, labelEl);
};