function CustomerProjectSelectorTree(rootNode, emptyMessageBuilder, collapsedNodeIds)
{
    TriStateSelectorTree.call( this, rootNode, emptyMessageBuilder, collapsedNodeIds );
}

CustomerProjectSelectorTree.prototype = _.create(TriStateSelectorTree.prototype);

CustomerProjectSelectorTree.prototype.isSelectionChanged = function()
{
    return HierarchySelectorUtil.isSelectionChanged(this);
};

CustomerProjectSelectorTree.prototype.getLowLevelEntities = function(filterCallback)
{
    var projects = [];
    _.each(this.getAllNodes(), function(node)
    {
        if (node.getType() == TreeNode.TYPE_PROJECT && filterCallback(node.getValue()))
            projects.push(node.getValue());
    });
    return projects;
};