function ProjectNodeRenderer(tree, selectorFilter, selectionHelper)
{
    SimpleCheckboxNodeRenderer.call(this, tree, selectorFilter, selectionHelper);
}

ProjectNodeRenderer.prototype = _.create(SimpleCheckboxNodeRenderer.prototype);

ProjectNodeRenderer.prototype.getTitle = function(entity) {
    return entity.name;
};

ProjectNodeRenderer.prototype.isNeedToPushDisabledClass = function(treeNode)
{
    return treeNode.getValue().archived;
};

ProjectNodeRenderer.prototype.generateLabel = function ( treeNode, labelEl )
{
    HierarchySelectorUtil.renderSimpleEntityName(this, treeNode, labelEl);
};