function LazyTree( rootNode, emptyMessageBuilder )
{
    TriStateSelectorTree.call( this, rootNode, emptyMessageBuilder, null);
    this._treeDomAlreadyBuilded = false;
}

LazyTree.prototype = _.create(TriStateSelectorTree.prototype);

LazyTree.prototype.treeShownCallBack = function( containerEl, filter )
{
    if( !this._treeDomAlreadyBuilded ){

        $( containerEl ).html("");
        Tree.prototype.buildDOM.call(this, containerEl, filter  );
        this._treeDomAlreadyBuilded = true;

    }else{
        this.applyFilter( filter );
    }

};





