function SingleItemTreeSelectionController(tree, selectionNodeType)
{
    TriStateSelectionController.call(this, tree);
    this.selectionNodeType = selectionNodeType;
}

/*todo : radzivillovich : not sure, but may be this controller should be inherited from TreeSelectionController,
* because no logic related to TriStateSelectionController is needed here, but we use it with UserGroupSelectorTree
* and UsersSelectorTree which are inherited from TriStateSelectorTree that uses TriStateSelectionController,
* so it's hard to do.
* May be this can be done along with resolving todo in SelectionTree.js file
* */
SingleItemTreeSelectionController.prototype = _.create(TriStateSelectionController.prototype);

SingleItemTreeSelectionController.prototype.toggle = function( treeNode )
{
    if (treeNode.getType() == this.selectionNodeType)
    {
        this.deselectAll();
        this.nodeSelected( treeNode );
    }
};
