function TreeRootNode()
{
    TreeNode.call(this);
    this.idMap = {};
}

TreeRootNode.prototype = _.create(TreeNode.prototype, {
    getParent: function()
    {
        return null;
    },

    setParent: function()
    {
    },

    getRoot: function()
    {
        return this;
    },

    getNodeById: function(id)
    {
        return this.idMap[id];
    },

    _childAdded: function(treeNode)
    {
        this.idMap[treeNode.getId()] = treeNode;
    }
});