function UserForApproverNodeRenderer( tree, selectorFilter, selectionHelper )
{
    UserNodeRenderer.call(this, tree, selectorFilter, selectionHelper);
}

UserForApproverNodeRenderer.prototype = new UserNodeRenderer();

UserForApproverNodeRenderer.prototype.appendAdditionalElements = function ( targetEl, treeNode )
{
    var self = this;

    if (!treeNode.getValue().isRequiresTTApproval)
    {
        var autoApprovedText = document.createElement( "span" );
        autoApprovedText.className = "approveesSelectorNode_autoApprovedText";
        autoApprovedText.innerHTML = "AUTO";

        var tooltip = $( "#userIsAutoApprovedTooltip" );

        $(autoApprovedText).hover(
            function ( e ) {
                var tooltipText = messageResource.getEscapedMessage( "user_list.user_is_auto_approved.tooltip.text" );

                tooltip.html( tooltipText );
                tooltip.zIndex( $( autoApprovedText ).closest( "div.ui-dialog.usersForApproverDialog" ).zIndex() + 1 );
                self.showNodeTooltip(tooltip, e);
            },
            function () {
                self.hideNodeTooltip(tooltip);
            }
        );

        targetEl.appendChild( autoApprovedText );
    }
};