function LockTableMouseEventsHandlerState(mouseEventsHandler)
{
    this.mouseEventsHandler = mouseEventsHandler;
}

LockTableMouseEventsHandlerState.prototype = _.create(Object.prototype, {
    mouseDown: function(evt, cell) {},
    mouseUp: function(evt, cell) {},
    mouseMove: function(evt, cell) {},

    mouseOver: function(evt, cell)
    {
        this.lastHoveredCell = cell;
    },

    mouseOut: function(evt, cell)
    {
        this.lastHoveredCell = null;
    }
});
