function UnlockingSelectionUpdater(lockTable, selection, selectionVeil)
{
    SelectionUpdater.call(this, lockTable, selection, messageResource.getMessage("lock_tt.table.veil.unlocking"), selectionVeil);
}

UnlockingSelectionUpdater.prototype = _.create(SelectionUpdater.prototype, {
    handleResult: function(result)
    {
        this.selection.visitUserCells(function(cell)
                                      {
                                          if (cell.getValue().locked)
                                          {
                                              cell.getValue().locked = false;
                                              cell.getValue().lockDate = null;
                                              cell.getValue().whoLocked = null;
                                          }
                                      });

        this.runnerController.regionUnlocked(this.lockTable, this.selection);
    }
});
