function InactiveCellRenderer(additionalCssClass)
{
    LockTableCellRenderer.call(this);
    this.cellClass = "inactiveCell";
    if (additionalCssClass)
        this.cellClass += " " + additionalCssClass;
}

InactiveCellRenderer.prototype = _.create(LockTableCellRenderer.prototype, {
    getCellClassName: function(cell)
    {
        return this.cellClass;
    },

    getLastCellRightBorderClassName: function()
    {
        return "";
    },

    getWeekSeparatorClass: function(cell)
    {
        return "";
    }
});
