function DatesRow(weekDayNames)
{
    LockTableRow.call(this);
    this.cellRenderer = new DateCellRenderer(weekDayNames);
}

DatesRow.prototype = _.create(LockTableRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return new EmptyCellRenderer();
    },

    createLockCellRenderer: function()
    {
        return this.cellRenderer;
    },

    accept: function(visitor, cell)
    {
        return visitor.visitDatesRow(cell);
    },

    updateSelectionMarks: function(updateRegion)
    {
        for (var colIdx = updateRegion.colMin; colIdx <= updateRegion.colMax; colIdx++)
        {
            var cell = this.getCell(colIdx);
            cell.getRenderer().updateSelectionMarks(cell);
        }
    }
});
