function DetailsRow()
{
    LockTableRow.call(this);
    this.parentRow = null;
}

DetailsRow.prototype = _.create(LockTableRow.prototype, {
    setParentRow: function(parentRow)
    {
        this.parentRow = parentRow;
    },

    getParentRow: function()
    {
        return this.parentRow;
    },

    accept: function(visitor, cell)
    {
        return visitor.visitDetailsRow(cell);
    },

    isFirstChildRow: function()
    {
        return this.getParentRow().getChildRows()[0].getRowIdx() == this.getRowIdx();
    },

    isLastChildRow: function()
    {
        var childRows = this.getParentRow().getChildRows();
        return childRows[childRows.length - 1].getRowIdx() == this.getRowIdx();
    }
});
