function OtherTasksRow()
{
    BaseTaskRow.call(this);
}

OtherTasksRow.prototype = _.create(BaseTaskRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return new OtherTasksNameCellRenderer();
    },

    getTopBorderClass: function()
    {
        var topBorderClass = BaseTaskRow.prototype.getTopBorderClass.call(this);
        if (!topBorderClass)
        {
            return "notAvailableTaskDetailsTopSeparator";
        }
        return topBorderClass;
    },

    createLockCellRenderer: function()
    {
        return new OtherTasksCellRenderer(this.appendOddEvenPrefix("DayDetailsCell"), this.getTopBorderClass());
    }
});
