function UserGroupsSeparateRow(isFirstRow)
{
    InactiveRow.call(this);
    this.separateCellRenderer = new InactiveCellRenderer("userGroupsSeparatorLockCell");
    this.separateCellRenderer.getLastCellRightBorderClassName = function() { return "lockTableRightBorder"; };
    if (isFirstRow)
        this.groupCell.style.borderTop = "none";
}

UserGroupsSeparateRow.prototype = _.create(InactiveRow.prototype, {
    createRowHeaderRenderer: function()
    {
        return new UserGroupCellRenderer("userGroupsSeparatorHeader");
    },

    createLockCellRenderer: function()
    {
        return this.separateCellRenderer;
    }
});