// TODO: refactor PagerController.js and Pager.js. Replace view logic to PagerView class

function PagerView($containerEl)
{
    TemplateView.call(this, $containerEl);
}

PagerView.prototype = _.create(TemplateView.prototype, {
    html: "<div id='<%=pagerPanelId%>' style='white-space: nowrap; margin-right: 25px;'>" +
          "     <span id='<%=prefix%>totalRecordsPlaceholder' style='font-weight: bold;'></span>" +
          "     <%=shownByLabel%>" +
          "     <select name='recordsPerPage' id='<%=prefix%>recordsPerPageSelector'>" +
          "     <% _.each(pagesSet, function(pageAmount) { %> " +
          "         <option value='<%=pageAmount%>'><%=pageAmount%></option>" +
          "     <% }); %>" +
          "     </select>" +
          "     <%=aPage%>" +
          "     <div class='pager' id='<%=prefix%>pager' style='display: inline-block; margin-left: 10px;'></div>" +
          "     <div id='<%=prefix%>spinnerPlaceholderPager'></div>" +
          "</div>",

    messageKeys: function()
    {
        return {
            shownByLabel: 'common.records_shown_by',
            aPage: 'common.a_page'
        }
    }
});

