EVAReport.PDFDefinitionBuilder = function() {};

EVAReport.PDFDefinitionBuilder.prototype = _.create(BaseReportPDFDefinitionBuilder.PDFDefinitionBuilder.prototype, {
    getAdditionalStyles: function()
    {
        return EVAReport.PDFDefinitionBuilder.styles;
    },
    
    getAdditionalParameters: function()
    {
        return EVAReport.PDFDefinitionBuilder.parameters;
    }
});

EVAReport.PDFDefinitionBuilder.styles = _.create(BaseReportPDFDefinitionBuilder.PDFDefinitionBuilder.styles, {
    notEstimated: {
        fontSize: 7,
        color: '#808080',
        alignment: 'center'
    }   
});

EVAReport.PDFDefinitionBuilder.parameters = {
    dataTableStyles: {
        tableStyle: 'reportRow'
    },

    Portrait: {
        columnWidth: {
            levels: 40,
            levelsWide: 60,
            totals: 10,
            estimatedTime: 10,
            variance: 10
        },
        A4: {
            limitOfLinesInTextCell: 62
        },
        Letter: {
            limitOfLinesInTextCell: 56
        }
    },
    Landscape: {
        columnWidth: {
            levels: 40,
            levelsWide: 60,
            totals: 10,
            estimatedTime: 10,
            variance: 10
        },
        A4: {
            limitOfLinesInTextCell: 40
        },
        Letter: {
            limitOfLinesInTextCell: 42
        }
    }
};