EVAReport.PDFGenerator = function(){};

EVAReport.PDFGenerator.prototype = _.create(BaseReport.PDFGenerator.prototype, {

    init: function(store, generalStore, productSettingsValidator, reportRightsValidator)
    {
        BaseReport.PDFGenerator.prototype.init.call(this, store, generalStore, productSettingsValidator, reportRightsValidator);

        this.docDefinitionCreator = new EVAReport.PDFDefinitionCreator();

        return this;
    },

    _getParametersFormattingStrategy: function(config)
    {
        var dateFormatForFileName = new DateFormat('yyyy-MM-dd');
        return (new EVAReport.PDFParametersFormattingStrategy()).init(
                {
                    cpList: this.generalStore.getCPList(),
                    dateFormat: config.dateFormat, 
                    dateFormatForFile: dateFormatForFileName,
                    productSettingsValidator : this.productSettingsValidator,
                    reportRightsValidator : this.reportRightsValidator
                }
        );
    }
});