function ChartPDFDateFormattingStrategy(){}

ChartPDFDateFormattingStrategy.prototype.init = function(dateFormat, dateFormatForFileName) {
    this.dateFormat = dateFormat;
    this.dateFormatForFileName = dateFormatForFileName;
    return this;
};

ChartPDFDateFormattingStrategy.prototype.formatFileNameDate = function ( date ) {
    return this.dateFormatForFileName.formatDate( date );
};

ChartPDFDateFormattingStrategy.prototype.formatDateForFileName = function ( dateParameters){
    // abstract
};

ChartPDFDateFormattingStrategy.prototype.formatDateInformation = function ( dateParameters ) {
    // abstract
};
