function ChartPDFDateRangeFormattingStrategy(){}

ChartPDFDateRangeFormattingStrategy.prototype = new ChartPDFDateFormattingStrategy();

ChartPDFDateRangeFormattingStrategy.prototype.init = function(dateFormat, dateFormatForFileName){
    ChartPDFDateFormattingStrategy.prototype.init.call(this, dateFormat, dateFormatForFileName);

    this.previewDateFormatStrategy = new DateRangeFormattingStrategy().init(dateFormat); // for use methods from lightbox preview header formatter
    return this;
};

ChartPDFDateRangeFormattingStrategy.prototype.formatDateInformation = function ( dateParameters ) {
    return this.previewDateFormatStrategy.formatForDateInformation(dateParameters) + " " + this.previewDateFormatStrategy.formatSpecifyingInformation( dateParameters );
};

ChartPDFDateRangeFormattingStrategy.prototype.formatDateForFileName = function ( dateParameters ) {
    var dateRangeSelection = dateParameters.dateRangeSelection;
    return messageResource.getMessage('common.pdf.formatting.file_name_date_range_template',
        [
            this.formatFileNameDate(dateRangeSelection.fromDate),
            this.formatFileNameDate(dateRangeSelection.toDate)
        ]
    );
};
