/**
 * @author filatov
 */
function InvoiceFormMediator () {}

InvoiceFormMediator.prototype = new OldBaseFormMediator();

InvoiceFormMediator.prototype.init = function ( config ) {
    OldBaseFormMediator.prototype.init.call(this, config);
    return this;
};


InvoiceFormMediator.prototype.initEditConfigController = function ( config ) {
    var self = this;
    return new InvoiceEditFormConfigController().init(
            {
                panelId: "mainContainer",
                reportParameters: config.reportParameters,
                cpList: config.cpList,
                changeCallback: function(){ self.changeParametersCallback()}
            } );
};

InvoiceFormMediator.prototype.initPreviewGeneratorsAndGeneratePreview = function ()  {
    this.invoicePreviewRenderer = new InvoicePreviewRenderer().init();
    this.updatePreview();
};

InvoiceFormMediator.prototype.initButtons = function() {
    var self = this;
    $("#applyReportConfiguration").click(function(){ self.onApply();});
    $("#cancelReportConfiguration").click(function(){ self.onCancel();});
};

InvoiceFormMediator.prototype.generatePreviewFnc = function ( reportParameters ) {
    this.invoicePreviewRenderer.updateGrouping(reportParameters);
};