function ChartHierarchicalSelectorsSectionStrategy() {}

ChartHierarchicalSelectorsSectionStrategy.prototype.init = function( container, cpSelector, userSelector, overtimeUserSelector, leaveTypesSelector, noteMsgContainer )
{
    this.container = container;
    this.cpSelector = cpSelector;
    this.userSelector = userSelector;
    this.overtimeUserSelector = overtimeUserSelector;
    this.leaveTypesSelector = leaveTypesSelector;
    this.noteMsgContainer = noteMsgContainer;

    return this;
};

ChartHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI = function()
{
    $( this.container ).removeClass( this.getVisibleUsersSelectorClassName() + " " +
                                       this.getVisibleOvertimeUsersSelectorClassName() + " " +
                                       this.getVisibleCPSelectorClassName() + " " +
                                       this.getVisibleLeaveTypesSelectorClassName() + " " +
                                       this.getVisibleNoteMsgClassName() + " " +
                                       this.getVisibleUserSelectorInfoIconClassName() + " " );
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getSelectedParams = function()
{
    return [];
};

ChartHierarchicalSelectorsSectionStrategy.prototype.validate = function()
{
    return [];
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleUsersSelectorClassName = function()
{
    return "withUsersSelector";
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleOvertimeUsersSelectorClassName = function()
{
    return "withOvertimeUsersSelector";
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleCPSelectorClassName = function()
{
    return "withCPSelector";
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleLeaveTypesSelectorClassName = function()
{
    return "withLeaveTypesSelector";
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleNoteMsgClassName = function()
{
    return "withNoteMsg";
};

ChartHierarchicalSelectorsSectionStrategy.prototype.getVisibleUserSelectorInfoIconClassName = function()
{
    return "withUserSelectorInfoIcon";
};