function LeaveHierarchicalSelectorsSectionStrategy() {}

LeaveHierarchicalSelectorsSectionStrategy.prototype = new ChartHierarchicalSelectorsSectionStrategy();

LeaveHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI = function()
{
    ChartHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI.call( this );
    $( this.container ).addClass( this.getVisibleUsersSelectorClassName() + " " + this.getVisibleUserSelectorInfoIconClassName() + " " + this.getVisibleLeaveTypesSelectorClassName() );
};

LeaveHierarchicalSelectorsSectionStrategy.prototype.getSelectedParams = function()
{
    return {
        userSelection: this.userSelector.getSelection(),
        leaveTypeSelection: this.leaveTypesSelector.getLeaveTypeSelection()
    };
};

LeaveHierarchicalSelectorsSectionStrategy.prototype.validate = function()
{
    var errors = [];

    if ( !this.userSelector.validateIsUserSelected() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_USER_SELECTION );
    if ( this.leaveTypesSelector.isEmptySelection() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_LEAVE_TYPES_SELECTION );

    return errors;
};