function OvertimeHoursHierarchicalSelectorsSectionStrategy() {}

OvertimeHoursHierarchicalSelectorsSectionStrategy.prototype = new ChartHierarchicalSelectorsSectionStrategy();

OvertimeHoursHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI = function()
{
    ChartHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI.call( this );
    $( this.container ).addClass( this.getVisibleOvertimeUsersSelectorClassName() + " " + this.getVisibleUserSelectorInfoIconClassName() );
};

OvertimeHoursHierarchicalSelectorsSectionStrategy.prototype.getSelectedParams = function()
{
    return {
        userSelection: this.overtimeUserSelector.getSelection()
    };
};

OvertimeHoursHierarchicalSelectorsSectionStrategy.prototype.validate = function()
{
    var errors = [];

    if ( !this.overtimeUserSelector.validateIsUserSelected() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_OVERTIME_USER_SELECTION );

    return errors;
};