function UsersAndCPHierarchicalSelectorsSectionStrategy() {}

UsersAndCPHierarchicalSelectorsSectionStrategy.prototype = new ChartHierarchicalSelectorsSectionStrategy();

UsersAndCPHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI = function()
{
    ChartHierarchicalSelectorsSectionStrategy.prototype.updateSectionUI.call( this );
    $( this.container ).addClass( this.getVisibleCPSelectorClassName() + " " + this.getVisibleUsersSelectorClassName() + " " + this.getVisibleUserSelectorInfoIconClassName() );
};

UsersAndCPHierarchicalSelectorsSectionStrategy.prototype.getSelectedParams = function()
{
    return {
        userSelection: this.userSelector.getSelection(),
        customersProjectsSelection: this.cpSelector.getCpSelection()
    };
};

UsersAndCPHierarchicalSelectorsSectionStrategy.prototype.validate = function()
{
    var errors = [];

    if ( !this.cpSelector.checkSelected() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_CP_SELECTION );
    if ( !this.userSelector.validateIsUserSelected() )
        errors.push( ChartDataParametersSectionController.ERROR_EMPTY_USER_SELECTION );

    return errors;
};