function BalanceParametersFormattingStrategy () {}

BalanceParametersFormattingStrategy.prototype = new ChartParametersFormattingStrategy();

BalanceParametersFormattingStrategy.prototype.init = function ( selectorsData, dateFormat )
{
    ChartParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat);
    return this;
};

BalanceParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat )
{
    return new SingleDateFormattingStrategy().init(dateFormat);
};

BalanceParametersFormattingStrategy.prototype.formatParametersText = function ( selectedParameters )
{
    return this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection);
};
