function PDFFormatterCreator() {}

PDFFormatterCreator.prototype = new BaseFormatterCreator();

PDFFormatterCreator.prototype.getCategoryToStringFunction = function( selectedCategoryType, chartType )
{
    var categoryToStringFunction = BaseFormatterCreator.prototype.getCategoryToStringFunction.call( this, selectedCategoryType );
    return function ( category, maxLens )
    {
        var formattedCategory = chartType == ChartType.PIE_CHART
                ? category
                : categoryToStringFunction( category );
        if( formattedCategory.length > maxLens )
        {
            formattedCategory = formattedCategory.substr( 0, maxLens - 1 ) + '...'; // cut characters and add ellipsis
        }
        return formattedCategory;
    }
};
