function HorVertBarsChartPDFCreateDefinitionObjectStrategy(){}

HorVertBarsChartPDFCreateDefinitionObjectStrategy.prototype = new ChartPDFCreateDefinitionObjectStrategy();

HorVertBarsChartPDFCreateDefinitionObjectStrategy.prototype.adjustDataParameters = function(pagesData, pdfPrintParameters) {
    // if need to show data list return original object
    if(pdfPrintParameters.showListOfDataValues || pdfPrintParameters.showListOfPercentValues){
        return pagesData;
    }
    // another create page with two images
    var newPages = [];
    var i = 0;
    while(i < pagesData.length){
        newPages.push(
            {
                firstImage : pagesData[i].image,
                secondImage : pagesData[++i] ? pagesData[i].image : null
            }
        );
        i++;
    }
    return newPages;
};

HorVertBarsChartPDFCreateDefinitionObjectStrategy.prototype.addPageDataWithDataList = function(ddBuilder, docDefinition, pageData, pdfPrintParameters, isFirstPage){
    ddBuilder.addImageAndData(docDefinition, pageData.image, pageData.data, pdfPrintParameters.showListOfDataValues, pdfPrintParameters.showListOfPercentValues, pdfPrintParameters.fitDataToOnePage);
};

HorVertBarsChartPDFCreateDefinitionObjectStrategy.prototype.addPageDataWithoutDataList = function(ddBuilder, docDefinition, pageData) {
    ddBuilder.addDoubleImages(docDefinition, pageData.firstImage, pageData.secondImage );
};