function ChartPDFLeaveParametersFormattingStrategy(){}

ChartPDFLeaveParametersFormattingStrategy.prototype = new ChartPDFParametersFormattingStrategy();

ChartPDFLeaveParametersFormattingStrategy.prototype.init = function(selectorsData, dateFormat, dateFormatForFile){
    ChartPDFParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat, dateFormatForFile);

    return this;
};

ChartPDFLeaveParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat, dateFormatForFile ) {
    return new ChartPDFDateRangeFormattingStrategy().init(dateFormat, dateFormatForFile);
};

ChartPDFLeaveParametersFormattingStrategy.prototype.formatChartPDFFilterInformation = function ( selectedParameters ) {
    return {
        firstRow: this.parametersFormatter.formatUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection),
        secondRow:  this.parametersFormatter.formatLeaveTypesSelection(selectedParameters.hierarchicalSelectorsParameters.leaveTypeSelection)
    }
};