function ChartPDFOvertimeParametersFormattingStrategy(){}

ChartPDFOvertimeParametersFormattingStrategy.prototype = new ChartPDFParametersFormattingStrategy();

ChartPDFOvertimeParametersFormattingStrategy.prototype.init = function(selectorsData, dateFormat, dateFormatForFile){
    ChartPDFParametersFormattingStrategy.prototype.init.call(this, selectorsData, dateFormat, dateFormatForFile);

    return this;
};

ChartPDFOvertimeParametersFormattingStrategy.prototype.createDateParametersFormattingStrategy = function ( dateFormat, dateFormatForFile ) {
    return new ChartPDFDateRangeFormattingStrategy().init(dateFormat, dateFormatForFile);
};

ChartPDFOvertimeParametersFormattingStrategy.prototype.formatChartPDFFilterInformation = function ( selectedParameters ) {
    return {
        firstRow: this.parametersFormatter.formatOvertimeUsersSelection(selectedParameters.hierarchicalSelectorsParameters.userSelection),
        secondRow: ' '
    }
};