EVAReport.ConvertUtils = {
    getGroupingLevels: function(params)
    {
        return [params.firstGroupingLevel, params.secondGroupingLevel, params.thirdGroupingLevel, params.fourthGroupingLevel];
    },

    getGroupingType: function(level, groupingLevels)
    {
        var index = this.getGroupingIndex(level, groupingLevels);
        return (index != null) ? groupingLevels[index] : null;
    },

    getGroupingIndex: function(level, groupingLevels)
    {
        var nextNotNoneGroupingLevel = function(i, groupingLevels)
        {
            while (i < groupingLevels.length && groupingLevels[i] == ReportGroupingLevel.NONE)
                i++;

            return i;
        };

        var i = nextNotNoneGroupingLevel(0, groupingLevels);
        while (i < groupingLevels.length && level > 0) {
            i = nextNotNoneGroupingLevel(i + 1, groupingLevels);
            level--;
        }
        return (i < groupingLevels.length) ? i : null;
    },

    getGroupingLevelsCollapsed: function(groupingLevels)
    {
        return _.filter(groupingLevels, function(level) {return level != ReportGroupingLevel.NONE;})
    }



};