LeavesReport.Table.BalanceCell = function($containerEl, store, level, balance, balanceType)
{
    TemplateView.call(this, $containerEl);
    this.store = store;
    this.level = level;
    this.balance = balance;
    this.balanceType = balanceType;
};

LeavesReport.Table.BalanceCell.prototype = _.create(TemplateView.prototype, {
    html: "<td class='<%=levelClass%> balanceCell'><%-balance%></td>",

    afterRender: function()
    {
        this.$el.toggleClass("negative", this.balance < 0);
    },

    templateModel: function()
    {
        return {
            balance: LeavesReport.FormatUtils.formatBalance(this.balance, this.balanceType, this.store.getDefaultWorkDayDuration()),
            levelClass: "reportrow" + this.level + "num"
        }
    }
});