function CSVParametersSection() {}
CSVParametersSection.prototype = new CSVPreviewSection();
CSVParametersSection.prototype.init = function ( parametersBuilder, totalNumOfColumns )
{
    CSVPreviewSection.prototype.init.call( this );
    this.parametersBuilder = parametersBuilder;
    this.totalNumOfColumns = totalNumOfColumns;
    return this;
};

CSVParametersSection.prototype.addRows = function ( tBody )
{
    var params = this.parametersBuilder.getParameters();
    for( var i = 0; i < params.length; i++ )
    {
        var row = this.createRow();
        row.className = "parametersRow" + i;
        ReportPreviewUtils.addCell( row, params[i][0], "paramNameCell" );
        ReportPreviewUtils.addCellWithFloatingContent( row, params[i][1] );
        ReportPreviewUtils.addEmptyCells( row, this.totalNumOfColumns - 2 );
        this.addRow( tBody, row );
    }

    var emptyRow = this.createRow();
    ReportPreviewUtils.addEmptyCells( emptyRow, this.totalNumOfColumns );
    this.addRow( tBody, emptyRow );
};
