/**
 * Created by filatov on 17.09.2015.
 */
function CostCSVPreviewUserByGroupsOnlyColumnsStrategy() {}
CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype = new CostCSVPreviewBaseColumnsStrategy();
CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype.init = function (showAverageRates, showSubtotalsByDepartments)
{
    CostCSVPreviewBaseColumnsStrategy.prototype.init.call( this, false, showAverageRates);
    this.showSubtotalsByDepartments = showSubtotalsByDepartments;
    return this;
};

CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype.getNumOfDetailsColumns = function ()
{
    return 3
};

CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype.addSecondHeaderRowDataCells = function(row){
    ReportPreviewUtils.addEmptyCells(row, this.getOverallColumnsCount());
    for(var i = 0; i < this.getNumOfDetailsColumns(); i++)
        this.addCell( row, this.message( "user.group" ));
};

CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype.addFirstHeaderRowDataCells = function( row )
{
    this.addOverallHeaderCells(row);

    var i = 0;
    if (this.showSubtotalsByDepartments){
        this.addCell( row, this.message( "report.subtotal" ));
        i++;
    }
    for( ; i < this.getNumOfDetailsColumns(); i++)
        this.addCell( row, this.message( "report.user" ));
};

CostCSVPreviewUserByGroupsOnlyColumnsStrategy.prototype.getCountGroupingRows = function ()
{
    return 2;
};