function LeaveCSVPreviewGroupingSection(){}

LeaveCSVPreviewGroupingSection.prototype = new CSVPreviewSection();
LeaveCSVPreviewGroupingSection.prototype.rowsUsersWithMI = [1,2];
LeaveCSVPreviewGroupingSection.prototype.init = function(firstGroupingLevel, secondGroupingLevel, columnsStrategy, numOfGroupingRows, numOfDataColumns ){
    CSVPreviewSection.prototype.init.call( this );
    this.firstGroupingLevel = firstGroupingLevel;
    this.secondGroupingLevel = secondGroupingLevel;
    this.columnsStrategy = columnsStrategy;
    this.numOfGroupingRows= numOfGroupingRows;
    this.numOfDataColumns= numOfDataColumns;
    return this;
};

LeaveCSVPreviewGroupingSection.prototype.addRows = function ( tBody )
{
    for( var i = 0; i < 6; i++ )
    {
        var row = this.createRow();
        this.addGroupingLevelCell( row, this.firstGroupingLevel, i );
        if( this.secondGroupingLevel != ReportGroupingLevel.NONE )
            this.addGroupingLevelCell( row, this.secondGroupingLevel, i );
        for( var j = 0; j < this.numOfDataColumns; j++ )
            this.addTimeValueCell( row );
        this.addRow( tBody, row );
    }


    var totalColumnsNum = this.numOfDataColumns + this.numOfGroupingRows;
};

LeaveCSVPreviewGroupingSection.prototype.addGroupingLevelCell = function(row, groupingLevel,countRow){
    groupingLevel == ReportGroupingLevel.USER ?
    ReportPreviewUtils.addHeaderUserNamesCells( row, $.inArray(countRow, this.rowsUsersWithMI) != -1):
    ReportPreviewUtils.addCell( row, ReportPreviewUtils.getLevelPreviewName( groupingLevel ));
};