function LeaveCSVPreviewHeader(){}
LeaveCSVPreviewHeader.prototype = new CSVPreviewSection();
LeaveCSVPreviewHeader.prototype.init = function( firstGroupingLevel, secondGroupingLevel, columnsStrategy, numOfGroupingRows, columnsConfig ){
    CSVPreviewSection.prototype.init.call( this );
    this.firstGroupingLevel = firstGroupingLevel;
    this.secondGroupingLevel = secondGroupingLevel;
    this.columnsStrategy = columnsStrategy;
    this.numOfGroupingRows = numOfGroupingRows;
    this.columnsConfig = columnsConfig;
    return this;
};

LeaveCSVPreviewHeader.prototype.addRows = function( tBody )
{
    var mainHeaderRow = this.createRow();
    $(mainHeaderRow ).addClass("headerGroupingRow");
    this.addGroupingLevelCell(mainHeaderRow, this.firstGroupingLevel);
    if( this.secondGroupingLevel != ReportGroupingLevel.NONE )
    {
       this.addGroupingLevelCell(mainHeaderRow, this.secondGroupingLevel);
    }

    this.columnsStrategy.addMainHeaderRowCells( mainHeaderRow );
    this.addRow( tBody, mainHeaderRow );
};

LeaveCSVPreviewHeader.prototype.addGroupingLevelCell = function(row, groupingLevel){
    ReportPreviewUtils.addLevelCellWithUserExtendedInCSV(row, groupingLevel);
};