function TTDetailCSVPreviewGroupingSection(){}

TTDetailCSVPreviewGroupingSection.prototype = new CSVPreviewSection();
TTDetailCSVPreviewGroupingSection.prototype.constructor = TTDetailCSVPreviewGroupingSection;

TTDetailCSVPreviewGroupingSection.prototype.init = function( numberOfSelectedLevels, columnStrategy ){
    CSVPreviewSection.prototype.init.call(this);

    this.numberOfLevels = numberOfSelectedLevels;
    this.numberOfDataRows = 4 - numberOfSelectedLevels;
    this.columnStrategy = columnStrategy;
    return this;
};

TTDetailCSVPreviewGroupingSection.prototype.addRows = function( tBody ){
    var row;
    for (var i = 0; i < this.numberOfLevels; i++ ){
        row = this.createRow();
        this.columnStrategy.addDataLevelRowCells(row, i);
        this.addRow(tBody, row);
    }

    for (i = 0; i < this.numberOfDataRows; i++) {
        row = this.createRow();
        this.columnStrategy.addDataRowCells(row);
        this.addRow(tBody, row);
    }
};
