function BSHtmlBaseBillableStrategy() {}

BSHtmlBaseBillableStrategy.prototype = new BaseHTMLColumnStrategy();

BSHtmlBaseBillableStrategy.prototype.getLevelsNumber = function () {
    return 1;
};

BSHtmlBaseBillableStrategy.prototype.addSecondHeaderRowCells = function ( row, levelsNumber ) {
    // do nothing
};


//-----------------------------
function BSHtmlBillableAmountStrategy() {}

BSHtmlBillableAmountStrategy.prototype = new BSHtmlBaseBillableStrategy();

BSHtmlBillableAmountStrategy.prototype.addFirstHeaderRowCells = function ( row, levelsNumber ) {
    this.addCell( row, this.message( "report.billing_summary.overall_amount.html", [SystemSettings.currencySign] ),
                  "billableAmount", 1, levelsNumber );
};

BSHtmlBillableAmountStrategy.prototype.addColumnValueCells = function ( row ) {
    this.addMoneyValueCell(row);
};


//-----------------------------
function BSHtmlBillableTimeAndAmountStrategy() {}

BSHtmlBillableTimeAndAmountStrategy.prototype = new BSHtmlBaseBillableStrategy();

BSHtmlBillableTimeAndAmountStrategy.prototype.addFirstHeaderRowCells = function ( row, levelsNumber ) {
    this.addCell( row, this.message( "report.billing_summary.overall_amount.html", [SystemSettings.currencySign] ),
                  "billableAmount", 1, levelsNumber );
};

BSHtmlBillableTimeAndAmountStrategy.prototype.addColumnValueCells = function ( row ) {
    this.addMoneyValueCell(row, "darkMoneyValueCell");
};


//-----------------------------
function BSHtmlAvrgRatesStrategy() {}

BSHtmlAvrgRatesStrategy.prototype = new BSHtmlBaseBillableStrategy();

BSHtmlAvrgRatesStrategy.prototype.addFirstHeaderRowCells = function ( row, levelsNumber ) {
    this.addCell( row, this.message( "report.billing_summary.average_rate.html", [SystemSettings.currencySign] ),
                  "averageRate", 1, levelsNumber );
};

BSHtmlAvrgRatesStrategy.prototype.addColumnValueCells = function ( row ) {
    this.addMoneyValueCell(row);
};

