function CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy() {}

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype = new CostHTMLPreviewBaseColumnsStrategy();

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.init = function( timeFormat, showAverageRates )
{
    CostHTMLPreviewBaseColumnsStrategy.prototype.init.call( this, timeFormat, false, showAverageRates );
    return this;
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.getLevelNameKey = function ()
{
    // abstract
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.getLevelCellsClassName = function ()
{
    // abstract
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.addFirstHeaderRowDataCells = function( row )
{
    this.addOverallHeaderCells( row );
    for( var i = 0; i < 3; i++ )
        this.addCell( row, this.message( this.getLevelNameKey() ), this.getLevelCellsClassName(), 1, 3 );
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.addSecondHeaderRowDataCells = function( row )
{
    // do nothing
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.addThirdHeaderRowDataCells = function( row )
{
    // do nothing
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.addDataCells = function( row )
{
    this.addOverallDataCells( row );
    this.addMoneyValueCell( row );
    this.addMoneyValueCell( row );
    this.addMoneyValueCell( row );
};

CostHTMLPreviewOneLevelHeaderBaseColumnsStrategy.prototype.getDataColumnsCount = function()
{
    return this.getOverallColumnsCount() + 3;
};
