function StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy () {}

StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy.prototype = new StaffPerformanceHTMLPreviewBaseColumnsStrategy();

StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy.prototype.init = function ( timeFormat, groupNameProvider )
{
    StaffPerformanceHTMLPreviewBaseColumnsStrategy.prototype.init.call(this, timeFormat, groupNameProvider);
    return this;
};

StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy.prototype.addFirstHeaderRowCells = function ( firstHeaderRow )
{
    this.addCreatedCell( firstHeaderRow, this.createSpentHeaderCell() );
    this.addCell( firstHeaderRow, this.getGroupNameSingular(), "userGroup", this.getDepartmentHeaderColumnWidth(), 1 );
};

StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy.prototype.getDepartmentHeaderColumnWidth = function ()
{
    // abstract
};

StaffPerformanceHTMLPreviewUsersByGroupsBaseColumnsStrategy.prototype.addSecondHeaderRowCells = function( secondHeaderRow )
{
    this.addCreatedCell( secondHeaderRow, this.createUserHeaderCell() );
    this.addCreatedCell( secondHeaderRow, this.createUserHeaderCell() );
};