function SendNotificationsNowButtonStatesController (button, note, success_msg)
{
    this.button = button;
    this.message = note;

    this.states = {
        sending: {
            buttonDisabled : true,
            msg: messageResource.getMessage("mail_notifications.form.send_now.progress_message"),
            msgClass: "sendingTestMail"
        },
        success: {
            buttonDisabled : undefined,
            msg: success_msg,
            msgClass: "successmsg"
        },
        error: {
            buttonDisabled : undefined,
            msg: messageResource.getMessage("mail_notifications.form.send_now.error_message"),
            msgClass: "errormsg"
        },
        timeout: {
            buttonDisabled : undefined,
            msg: messageResource.getMessage("mail_notifications.form.send_now.timeout_message"),
            msgClass: "errormsg"
        }
    };

}

SendNotificationsNowButtonStatesController.prototype.getStates = function () {
    return this.states;
};

SendNotificationsNowButtonStatesController.prototype.setState = function(state)
{
    this.button.disabled = state.buttonDisabled;
    this.message.innerHTML = state.msg;
    this.message.className = state.msgClass;
};