BillingTypeStore = _.create(EntityWithIdStore.prototype, {

    defaultBillingTypeId: -1,

    getDefaultBillingType: function()
    {
        return this.get(this.getDefaultBillingTypeId());
    },

    getDefaultBillingTypeId: function()
    {
        return this.defaultBillingTypeId;
    },

    setDefaultBillingTypeId: function(defaultBillingTypeId)
    {
        this.defaultBillingTypeId = defaultBillingTypeId;
    }

}).init();

function BillingType(id, name, active, billable)
{
    this.id = id;
    this.name = name;
    this.active = active;
    this.billable = billable;
}

BillingType.fromRPC = function(data)
{
    return new BillingType(
            data["id"],
            data["name"],
            data["active"],
            data["billable"]
    );
};