CustomerStore = _.create(EntityWithNameStore.prototype, {

    _onRemove: function(customer)
    {
        EntityWithNameStore.prototype._onRemove.call(this, customer);
        ProjectStore.removeMany(_.pluck(ProjectStore.getByCustomer(customer.id), 'id'));
    }
}).init();

function Customer(id, name, archived)
{
    this.id = id;
    this.name = name;
    this.archived = archived;
}

Customer.fromRPC = function(data)
{
    return new Customer(
            data["id"],
            data["name"],
            _.isUndefined(data["archived"]) ? !data["activeCustomer"] : data["archived"]
    );
};