StoreUtils = {
    mergeCustomersProjectsFromRPC: function(data, newCustomersFirst)
    {
        var customers = _.map(_.values(data["customerMap"]["map"]), Customer.fromRPC);
        var projects = _.map(_.values(data["projectMap"]["map"]), Project.fromRPC);

        if (newCustomersFirst)
            CustomerStore.addManyFirst(customers);
        else
            CustomerStore.mergeAll(customers);

        ProjectStore.mergeAll(projects);
    },

    mergeCustomersProjectsFromJSP: function(data)
    {
        CustomerStore.mergeAll(_.map(data["customers"], Customer.fromRPC));
        ProjectStore.mergeAll(_.map(data["projects"], Project.fromRPC));
    },
    
    replaceBillingTypesFromRPC: function(data)
    {
        BillingTypeStore.replaceAll(_.map(data['billingTypes'], BillingType.fromRPC));
    }
};