function GUINotificationHelper(guiNotificationId)
{
    var $guiNotificationBar = $("#guiNotificationBar");
    
    //Add target="_blank" to all links without attribute target
    // (all links should be opened in new window if other not set)
    $.each($guiNotificationBar.find("a"), function(ind, link)
    {
        if (!link.target)
        {
            link.target = "_blank";
        }
    });

    $("#guiNotificationContentCloseBtn").on("click", function()
    {
        $guiNotificationBar.hide(); // hide bar but not delete from dom, because there are styles and scripts in notification content
        $('.withGUINotification').removeClass("withGUINotification");
        makeRpcCall(
                "GUINotificationService.setUserSeenGUINotification",
                [guiNotificationId],
                function() {},
                function() { return true;}
        )
    });
}

