function NullTableRegion()
{
    TableRegion.call(this, 0, 0, 0, 0);
}

NullTableRegion.prototype = _.create(TableRegion.prototype, {
    containsCell: function(cell) { return false; },
    containsCol: function(col) { return false; },
    containsRow: function(row) { return false; },
    contains: function(row, col) { return false; },
    union: function(otherRegion) { return otherRegion; },
    equals: function(region) { return this == NullTableRegion.instance; },
    toString: function() { return "[Null Region]" },
    isLeftmostCell: function(cell) { return false; },
    isUpwardmostCell: function(cell) { return false; },
    isRightmostCell: function(cell) { return false; },
    isDownwardmostCell: function(cell) { return false; }
});

NullTableRegion.instance = new NullTableRegion();