TaskManagement.CustomersProjectsPanel.Tree.Node = function()
{
    TemplateView.call(this, null);
    this.selected = false;
};

TaskManagement.CustomersProjectsPanel.Tree.Node.prototype = _.create(TemplateView.prototype, {
    afterRender: function()
    {
        var self = this;
        this.$el.click(function()
                       {
                           if (!self.selected && !self.preventSelecting)
                           {
                               self.setSelected(true);
                               $(self).trigger("select");
                           }
                           self.preventSelecting = false;
                       });

        
    },

    update: function()
    {
        if (this.rendered)
        {
            this.$el.toggleClass("selected", this.selected);
            this.$el.toggleClass("notSelected", !this.selected);
        }
    },

    isSelected: function()
    {
        return this.selected
    },

    setSelected: function(selected)
    {
        this.selected = selected;
        this.update();
    },

    isAvailableToUpdateSelection: function()
    {
        return true;
    }
});