TaskManagement.TasksTable.AddNewTaskMenu = function($containerEl)
{
    DropdownTemplateView.call(this, $containerEl);
};

TaskManagement.TasksTable.AddNewTaskMenu.prototype = _.create(DropdownTemplateView.prototype, {
    html: "<div class='dropdownContainer addNewTaskMenu'>" +
          "  <div class='item createNewTask ellipsis'><%-createNewTask%></div>" +
          "  <div class='item importTasks ellipsis'><%-importTasks%></div>" +
          "</div>",

    afterRender: function()
    {
        var self = this;
        this.findAndBindClick(".createNewTask", function() { self._itemClick("taskManagement_tasksTable_addNewTaskMenu_createNewTask") });
        this.findAndBindClick(".importTasks", function() { self._itemClick("taskManagement_tasksTable_addNewTaskMenu_importTasks") });
    },

    messageKeys: function()
    {
        return {
            createNewTask: "task.list.add_new.create_tasks",
            importTasks: "task.list.add_new.import_csv"
        }
    },

    _itemClick: function(eventName)
    {
        this.hide();
        $(document).trigger(eventName);
    }
});