function CustomizationPageOverlayTipsManager()
{
    PageOverlayTipsManager.call(this);
}

CustomizationPageOverlayTipsManager.prototype = _.create(PageOverlayTipsManager.prototype, {
    addBaseTips: function()
    {
        PageOverlayTipsManager.prototype.addBaseTips.apply(this);

        this.add($(".pageTitleWithSharedSettingsImage"), {
            messageKey: "tips.customization.title",
            direction: OverlayTips.DIRECTION_TOP_LEFT,
            offsetX: 10,
            offsetY: -10,
            outside: {
                direction: OverlayTips.DIRECTION_TOP_RIGHT,
                offsetY: 0
            }
        });

        this.add($(".formfieldtitle").eq(1), {
            messageKey: "tips.customization.show_logo",
            direction: OverlayTips.DIRECTION_BOTTOM_LEFT,
            offsetX: 20,
            offsetY: -50
        });

        this.add($(".inputChooseFile").eq(0), {
            messageKey: "tips.customization.upload_logo",
            direction: OverlayTips.DIRECTION_TOP_RIGHT,
            offsetX: -120,
            offsetY: 10
        });
    }
});