function TaskManagementPageOverlayTipsManager()
{
    PageOverlayTipsManager.call(this);
}

TaskManagementPageOverlayTipsManager.prototype = _.create(PageOverlayTipsManager.prototype, {
    addBaseTips: function()
    {
        PageOverlayTipsManager.prototype.addBaseTips.apply(this);

        this.add(function() { return $(".collapseAllButton") }, {
            messageKey: "task.list.tips.collapse_all",
            direction: OverlayTips.DIRECTION_TOP_RIGHT,
            offsetX: -20,
            offsetY: -10
        });

        this.add(function() { return $(".tasksTable .headerRowTable .names .tipPlaceholder") }, {
            messageKey: "task.list.tips.sorting",
            direction: OverlayTips.DIRECTION_TOP_RIGHT,
            offsetX: 40,
            offsetY: 10
        });

        this.add(function() { return $(".tasksTable .headerRowTable .status .headerCellWrapper") }, {
            messageKey: "task.list.tips.status_filter",
            direction: OverlayTips.DIRECTION_TOP_RIGHT,
            offsetX: -40,
            offsetY: 0
        });

        this.add(function() { return $(".tasksTable .header .searchField") }, {
            messageKey: "task.list.tips.name_filter",
            direction: OverlayTips.DIRECTION_TOP_LEFT,
            offsetX: 5,
            offsetY: 5
        });

        this.add(function() { return $(".taskRow").eqOrLast(4).find(".checkbox") }, {
            messageKey: "task.list.tips.select_task",
            direction: OverlayTips.DIRECTION_BOTTOM_RIGHT,
            offsetX: -25,
            offsetY: 10
        });
    }
});