LockTTUsersButton =  Ext.extend(ReportUserSelectorButton, {
    init: function(config)
    {
        var self = this;
        this.containerId = config.selectorId;

        this.predefinedUserSelection = {};
        var reportConfigUserSelection = config.userSelection;

        this.settedWithPredefinedValues = !!reportConfigUserSelection;
        this.predefinedUserSelection.selectedUsers = reportConfigUserSelection && reportConfigUserSelection.selectedUsers ? reportConfigUserSelection.selectedUsers : [];
        this.predefinedUserSelection.selectedGroups = reportConfigUserSelection && reportConfigUserSelection.selectedGroups ? reportConfigUserSelection.selectedGroups : [];
        this.predefinedUserSelection.allUsers = reportConfigUserSelection ? !!reportConfigUserSelection.allUsers : true;
        this.predefinedUserSelection.showDisabled = reportConfigUserSelection ? !!reportConfigUserSelection.showDisabled : true;
        this.predefinedUserSelection.includeUsersWithoutData = reportConfigUserSelection ? !!reportConfigUserSelection.includeUsersWithoutData : false;
        this.predefinedUserSelection.groupType = reportConfigUserSelection ? reportConfigUserSelection.groupType : null;

        var selectorPanelHeight = 450;

        this.panel = new LockTTUsersPanel({});
        this.panel.setPredefinedState(this.convertPredefinedStateFromSelection(this.predefinedUserSelection));

        this.userSelectorMenu = new AT.SharedUserButtonMenu({panel: self.panel});
        this._createUserButton(this.containerId, this.userSelectorMenu, selectorPanelHeight, config);
        return this;
    }
});
