ViewTTPage.NoUsersWarning = function($element)
{
    TemplateView.call(this, $element);
};

ViewTTPage.NoUsersWarning.prototype = _.create(TemplateView.prototype, {

    html: "<div class='noPageDataForViewingNote'><div><%=noUsersWarningText%></div></div>",

    messageKeys: function()
    {
        return { "noUsersWarningText": "view_tt.no_users_to_view_tt"}
    }
});


ViewTTPage.UserIsNotSelectedWarning = function($element)
{
    TemplateView.call(this, $element);
};

ViewTTPage.UserIsNotSelectedWarning.prototype = _.create(TemplateView.prototype, {

    html: "<div class='userIsNotSelectedNote noPageDataForViewingNote'>" +
          " <div class='wizardSelectionImg'></div><div class='userIsNotSelectedText'><%=userIsNotSelectedText%></div>" +
          "</div>",

    messageKeys: function()
    {
        return { "userIsNotSelectedText": "view_tt.user_is_not_selected"}
    },

    afterRender: function()
    {
        var self = this;
        $(ViewTTStore).on("selectedUserIdChange", function()
        {
            self.$el.toggleClass("hideWarning", ViewTTStore.getSelectedUserId() != -1);
        });
    }
});
