ViewTTPage.DetailsTable.ViewByCPTaskRow = function($containerEl, taskModel, last)
{
    TemplateView.call(this, $containerEl);
    this.taskModel = taskModel;
    this.last = last;
};

ViewTTPage.DetailsTable.ViewByCPTaskRow.prototype = _.create(ViewTTPage.DetailsTable.TaskRow.prototype, {
    html: "<tr class='taskRow'>" +
          "  <td class='nameColumn'><div class='subContainer'><%-name%></div></td>" +
          "  <td class='totalColumn'><div class='subContainer'><%-total%></div></td>" +
          "  <td class='detailsColumn'><div class='subContainer'><%-description%></div></td>" +
          "</tr>",

    templateKey: "ViewTTPage.DetailsTable.ViewByCPTaskRow",

    templateModel: function()
    {
        var task = ViewTTStore.getTask(this.taskModel.taskId);
        return {
            name: task.name,
            total: UserTime.formatTimeWithDigitSeparator(this.taskModel.totalSpent),
            description: task.description
        }
    }
});