ViewTTPage.DetailsTable.DayRow.Tooltip = function($containerEl)
{
    Tooltip.call(this, $containerEl);
};

ViewTTPage.DetailsTable.DayRow.Tooltip.prototype = _.create(Tooltip.prototype, {
    html: "<div id='viewTTPageDetailsTableDayRowTooltip'></div>",

    updateDate: function(date)
    {
        if (!this.date || this.date.getTime() != date.getTime())
        {
            this.date = date;
            var weekStart = this.date.getWeekStartDate(ViewTTStore.getWeekStartDay());
            var weekEnd = weekStart.getNDaysAfter(6);
            var weekStartStr = ViewTTPage.DetailsTable.DayRow.Tooltip.dateFormat.formatDate(weekStart);
            var weekEndStr = ViewTTPage.DetailsTable.DayRow.Tooltip.dateFormat.formatDate(weekEnd);
            this.$el.html(messageResource.getMessage("view_tt.details_table.tooltip_html", [weekStartStr, weekEndStr]));
        }
    }
});

ViewTTPage.DetailsTable.DayRow.Tooltip.getInstance = function()
{
    if (!this._instance)
        this._instance = new this($("body")).init();
    return this._instance;
};

ViewTTPage.DetailsTable.DayRow.Tooltip.dateFormat = new DateFormat("MMM dd");