Ext.namespace("AT");

AT.OvertimeReportSelectorPanel = Ext.extend(AT.ReportsSelectorUsersPanel, {

    allItemsOptionLabelKey: "users_selector.reports.overtime.all_users",
    allItemsOptionMessageParams: [SystemSettings.overtimeNaming],

    createEmptyMessageBuilder: function() {
        return new OvertimeEmptyMessageBuilder(this.userSelectorGroupsStrategy);
    },

    getDetailsSection: function() {
        var res = AT.OvertimeReportSelectorPanel.superclass.getDetailsSection.call(this);
        res.push({ xtype: "box",
                     autoEl: {
                         tag: "span",
                         html: messageResource.getMessage("users_selector.reports.overtime.list_note" ),
                         cls: "label notemsg overtimeInfoTooltip"
                     }});
        return res;
    }

});