UserNameFormat = {};

UserNameFormat.formatLFMU = function ( firstName, lastName, middleName, username, lastFirstNamesSeparator )
{
    return UserNameFormat.formatLFM( firstName, lastName, middleName, lastFirstNamesSeparator ) + " (" + username + ")";
};

UserNameFormat.formatLFM = function ( firstName, lastName, middleName, lastFirstNamesSeparator )
{
    var separator =  lastFirstNamesSeparator ? lastFirstNamesSeparator : ", ";
    var result = lastName + separator + firstName;
    if( middleName )
        result += " " + middleName + ".";
    return result;
};

UserNameFormat.formatFML = function ( firstName, lastName, middleName )
{
    var result = firstName;
    if( middleName )
        result += " " + middleName + ".";
    return result + " " + lastName;
};

UserNameFormat.formatFMLU = function ( firstName, lastName, middleName, username )
{
    return UserNameFormat.formatFML( firstName, lastName, middleName ) + " (" + username + ")";
};