/**
 * Created by evdokimov
 */

// include after <at:script page="/js/jquery/jquery.min.js"/>

(function( $ ) {
    // copy-paste from jquery-ui.js (jQuery UI - v1.9.2 - 2014-04-02) except one slight difference
    $.ui.position.dropdown = {
        left: function() { $.ui.position.flip.left.apply( this, arguments ); },
        top: function( position, data ) {
            var within = data.within,
                    withinOffset = within.offset.top + within.scrollTop,
                    outerHeight = within.height,
                    offsetTop = within.isWindow ? within.scrollTop : within.offset.top,
                    collisionPosTop = position.top - data.collisionPosition.marginTop,
                    overTop = collisionPosTop - offsetTop,
                    overBottom = collisionPosTop + data.collisionHeight - outerHeight - offsetTop,
                    top = data.my[ 1 ] === "top",
                    myOffset = top ?
                               -data.elemHeight :
                               data.my[ 1 ] === "bottom" ?
                               data.elemHeight :
                               0,
                    atOffset = data.at[ 1 ] === "top" ?
                               data.targetHeight :
                               data.at[ 1 ] === "bottom" ?
                               -data.targetHeight :
                               0,
                    offset = -2 * data.offset[ 1 ],
                    newOverTop,
                    newOverBottom;
            if ( overTop < 0 ) {
                newOverBottom = position.top + myOffset + atOffset + offset + data.collisionHeight - outerHeight - withinOffset;
                if ( ( position.top + myOffset + atOffset + offset) > overTop && ( newOverBottom < 0 || newOverBottom < abs( overTop ) ) ) {
                    position.top += myOffset + atOffset + offset;
                }
            }
            else if ( overBottom > 0 ) {
                newOverTop = position.top -  data.collisionPosition.marginTop + myOffset + atOffset + offset - offsetTop;
                // Note! the only difference
                if ( newOverTop > 0 ) {
                    position.top += myOffset + atOffset + offset;
                }
            }
        }
    };
})(jQuery);