<%@ page contentType="text/javascript"
%><%@ page import="com.actimind.actitime.Keys,
                   com.actimind.actitime.beans.LeaveTypeBean,
                   com.actimind.actitime.util.ResponseUtil,
                   com.actimind.actitime.util.StringUtils,
                   java.util.List"
%><%
    ResponseUtil.enableJSPCaching( response  );
    @SuppressWarnings("unchecked")
    List<LeaveTypeBean> leaveTypes = ( List<LeaveTypeBean> ) request.getAttribute( Keys.ALL_LEAVE_TYPES );
%>function LeaveType(id, name, iconId, pto, ptoCoefficient, requiresApproval, position, active, balanceType)
{
    this.id= id;
    this.name = name;
    this.iconId = iconId;
    this.pto = pto;
    this.ptoCoefficient = ptoCoefficient;
    this.requiresApproval = requiresApproval;
    this.position = position;
    this.active = active;
    this.balanceType = balanceType;
}

LeaveType.prototype.getPrintIconPath = function()
{
    return getLeaveTypePrintIconPath(this.iconId);
};

LeaveType.prototype.getIconPath = function()
{
    return getLeaveTypeIconPath(this.iconId);
};

LEAVE_TYPES = {};
LEAVE_TYPES_ORDER = [];
LEAVE_TYPES_ORDERED = [];

ACTIVE_LEAVE_TYPES_ORDER = [];

<%
    for(LeaveTypeBean leaveType: leaveTypes)
    {
        String idStr = String.valueOf( leaveType.getId() );
%>
LEAVE_TYPES_ORDER.push(<%=idStr%>);
LEAVE_TYPES["<%=idStr%>"] =
    new LeaveType(
            <%=idStr%>,
            "<%=StringUtils.getStringEscapedForJS( leaveType.getName() )%>",
            <%=String.valueOf( leaveType.getIconId() )%>,
            <%=String.valueOf( leaveType.isPTO(  ) )%>,
            <%=String.valueOf( leaveType.getBalanceCoefficient() )%>,
            <%=String.valueOf( leaveType.isRequiresApproval() )%>,
            <%=String.valueOf( leaveType.getPosition() )%>,
            <%=String.valueOf( leaveType.isActive() )%>,
            '<%=String.valueOf( leaveType.getBalanceType() )%>');
LEAVE_TYPES_ORDERED.push(LEAVE_TYPES["<%=idStr%>"]);

<% if( leaveType.isActive() ) { %>
ACTIVE_LEAVE_TYPES_ORDER.push(<%=idStr%>);
<% }} %>

LeaveType.hasActiveLeaveTypes = function()
{
    return ACTIVE_LEAVE_TYPES_ORDER.length != 0;
};

LeaveTypeStore.setLeaveTypes(LEAVE_TYPES);
LeaveTypeStore.setLeaveTypesOrder(LEAVE_TYPES_ORDER);
LeaveTypeStore.setLeaveTypesOrdered(LEAVE_TYPES_ORDERED);