<%@ page import="com.actimind.actitime.Keys"%>
<%@ page import="com.actimind.actitime.util.TimeUtils,
                 com.actimind.actitime.util.GeneralSettingsUtil"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%-- Do NOT enable client-side caching for this file, or it will render the defined functions useless --%>
    
<bean:define id="timeZoneInternal" name="<%=com.actimind.actitime.Keys.USER_TIME_ZONE%>" scope="request" type="java.util.TimeZone"/>
<script>
/**
 * Defines global function currentUserTime.
 * Adds method <code>getWeekStartDate</code> to the Date class.
 */
(function() {
    var clientDate = new Date();
    var userTimeOffset = <%=TimeUtils.getLocalTimeInMillis( timeZoneInternal )%>
            - clientDate.getTime() + clientDate.getTimezoneOffset() * 60000;
    var weekStartDay = <%=GeneralSettingsUtil.getSystemSettings(request).getWeekStartDay() - 1%>;

    /**
     * Returns current time in the user's time zone as a Date object.
     *
     * The user's time zone is defined in the user's profile on the server, and is not related to the client (browser)
     * time zone.
     *
     * Accuracy note: the real user's time may differ from this function's result
     * by page loading time (usually a couple of seconds).
     *
     * Also, this function would give invalid result if a DST was applied to either
     * server or client time since the page was loaded,
     * or if the time zone setting in the user's profile was changed after the page was loaded.
     *
     * IMPORTANT: the resulting object will have client (browser) time zone settings,
     * so you should not use any related methods (such as getTimezoneOffset).
     * 
     * @type Date
     */
    this.currentUserTime = function() {
        return new Date().add(Date.MILLI, userTimeOffset);
    };

    this.calculateLocalTime = function(localTimeInMillis) {
        var userTimeOffset = localTimeInMillis - clientDate.getTime() + clientDate.getTimezoneOffset() * 60000;
        return new Date().add(Date.MILLI, userTimeOffset);
    };

    /**
     * Returns the start date of the given date's week, according
     * to the application settings parameter <code>weekStartDay</code>.
     * @type Date
     */
    Date.prototype.getWeekStartDate = function() {
        var shiftBy = weekStartDay - this.getDay();
        if (shiftBy > 0)
            shiftBy -= 7;
        return this.add(Date.DAY, shiftBy);
    };
})();
</script>