<%@ page contentType="text/javascript"%>
<%@ page import="com.actimind.actitime.colors.ColorHelper"%>
        <% com.actimind.actitime.util.ResponseUtil.enableJSPCaching( response  ); %>

//extends  GroupPresentationController
function UsersGroupPresentationController( elementId, isVisibleEmptyGroup )
{
    this.base = GroupPresentationController;
    this.base( elementId, isVisibleEmptyGroup );
}
UsersGroupPresentationController.prototype = new GroupPresentationController();

UsersGroupPresentationController.prototype.isDisable = function ( group )
{
    return ( this.isVisible( group ) ) && ( group.unremovableGroupObjectsCount === 0 );
};

UsersGroupPresentationController.prototype.isVisible = function ( group )
{
    return ( this.isVisibleEmptyGroup() ) || ( group.visibleGroupObjectsCount > 0 );
};

UsersGroupPresentationController.prototype.getItemStringPresentation = function ( group )
{
    return group.name;
};

UsersGroupPresentationController.prototype.getItemStyle = function ( group )
{
    var style = new ItemStyle(
            "<%=ColorHelper.getColor("form.title.fg.color", request )%>",
            "<%=ColorHelper.getColor("default.bg.color", request )%>"
    );
    if( group.option.disabled )
    {
        style.color = "<%=ColorHelper.getColor("controls.gray.list.element", request )%>";
    }
    return style;
};

UsersGroupPresentationController.prototype.filterObjectOptionAttributes = function ( object )
{
    $(object.option).text("\u00a0\u00a0\u00a0\u00a0\u00a0" + object.option.text);
};

//compare user groups using nonCasesensitivity alphabet rules.
UsersGroupPresentationController.prototype.compareFunction = function ( a, b )
{
    if ( a.id === SystemSettings.usersWithoutGroupId ||
         b.id === SystemSettings.usersWithoutGroupId)
    {
        if(a.id > b.id) return 1;
        if(a.id == b.id) return 0;
        return -1;
    }
    return stringComparator(UsersGroupPresentationController.prototype.getItemStringPresentation.call( this, a ),
             UsersGroupPresentationController.prototype.getItemStringPresentation.call( this, b ));
};