<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="org.apache.struts.Globals" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="com.actimind.actitime.util.Util" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%
    // additionalErrorResourceKey is a resource bundle key of an error message that user wants to place after all error
    // messages. additionalErrorResourceKey is keeped in the session by the Keys.ADDITIONAL_ERROR_MESSAGE_KEY key.
    String additionalErrorResourceKey = (String) request.getSession().getAttribute(Keys.ADDITIONAL_ERROR_MESSAGE_KEY);
    boolean hasErrors = !Util.isEmpty(additionalErrorResourceKey);

    boolean hasMessages = false;
    boolean hasWarnings = false;
    Enumeration names = request.getSession().getAttributeNames();
    while (names.hasMoreElements()) {
        String s = (String) names.nextElement();
        if (Globals.ERROR_KEY.equals(s)) {
            hasErrors = true;
        }
        if (Globals.MESSAGE_KEY.equals(s)) {
            hasMessages = true;
        }
        if (com.actimind.actitime.Constants.WARNING_KEY.equals( s )){
            hasWarnings = true;
        }
    }
%>
<% if(hasMessages) { %>
<table cellpadding="0" cellspacing="0" border="0" id="MessagesTable">
    <tr>
        <td valign="top" class="messageIcon"><at:img page="success.gif"/></td>
        <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0" id="SuccessMessages">
                <at:messages id="message" message="true" type="messages"><tr><td valign="top" style="padding-left:6px;"><span class="successmsg"><bean:write name="message" ignore="true" filter="false" /></span></td></tr></at:messages>
            </table>
        </td>
    </tr>
</table>
<% } %>
<% if(hasErrors || hasWarnings) { %>
<table cellpadding="0" cellspacing="0" id="ErrorsTable">
    <tr>
        <td valign="top" class="messageIcon"><at:img page="error.gif"/></td>
        <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0">
                <% if(hasErrors){ %>
                <at:messages id="error" message="false" type="errors">
                    <tr><td valign="top" style="padding-left:6px;"><span class="errormsg"><bean:write name="error" ignore="true" filter="false"/></span></td></tr>
                </at:messages>
                <% }
                if(hasWarnings) { %>
                <at:messages id="warning" message="false" type="warnings" name="com.actimind.actitime.action.WARNING">
                    <tr><td valign="top" style="padding-left:6px;"><span class="errormsg"><bean:write name="warning" ignore="true" filter="false"/></span></td></tr>
                </at:messages>
                <% } %>
                <%  // There is placed the user specified error message.
                    if (additionalErrorResourceKey != null) { %>
                        <bean:define id="err" value="<%= additionalErrorResourceKey %>"/>
                        <tr>
                            <td valign="top" style="padding-left:6px;">
                                <span class="errormsg">
                                    <bean:message name="err"/>
                                </span>
                            </td>
                        </tr>
                <%
                        request.getSession().removeAttribute(Keys.ADDITIONAL_ERROR_MESSAGE_KEY);
                    }
                %>
            </table>
        </td>
    </tr>
</table>
<% } %>
<script type="text/javascript">
    var hasServerSideErrors = <%=hasErrors%>;
</script>
