drop table if exists patch_history;
create table patch_history
(
    patch int(3) not null,
    patch_timestamp datetime not null,

    constraint pk_patch_history primary key(patch)
) ENGINE=InnoDB;

insert into access_right (id, name, description) values (9, 'user.submit_time_track', 'Submit Time-Track');

insert into user_access_right (user_id, access_right_id)
  select id, 9
    from at_user;

insert into patch_history(patch, patch_timestamp)
    values(1, now());

commit;
