
update notification_rule_params
  set param_name = 'tt_limit.time', param_value = param_value * 60
    where param_name = 'tt_limit.hours';

update mail_template set template = '<html>
<body>
<meta http-equiv=''Content-Type'' content=''text/html; charset=utf-8''>
#set($css_cp_border=''1px solid #d9d9d9 '')
#initStyles( )
#placeForInfoAboutMessageToAdmin()
<table style=''width: 95%;$css_text font-size: 12px;''>
<tr>
<td style=''$css_text font-size: 14px; line-height:130%; background-color: #ffffff''>
#greetByNameBold($recipient)
You have not recorded sufficient time for #if($displaySettings.showDateRangePrefix)date range<br>#end $displaySettings.formattedDateRange.<br> <br>
<table cellpadding=''0'' cellspacing=''0'' border=''0'' style=''border-collapse: collapse;font-weight: bold; $css_parameters_text''>
<tr><td><b>Expected time-track:</b></td> <td style=''padding-left: 35px;''><b>$rule.ttLimit.formattedTime</b></td></tr><tr><td><b>Recorded time-track:</b></td><td style=''color:red;padding-left: 35px;''><b>$total.formattedTotal</b></td></tr>
</table>
<br>
Please make sure that you entered all working and leave time for the specified date range.<br><br>
<table cellpadding=''0'' cellspacing=''0'' border=''0''
style=''font-size: 11px;
width: 100%;
border-collapse: collapse;
''>
<col/>
<col width=''60''/>
<col/>
#drawHeader( )
<tbody>
#foreach( $day in $days )
#set( $drawTotalTopBorder = ($day.rows.size() != 0) )
<tr>
<td colspan=''2'' valign=''bottom''
style=''
$css_text
$css_outer_border_left
$css_darkest_border_bottom
font-size: 18px;
padding: 30px 8px 10px 15px;
text-align: left; ''>
$day.formattedDay
</td>
<td valign=''bottom''
style=''
font-size: 13px;
text-align: right;
padding: 30px 15px 10px;
$css_text
$css_outer_border_right
$css_darkest_border_bottom
''>
<a href=''${displaySettings.getEditTTLink($day.day)}'' style=''$css_link_color''>Edit time-track</a>
</td>
</tr>
#drawDayTT( $day )
#drawDayTotal( $day $displaySettings $drawTotalTopBorder )
#end
<tr>
<td colspan=''3''><span style=''font-size: 12px; line-height:18px;''>&nbsp;<br></span></td>
</tr>
<tr>
<td valign=''middle''
style=''
text-align: right;
font-size: 15px;
padding: 12px 8px 6px 18px;
$css_text
$css_bg_range_total
$css_dark_border_left
$css_range_total_border_top
#if(!$displaySettings.showCalculatedOvertime) $css_range_total_border_bottom #end''>
<b>Total&nbsp;for&nbsp;the&nbsp;date&nbsp;range:</b></td>
<td valign=''middle''
style=''
text-align: right;
font-size: 15px;
$css_text
padding: 12px 15px 6px 8px;
$css_bg_range_total_middle
$css_light_border_left
$css_light_border_right
$css_range_total_border_top
#if(!$displaySettings.showCalculatedOvertime) $css_range_total_border_bottom #end''>
<b>$total.formattedTotal</b></td>
<td valign=''middle''
style=''
text-align: left;
font-size: 13px;
padding: 12px 8px 6px 18px;
$css_text
$css_bg_range_total
$css_dark_border_right
$css_range_total_border_top
#if(!$displaySettings.showCalculatedOvertime) $css_range_total_border_bottom #end''>
<table border=''0'' cellpadding=''0'' cellspacing=''0''>
<tr>
<td width=''80''
style=''
text-align: left;
font-size: 13px;
$css_text
$css_bg_range_total''>
Working&nbsp;Time:</td>
<td width=''40''
style=''
text-align: right;
font-size: 13px;
padding-left: 5px;
$css_text
$css_bg_range_total''>
$total.formattedWorking
</td>
#if($displaySettings.showLeaveTime)
<td style=''
padding-left: 25px;
text-align: left;
font-size: 13px;
$css_text
$css_bg_range_total''>
Leave&nbsp;Time:</td>
<td width=''40''
style=''
text-align: right;
font-size: 13px;
padding-left: 5px;
$css_text
$css_bg_range_total''>
$total.formattedLeave
</td>
#end
<td></td>
</tr>
</table>
</td>
</tr>
#if($displaySettings.showReportedOvertime)
<tr>
<td valign=''top''
style=''
text-align: right;
font-size: 14px;
padding: 0 8px 8px 15px;
$css_text
$css_bg_range_total
$css_dark_border_left''>
<span style=''white-space: nowrap;''>Reported&nbsp;Overtime&nbsp;#if($displaySettings.undertimeTracking)/&nbsp;Undertime#end:</span>
</td>
<td valign=''top''
style='' text-align: right;
font-size: 14px;
padding: 0 15px 8px 8px;
$css_text
$css_bg_range_total_middle
$css_light_border_left
$css_light_border_right''>
$total.formattedReportedOvertime
</td>
<td valign=''top''
style='' text-align: left;
font-size: 14px;
$css_text
$css_bg_range_total
$css_dark_border_right''>
&nbsp;</td>
</tr>
#end #if($displaySettings.showCalculatedOvertime)
<tr>
<td valign=''top''
style='' text-align: right;
font-size: 14px;
padding: 0 8px 16px 15px;
$css_text
$css_bg_range_total
$css_dark_border_left
$css_range_total_border_bottom''>
<span style=''white-space: nowrap;''>Auto-calculated&nbsp;Overtime#if($displaySettings.undertimeTracking)&nbsp;/&nbsp;Undertime#end:</span>
</td>
<td valign=''top''
style='' text-align: right;
font-size: 14px;
padding: 0 15px 8px 8px;
$css_text
$css_bg_range_total_middle
$css_light_border_left
$css_light_border_right
$css_range_total_border_bottom''>
$total.formattedCalculatedOvertime
</td>
<td valign=''top''
style=''text-align: left;
font-size: 14px;
$css_text
$css_bg_range_total
$css_dark_border_right
$css_range_total_border_bottom''>
&nbsp;</td>
</tr>
#end
</tbody>
</table>
</td>
</tr>
<tr>
<td>#showFooter($footer)</td>
</tr>
</table>
</body>
</html>', last_modified_timestamp = now()
    where name = 'personal_tt.html';

update mail_template set template = '<html>
<body>
<meta http-equiv=''Content-Type'' content=''text/html; charset=utf-8''>
#set($css_cp_border=''1px solid #d9d9d9 '')
#initStyles()
#placeForInfoAboutMessageToAdmin()
<table style=''width: 95%;$css_text font-size: 12px;''>
<tr>
<td style=''$css_text font-size: 14px; line-height:130%; background-color: #ffffff''>
#greetByNameBold($recipient)
There#if($usersWithUnsubmittedTTCount > 1) are users#else is a user#end whose time-track is incomplete.<br><br>
#set($shouldDrawSeparator = false)
#foreach( $rule in $rules)
#if($shouldDrawSeparator)
<div style='' font-size:1px; line-height:1px;''><div style=''margin:25px 0px 25px 0px; width:100%; font-size:1px; height: 1px; border-top: 1px solid #BFBFBF; line-height: 1px;''>&nbsp;</div></div>
#end
#set($shouldDrawSeparator = true)
<table cellpadding=''0'' cellspacing=''0'' border=''0'' style=''border-collapse:collapse; text-align: left;''>
<tr>
<td style=''$css_parameters_name_text; padding-left: 0px; margin-left:0px;''>
<b style="white-space: nowrap;">Date#if(!($ruleBeans.get($rule).isOneDayDateRange())) Range#end:</b>
</td>
<td style=''$css_parameters_text padding-left: 25px;''>
<b style="white-space: nowrap; ">$ruleBeans.get($rule).formattedDateRange</b>
</td>
</tr>
<tr>
<td style=''$css_parameters_name_text; padding-left: 0px; margin-left:0px;''>
<b style="white-space: nowrap;">Expected Time-Track:</b>
</td>
<td style=''$css_parameters_text padding-left: 25px;''>
<b style="white-space: nowrap;">$rule.ttLimit.formattedTime</b>
</td>
</tr>
</table>
<br>
<b><span style=''$css_table_title_text''>Time-Track Reported by User#if ($ruleBeans.get($rule).all.size() > 1)s#end:</span></b>
<br>
<br>
<table cellpadding=''0'' cellspacing=''0'' border=''0'' style=''width: 100%; border-collapse:collapse;''>
<col/> <col width=''80''/> <col width=''80''/>
<thead>
<tr>
<th valign=''middle''
style=''
text-align: left;
padding: 0px 8px 0px 15px;
$css_bg_header
$css_header_text
$css_outer_border_top
$css_outer_border_left''>
<b>User</b></th>
<th valign=''middle''
style='' width: 80px;
text-align: center;
padding: 0px 8px 0px 8px;
$css_bg_header
$css_header_text
$css_outer_border_top
$css_light_border_left''>
<b>Spent</b></th>
<th valign=''middle''
style='' width: 80px;
text-align: center;
padding: 10px 8px 10px 8px;
$css_bg_header
$css_header_text
$css_outer_border_top
$css_light_border_right
$css_light_border_left''>
<b>Missing<br>
Hours</b></th>
</tr>
</thead>
<tbody>
#set( $oddRow = true )
#set( $rowNumber = 0)
#foreach( $userInn in $ruleBeans.get($rule).all )
#set ( $drawEvenBorderTop = ($rowNumber != 0) )
#set ( $drawEvenBorderBottom = ($rowNumber < ($ruleBeans.get($rule).all.size() - 1)))
#set ( $drawBorderBottom = ($rowNumber == ($ruleBeans.get($rule).all.size() - 1)))
#if($oddRow)
<tr>
<td valign=''middle''
style=''
text-align: left;
font-size: 13px;
background-color: #ffffff;
padding: 8px 8px 8px 15px;
$css_text
$css_outer_border_left
#if($drawBorderBottom) $css_outer_border_bottom #end
''>
$userInn.user.formattedNameEscaped
</td>
<td valign=''middle''
style=''text-align: right;
font-size: 13px;
padding: 8px 15px 8px 8px;
background-color: #ffffff;
$css_text
$css_dark_border_left
#if($drawBorderBottom) $css_outer_border_bottom #end''>
$userInn.formattedActuals</td>
<td valign=''middle''
style=''text-align: right;
font-size: 13px;
padding: 8px 15px 8px 8px;
background-color: #ffffff;
$css_text
$css_outer_border_right
$css_dark_border_left
#if($drawBorderBottom) $css_outer_border_bottom #end''>
<span style=''color:red;''>$userInn.formattedMissed</span></td>
</tr>
#else
<tr>
<td valign=''middle''
style=''
text-align: left;
font-size: 13px;
background-color: #fcfaf3;
padding: 8px 8px 8px 15px;
$css_text
$css_outer_border_left
#if($drawEvenBorderTop) $css_even_row_border_top #end
#if($drawEvenBorderBottom) $css_even_row_border_bottom #end
#if($drawBorderBottom) $css_outer_border_bottom #end
''>
$userInn.user.formattedNameEscaped
</td>
<td valign=''middle''
style=''text-align: right;
font-size: 13px;
padding: 8px 15px 8px 8px;
background-color: #fcfaf3;
$css_text
$css_dark_border_left
#if($drawEvenBorderTop) $css_even_row_border_top #end
#if($drawEvenBorderBottom) $css_even_row_border_bottom #end
#if($drawBorderBottom) $css_outer_border_bottom #end
''>
$userInn.formattedActuals</td>
<td valign=''middle''
style=''text-align: right;
font-size: 13px;
padding: 8px 15px 8px 8px;
background-color: #fcfaf3;
$css_text
$css_outer_border_right
$css_dark_border_left
#if($drawEvenBorderTop) $css_even_row_border_top #end
#if($drawEvenBorderBottom) $css_even_row_border_bottom #end
#if($drawBorderBottom) $css_outer_border_bottom #end''>
<span style=''color:red;''>$userInn.formattedMissed</span></td>
</tr>
#end
#set($oddRow = !$oddRow)
#set($rowNumber = ($rowNumber + 1))
#end
</tbody>
</table>
<br>
<a href=''$ruleBeans.get($rule).link'' style=''$css_link_color; $css_report_link_font_size''>View detailed time-track data in the Staff Performance Report</a>
#end
</td>
</tr>
<tr>
<td>#showFooter($footer)</td>
</tr>
</table>
</body>
</html>', last_modified_timestamp = now()
    where name = 'unsubmitted_tt.html';


create index tt_record_user_id_record_date on tt_record (user_id, record_date);
create index user_task_comment_user_id_comment_date on user_task_comment (user_id, comment_date);

-- ----------------------------------------------------


insert
into patch_history (patch, pack_version, patch_timestamp)
values (27, 0, now());