<%@ page import="com.actimind.actitime.util.jsHelper" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="static com.actimind.actitime.util.Feature.PAS" %>
<%@ page import="static com.actimind.actitime.util.Feature.EST" %>
<%@ page import="com.actimind.common.util.TimestampsCacheUtils" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<%--<%@ include file="/util/users_selector_js_imports.jsp"%>--%>
<at:script page='/js/sections_state_controller.js'/>
<at:script page="/js/project_popup.js"/>
<at:script page="/js/create_project_popup.js"/>

<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />

<at:script page="/invertedDays.js" preserveSessionID="true" timestampAttributeName="<%=TimestampsCacheUtils.WORK_SCHEDULE_LAST_UPDATE_TIMESTAMP_KEY%>"/>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='projectPopup'/>
    <jsp:param name="innerJsp" value='/project/create_project_popup_content.jsp'/>
    <jsp:param name="additionalClasses" value='taskProjectOrCustomerLightbox lightboxWithWhiteContent scrollable'/>
</jsp:include>
<%
    boolean result = FeaturesUtil.isEnabled(EST);
    boolean result1 = FeaturesUtil.isEnabled(PAS);
%>

<script type="text/javascript">


    var createProjectPopup;
    function showCreateProjectPopup(customerId, successHandler, failureHandler)
    {
        var customersInfo = <%=jsHelper.toJSON( request.getAttribute(Keys.CUSTOMERS_LIST_KEY))%>;
        var isEnabledPAS = <%=result1%>;
        var billingTypeData = <%=jsHelper.toJSON( request.getAttribute( Keys.BILLING_TYPE_LIST_KEY ) )%>;
        var billingTypes = billingTypeData ? billingTypeData.list : null;
        var corporateSchedule = <%=jsHelper.toJSON( settings.getDefaultWorkSchedule()) %>;
        var defaultBillingTypeID = <%=jsHelper.toJSON( request.getAttribute( Keys.BILLING_TYPE_KEY)) %>;
        var scheduleCalculator = new CorporateScheduleCalculator().init(invertedDaysDateMap, corporateSchedule);
        var weekStartDay = <%=settings.getWeekStartDay() - 1%>;
        var estEnabled = <%=String.valueOf( result )%>;
        var projectsWithTasksExist  = <%=jsHelper.toJSON( request.getAttribute(Keys.TASK_KEY))%>;

        createProjectPopup = new CreateProjectLightbox().init(customersInfo, customerId, billingTypes, defaultBillingTypeID,
                                                              weekStartDay, scheduleCalculator, estEnabled, isEnabledPAS, 
                                                              projectsWithTasksExist, successHandler, failureHandler);

        createProjectPopup.show();
    }

</script>