<!doctype html>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.reports.ReportEntry" %>
<%@ page import="com.actimind.actitime.reports.renderers.BillingSummaryReportHtmlRenderer" %>
<%@ page import="com.actimind.actitime.services.beans.report.GroupingLevel" %>
<%@ page import="com.actimind.actitime.reports.renderers.GroupingLevelsTitleHelper" %>

<%@ page errorPage="/error.jsp" %>

<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>


<bean:define id="report" name="<%=Keys.REPORT_KEY%>" type="com.actimind.actitime.reports.ReportInfo"/>
<bean:define id="params" name="<%=Keys.REPORT_PARAMETERS%>" type="com.actimind.actitime.services.beans.report.BillingSummaryReportParameters"/>

<%
    BillingSummaryReportHtmlRenderer renderer = new BillingSummaryReportHtmlRenderer(out, request, response, report, params );
%>

<table cellpadding="4" border="0" class='<%=renderer.getMainTableClasses()%> report-table display-for-print' id="report-table">

    <tr id="BSR_default_header">
        <td nowrap valign="center" class="listtblcolheader headerFirstCell" width="440" rowspan="2" style="text-align: left;">
            <at:img page="pixel.gif" width="1" height="10" alt=""/>
            <br>
            <%= GroupingLevelsTitleHelper.getBaseTitle( request, params.getFirstGroupingLevel(), params.getSecondGroupingLevel() ) %>
            <%
                if( params.getThirdGroupingLevel() != GroupingLevel.NONE ) {
                    String thirdGroupingTitle = GroupingLevelsTitleHelper.getFilteredTitle( request, params.getThirdGroupingLevel() );
            %>
                <% if ( params.getFirstGroupingLevel() != GroupingLevel.NONE ||
                       params.getSecondGroupingLevel() != GroupingLevel.NONE)
                { %>
                <span class="column-header-details"> / <%=thirdGroupingTitle%></span>
                <% }
                else
                { %>
                <%=thirdGroupingTitle%>
                <% } %>
            <% } %>
            <br>
            <at:img page="pixel.gif" width="1" height="10"/>
        </td>
        <%
            renderer.printOverallColumnHeader();
            renderer.printRegularColumnHeaders();
        %>
    </tr>
    <tr id="BSR_default_subheader">
        <%
            renderer.printOverallColumnSubHeader();
            renderer.printRegularColumnSubHeaders();
        %>
    </tr>


    <%
        renderer.printTotalRow(report.getRootEntry());
        renderer.printTimeTrackRows(request, report.getRootEntry().findChildEntry(ReportEntry.TOTAL_TIME_TRACK_REPORT_ENTRY_KEY));
    %>

</table>