<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.reports.budget.Variance" %>
<%@ page import="com.actimind.actitime.util.NumberUtil" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<bean:define id="systemSettings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />

<%-- Renderer for time variance column cells. Renders time in decimal format. --%>

<logic:notEmpty name="cell" property="value">

    <bean:define id="cell" name="cell" type="com.actimind.actitime.reports.newengine.view.html.HtmlCellBean"/>

    <%
        // We calculate variance with precision 4, although we display it later with less precision.
        // This behavior is defined in bug # 26239.
        double time = ((Variance) cell.getValue()).getVarianceHours(4);
    %>

    <% if (time != 0) { %>
        <div class='time<%=(time < 0 ? " negative_value" : "")%>'><nobr>
        <%
            out.print(NumberUtil.formatValue(time, systemSettings, 2, 2));
        %>
        </nobr></div>
    <% } else {%>
        <div class='time hyphen'>-</div>
    <% } %>

</logic:notEmpty>
<logic:empty name="cell" property="value">&nbsp;</logic:empty>