<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.reports.budget.Variance" %>
<%@ page import="com.actimind.actitime.util.NumberUtil" %>
<%@ page import="com.actimind.actitime.util.TimeUtils" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<bean:define id="systemSettings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />

<%-- Renderer for variance percent column cells.
     If variance percentage is NaN or zero, then renders '-'.
     If value is null, then renders nothing
     Applies special styling for negative values.
     --%>

<logic:notEmpty name="cell" property="value">

    <bean:define id="cell" name="cell" type="com.actimind.actitime.reports.newengine.view.html.HtmlCellBean"/>

    <%
        double percent = ((Variance) cell.getValue()).getVariancePercent(1);
        String output;
        String className = "percent";
        if (!Double.isNaN(percent) && percent != 0)
        {
            output = NumberUtil.formatValue(percent, systemSettings, 1, 1) + "%";
            if (percent < 0)
            {
                className = "percent negative_value";
            }
        }
        else
        {
            output = "-";
            className = "percent hyphen";
        }
    %>

    <div class="<%=className%>"><nobr><%=output%></nobr></div>

</logic:notEmpty>
<logic:empty name="cell" property="value">&nbsp;</logic:empty>