<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<div class="controlsContainer">
  <table>
    <tr>
      <td class="reportConfigPanelLabel">
        <bean:message key="report.form.data_grouping"/>
      </td>
      <td class="dataGroupingControlContainer">
        <at:roundedbox styleClass="roundedFormSection">
          <div class="dataGroupingControl">
            <div class="groupingSelectorControl">
              <div class="numberOfLevelsSelector">
                <div id="numberOfGroupingLevelsSelect"></div>
              </div>
              <div class="reportGroupingSelectorContainer">
                <jsp:include page="../config_controls/grouping_selector.jsp"/>
              </div>
            </div>
            <div>
              <table>
                <tr>
                  <td>
                    <input type="checkbox" id="joinComments"/>
                  </td>
                  <td>
                    <label for="joinComments"><bean:message
                            key="reports.comments_report.form.format.joined_comments"/></label>
                  </td>
                    
                  <td id="joinCommentsInfoContainer" style="display: none;">
                    <div id="joinCommentsInfo" class="infoIcon"></div>    
                  </td>
                </tr>
              </table>
            </div>
          </div>
        </at:roundedbox>
      </td>
    </tr>

    <tr>
      <td class="reportConfigPanelLabel">
        <bean:message key="report.form.selected_staff"/>
      </td>
      <td>
        <div id="userSelectorId" class="userSelector"></div>
      </td>
    </tr>

    <tr>
      <td>
        <div class="reportConfigPanelLabel cpSelectorLabel">
          <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
        </div>
      </td>
      <td class="reportConfigCPSelector">
        <div id = "cpSelectorId" class="cpSelector"></div>
      </td>
    </tr>

    <tr id="ttStatusFilterRow" class="ttStatusFilterRow">
      <td class="reportConfigPanelLabel">
        <bean:message key="report.selector_label.time_track_status"/>
      </td>
      <td class="reportConfigTTStatusFilter">
        <div class="roundedFormSection roundedBoxTag" >
          <div id="filterByTTStatus" class="i"></div>
        </div>
      </td>
    </tr>

    <tr>
      <td class="reportConfigPanelLabel">
        <bean:message key="time_format_selector.select_time_format"/>
      </td>
      <td class="reportConfigTimeFormatSelector">
        <jsp:include page="../config_controls/time_format_selector.jsp"/>
      </td>
    </tr>

  </table>

    <div id="joinCommentsTooltip" class="yellowTooltip" style="display: none;">
        <div><bean:message key="reports.comments_report.form.format.joined_comments_note"/></div>
    </div>
</div>