<%@ page import="com.actimind.actitime.services.beans.report.CostReportColumnsConfig" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>


<div id="columnsFormatSectionCostWork" class="columnsFormatSectionCostWork">
    <div id="columnsFormatSectionCostWork_selectorSection" style="display: none">
        <table class="selectorSection">
            <tr>
                <td class="showTextLabel"><bean:message key="report.show"/></td>
                <td>
                    <select id="columnsDisplayFormat">
                        <option value="<%= CostReportColumnsConfig.USERS %>" id="columsByUser">
                            <bean:message key="report.cost.configure_columns.user"/></option>
                        <option value="<%= CostReportColumnsConfig.GROUPS %>" id="columsByUserGroup">
                            <bean:message key="report.cost.configure_columns.user_group"/>
                        </option>
                        <option value="<%= CostReportColumnsConfig.USERS_BY_GROUPS %>" id="columsByUserGroupUser">
                            <bean:message key="report.cost.configure_columns.user_by_group"/>
                        </option>
                    </select>
                </td>
            </tr>
        </table>
        <table cellpadding="0" cellspacing="0" style="margin: 3px 0 5px 0;">
            <tr>
                <td class="reportFormBlockSubTitle"><bean:message key="report.cost.additional_details"/></td>
            </tr>
        </table>
    </div>
    <div id="columnsFormatCheckboxesTable" class="columnsFormatCheckboxesTable">
        <table class="firstColumn">
            <tr id="columnsFormatCheckboxesTable_showSpentTime" class="showSpentTime">
                <td>
                    <input type="checkbox" id="showSpentTime"/>
                </td>
                <td>
                    <label for="showSpentTime"><span
                            class="text"></span></label>
                </td>
            </tr>
            <tr id="columnsFormatCheckboxesTable_showAverageRates" class="showAverageRates">
                <td>
                    <input type="checkbox" id="showAverageRates"/>
                </td>
                <td><label for="showAverageRates"><span
                        class="text"></span></label>
                </td>
            </tr>
        </table>
        <table class="secondColumn">
            <tr id="columnsFormatCheckboxesTable_showUserRates" class="showUserRates">
                <td>
                    <input type="checkbox" id="showUserRates"/>
                </td>
                <td>
                    <label for="showUserRates" id="showUserRatesLabel"><span
                            class="text"></span></label>
                </td>
            </tr>
            <tr id="columnsFormatCheckboxesTable_showSubtotalByDepartments" class="showSubtotalByDepartments"
                style="display: none">
                <td>
                    <input type="checkbox" id="showSubtotalByDepartments"/>
                </td>
                <td>
                    <label for="showSubtotalByDepartments" id="showSubtotalByDepartmentsLabel"><span
                            class="text labelText"><bean:message
                            key="report.cost.show_department_subtotal"/></span></label>
                </td>
            </tr>
        </table>
    </div>
</div>
