<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ page import="com.actimind.actitime.services.beans.report.BillingReportType" %>

<div class="reportBillingOrInvoiceType">
            <at:roundedbox id="type_time_reported_section" styleClass="roundedFormSection sectionedRadio_unchecked"
                           onclick="document.getElementById('type_time_reported').click()">
                <table class="buttonType" cellspacing="0" cellpadding="0" border="0">
                    <tr>
                        <td class="aligned_radio_button_cell" valign="top"><input type="radio" name="dateRangeType"
                                                                                  value="<%=BillingReportType.ALL_TIME_WITHIN_DATE_RANGE%>"
                                                                                  id="type_time_reported" />
                        </td>
                        <td class="aligned_radio_button_text">
                            <div><label for="type_time_reported"><bean:message
                                    key="report.billing_summary.type.time_reported_for_daterange"/></label>
                            </div>
                            </td>
                        <td class="previewPlaceholder" valign="top">
                                                    <span class="preview-span first-preview">
                                                        <span class="first-task-text"><bean:message key="common.Task"/> 1</span>
                                                        <span class="second-task-text"><bean:message key="common.Task"/> 2</span>
                                                       <at:defImg page="report/report_format_preview_1.png"
                                                                styleClass="outlined preview-image"/>
                                               </span>
                        </td>
                    </tr>
                </table>
            </at:roundedbox>
            <div style="margin-top: 10px"></div>
            <at:roundedbox id="type_completed_tasks_section"
                           styleClass="roundedFormSection sectionedRadio_unchecked"
                           onclick="document.getElementById('type_completed_tasks').click()">
                <table class="buttonType" cellspacing="0" cellpadding="0" border="0">
                    <tr>
                        <td class="aligned_radio_button_cell" valign="top"><input type="radio" name="dateRangeType"
                                                                                  value="<%=BillingReportType.ONLY_FOR_COMPLETED_TASKS%>"
                                                                                  id="type_completed_tasks" />
                        </td>
                        <td class="aligned_radio_button_text">
                           <div><label for="type_completed_tasks"><bean:message
                                    key="report.billing_summary.type.tasks_completed_within_daterange"/></label>
                           </div>
                        </td>
                        <td class="previewPlaceholder" valign="top">
                                                    <span class="preview-span second-preview">
                                                        <span class="first-task-text"><bean:message key="common.Task"/> 1</span>
                                                        <span class="second-task-text"><bean:message key="common.Task"/> 2</span>
                                                        <at:defImg page="report/report_format_preview_2.png"
                                                                styleClass="outlined preview-image"/>
                                                </span>
                        </td>
                    </tr>
                </table>
            </at:roundedbox>
            <div class="infoForImages">
                <span class="text"><bean:message key="report,selector_type.prefix"/> </span>
                   <div class="square"></div>
                <span class="text"><bean:message key="report.selector_type.suffix"/></span>
            </div>
</div>

<div id="all_time_reported_tooltip" style="display: none" class="yellowTooltip tooltipText">
    <bean:message key="report.billing_summary.type.time_reported_for_daterange.note" />
</div>

<div id="completed_tasks_tooltip" style="display: none" class="yellowTooltip tooltipText">
    <bean:message key="report.billing_summary.type.tasks_completed_within_daterange.note" />
</div>
