<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.util.messages.ATMessageResources" %>
<%@ page import="com.actimind.actitime.services.beans.report.TimeFormat" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%-- contains data of row with time format selector in rounded box
        icon for tooltip and container for tooltip --%>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>

<%
    String customNoteKey = request.getParameter("customNoteKey");

    String reportFormatNote = ATMessageResources.message( request,
            customNoteKey != null ? customNoteKey : "time_format_selector.time_format_note",
            settings.getDecimalSeparatorAsString() );
%>

<at:roundedbox styleClass="roundedFormSection">
    <select id="timeFormatSelect">
        <option value="<%=String.valueOf(TimeFormat.TIME)%>">
            <bean:message key="time_format_selector.time_format_hhmm"/>
        </option>
        <option value="<%=String.valueOf(TimeFormat.DECIMAL)%>">
            <%=ATMessageResources.message( request, "time_format_selector.time_format_decimal",
                    settings.getDecimalSeparatorAsString(),
                    settings.getDecimalSeparatorAsString())%>
        </option>
    </select>
</at:roundedbox>
<div id="timeFormatInfo" class="infoIcon"></div>
<div id="timeFormatTooltip" class="yellowTooltip" style="display: none;">
    <div id="timeFormatTooltip_textPlaceholder"><%=reportFormatNote%></div>
</div>

