<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.services.beans.report.CostReportParameters" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.services.beans.report.CostReportColumnsConfig" %>
<%@ page import="com.actimind.actitime.services.beans.report.ReportConfig" %>
<div class="controlsContainer">
    <table>
        <%
            ReportConfig reportConfig = (ReportConfig) request.getAttribute( Keys.REPORT_CONFIG_KEY );
            CostReportParameters reportParameters = (CostReportParameters) reportConfig.getConfigParams();
        %>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.data_grouping"/>
            </td>
            <td class="reportGroupingSelectorContainer">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/grouping_selector.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.selected_staff"/>
            </td>
            <td>
                <div id="userSelectorId" class="userSelector"></div>
            </td>
        </tr>

        <tr>
            <td>
                <div class="reportConfigPanelLabel cpSelectorLabel">
                    <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
                </div>
            </td>
            <td class="reportConfigCPSelector">
                <div id = "cpSelectorId" class="cpSelector"></div>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.cost.edit_config_report_columns"/>
            </td>
            <td class="reportConfigReportColumn">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/columns_format_for_cost_of_work.jsp"/>
                </at:roundedbox>
            </td>
        </tr>
        
        <tr id="generalCostsConfigSection" style="display:none;">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.general_costs"/>
            </td>
            <td>
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/profit_loss_cost_general_costs.jsp"/>
                </at:roundedbox>
            </td>
        </tr>
        
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="config_controls/time_format_selector.jsp"/>
            </td>
        </tr>
    </table>
</div>