<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.services.beans.report.charts.ChartType" %>
<%@ page import="com.actimind.actitime.services.beans.report.charts.SortOption" %>
<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<% String id = request.getParameter("id"); %>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="closeCreateChartLightboxButton" class="closeButton"></div>
                <div class="disabledCloseButton"></div>
            </div>

            <div class="lightBoxTitle"></div>
            <div class="saveControlContainer createChartModeElement">
                <jsp:include page="save_configuration_control.jsp">
                    <jsp:param name="inputPlaceholderKey" value="report.save_control.chart_name_placeholder"/>
                    <jsp:param name="emptyNameErrorKey" value="report.chart.empty_name"/>
                    <jsp:param name="duplicateNameErrorKey" value="report.chart.duplicate_name"/>
                </jsp:include>
            </div>
        </td>
    </tr>
</table>
<div class="delimiter"></div>
<div class="chartParametersSection createChartModeElement">
    <table class="chartParametersTable">
        <tr>
            <td rowspan="2" id="<%=id%>_dateRangeSection" class="dateRangeSection">
                <div class="dateRangeSelectorContainer">
                    <div id="<%=id%>_dateSelector" class="customDateRangeSelectorPanel"></div>
                </div>
                <div class="singleDateSelectorContainer">
                    <div id="<%=id%>_singleDateSelector" class="customDateRangeSelectorPanel"></div>
                </div>
            </td>
            <td class="chartTypeLabelCell"><bean:message key="report.create_chart.show"/></td>
            <td class="chartTypeParametersCell">
                <at:roundedbox styleClass="roundedFormSection">
                    <div id="<%=id%>_chartTypeListSelectorPlaceholder"></div>
                </at:roundedbox>
            </td>
            <td rowspan="2" id="<%=id%>_hierarchicalSelectorsSection" class="hierarchicalSelectorsSection">
                <div id="<%=id%>_userSelectorId" class="userSelectorContainer" dropdown-menu-shift-y="-2">
                    <div id="<%=id%>_userSelectorButtonWrapperId" class="selectorButtonWrapper"></div>
                    <div class="infoIconWrapper"></div>
                </div>
                <div id="<%=id%>_overtimeUserSelectorId" class="overtimeUserSelectorContainer" dropdown-menu-shift-y="-2">
                    <div id="<%=id%>_overtimeUserSelectorButtonWrapperId" class="selectorButtonWrapper"></div>
                    <div class="infoIconWrapper"></div>
                </div>
                <div id="<%=id%>_cpSelectorId" class="cpSelectorContainer" dropdown-menu-shift-y="-2"></div>
                <div id="<%=id%>_leaveTypesSelectorId" class="leaveTypesSelectorContainer" dropdown-menu-shift-y="-2"></div>
                <div class="noteMsgContainer">
                    <at:img page="note_mark.gif" styleClass="noteImage"/>
                    <div id="<%=id%>_noteMsgId" class="notemsg"></span>
                </div>
            </td>
        </tr>
        <tr>
            <td class="chartTypeLabelCell"><bean:message key="report.create_chart.by"/></td><%-- this coment is a fix for ie9
            --%><td class="chartTypeParametersCell">
                <at:roundedbox styleClass="roundedFormSection">
                    <div id="<%=id%>_groupingLevelListSelectorPlaceholder" class="roundedBoxTag"></div>
                </at:roundedbox>
            </td>
        </tr>
    </table>
</div>
<div id="<%=id%>_chartConfigurationSection" class="chartConfigurationSection pdfPreviewModeElement">
    Users' and cp selectors' parameters
</div>

<div class="innerContent">

    <div class="createChartModeElement createChartInnerContent">
        <table class="chartDisplayParameters" cellpadding="0" cellspacing="0">
            <tr>
                <td class="grandTotalCellTd">
                    <div class="grandTotalCell">
                        <span class="totalCellLabel"><bean:message key="report.create_chart.total_cell_label"/></span>
                        <div class="chartDisplayParametersCellHeight"></div>
                        <span class="grandTotalValue"></span>
                    </div>
                </td>
                <td class="chartShowPercentsTd">
                    <div id="chartShowPercents"></div>
                    <div class="chartDisplayParametersCellHeight"></div>
                </td>
                <td class="chartSortContainerTd">
                    <div id="chartSortContainer" class="sortContainer">
                        <div><bean:message key="report.create_chart.sort"/></div>
                        <div class="sortButton alphabetically">
                            <span id="<%=SortOption.ALPHABETICALLY %>" class="sortLink"><bean:message
                                    key="report.create_chart.sort.alphabetically"/></span>
                            <span class="sortIndicator"></span>
                        </div>
                        <div class="sortButton chronologically">
                            <span id="<%=SortOption.CHRONOLOGICALLY %>" class="sortLink"><bean:message
                                    key="report.create_chart.sort.chronologically"/></span>
                            <span class="sortIndicator"></span>
                        </div>
                        <div>
                            <span class="separator"></span>
                        </div>
                        <div class="sortButton value">
                            <span id="<%=SortOption.BY_VALUES%>" class="sortLink"><bean:message
                                    key="report.create_chart.sort.value"/></span>
                            <span class="sortIndicator"></span>
                        </div>
                    </div>
                    <div class="chartDisplayParametersCellHeight"></div>
                </td>
                <td class="themeColorSelectorsTd">
                    <div class="themeColorSelectors">
                        <div id="chartColorSelector"></div>
                        <div id="chartThemeSelector" class="chartThemeSelector">
                            <div><bean:message key="report.create_chart.theme"/></div>
                            <div id="themeSelector"></div>
                        </div>
                    </div>
                </td>
                <td class="chartTypeSelectorTd">
                    <div id="chartTypeSelector" class="chartTypeSelector">
                        <span id="<%=ChartType.VERTICAL_BAR%>" class="left chartType"></span>
                        <span id="<%=ChartType.HORIZONTAL_BAR%>" class="center chartType"></span>
                        <span id="<%=ChartType.PIE_CHART%>" class="right chartType"></span>
                    </div>
                </td>
            </tr>
        </table>
        <div id="chartContainer" class="chartContainer"></div>
        <div id="infoMessageLine" class="infoMessageLine"></div>


    </div>

    <div id="chartPartsContainer">
        <div id="chartPart" style="position: absolute; width: 800px; height: 480px; left: -8999px; top: -8999px"></div>
    </div>

    <div class="createChartModeElement createChartError">
        <div id="<%=id%>_createChartErrorMessage" class="createChartErrorMessage"></div>
    </div>

    <div class="createChartModeElement loadingChart">
        <div class="createChartSpinnerPlaceholder"></div>
        <div class="createChartLoadingMessage"><bean:message key="report.create_chart.loading_chart"/></div>
    </div>

    <div class="pdfPreviewContainer"></div>

</div>

<jsp:include page="/controls/chart_color_selector_panel.jsp"/>

<div id="<%=id%>_footer">
    <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
        <tr>
            <td class="errorMessageBox">
                <at:img page="error.gif"/>
                <span class="errormsg"></span>
            </td>
            <td class="buttonsBox">
                <span class="changesMsg"></span>
                <span class="savingMsg"></span>
                <div id="<%=id%>_backBtn" class="backButton pdfPreviewModeElement"><span class="buttonArrow">&#8592;</span><span class="buttonTitle"><bean:message key="report.chart_pdf_preview.backButton.caption"/></span></div>
                <div id="<%=id%>_downloadPdfBtn" class="greyButton withIcon downloadPdfBtn pdfPreviewModeElement"><div class="buttonIcon"><span class="buttonTitle"><bean:message key="report.chart_pdf_preview.exportButton.caption"/></span></div></div>
                <div id="<%=id%>_commitBtn" class="greyButton withIcon commitBtn createChartModeElement"><div class="buttonIcon"><span class="buttonTitle"><bean:message key="report.create_chart.export_to_pdf"/></span></div></div>
                <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn createChartModeElement"><bean:message key="common.close"/></div>
            </td>
        </tr>
    </table>
</div>

<div id="<%=id%>_titleTooltip" class="yellowTooltip titleTooltip" style="display: none;">
    <div id="<%=id%>_titleTooltip_textPlaceholder"></div>
</div>