<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.Constants" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%
    boolean isLowerText = "true".equals( request.getParameter("isLowerText"));
    String showApprovedAndNot = message(request, "report.form.show_both_approved_and_not");
    String showOnlyApproved = message( request, "report.form.show_only_approved");
    String showOnlyNotApproved = message(request, "report.form.show_only_not_approved");
    if (isLowerText){
        showApprovedAndNot = showApprovedAndNot.toLowerCase();
        showOnlyApproved = showOnlyApproved.toLowerCase();
        showOnlyNotApproved =  showOnlyNotApproved.toLowerCase();
    }
%>

<html:select styleId="filterByApprovedTimeTrack" property="filterByApprovedTimeTrack">
    <html:option value='<%="" + (Constants.ANY_APPROVED_STATUS_FILTER)%>'><%=showApprovedAndNot%></html:option>
    <html:option value='<%="" + (Constants.ONLY_APPROVED_STATUS_FILTER)%>'><%=showOnlyApproved%></html:option>
    <html:option value='<%="" + (Constants.ONLY_NOT_APPROVED_STATUS_FILTER)%>'><%=showOnlyNotApproved%></html:option>
</html:select>

<script type="text/javascript">
    var filterByApprovedTimeTrackInReport = new AT.DropdownListButton({
                                                                applyTo: "filterByApprovedTimeTrack",
                                                                menuCls : "approve-filter-menu",
                                                                cls : "approve-filter-button"
                                                            });
    filterByApprovedTimeTrackInReport.setDefaultValue( filterByApprovedTimeTrackInReport.getValue() );
    <%  String onChangeCallBack = request.getParameter("onChangeCallBack");
       if( onChangeCallBack != null ) { %>
    filterByApprovedTimeTrackInReport.on("change", <%=onChangeCallBack%> );

        <% } %>
</script>