<%@ page import="com.actimind.actitime.Keys" %>

<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>
<div id="invoicePreviewDiv" class="invoicePreviewDiv">
    <table width="100%">
        <tr>
            <td>
                <table>
                    <%if (settings.isShowReportLogo()) {    %>
                            <tr><td><div class="imgContainer">
                                <at:logo width="100px" logotype="reportLogo"/></div></td></tr>
                    <%}%>
                    <tr><td class="companyInfo"><div class="name"><bean:message key="report.prepare_invoice.company_name"/></div>
                                                <div class="address"><bean:message key="report.prepare_invoice.address"/></div></td></tr>
                </table>
            </td>
            <td valign="top">
                <table style="float:right">
                    <tr><td><div class="invoiceType"><bean:message key="report.invoice.default.header"/></div></td></tr>
                    <tr class="headerFields">
                        <td>
                            <div><bean:message key="report.prepare_invoice.number"/></div>
                            <div><bean:message key="common.date"/></div>
                            <div><bean:message key="report.invoice.default.ref_code_label"/></div>
                            <div><bean:message key="report.invoice.default.po_label"/></div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr class="billAndAmountRow">
           <td height="70px">
                <table class="billTable">
                    <tr><td class="billTo"><bean:message key="report.prepare_invoice.bill_to"/></td></tr>
                    <tr><td class="address"><bean:message key="report.prepare_invoice.address"/></td></tr>
                </table>
            </td>
            <td class="amountAndTerms">
                <table class="amountTable">
                    <tr><td class="amountDue"><bean:message key="report.prepare_invoice.amount_due"/></td></tr>
                    <tr><td class="amountSign"><bean:write name="settings" property="currencySign"/></td></tr>
                </table>
                <table class="TermsTable">
                    <tr><td class="TermsHeader"><bean:message key="report.prepare_invoice.terms"/></td></tr>
                    <tr><td class="TermsField"><bean:message key="report.prepare_invoice.terms_field"/></td></tr>
                </table>
            </td>
        </tr>
    </table>
    <table id="itemsTable"  style="width:100%;">
        <colgroup>
            <col width="35%">
            <col width="20%">
            <col width="15%">
            <col width="15%">
            <col width="15%">
        </colgroup>
        <thead>
        <tr>
            <td class="firstInRow" ><bean:message key="report.prepare_invoice.description"/></td>
            <td><bean:message key="report.prepare_invoice.item"/></td>
            <td align="center"><bean:message key="report.prepare_invoice.qty"/></td>
            <td align="center"><bean:message key="report.prepare_invoice.rate"/><br>
                <span class="subtitle">(<bean:write name="settings" property="currencySign"/>/<bean:message key="common.mh"/>)</span></td>
            <td align="center" class="lastInRow"><bean:message key="report.prepare_invoice.amount"/><br>
                <span class="subtitle">(<bean:write name="settings" property="currencySign"/>)</span></td>
        </tr>
        </thead>
        <tbody class="itemsBody"></tbody>
        <tbody class="totalBody">
        <tr>
            <td colspan="2"></td>
            <td class="totalColumn" colspan="2"><bean:message key="report.prepare_invoice.total"/> (<bean:write name="settings" property="currencySign"/>)</td>
            <td class="signColumn"><bean:write name="settings" property="currencySign"/></td>
        </tr>
        </tbody>
        <tbody class="template" style="display: none;">
        <tr class="templateRow">
            <td class="firstInRow descriptionCell">
                <div class="firstLayer"></div>
                <div class="secondLayer"></div>
                <div class="thirdLayer"></div>
                <div class="fourthLayer"></div>
            </td>
            <td><bean:message key="report.prepare_invoice.type_of_work"/></td>
            <td align="center" class="Qty">#<bean:write name="settings" property="decimalSeparator"/>##</td>
            <td align="center" class="Rate"><bean:write name="settings" property="currencySign"/></td>
            <td align="center" class="Amount lastInRow"><bean:write name="settings" property="currencySign"/></td>
        </tr>
        </tbody>
    </table>
</div>