<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<div class="controlsContainer">
    <table>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.data_grouping"/>
            </td>
            <td class="reportGroupingSelectorContainer">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/grouping_selector.jsp"/>
                </at:roundedbox>
            </td>
        </tr>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.selected_staff"/>
            </td>
            <td>
                <div id="userSelectorId" class="userSelector"></div>
            </td>
        </tr>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.leave_types"/>
            </td>
            <td>
                <div id="leavesButton" class="leavesSelector"></div>
            </td>
        </tr>

        <tr id="columnsFormatFilterRow" class="leaveColumnFormatRow">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.report_columns"/>
            </td>
            <td class="reportColumnsFormatSelector">
                <div class="roundedFormSection roundedBoxTag" >
                    <div id="columnsDisplayFormat"></div>
                </div>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="config_controls/time_format_selector.jsp"/>
            </td>
        </tr>

    </table>
</div>