<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<div class="controlsContainer">
    <table>
        <tr>
            <td>
                <div class="reportConfigPanelLabel cpSelectorLabel">
                    <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
                </div>
            </td>
            <td class="reportConfigCPSelector">
                <div id = "cpSelectorId" class="cpSelector"></div>
            </td>
        </tr>
        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.profit_loss.displayed_data"/>
            </td>
            <td class="displayedDataSelector">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/profit_loss_displayed_data.jsp"/>
                </at:roundedbox>
            </td>
        </tr>
        
        <tr id="generalCostsConfigSection" style="display:none;">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.general_costs"/>
            </td>
            <td>
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/profit_loss_cost_general_costs.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.profit_loss.edit_config.report_columns"/>
            </td>
            <td>
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/profit_loss_report_columns.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="config_controls/time_format_selector.jsp"/>
            </td>
        </tr>
    </table>
</div>