<%@ page import="com.actimind.actitime.Keys" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings"/>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>

<%
    String reportName = request.getParameter( "reportName" );
%>

<div class="reportPageHeader reportPageHeaderFooter">
    <table class="display-for-print">
        <tr class="printHeader for-print-only">
            <td>
                <table class="for-print-only-table">
                    <tr>
                        <td class="pagetitle">
                            <div class="printableReportName"></div>
                            <div id="printableDateRangeHeader"></div>
                        </td>
                        <% if ( settings.isShowReportLogo() ) { %>
                        <td class="logoTD">
                            <div><at:logo logotype="reportLogo"/></div>
                        </td>
                        <% } %>
                    </tr>
                </table>
            </td>
        </tr>
        <tr class="for-print-only">
            <td id="printableHeadersContainer"></td>
        </tr>
        <tr class="noprint">
            <td colspan="5" class="titleCell">
                <div class="pagetitle"><%=reportName%></div>
                <div id="createReportButton" class="noprint"></div>
            </td>
        </tr>
        <tr class="noprint">
            <td colspan="5"><%@ include file="/messages.jsp" %></td>
        </tr>
        <tr class="noprint">
            <td colspan="5">
                <jsp:include page="/reports/save_configuration_control.jsp">
                    <jsp:param name="inputPlaceholderKey" value="report.save_control.report_name_placeholder"/>
                    <jsp:param name="emptyNameErrorKey" value="report.common.empty_name"/>
                    <jsp:param name="duplicateNameErrorKey" value="report.common.duplicate_name"/>
                </jsp:include>
            </td>
        </tr>
        <tr class="reportHeaderFooterTr noprint">
            <td id="dateRangeSelectorCell" class="headerFooterCell noprint cellWithBorder">
                <table id="dateRangeSelectorSection">
                    <tr>
                        <td id="title"></td>
                    </tr>
                    <tr>
                        <td class="reportFormBlockBodyCell">
                            <div id="dateSelector" class="customDateRangeSelectorPanel"></div>
                        </td>
                    </tr>
                </table>
            </td>
            <jsp:include page="report_leave_header_footer_common.jsp"/>
        </tr>
    </table>
</div>

<div id="incorrectDateTooltip" class="yellowTooltip tooltipText" style="display: none;">
    <div id="incorrectDateTooltip_textPlaceholder"></div>
</div>
<!-- this image is preloaded for error page when connection lost -->
<img src="../img/default/report/error.png" style="display: none"/>
