<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%
    String placeholderTextKey = request.getParameter( "inputPlaceholderKey" );
    String emptyNameErrorTextKey = request.getParameter( "emptyNameErrorKey" );
    String duplicateNameErrorTextKey = request.getParameter( "duplicateNameErrorKey" );
%>

<div class="saveConfigurationControl">
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <div class="addToDashboardIcon"></div>
            </td>
            <td>
                <div class="addToDashboard"><bean:message key="report.save_control.add_to_dashboard"/></div>
                <div class="reportNameWrapper"><div class="reportName"></div></div>
                <input type="text" class="reportNameEdit inputFieldWithPlaceholder" maxlength="191" placeholder="<bean:message key="<%=placeholderTextKey%>"/>" value="">
                <div class="editReportNameIcon"></div>
            </td>
            <td class="saveNewConfigButton greyButton">
                <div class="buttonIcon">
                    <span><bean:message key="report.save_control.save_new_config"/></span>
                </div>
            </td>
            <td class="saveCurrentConfigButton greyButton">
                <div class="buttonIcon">
                    <span><bean:message key="report.save_control.save_cnahges"/></span>
                </div>
            </td>
            <td class="cancelNewConfigButton greyButton">
                <div class="buttonIcon"></div>
            </td>
            <td class="cancelCurrentConfigButton">
                <div class = "buttonIcon">
                    <span><bean:message key="report.save_control.reset_changes"/></span>
                </div>
            </td>
            <td>
                <div id="savingSpinner"></div>
                <div class="emptyNameError"><bean:message key="<%=emptyNameErrorTextKey%>"/></div>
                <div class="duplicateNameError"><bean:message key="<%=duplicateNameErrorTextKey%>"/></div>
            </td>

        </tr>
    </table>
    <div class="saveChangesDialogDiv">
        <div class="update">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td class="first">
                        <input type="radio" name="option" value="update" id="saveConfigUpdate" checked>
                    </td>
                    <td class="second label">
                        <label for="saveConfigUpdate"><bean:message key="report.save_control.save_popup.update"/></label>
                    </td>
                </tr>
                <tr>
                    <td class="first"></td>
                    <td class="second">
                        <input type="text" id="updateNameEdit" class="updateNameEdit edit" maxlength="191" placeholder="<bean:message key="<%=placeholderTextKey%>"/>">
                    </td>
                </tr>
            </table>
        </div>
        <div class="saveNew">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td class="first">
                        <input type="radio" name="option" value="saveNew" id="saveConfigNew">
                    </td>
                    <td class="second label">
                        <label for="saveConfigNew"><bean:message key="report.save_control.save_popup.save_new"/></label>
                    </td>
                    </tr>
                <tr>
                    <td class="first"></td>
                    <td class="second">
                        <input type="text" class="saveNewNameEdit edit" maxlength="191" placeholder="<bean:message key="<%=placeholderTextKey%>"/>">
                    </td>
                </tr>
            </table>
        </div>
        <div class="footer">
        </div>
        <div id="saveChangesDialogErrorTooltip" class="yellowTooltip" style="display: none;">
            <div id="saveChangesDialogErrorTooltip_textPlaceholder"></div>
        </div>
    </div>
</div>