<%@ page import="com.actimind.actitime.services.beans.report.StaffPerformanceReportParameters" %>
<%@ page import="com.actimind.actitime.services.beans.report.ReportConfig" %>
<%@ page import="com.actimind.actitime.services.beans.report.StaffPerformanceColumnsConfig" %>
<%@ page import="com.actimind.actitime.services.beans.report.TimeApprovalStatus" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="com.actimind.actitime.util.Feature" %>

<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<div class="controlsContainer">
    <table>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.data_grouping"/>
            </td>
            <td class="reportGroupingSelectorContainer">
                <at:roundedbox styleClass="roundedFormSection">
                    <jsp:include page="config_controls/grouping_selector.jsp"/>
                </at:roundedbox>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="report.form.selected_staff"/>
            </td>
            <td>
                <div id="userSelectorId" class="userSelector"></div>
            </td>
        </tr>

        <tr>
            <td>
                <div class="reportConfigPanelLabel cpSelectorLabel">
                    <bean:message key="common.Customer"/><wbr>/<bean:message key="common.Project"/>
                </div>
            </td>
            <td class="reportConfigCPSelector">
                <div id = "cpSelectorId" class="cpSelector"></div>
            </td>
        </tr>


        <tr id="columnsFormatFilterRow" class="staffColumnFormatRow">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.selector_label.report_columns"/>
            </td>
            <td class="reportConfigColumnsFormatSelector">
                    <div class="roundedFormSection roundedBoxTag" >
                        <div id="columnsDisplayFormat"></div>
                    </div>
            </td>
        </tr>


        <tr id="ttStatusFilterRow" class="ttStatusFilterRow">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.selector_label.time_track_status"/>
            </td>
            <td class="reportConfigTTStatusFilter">
                    <div class="roundedFormSection roundedBoxTag" >
                        <div id="filterByTTStatus"></div>
                    </div>
            </td>
        </tr>

        <tr>
            <td class="reportConfigPanelLabel">
                <bean:message key="time_format_selector.select_time_format"/>
            </td>
            <td class="reportConfigTimeFormatSelector">
                <jsp:include page="config_controls/time_format_selector.jsp"/>
            </td>
        </tr>

        <tr id="leavesCheckbox" style="display: none">
            <td class="reportConfigPanelLabel">
                <bean:message key="report.staffoutput.total_no_reported_leave_time"/>
            </td>
            <td class="leavesCheckbox">
                <table>
                    <tr>
                        <td valign="top"><input type="checkbox" id="showLeavesCheckbox" /></td>
                        <td valign="top" style="padding: 4px 0 0 3px;"><label for="showLeavesCheckbox"  class="text"><bean:message key="report.staffoutput.edit_config.show_leave_time.label"/></label></td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
</div>
   