<%@ page import="java.util.Calendar"%>
<%@ page import="com.actimind.actitime.Keys"%>
<%@ page import="com.actimind.actitime.util.TimeUtils"%>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />
<bean:define id="timeZone" name="<%=Keys.USER_TIME_ZONE%>" scope="request" type="java.util.TimeZone"/>

<script language="JavaScript">
// strDeadline is a string representing deadline date in the form yyyy-MM-dd
function isDeadlineInThePast(strDeadline){
        <%
            Calendar calendar = Calendar.getInstance();
            calendar.setTime( TimeUtils.today( timeZone ) );
        %>
        var currentYear = <%=calendar.get(Calendar.YEAR)%>;
        var currentMonth = <%=calendar.get(Calendar.MONTH) + 1%>;
        var currentDay = <%=calendar.get(Calendar.DAY_OF_MONTH)%>;

        var deadlineYear = parseInt(strDeadline.replace(/^(\d\d\d\d)-\d\d-\d\d/, '$1').replace(/^0+/,''));
        var deadlineMonth = parseInt(strDeadline.replace(/^\d\d\d\d-(\d\d)-\d\d/, '$1').replace(/^0+/,''));
        var deadlineDay = parseInt(strDeadline.replace(/^\d\d\d\d-\d\d-(\d\d)/, '$1').replace(/^0+/,''));
        return currentYear > deadlineYear ||
                (currentYear == deadlineYear && currentMonth > deadlineMonth) ||
                (currentYear == deadlineYear && currentMonth == deadlineMonth && currentDay > deadlineDay);
}

</script>