<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="com.actimind.actitime.Keys" %>
<%@ page import="static com.actimind.actitime.util.Feature.BTY" %>
<%@ page import="com.actimind.actitime.util.Feature" %>
<%@ page import="com.actimind.actitime.util.FeaturesUtil" %>

<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>

<!--[if lt IE 10]>
<style type="text/css">
    .editTaskPopup.lightbox .summaryBlock .executorsTable {
        width: 300px;
    }

    .editTaskPopup.lightbox .summaryBlock .userDetailName {
        width: 250px;
    }

    .editTaskPopup.lightbox.viewOnly .taskCustomer,
    .editTaskPopup.lightbox.viewOnly .taskProject,
    .editTaskPopup.lightbox.viewOnly .taskBillingType
    {
        width: 190px;
    }
</style>
<![endif]-->

<% String id = request.getParameter("id"); %>
<table class="dialog-header">
    <tr>
        <td>
            <div id="<%=id%>_taskTitle" class="lightBoxTitle"></div>
        </td>
        <td class="close-button">
            <div id="closeTaskEditPopupButton" class="closeButton"></div>
            <div class="disabledCloseButton"></div>
        </td>
    </tr>
</table>
<div id="<%=id%>_innerContent" class="innerContent">
<div id="<%=id%>_taskInfoDiv">
    <div id="<%=id%>_taskNameContainer" class="taskNameContainer">
        <div id="<%=id%>_taskName" class="taskName"></div>
        <input id="<%=id%>_nameField" class="taskNameField inputFieldWithPlaceholder" type="text" placeholder="<bean:message key="task.edit_popup.name_placeholder"/>" maxlength="191" autocomplete="off">
        <div id="<%=id%>_statusSelectorDiv" class="status">
            <div>
                <table>
                    <tr>
                        <td><bean:message key='task.edit_popup.task_status'/></td>
                        <td class="selectedStatusContainer"><div id="<%=id%>_statusSelectorPlaceholder"></div></td>
                    </tr>
                </table>
            </div>
        </div>
        <div id="<%=id%>_nameEmptyError" class="nameEmptyErrorMsg inlineErrorMessage leftInlineErrorMessage"><bean:message key="task.edit_popup.error.name_required"/></div>
        <div id="<%=id%>_nameDuplicateError" class="nameDuplicateErrorMsg inlineErrorMessage leftInlineErrorMessage"><bean:message key="task.edit_popup.error.name_duplicate"/></div>
    </div>

    <div id="<%=id%>_descriptionBlock" class="descriptionBlock">
        <div id="<%=id%>_descriptionButton" class="descriptionButton">
            <div class="descriptionElement" >
                <at:img page="dialogs/comments/comment_blank.png" styleClass="emptyDescriptionImg"/>
                <at:img page="dialogs/comments/comment_entered.png" styleClass="enteredDescriptionImg"/>
            </div>
            <div class="highlightedDescription">
                <div class="descriptionHref"><bean:message key='task.edit_popup.task_description'/></div>
                <div class="descriptionElement expander">
                    <at:img page="expand.png" styleClass="expandDescription"></at:img>
                    <at:img page="collapse.png" styleClass="collapseDescription"></at:img>
                </div>
            </div>
        </div>
    </div>
    <div class="reopenWarning">
        <span class="warningWithImg">
            <at:defImg page="alert-icon.png"/>
            <span class="warningText">
                <bean:message key="task.edit_popup.warning.project_will_be_reopened"/>
            </span>
        </span>
    </div>

    <div id="<%=id%>_descriptionContainer" class="descriptionContainer">
        <textarea id="<%=id%>_taskDescription" class="taskDescription inputFieldWithPlaceholder"></textarea>
        <div class="taskCountContainer">
            <jsp:include page="/textarea_length_note.jsp">
                <jsp:param name="note_id" value="editTaskPopup_taskDescriptionCounter"/>
            </jsp:include>
        </div>
    </div>

    <%
        if (FeaturesUtil.isEnabled(BTY)) { %>
    <table class="taskDetailsTable">
        <tr>
            <td class="firstLevel">
                <span class="customerProjectText"><bean:message key='task.edit_popup.task_customer'/></span>:
                <span id="<%=id%>_customerSelector" class="taskCustomer"></span>
            </td>
            <td class="billingTypeCell"><bean:message key='task.edit_popup.task_billing_type'/>:</td>
            <td>
                <span id="<%=id%>_taskBillingType" class="taskBillingType"></span>
            </td>
        </tr>
        <tr>
            <td id="<%=id%>_customerSelectorContainer" class="secondLevel childNode">
                <span class="customerProjectText"><bean:message key='task.edit_popup.task_project'/></span>:
                <span id="<%=id%>_projectSelector" class="taskProject"></span>
            </td>
            <td id="<%=id%>_deadlineContainer" class="secondLevel deadlineLabelCell"><bean:message key='task.edit_popup.task_deadline'/>:</td>
            <td id="<%=id%>_taskDeadline" class="secondLevel taskDeadline"></td>
        </tr>
        <tr id="completionDateRow">
            <td class="secondLevel">&nbsp;</td>
            <td id="<%=id%>_completionDateText" class="secondLevel"><bean:message key='task.edit_popup.task_completion_date'/>:</td>
            <td id="<%=id%>_taskCompletionDate" class="secondLevel taskCompletionDate"></td>
        </tr>
    </table>
    <% } else { %>
    <table class="taskDetailsTable withoutBillingTypes">
        <tr>
            <td class="firstLevel">
                <span class="customerProjectText"><bean:message key='task.edit_popup.task_customer'/></span>:
                <span id="<%=id%>_customerSelector" class="taskCustomer"></span>
            </td>
            <td id="<%=id%>_deadlineContainer" class="deadlineLabelCell" ><bean:message key='task.edit_popup.task_deadline'/>:</td>
            <td id="<%=id%>_taskDeadline" class="taskDeadline"></td>
        </tr>
        <tr>
            <td id="<%=id%>_customerSelectorContainer" class="secondLevel childNode">
                <span class="customerProjectText"><bean:message key='task.edit_popup.task_project'/></span>:
                <span id="<%=id%>_projectSelector" class="taskProject"></span>
            </td>
            <td id="<%=id%>_completionDateText" class="secondLevel"><bean:message key='task.edit_popup.task_completion_date'/>:</td>
            <td id="<%=id%>_taskCompletionDate" class="secondLevel taskCompletionDate"></td>
        </tr>
    </table>
    <% } %>

    <div id="<%=id%>_executorsSummaryBlock" class="summaryBlock">

        <div class="executorsSummary">
            <div id="<%=id%>_executorsNotAvailableMsg" class="executorsNotAvailableMsg"><bean:message key='task.edit_popup.no_reported_time_comments'/></div>
            <table id="<%=id%>_executorsTable" class="executorsTable">
                <tbody id="<%=id%>_executorsTableContent"></tbody>
            </table>
        </div>

        <div id="<%=id%>_taskEstimateSummary" class="taskEstimateSummary">
            <div class="summary"><bean:message key='task.edit_popup.task_summary'/>:</div>
            <div class="summaryValues">
                <div id="<%=id%>_summaryValueEditor" class="valueLine">
                    <span class="valueDescription"><bean:message key='task.edit_popup.task_estimated_hours'/>:</span>
                    <div id="<%=id%>_estimatedHours" class="value"><span id="<%=id%>_estimatedHoursValue" class="underlinedValue"></span></div>
                    <input id="<%=id%>_estimatedHoursEditor" class="estimatedHoursEditor" type="text"
                           placeholder="<bean:message key='task.edit_popup.not_needed'/>"
                           maxlength="6" title="">
                    <div id="<%=id%>_estimateEditButton" class="estimateEditButton"><at:defImg page="pen.png" styleClass="smallPen"></at:defImg></div>
                </div>
                <div class="valueLine">
                    <span class="valueDescription"><bean:message key='task.edit_popup.spent_hours'/>:</span>
                    <div id="<%=id%>_spentHours" class="value"></div>
                </div>
                <div id="<%=id%>_varianceLine" class="varianceLine valueLine">
                    <span class="valueDescription"><bean:message key='task.edit_popup.variance'/>:</span>
                    <div id="<%=id%>_variance" class="value"></div>
                </div>
            </div>
            <jsp:include page="/tasks/estimate_slider.jsp"/>
        </div>

    </div>

    <div class="reportedTimeContent">
        <div class="reportedTimeTitle"><bean:message key='task.edit_popup.reported_time_and_comments'/></div>
        <div id="<%=id%>_reportedTimeTableSpinner" class="spinner"></div>

        <table class="reportedTimeTable">
            <thead class="reportedTimeTableHeader">
            <tr>
                <th id="<%=id%>_taskDateCell" class="taskDateCellHeader">
                    <span class="taskDateCell"><bean:message key='task.edit_popup.date'/></span>
                    <at:img page="arrow-down.png" styleClass="sortDown"></at:img>
                    <at:img page="arrow-up.png" styleClass="sortUp"></at:img>
                </th>
                <th id="<%=id%>_taskUserCell" class="taskUserCellHeader">
                    <span class="taskUserCell"><bean:message key='task.edit_popup.user'/></span>
                    <at:img page="arrow-down.png" styleClass="sortDown"></at:img>
                    <at:img page="arrow-up.png" styleClass="sortUp"></at:img>
                </th>
                <th class="taskTimeCell"><bean:message key='task.edit_popup.time'/></th>
                <th class="taskCommentCell"><bean:message key='task.edit_popup.comment'/></th>
            </tr>
            </thead>
            <tbody id="<%=id%>_reportedTimeTableBody">
            </tbody>
        </table>
    </div>

    <div style="display: inline-block;">
        <jsp:include page="/administration/pager_panel.jsp">
            <jsp:param name="id" value='viewTaskPagerPanel'/>
            <jsp:param name="prefix" value='viewTask'/>
            <jsp:param name="pagesSetId" value='<%=Keys.PAGER_CUSTOM_PAGES_SET_3_KEY%>'/>
        </jsp:include>
    </div>

    <div id="<%=id%>_deleteBtn" class="deletePane">
        <div class="buttonTitle"><div class="textUnderline">
            <span class="whenHasTimeTrack"><bean:message key="task.edit_popup.delete.button.caption"/></span>
            <span class="whenNoTimeTrack"><bean:message key="task.edit_popup.delete.button.caption_permanently"/></span>
        </div></div>
    </div>

    <!--[if lte IE 8]>
    <div>&nbsp;</div>
    <![endif]-->
</div>
</div>
<div id="<%=id%>_footer">
        <table cellpadding=0 cellspacing=0 border=0 style="width: 100%;">
            <tr>
                <td class="errorMessageBox">
                    <at:img page="error.gif"/>
                    <span class="errormsg"></span>
                </td>
                <td class="buttonsBox">
                    <span class="changesMsg"><bean:message key="task.edit_popup.not_saved"/></span>
                    <span class="savingMsg"><bean:message key="task.edit_popup.saving"/></span>
                    <div id="<%=id%>_commitBtn" class="greyButton commitBtn"><bean:message key="task.edit_popup.save"/></div>
                    <div id="<%=id%>_cancelBtn" class="greyButton cancelBtn"><bean:message key="common.cancel"/></div>
                </td>
            </tr>
        </table>
    </div>

<table id="taskDetailsTemplateTable" style="display:none;">
    <tr class="userDetail">
        <td class="userDetailName"></td>
        <td class="userDetailValue"></td>
    </tr>
    <tr class="tableRowSeparator"><td colspan="2"></td></tr>
    <tr class="totalDetail">
        <td class="totalDetailName">Total:</td>
        <td class="totalDetailValue"></td>
    </tr>
</table>

<table id="reportedTimeTemplateTable" style="display:none;">
    <tr class="reportedTimeRow">
        <td class="reportedTimeDate"></td>
        <td class="reportedTimeUser"></td>
        <td class="reportedTimeValue"></td>
        <td class="reportedTimeComment"></td>
    </tr>
    <tr class="emptyTableRow">
        <td colspan="4">
            <bean:message key="task.edit_popup.no_time_reported_by_you_for_task"/>
        </td>
    </tr>
</table>
