<%@ page import="com.actimind.actitime.*" %>
<%@ page import="com.actimind.actitime.util.*" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at"%>

<%--
    @param onChangeHandler - JS code that will handle the event fired when user changes some fields
--%>

<bean:define id="form" name="CompletedTaskListForm" scope="session" type="com.actimind.actitime.task.CompletedTaskListForm" />
<bean:define id="settings" name="<%=Keys.SYSTEM_SETTINGS_LOADER%>" property="systemSettings" type="com.actimind.actitime.resources.SystemSettings" />
<bean:define id="loggedInUser" name="<%=Keys.LOGGEDIN_USER_KEY%>" type="com.actimind.actitime.beans.UserBean"/>


<table cellpadding="0" cellspacing="0" border="0" class="text" >
<tr valign="top">
    <td style="padding-left: 2px; padding-right: 2px;" nowrap="true" width="100" valign="middle">
        <logic:messagesPresent property="completionDate">
            <span class="errormsg"><bean:message key="task.list.completion_date"/>:</span>
        </logic:messagesPresent>
        <logic:messagesNotPresent property="completionDate">
            <bean:message key="task.list.completion_date"/>:
            <br/>
        </logic:messagesNotPresent>
    </td>
    <td align="right"  style="padding-left: 5px; padding-right: 4px;" valign="middle">
        <bean:message key="common.from"/>:
    </td>
    <td>
        <jsp:include page="/controls/date_field.jsp">
            <jsp:param name="propName"       value="completionDateFrom"/>
            <jsp:param name="dateFormat"     value="<%=settings.getDateFormat()%>"/>
            <jsp:param name="onChangeScript" value='<%=request.getParameter("onChangeHandler")%>'/>
            <jsp:param name="scheduleCalculatorVariableName" value='<%=request.getParameter("scheduleCalculatorVariableName")%>'/>
        </jsp:include>
    </td>
</tr>
<tr valign="top">
    <td rowspan="2" align="left" valign="top" style="padding-left: 2px;">(<a href="javascript: void(0);" onclick="clearDates(); return false;"><bean:message key="task.edit.clear_dates"/></a>)</td>
    <td colspan="2"><at:img page="pixel.gif" width="1" height="4"/></td>
</tr>
<tr valign="top">
    <td align="right" valign="middle" style="padding-right: 4px;">
        <bean:message key="common.to"/>:
    </td>
    <td>
        <jsp:include page="/controls/date_field.jsp">
            <jsp:param name="propName"       value="completionDateTo"/>
            <jsp:param name="dateFormat"     value="<%=settings.getDateFormat()%>"/>
            <jsp:param name="onChangeScript" value='<%=request.getParameter("onChangeHandler")%>'/>
            <jsp:param name="scheduleCalculatorVariableName" value='<%=request.getParameter("scheduleCalculatorVariableName")%>'/>
        </jsp:include>
    </td>
</tr>
</table>

<script type="text/javascript" language="JavaScript">

    function clearDates()
    {
        clear_completionDateFrom();
        clear_completionDateTo();
    }

</script>