<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>

<%@ taglib prefix="at" uri="/WEB-INF/at.tld" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>

<table class="dialog-header">
    <tr>
        <td>
            <div class="close-button">
                <div id="infoPopupCloseButton" class="closeButton"></div>
            </div>

            <div class="lightBoxTitle">
                <bean:message key="import_csv_tasks_info.title"/>
            </div>
        </td>
    </tr>
</table>
<div class="innerContent">
    <div id="importCSVTaskInfoContainer" class="innerContentScroll">
        <div class="verticalScroll">
            <div class="titleBlock firstTitle">
                <bean:message key="import_csv_tasks_info.text.title_1"/>
            </div>
            <div class="block">
                <bean:message key="import_csv_tasks_info.text.block_1"/>
            </div>

            <div class="titleBlock">
                <bean:message key="import_csv_tasks_info.text.title_2"/>
            </div>

            <div class="block">
                <div id="infoSampleLink" class="block">
                    <bean:message key="import_csv_tasks_info.text.block_2"/>
                </div>

                <table>
                    <tr class="header">
                        <bean:message key="import_csv_tasks_info.text.table_row_1"/>
                    </tr>
                    <tr class="columnNames">
                        <bean:message key="import_csv_tasks_info.text.table_row_2"/>
                    </tr>
                    <tr>
                        <bean:message key="import_csv_tasks_info.text.table_row_3"/>
                    </tr>
                    <tr>
                        <bean:message key="import_csv_tasks_info.text.table_row_4"/>
                    </tr>
                    <tr>
                        <bean:message key="import_csv_tasks_info.text.table_row_5"/>
                    </tr>
                    <tr>
                        <bean:message key="import_csv_tasks_info.text.table_row_6"/>
                    </tr>
                    <tr class="descriptionRow">
                        <td class="noBorders">&nbsp;</td>
                        <td colspan="3" class="descriptionTd">
                            <div class="descriptionContainer"><div class="description requiredValues">
                                <bean:message key="import_csv_tasks_info.text.table_description_required"/>
                            </div></div>
                        </td>
                        <td colspan="4" class="descriptionTd">
                            <div class="descriptionContainer"><div class="description optionalValues">
                                <bean:message key="import_csv_tasks_info.text.table_description_optional"/>
                            </div></div>
                        </td>
                    </tr>
                </table>
            </div>

            <div class="noteBlock">
                <div class="block">
                    <bean:message key="import_csv_tasks_info.text.block_3"/>
                </div>
            </div>

            <div class="titleBlock">
                <bean:message key="import_csv_tasks_info.text.title_3"/>
            </div>
            <div class="block">
                <bean:message key="import_csv_tasks_info.text.block_4"/><br/><br/>
                <bean:message key="import_csv_tasks_info.text.block_5"/><br/>
                <ul>
                    <li><bean:message key="import_csv_tasks_info.text.block_6"/></li>
                    <li><bean:message key="import_csv_tasks_info.text.block_7"/></li>
                    <li><bean:message key="import_csv_tasks_info.text.block_8"/></li>
                    <li><bean:message key="import_csv_tasks_info.text.block_9"/></li>
                    <li><bean:message key="import_csv_tasks_info.text.block_10"/></li>
                </ul>
            </div>

            <div class="noteBlock">
                <div class="block">
                    <bean:message key="import_csv_tasks_info.text.block_11"/>
                </div>
            </div>

            <div class="titleBlock">
                <bean:message key="import_csv_tasks_info.text.title_4"/>
            </div>
            <div class="block">
                <bean:message key="import_csv_tasks_info.text.block_12"/>
                <ul class="superList">
                    <li><bean:message key="import_csv_tasks_info.text.block_13"/></li>
                    <li>
                        <bean:message key="import_csv_tasks_info.text.block_14"/><br/>
                        <ul class="subList">
                            <li><bean:message key="import_csv_tasks_info.text.block_15"/></li>
                            <li><bean:message key="import_csv_tasks_info.text.block_16"/></li>
                            <li><bean:message key="import_csv_tasks_info.text.block_17"/></li>
                            <li><bean:message key="import_csv_tasks_info.text.block_18"/></li>
                            <li><bean:message key="import_csv_tasks_info.text.block_19"/></li>
                        </ul>
                    </li>
                    <li><bean:message key="import_csv_tasks_info.text.block_20"/></li>
                </ul>
            </div>

        </div>
    </div>    
</div>
