<%@ page import="com.actimind.actitime.beans.TaskWithParentTaskBean" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>

<%--
  @author: kamenev
  Date: 7/4/12
  Time: 1:29 PM

  @param isDescriptionEditable      {Boolean} specifies whether task's description should be editable.
                                    [Optional] FALSE by default
  @param allowToChangeOtherDescriptionImages if true, description images of one parent task synchronizes

  NOTE: It is expected that TaskBean which name and description should be displayed for is defined into request scope
  with the name "task".
--%>
<bean:define id="task" name="task" scope="request" type="com.actimind.actitime.beans.TaskBean" />
<table cellpadding="5" cellspacing="0" width="100%" style="height: 40px;" class="task-name-description-container"><%
    boolean isDescriptionEditable = Boolean.valueOf( request.getParameter( "isDescriptionEditable" ) );
    boolean allowToChangeOtherDescriptionImages = Boolean.parseBoolean(request.getParameter("allowToChangeOtherDescriptionImages"));
    boolean isTaskWithParent = false;

    String taskToDisplayParam = "taskToDisplay";
    if( task.hasParentTask() )
    {
        isTaskWithParent = true;
        TaskWithParentTaskBean curTaskWithParent = (TaskWithParentTaskBean) task;
        request.setAttribute( taskToDisplayParam, curTaskWithParent.getParentTask() );
%><jsp:include page="task_name_and_description_row.jsp">
        <jsp:param name="isTaskWithSubtasks" value="true"/>
        <jsp:param name="subTaskId" value="<%=task.getId()%>"/>
        <jsp:param name="isDescriptionEditable" value="<%=isDescriptionEditable%>"/>
        <jsp:param name="hierarchyLevelSuffix" value="task"/>
        <jsp:param name="allowToChangeOtherDescriptionImages" value="<%=allowToChangeOtherDescriptionImages%>"/>
   </jsp:include><%
    } %>
<%  request.removeAttribute( taskToDisplayParam );
    request.setAttribute( taskToDisplayParam, task ); %>
<jsp:include page="task_name_and_description_row.jsp">
    <jsp:param name="isTaskWithParent" value="<%=isTaskWithParent%>"/>
    <jsp:param name="isDescriptionEditable" value="<%=isDescriptionEditable%>"/>
    <jsp:param name="hierarchyLevelSuffix" value='<%=(isTaskWithParent ? "subtask" : "task")%>'/>
    <jsp:param name="allowToChangeOtherDescriptionImages" value="<%=allowToChangeOtherDescriptionImages%>"/>
</jsp:include></table>

