<%@ page import="com.actimind.actitime.beans.UserAccessRightsBean"%>
<%@ page import="com.actimind.actitime.util.StringUtils"%>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.messageNoFilterArgs" %>
<%@ page import="static com.actimind.actitime.util.messages.ATMessageResources.message" %>
<%@ page import="org.apache.struts.util.ResponseUtils" %>
<%@ page import="com.actimind.actitime.beans.GUINotificationBean" %>
<%@ page import="com.actimind.common.*" %>
<%@ page import="com.actimind.actitime.colors.CustomizationSettings" %>
<%@ page import="com.actimind.actitime.*" %>
<%@ page import="com.actimind.actitime.Navigator" %>
<%@ page import="com.actimind.actitime.gettingstarted.GettingStartedShortcutsManager" %>

<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="/WEB-INF/at.tld" prefix="at"%>
<bean:define id="navigator" name="<%= Keys.PRODUCT_CONFIG %>" property="navigator" type="com.actimind.common.Navigator"/>
<bean:define id="product" name="<%= Keys.PRODUCT %>" type="com.actimind.common.Product"/>



<%
    UserAccessRightsBean accessRights = (UserAccessRightsBean) request.getSession().getAttribute(Keys.LOGGEDIN_USER_RIGHTS_KEY);
    String menuSelected = request.getParameter("menuSelected");
    String submenuSelected = request.getParameter("submenuSelected");
    NavigatorView nav = navigator.getView(accessRights, request, menuSelected, submenuSelected );
    int menuItemsCount = nav.getMenuItems().size();
    int subMenuItemsCount = nav.getSubmenuItems().size();
    int subMenuAlign = NavigatorTopLevelMenuItemView.ALIGN_LEFT;

    GUINotificationBean guiNotification = ( GUINotificationBean ) request.getAttribute( Keys.USER_GUI_NOTIFICATION );
    String productSwitcherURL = ( String ) request.getAttribute( Keys.PRODUCT_SWITCHER_URL );

    // its need to show user profile when there is no available pages
    boolean isUserCannotSeenAnyPages = session.getAttribute(Keys.IS_USER_CANNOT_SEEN_ANY_PAGES_KEY) != null;
    session.removeAttribute(Keys.IS_USER_CANNOT_SEEN_ANY_PAGES_KEY);

//
//    boolean isDefaultSchema = ColorScheme.DEFAULT_COLOR_SCHEME.equals(colorSchemeName);
//
//    String csStylePath = ( isDefaultSchema ) ? null : "/css/color_scheme/" + colorSchemeName + ".css";
%>


<at:script page="/js/refresh_session.js"/>
<at:script page='/js/spin.min.js'/>

<script  type="text/javascript">
    var moireHelper = new MoireHelper();

    function onUserProfileLinkClicked()
    {
        var successCallback = function(){
            var accountWithoutEmail = $(".account-without-email");
            if (accountWithoutEmail){
                accountWithoutEmail.addClass("hide");
            }
        };
        loadPopupContent( '<html:rewrite page="/profile.do"/>', function() {showUserATProfilePopup(false, successCallback); }, true );
    }


</script>

<bean:define id="user" name="<%=Keys.LOGGEDIN_USER_KEY%>" type="com.actimind.actitime.beans.UserBean" scope="session"/>
<bean:define id="userAccessRights" name="<%=Keys.LOGGEDIN_USER_RIGHTS_KEY%>" type="com.actimind.actitime.beans.UserAccessRightsBean" scope="session"/>

<div id="moireDiv" class="noprint" style="display: none;"><at:img styleId="muar" page="dialogs/exitconfirm/shade.png"/></div>

<logic:present name="<%=Keys.IS_DEMO_DATA_REMOVED%>" scope="session">
    <jsp:include page="user/demo_data_removed.jsp"/>
</logic:present>
<jsp:include page="util/after_login_screen_helper.jsp"/>

<%if(GettingStartedShortcutsManager.isShortcutsPresent(session)){%>
<jsp:include page="/support/getting_started_shortcuts.jsp"/>
<%}%>

<div class='navBg <%=subMenuItemsCount > 0 ? "withSubMenu" : ""%>'>
<table class="navTable" cellpadding=0 cellspacing=0 id="topnav">
	<tr>
		<td class="logoCell navCell" valign="top">
            <div style="position: relative">
                <div><at:img page="pixel.gif" width="190" height="1"/></div>

                <% if( CustomizationSettings.get( request ).isDefaultInterfaceLogo()) { %>
                    <div style="padding:19px 0 0 28px"><at:img page="top_nav/default-logo.png" width="145" height="44"/></div>
                <% } else { %>
                    <div class="logo">
                        <div class="logo-frame-top"><at:img page="pixel.gif" width="1" height="1" border="0" alt=""/></div>
                        <div class="logo-frame-middle"><div class="logo-container"><at:logo/></div></div>
                        <div class="logo-frame-bottom"><at:img page="pixel.gif" width="1" height="1" border="0" alt=""/></div>
                    </div>
                <% } %>
            </div>
		</td>
        <%
            int selectedColNum = 0;
            int colNum = 1;
        %>

        <% if ( nav.getMenuItems().isEmpty() ) {%>
        <td class='navItem navCell relative empty'>&nbsp;</td>
        <% } %>
        
        <% for( NavigatorTopLevelMenuItemView menuItem : nav.getMenuItems() )  {%>

		<td class='navItem navCell relative <%=menuItem.isSelected() ? "selected" + (subMenuItemsCount == 0 ? " withBottomBorder" : "") : "notSelected"%>'>

            <% if( menuItem.isSelected() ) { %>
            <% 
                subMenuAlign = menuItem.subMenuAlign();
                selectedColNum = colNum;
            %>
            <a class='content selected <%=menuItem.getKey()%>'>
                <div class="label"><%=ResponseUtils.filter(StringUtils.trimWithDots( messageNoFilterArgs( request, menuItem.getTitleKey() ), 13 ))%></div>
                <div class="img">&nbsp;</div>
            </a>
    
            <% } else { %>
    
            <html:link page='<%=menuItem.getPath()%>' styleClass='<%="content " + menuItem.getKey()%>'>
                <div class="label" style="z-index:155; "><%=ResponseUtils.filter(StringUtils.trimWithDots( messageNoFilterArgs( request, menuItem.getTitleKey() ), 13 ))%></div>
                <div class="img">&nbsp;</div>
            </html:link>
    
            <% } %>
    
            <% colNum++; %>
	    </td>

        <% } %>

        <td class="menuCell navCell" valign="top">
            <table cellpadding=0 cellspacing=0>
                <tr>
                    <td valign="top">
                        <% if (productSwitcherURL != null)
                        { %>
                        <div class="productSwitcherWrap">
                            <a href="<%=productSwitcherURL%>" class="productSwitcher">
                                <div class="productName"><span><%=message(request, "navigator.switcher_title." + product.name())%></span></div>
                            </a>
                        </div>
                        <% } %>
                    </td>
                    <td valign="top">
                        <div class="menuCellDiv">
                            <table class="menuTableWrap<%=user.hasEmail() && !isUserCannotSeenAnyPages ? "" : " userProfileWithError"%>" cellpadding=0 cellspacing=0 border=0>
                                <tr class="logoutContainer">
                                    <td class="profileCell">
                                        <a class='userProfileLink username' href='javascript:void(0)'
                                           onclick="onUserProfileLinkClicked(); return false;">
                                            <bean:write name="user" property="firstName"/>
                                            <logic:notEmpty name="user" property="middleName">
                                                <bean:write name="user" property="middleName"/>.
                                            </logic:notEmpty>
                                            <bean:write name="user" property="lastName"/>
                                        </a>
                                        <%if(isUserCannotSeenAnyPages || !user.hasEmail()) {%>
                                        <div class="account-with-warning">
                                            <a class='userProfileLink warningImg' href='javascript:void(0)'
                                               onclick="onUserProfileLinkClicked(); return false;">
                                                <at:defImg page="warning_red_mark.png"
                                                           title='<%=!user.hasEmail() ?
                                                                  message(request, "password_recovery.email_not_specified.at", user.getFirstName()) :
                                                                  message(request, "profile.cannot_seen_any_pages_warning")%>'/>
                                            </a>
                                        </div>
                                        <%}%>
                                    </td>
                                    <td class="logoutSeparator">&nbsp;|&nbsp;</td>
                                    <td class="logoutCell">
                                        <html:link styleClass="logout" styleId="logoutLink" page="/logout.do"><bean:message key="login.logout"/></html:link>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <div class="menuTable">
                                            <% if (userAccessRights.hasRight(AccessRight.MANAGE_GENERAL_SETTINGS))
                                            { %>
                                            <div class="topMenuButton">
                                                <jsp:include page="/support/settings_popup_menu.jsp"/>
                                            </div>
                                            <% } %>
                                            <div class="topMenuButton">
                                                <jsp:include page="/support/addons_popup_menu.jsp"/>
                                            </div>
                                            <div class="topMenuButton">
                                                <jsp:include page="/support/support_popup_menu.jsp"/>
                                                <% new LicCountDown(new ATLicCountDownConfig(request)).showIfNeeded(out, request); %>
                                            </div>

                                            <div class="topMenuButton">
                                                <!--Tips menu button placeholder-->
                                                <div class="popup_menu_container">
                                                    <div class="popup_menu_button popup_menu_button_tips"
                                                         onclick="PageOverlayTipsManager.getInstance().toggle()">
                                                        <div class="popup_menu_icon tips_icon"></div>
                                                        <div class="popup_menu_label">
                                                            <%=message(request, "navigator.tips_menu_item")%>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </td>
                </tr>
            </table>
        </td>
	</tr>

	<% if ( subMenuItemsCount != 0 ) { %>
    <tr class="secondLevelRow">
        <%
            boolean centered = ( subMenuAlign == NavigatorTopLevelMenuItemView.ALIGN_CENTER );
            boolean single = ( subMenuItemsCount == 1 );
            int colspan = single ? 1 : menuItemsCount + 3 - selectedColNum;
        %>
        <% if ( !centered ) { %>
            <td class="secondLevelCell" colspan="<%=selectedColNum%>">&nbsp;</td>    
        <% } else {
            colspan = menuItemsCount + 2;
        } %>
        
        <td class='secondLevelCell selectedColNum<%=selectedColNum%>  <%=centered || single ? "centered" : ""%>' colspan=<%=String.valueOf( colspan )%>>

            <% for( NavigatorMenuItemView submenuItem : nav.getSubmenuItems() ) {
                    String title = messageNoFilterArgs( request, submenuItem.getTitleKey() );
                    if( !Navigator.USERS_SUBMENU_KEY.equals( submenuItem.getKey() ) && !Navigator.LICENSES_KEY.equals( submenuItem.getKey() ) )
                        title = ResponseUtils.filter( title );
                %>
            <div class='secondLevelNavigationItem <%=submenuItem.isSelected() ? "selected" : ""%> <%=single ? "single" : ""%>'>
                <% if( submenuItem.isSelected() ) { %>
                    <a class="item active"><%=title%></a>
                <%} else {%>
                    <html:link page='<%=submenuItem.getPath()%>' styleClass="item"><%=title%></html:link>
                <% } %>
            </div>

            <% } %>
        </td>
        <% if ( single ) { %>
            <td class="secondLevelCell" colspan=<%=String.valueOf( menuItemsCount + 1 - selectedColNum )%>>&nbsp;</td>
        <% } %>
	</tr>
    <% } %>
    <%-- GUI notifications --%>
    <% if(guiNotification != null) {%>
    <tr>
        <td>
            <jsp:include page="support/gui_notification.jsp"/>
        </td>
    </tr>
    <%}%>
</table>
</div>

<div class="noprint navBottomSpace <%=guiNotification != null ? "withGUINotification" : ""%>"></div>

<script type="text/javascript" defer>
    var topNav = document.getElementById("topnav");
    disableTextSelection(topNav);
    hideFocusForLinks(topNav);
</script>

<jsp:include page="/lightbox.jsp">
    <jsp:param name="id" value='aboutPopup'/>
    <jsp:param name="additionalClasses" value="noprint"/>
    <jsp:param name="innerJsp" value='/support/about.jsp'/>
</jsp:include>


<jsp:include page="/loading_popup.jsp">
    <jsp:param name="id" value='contentLoadingPopup'/>
</jsp:include>

<div id="popupContentLoadingPlaceholder"></div>

<%--<%--%>
    <%--
    <%--boolean isDefaultSchema = ColorScheme.DEFAULT_COLOR_SCHEME.equals(colorSchemeName);--%>

    <%--String csStylePath = ( isDefaultSchema ) ? null : "/css/color_scheme/" + colorSchemeName + ".css";--%>
    <%--if ( !isDefaultSchema ) { %>--%>
    <%--<at:style page="<%=csStylePath%>"/>--%>
<%--<% } %>--%>

<style type="text/css">
    /* Fix for bug 52825: one or two navigation items in navigation sometimes twinkles on the left side of the page.
        We make navigation table visible only after it was fully loaded. */
    .navTable {
        visibility: visible;
    }
</style>

<script  type="text/javascript">
    $( document ).ready(function ()
                        {
                            <%if(isUserCannotSeenAnyPages || session.getAttribute( Keys.SHOW_MY_PROFILE ) != null) {
                                session.removeAttribute( Keys.SHOW_MY_PROFILE );
                            %>
                                onUserProfileLinkClicked();
                            <%}%>
                        });
</script>

<script type="text/javascript">
    $(document).ready(function()
                      {
                          PageOverlayTipsManager.getInstance().init();
                      })
</script>