<%@ page import="java.util.Map" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.ArrayList" %>
<%@ include file="/util/users_util.jsp"%>
<%@ include file="/util/user_groups_util.jsp"%>
<%!
    private void addUser( JspWriter out, UserBean user, boolean isTTAEnabled ) throws IOException
    {
       /*
        * This is the easiest way to reset to the logged in user, because there is lots of logic around
        * the UsersSelector.TT_LOGGED_IN_USER_SELECTED constant. This logic is pretty strange and shall
        * be refactored.
        */


        out.print( "user = " );
        printUserBeanAsJSObject( out, user );
        out.println( ";" );
        if(isTTAEnabled)
        {
            out.println( "user.setRequiresTTApproval(" );
            out.print( user.isRequiresTTApproval() );
            out.println( " );" );
        }
        out.println( "users.push( user );" );
    }

    private void addUsersSortedByGroupNameUserName( JspWriter out, List<UserBean> users, List<GroupBean> groups, boolean isTTAEnabled ) throws IOException
    {
        Map<Integer, List<UserBean>> usersByGroups = new HashMap<Integer, List<UserBean>>(groups.size() );

        for( UserBean user : users )
        {
            int groupId = user.getUserGroupId();
            List<UserBean> groupUsers = usersByGroups.get( groupId );
            if( groupUsers == null )
                usersByGroups.put( groupId, groupUsers = new ArrayList<UserBean>(10 ) );
            groupUsers.add( user );
        }

        for( GroupBean group : groups )
        {
            List<UserBean> groupUsers = usersByGroups.get( group.getId() );
            if( groupUsers == null )
                continue;

            for( UserBean user : groupUsers )
                addUser( out, user, isTTAEnabled );
        }
    }

    private void addUsersSortedByUserName( JspWriter out, List<UserBean> users, boolean isTTAEnabled ) throws IOException
    {
        for(UserBean user: users)
            addUser( out, user, isTTAEnabled );
    }

    private void addGroup( JspWriter out, GroupBean group ) throws IOException
    {
        out.print( "group = " );
        printUserGroupJSObject( out, group );
        out.println( ";" );
        out.println( "groups.push( group );" );
    }

    private void addGroups( JspWriter out, List<GroupBean> groups ) throws IOException
    {
        for( GroupBean group : groups )
            addGroup( out, group );
    }
%>