<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%--
    @param formName - name of the user selector form
    @param scope - scope of the form(request or session)
--%>
<%
    String formName = request.getParameter("formName");
    String scope = request.getParameter("scope");
%>
<bean:define id="form" name="<%=formName%>" scope="<%=scope%>" type="com.actimind.actitime.UserSelectorForm"/>

<script>
    function getPredefinedUserSelectorState() {
        var selectedGroupIds = [];
        <% for (int groupId : form.getGroups()) { %>
            selectedGroupIds.push(<%=groupId%>);
        <% } %>

        var selectedUserIds = [];
        <% for (int userId : form.getUsers()) { %>
            selectedUserIds.push(<%=userId%>);
        <% } %>

        var optionValue = <%=form.isAllUsers()%>;
        var showInactive = <%=form.isShowDisabledUsers()%>;
        var groupType = '<%=form.getGroupTypeName()%>';

        return {
            selection: optionValue? TwoLevelSelection.emptySelection() : new TwoLevelSelection(selectedGroupIds, selectedUserIds),
            optionValue: optionValue,
            showInactive: showInactive,
            groupType: groupType
        }
    }
</script>