<%@ page import="com.actimind.actitime.Constants,
                 com.actimind.actitime.beans.UserBean,
                 com.actimind.actitime.util.GroupUtils,
                 com.actimind.actitime.beans.UserBeanWithAccessRights,
                 com.actimind.actitime.util.StringUtils,
                 java.io.IOException,
                 java.util.List"%>
<%!


    private static void printMainUserProps( JspWriter out, UserBean user ) throws IOException
    {
        // StringUtils.getJSStringValue add double quotes to string
        // or return null as string without quotes
        out.print( user.getId() );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getFirstName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getLastName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getMiddleName() ) );
        out.print( ", " );
        out.print( StringUtils.getJSStringValue( user.getUsername() ) );
        out.print( ", " );
        out.print( user.isActiveInAT() );
        out.print( ", " );
        out.print( user.hasEmail() ? "true" : "false" );
        out.print( ", " );
        out.print( user.getUserGroupId() );
        out.print( ", " );
        out.print( user.getTimeZoneGroupId() );
    }

    public static void printUserBeanAsJSObject( JspWriter out, UserBean user ) throws IOException
    {
        out.print( "new User(" );
        printMainUserProps( out, user );
        out.print( ")" );
    }

    public static void printUserBeanWithAccessRightsAsJSObject( JspWriter out, UserBeanWithAccessRights user ) throws IOException
    {
        out.print( "new UserWithAccessRights(" );
        printMainUserProps( out, user );
        out.print( ", " );
        out.print( user.getAccessRights() );
        out.print( ")" );
    }

    public static void printUserBeanListAsJSArray( JspWriter out, List<UserBean> users, String arrayName ) throws IOException
    {
        out.print( "var " );
        out.print( arrayName );
        out.println( " = []; ");

        for( UserBean user: users )
        {
            out.print( arrayName );
            out.print( ".push(" );
            printUserBeanAsJSObject( out, user );
            out.println( ");" );
        }

    }
%>